interface ProviderElement<P extends unknown[], R> extends HTMLElement {
    args: P;
    updateArgs: (event: CustomEvent<Record<string, unknown>>) => void;
    updateArgsAndExecute: (event: CustomEvent<Record<string, unknown>>) => Promise<R>;
    setArgs: (patch: Record<string, unknown>) => void;
    setArgsAndExecute: (patch: Record<string, unknown>) => Promise<R>;
    execute(): Promise<R>;
    executeWithArgs(...args: P): Promise<R>;
    saveAs(filename: string, ...args: P): Promise<void>;
    resolve(...args: P): R;
}
export declare function createProviderClass<T extends unknown[], U>(api: (...args: T) => U): {
    new (): ProviderElement<T, U>;
};
export {};
