import { Storyboard, BrickPackage } from "@next-core/brick-types";
import { ScanBricksOptions } from "./scanStoryboard";
interface DllAndDeps {
    dll: string[];
    deps: string[];
    v3Bricks?: string[];
    v3Processors?: string[];
}
interface DllAndDepsAndBricks extends DllAndDeps {
    bricks: string[];
    /**
     * Some deps required eager loading, such as processors and widgets.
     */
    eager: DllAndDeps;
}
interface BrickPackageV3 extends BrickPackage {
    id?: string;
    elements?: string[];
}
export declare function getDllAndDepsOfStoryboard(storyboard: Storyboard, brickPackages: BrickPackageV3[], options?: ScanBricksOptions): DllAndDepsAndBricks;
export declare function getDllAndDepsOfBricks(bricks: string[], brickPackages: BrickPackageV3[]): DllAndDeps;
interface StoryboardResource {
    bricks?: string[];
    processors?: string[];
    editorBricks?: string[];
}
export declare function getDllAndDepsByResource({ bricks, processors, editorBricks }: StoryboardResource, brickPackages: BrickPackageV3[]): DllAndDeps;
export {};
