import type { CustomTemplateConstructor, FeatureFlags, RuntimeStoryboard } from "@next-core/brick-types";
export interface RemoveDeadConditionsOptions {
    constantFeatureFlags?: boolean;
    featureFlags?: FeatureFlags;
}
/**
 * Remove dead conditions in storyboard like `if: '<% FLAGS["your-feature-flag"] %>'` when
 * `FLAGS["your-feature-flag"]` is falsy.
 */
export declare function removeDeadConditions(storyboard: RuntimeStoryboard, options?: RemoveDeadConditionsOptions): void;
/**
 * Like `removeDeadConditions` but applied to a custom template.
 */
export declare function removeDeadConditionsInTpl(tplConstructor: CustomTemplateConstructor, options?: RemoveDeadConditionsOptions): void;
export interface IfContainer {
    if?: unknown;
}
export declare function computeConstantCondition(ifContainer: IfContainer, options?: RemoveDeadConditionsOptions): void;
