import type { Storyboard, BrickConf, CustomTemplate } from "@next-core/brick-types";
import { StoryboardNodeRoot } from "@next-core/storyboard";
export interface ScanBricksOptions {
    keepDuplicates?: boolean;
    ignoreBricksInUnusedCustomTemplates?: boolean;
}
/**
 * Scan bricks and custom apis in storyboard.
 *
 * @param storyboard - Storyboard.
 * @param options - If options is a boolean, it means `isUniq` or `de-duplicate`.
 */
export declare function scanStoryboard(storyboard: Storyboard, options?: boolean | ScanBricksOptions): ReturnType<typeof scanStoryboardAst>;
/**
 * Scan bricks and custom apis in storyboard.
 *
 * @param storyboard - Storyboard.
 * @param options - If options is a boolean, it means `isUniq` or `de-duplicate`.
 */
export declare function scanStoryboardAst(ast: StoryboardNodeRoot, options?: boolean | ScanBricksOptions): {
    bricks: string[];
    customApis: string[];
    usedTemplates: string[];
};
export declare function collectBricksInBrickConf(brickConf: BrickConf): string[];
export declare function collectBricksByCustomTemplates(customTemplates: CustomTemplate[]): Map<string, string[]>;
