(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@babel/runtime/helpers/asyncToGenerator'), require('lodash'), require('@babel/runtime/helpers/defineProperty'), require('@babel/runtime/helpers/objectSpread2'), require('@babel/runtime/helpers/objectWithoutProperties'), require('@babel/runtime/helpers/taggedTemplateLiteral'), require('@next-core/pipes'), require('moment'), require('js-yaml')) :
  typeof define === 'function' && define.amd ? define(['exports', '@babel/runtime/helpers/asyncToGenerator', 'lodash', '@babel/runtime/helpers/defineProperty', '@babel/runtime/helpers/objectSpread2', '@babel/runtime/helpers/objectWithoutProperties', '@babel/runtime/helpers/taggedTemplateLiteral', '@next-core/pipes', 'moment', 'js-yaml'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.BrickUtils = {}, global._asyncToGenerator, global.lodash, global._defineProperty, global._objectSpread, global._objectWithoutProperties, global._taggedTemplateLiteral, global.pipes, global.moment, global.yaml));
})(this, (function (exports, _asyncToGenerator, lodash, _defineProperty, _objectSpread, _objectWithoutProperties, _taggedTemplateLiteral, pipes, moment, yaml) { 'use strict';

  function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

  var _asyncToGenerator__default = /*#__PURE__*/_interopDefaultLegacy(_asyncToGenerator);
  var lodash__default = /*#__PURE__*/_interopDefaultLegacy(lodash);
  var _defineProperty__default = /*#__PURE__*/_interopDefaultLegacy(_defineProperty);
  var _objectSpread__default = /*#__PURE__*/_interopDefaultLegacy(_objectSpread);
  var _objectWithoutProperties__default = /*#__PURE__*/_interopDefaultLegacy(_objectWithoutProperties);
  var _taggedTemplateLiteral__default = /*#__PURE__*/_interopDefaultLegacy(_taggedTemplateLiteral);
  var moment__default = /*#__PURE__*/_interopDefaultLegacy(moment);
  var yaml__default = /*#__PURE__*/_interopDefaultLegacy(yaml);

  var cache$1 = new Map();
  function loadScript(src, prefix) {
    if (Array.isArray(src)) {
      return Promise.all(src.map(item => loadScript(item, prefix)));
    }
    var fixedSrc = prefix ? "".concat(prefix).concat(src) : src;
    if (cache$1.has(fixedSrc)) {
      return cache$1.get(fixedSrc);
    }
    var promise = new Promise((resolve, reject) => {
      var end = () => {
        window.dispatchEvent(new CustomEvent("request.end"));
      };
      var script = document.createElement("script");
      script.src = fixedSrc;
      script.onload = () => {
        resolve(fixedSrc);
        end();
      };
      script.onerror = e => {
        reject(e);
        end();
      };
      var firstScript = document.currentScript || document.getElementsByTagName("script")[0];
      firstScript.parentNode.insertBefore(script, firstScript);
      window.dispatchEvent(new CustomEvent("request.start"));
    });
    cache$1.set(fixedSrc, promise);
    return promise;
  }
  var prefetchCache = new Set();

  // https://developer.mozilla.org/en-US/docs/Web/HTTP/Link_prefetching_FAQ
  function prefetchScript(src, prefix) {
    if (Array.isArray(src)) {
      for (var item of src) {
        prefetchScript(item, prefix);
      }
      return;
    }
    var fixedSrc = prefix ? "".concat(prefix).concat(src) : src;
    // Ignore scripts which already prefetched or loaded.
    if (prefetchCache.has(fixedSrc) || cache$1.has(fixedSrc)) {
      return;
    }
    prefetchCache.add(fixedSrc);
    var link = document.createElement("link");
    link.rel = "prefetch";
    link.href = fixedSrc;
    document.head.appendChild(link);
  }

  function scanTemplatesInBrick(brickConf, collection) {
    if (brickConf.template) {
      collection.push(brickConf.template);
    }
    if (brickConf.slots) {
      Object.values(brickConf.slots).forEach(slotConf => {
        if (slotConf.type === "bricks") {
          scanTemplatesInBricks(slotConf.bricks, collection);
        } else {
          scanTemplatesInRoutes(slotConf.routes, collection);
        }
      });
    }
    if (Array.isArray(brickConf.internalUsedTemplates)) {
      brickConf.internalUsedTemplates.forEach(template => {
        collection.push(template);
      });
    }
  }
  function scanTemplatesInBricks(bricks, collection) {
    if (Array.isArray(bricks)) {
      bricks.forEach(brickConf => {
        scanTemplatesInBrick(brickConf, collection);
      });
    }
  }
  function scanTemplatesInRoutes(routes, collection) {
    if (Array.isArray(routes)) {
      routes.forEach(routeConf => {
        if (routeConf.type === "routes") {
          scanTemplatesInRoutes(routeConf.routes, collection);
        } else {
          scanTemplatesInBricks(routeConf.bricks, collection);
        }
        var brickConf = routeConf.menu;
        if (brickConf && brickConf.type === "brick") {
          scanTemplatesInBrick(brickConf, collection);
        }
      });
    }
  }
  function scanTemplatesInStoryboard(storyboard) {
    var isUniq = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    var collection = [];
    scanTemplatesInRoutes(storyboard.routes, collection);
    return isUniq ? lodash.uniq(collection) : collection;
  }
  function getDepsOfTemplates(templates, templatePackages) {
    var templateMap = templatePackages.reduce((m, item) => {
      if (/^templates\/.*\/dist\/.*\.js$/.test(item.filePath)) {
        var namespace = item.filePath.split("/")[1];
        m.set(namespace, item);
      } else {
        // eslint-disable-next-line no-console
        console.error("the file path of template is `".concat(item.filePath, "` and it is non-standard package path"));
      }
      return m;
    }, new Map());
    return templates.reduce((arr, template) => {
      var namespace = template.split(".")[0];
      var find = templateMap.get(namespace);
      if (find) {
        arr.push(find.filePath);
      } else {
        // eslint-disable-next-line no-console
        console.error("the name of template is `".concat(template, "` and it don't match any template package"));
      }
      return arr;
    }, []);
  }
  function getTemplateDepsOfStoryboard(storyboard, templatePackages) {
    return getDepsOfTemplates(scanTemplatesInStoryboard(storyboard), templatePackages);
  }

  function hasOwnProperty$1(object, property) {
    return Object.prototype.hasOwnProperty.call(object, property);
  }

  function asyncProcessBrick(_x, _x2, _x3) {
    return _asyncProcessBrick.apply(this, arguments);
  }
  function _asyncProcessBrick() {
    _asyncProcessBrick = _asyncToGenerator__default["default"](function* (brickConf, templateRegistry, templatePackages) {
      if (brickConf.template) {
        if (!brickConf.$$resolved && lodash.get(brickConf, ["lifeCycle", "useResolves"], []).length > 0) {
          // Leave these dynamic templates to `LocationContext::resolve()`.
          // Remember original params, since it maybe changed when resolving.
          brickConf.$$params = lodash.cloneDeep(brickConf.params);
        } else {
          var updatedBrickConf = brickConf;
          var processedTemplates = [];
          // If a template returns a template, keep on loading template,
          // until finally it returns a brick.
          while (updatedBrickConf.template) {
            // Forbid recursive templates.
            if (processedTemplates.includes(updatedBrickConf.template)) {
              throw new Error("Recursive template found: ".concat(updatedBrickConf.template));
            }
            processedTemplates.push(updatedBrickConf.template);
            if (!templateRegistry.has(updatedBrickConf.template)) {
              yield loadScript(getDepsOfTemplates([updatedBrickConf.template], templatePackages), window.PUBLIC_ROOT);
            }
            if (templateRegistry.has(updatedBrickConf.template)) {
              updatedBrickConf = templateRegistry.get(updatedBrickConf.template)(updatedBrickConf.params);
            } else {
              updatedBrickConf = {
                brick: "basic-bricks.page-error",
                properties: {
                  error: "Template not found: ".concat(brickConf.template)
                }
              };
            }
          }
          // Cleanup brickConf and remember original data for restore.
          var {
            template,
            lifeCycle,
            $$params,
            params
          } = brickConf;
          var hasIf = hasOwnProperty$1(brickConf, "if");
          var rawIf = brickConf.if;
          Object.keys(brickConf).forEach(key => {
            delete brickConf[key];
          });
          Object.assign(brickConf, updatedBrickConf, {
            $$template: template,
            $$params: $$params || lodash.cloneDeep(params),
            $$lifeCycle: lifeCycle
          }, hasIf ? {
            $$if: rawIf
          } : {});
        }
      }
      if (brickConf.slots) {
        yield Promise.all(Object.values(brickConf.slots).map( /*#__PURE__*/function () {
          var _ref = _asyncToGenerator__default["default"](function* (slotConf) {
            if (slotConf.type === "bricks") {
              yield asyncProcessBricks(slotConf.bricks, templateRegistry, templatePackages);
            } else {
              yield asyncProcessRoutes(slotConf.routes, templateRegistry, templatePackages);
            }
          });
          return function (_x13) {
            return _ref.apply(this, arguments);
          };
        }()));
      }
    });
    return _asyncProcessBrick.apply(this, arguments);
  }
  function asyncProcessBricks(_x4, _x5, _x6) {
    return _asyncProcessBricks.apply(this, arguments);
  }
  function _asyncProcessBricks() {
    _asyncProcessBricks = _asyncToGenerator__default["default"](function* (bricks, templateRegistry, templatePackages) {
      if (Array.isArray(bricks)) {
        yield Promise.all(bricks.map( /*#__PURE__*/function () {
          var _ref2 = _asyncToGenerator__default["default"](function* (brickConf) {
            yield asyncProcessBrick(brickConf, templateRegistry, templatePackages);
          });
          return function (_x14) {
            return _ref2.apply(this, arguments);
          };
        }()));
      }
    });
    return _asyncProcessBricks.apply(this, arguments);
  }
  function asyncProcessRoutes(_x7, _x8, _x9) {
    return _asyncProcessRoutes.apply(this, arguments);
  }
  function _asyncProcessRoutes() {
    _asyncProcessRoutes = _asyncToGenerator__default["default"](function* (routes, templateRegistry, templatePackages) {
      if (Array.isArray(routes)) {
        yield Promise.all(routes.map( /*#__PURE__*/function () {
          var _ref3 = _asyncToGenerator__default["default"](function* (routeConf) {
            if (routeConf.type === "routes") {
              yield asyncProcessRoutes(routeConf.routes, templateRegistry, templatePackages);
            } else {
              yield asyncProcessBricks(routeConf.bricks, templateRegistry, templatePackages);
            }
            var menuBrickConf = routeConf.menu;
            if (menuBrickConf && menuBrickConf.type === "brick") {
              yield asyncProcessBrick(menuBrickConf, templateRegistry, templatePackages);
            }
          });
          return function (_x15) {
            return _ref3.apply(this, arguments);
          };
        }()));
      }
    });
    return _asyncProcessRoutes.apply(this, arguments);
  }
  function asyncProcessStoryboard(_x10, _x11, _x12) {
    return _asyncProcessStoryboard.apply(this, arguments);
  }
  function _asyncProcessStoryboard() {
    _asyncProcessStoryboard = _asyncToGenerator__default["default"](function* (storyboard, templateRegistry, templatePackages) {
      yield asyncProcessRoutes(storyboard.routes, templateRegistry, templatePackages);
      return storyboard;
    });
    return _asyncProcessStoryboard.apply(this, arguments);
  }

  function computeRealRoutePath(path, app) {
    if (Array.isArray(path)) {
      // eslint-disable-next-line no-console
      console.warn("Set route's path to an array is deprecated");
      return path.map(p => computeRealRoutePath(p, app));
    }
    if (typeof path !== "string") {
      return;
    }
    return path.replace("${APP.homepage}", app === null || app === void 0 ? void 0 : app.homepage);
  }

  var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

  var FileSaver_min = {exports: {}};

  (function (module, exports) {
    (function (a, b) {
      b();
    })(commonjsGlobal, function () {

      function b(a, b) {
        return "undefined" == typeof b ? b = {
          autoBom: !1
        } : "object" != typeof b && (console.warn("Deprecated: Expected third argument to be a object"), b = {
          autoBom: !b
        }), b.autoBom && /^\s*(?:text\/\S*|application\/xml|\S*\/\S*\+xml)\s*;.*charset\s*=\s*utf-8/i.test(a.type) ? new Blob(["\uFEFF", a], {
          type: a.type
        }) : a;
      }
      function c(a, b, c) {
        var d = new XMLHttpRequest();
        d.open("GET", a), d.responseType = "blob", d.onload = function () {
          g(d.response, b, c);
        }, d.onerror = function () {
          console.error("could not download file");
        }, d.send();
      }
      function d(a) {
        var b = new XMLHttpRequest();
        b.open("HEAD", a, !1);
        try {
          b.send();
        } catch (a) {}
        return 200 <= b.status && 299 >= b.status;
      }
      function e(a) {
        try {
          a.dispatchEvent(new MouseEvent("click"));
        } catch (c) {
          var b = document.createEvent("MouseEvents");
          b.initMouseEvent("click", !0, !0, window, 0, 0, 0, 80, 20, !1, !1, !1, !1, 0, null), a.dispatchEvent(b);
        }
      }
      var f = "object" == typeof window && window.window === window ? window : "object" == typeof self && self.self === self ? self : "object" == typeof commonjsGlobal && commonjsGlobal.global === commonjsGlobal ? commonjsGlobal : void 0,
        a = f.navigator && /Macintosh/.test(navigator.userAgent) && /AppleWebKit/.test(navigator.userAgent) && !/Safari/.test(navigator.userAgent),
        g = f.saveAs || ("object" != typeof window || window !== f ? function () {} : "download" in HTMLAnchorElement.prototype && !a ? function (b, g, h) {
          var i = f.URL || f.webkitURL,
            j = document.createElement("a");
          g = g || b.name || "download", j.download = g, j.rel = "noopener", "string" == typeof b ? (j.href = b, j.origin === location.origin ? e(j) : d(j.href) ? c(b, g, h) : e(j, j.target = "_blank")) : (j.href = i.createObjectURL(b), setTimeout(function () {
            i.revokeObjectURL(j.href);
          }, 4E4), setTimeout(function () {
            e(j);
          }, 0));
        } : "msSaveOrOpenBlob" in navigator ? function (f, g, h) {
          if (g = g || f.name || "download", "string" != typeof f) navigator.msSaveOrOpenBlob(b(f, h), g);else if (d(f)) c(f, g, h);else {
            var i = document.createElement("a");
            i.href = f, i.target = "_blank", setTimeout(function () {
              e(i);
            });
          }
        } : function (b, d, e, g) {
          if (g = g || open("", "_blank"), g && (g.document.title = g.document.body.innerText = "downloading..."), "string" == typeof b) return c(b, d, e);
          var h = "application/octet-stream" === b.type,
            i = /constructor/i.test(f.HTMLElement) || f.safari,
            j = /CriOS\/[\d]+/.test(navigator.userAgent);
          if ((j || h && i || a) && "undefined" != typeof FileReader) {
            var k = new FileReader();
            k.onloadend = function () {
              var a = k.result;
              a = j ? a : a.replace(/^data:[^;]*;/, "data:attachment/file;"), g ? g.location.href = a : location = a, g = null;
            }, k.readAsDataURL(b);
          } else {
            var l = f.URL || f.webkitURL,
              m = l.createObjectURL(b);
            g ? g.location = m : location.href = m, g = null, setTimeout(function () {
              l.revokeObjectURL(m);
            }, 4E4);
          }
        });
      f.saveAs = g.saveAs = g, (module.exports = g);
    });
  })(FileSaver_min);

  function createProviderClass(api) {
    return class extends HTMLElement {
      constructor() {
        super(...arguments);
        _defineProperty__default["default"](this, "args", []);
      }
      get $$typeof() {
        return "provider";
      }
      static get _dev_only_definedProperties() {
        return ["args"];
      }
      updateArgs(event) {
        if (!(event instanceof CustomEvent)) {
          // eslint-disable-next-line no-console
          console.warn("`updateArgs/updateArgsAndExecute` is designed to receive an CustomEvent, if not, please use `setArgs/setArgsAndExecute` instead.");
        }
        this.setArgs(event.detail);
      }
      updateArgsAndExecute(event) {
        this.updateArgs(event);
        return this.execute();
      }
      setArgs(patch) {
        for (var [path, value] of Object.entries(patch)) {
          lodash.set(this.args, path, value);
        }
      }
      setArgsAndExecute(patch) {
        this.setArgs(patch);
        return this.execute();
      }
      execute() {
        return this.executeWithArgs(...this.args);
      }
      saveAs(filename) {
        var _arguments = arguments;
        return _asyncToGenerator__default["default"](function* () {
          for (var _len = _arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
            args[_key - 1] = _arguments[_key];
          }
          var blob = yield api(...args);
          FileSaver_min.exports.saveAs(blob, filename);
        })();
      }
      executeWithArgs() {
        var _arguments2 = arguments,
          _this = this;
        return _asyncToGenerator__default["default"](function* () {
          try {
            var result = yield api(..._arguments2);
            _this.dispatchEvent(new CustomEvent("response.success", {
              detail: result
            }));
            return result;
          } catch (error) {
            _this.dispatchEvent(new CustomEvent("response.error", {
              detail: error
            }));
            return Promise.reject(error);
          }
        })();
      }
      resolve() {
        return api(...arguments);
      }
    };
  }

  /******************************************************************************
  Copyright (c) Microsoft Corporation.

  Permission to use, copy, modify, and/or distribute this software for any
  purpose with or without fee is hereby granted.

  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
  REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
  INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
  PERFORMANCE OF THIS SOFTWARE.
  ***************************************************************************** */
  var __assign = function () {
    __assign = Object.assign || function __assign(t) {
      for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) {
          if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
      }
      return t;
    };
    return __assign.apply(this, arguments);
  };

  /**
   * Source: ftp://ftp.unicode.org/Public/UCD/latest/ucd/SpecialCasing.txt
   */
  /**
   * Lower case as a function.
   */
  function lowerCase(str) {
    return str.toLowerCase();
  }

  // Support camel case ("camelCase" -> "camel Case" and "CAMELCase" -> "CAMEL Case").
  var DEFAULT_SPLIT_REGEXP = [/([a-z0-9])([A-Z])/g, /([A-Z])([A-Z][a-z])/g];
  // Remove all non-word characters.
  var DEFAULT_STRIP_REGEXP = /[^A-Z0-9]+/gi;
  /**
   * Normalize the string into something other libraries can manipulate easier.
   */
  function noCase(input, options) {
    if (options === void 0) {
      options = {};
    }
    var _a = options.splitRegexp,
      splitRegexp = _a === void 0 ? DEFAULT_SPLIT_REGEXP : _a,
      _b = options.stripRegexp,
      stripRegexp = _b === void 0 ? DEFAULT_STRIP_REGEXP : _b,
      _c = options.transform,
      transform = _c === void 0 ? lowerCase : _c,
      _d = options.delimiter,
      delimiter = _d === void 0 ? " " : _d;
    var result = replace(replace(input, splitRegexp, "$1\0$2"), stripRegexp, "\0");
    var start = 0;
    var end = result.length;
    // Trim the delimiter from around the output string.
    while (result.charAt(start) === "\0") {
      start++;
    }
    while (result.charAt(end - 1) === "\0") {
      end--;
    }
    // Transform each token independently.
    return result.slice(start, end).split("\0").map(transform).join(delimiter);
  }
  /**
   * Replace `re` in the input string with the replacement value.
   */
  function replace(input, re, value) {
    if (re instanceof RegExp) return input.replace(re, value);
    return re.reduce(function (input, re) {
      return input.replace(re, value);
    }, input);
  }

  function dotCase(input, options) {
    if (options === void 0) {
      options = {};
    }
    return noCase(input, __assign({
      delimiter: "."
    }, options));
  }

  function paramCase(input, options) {
    if (options === void 0) {
      options = {};
    }
    return dotCase(input, __assign({
      delimiter: "-"
    }, options));
  }

  // https://tc39.es/ecma262/#sec-execution-contexts
  class ExecutionContext {
    constructor() {
      _defineProperty__default["default"](this, "VariableEnvironment", void 0);
      _defineProperty__default["default"](this, "LexicalEnvironment", void 0);
      _defineProperty__default["default"](this, "Function", void 0);
    }
  }
  // https://tc39.es/ecma262/#sec-environment-records
  class EnvironmentRecord {
    constructor(outer) {
      _defineProperty__default["default"](this, "OuterEnv", void 0);
      _defineProperty__default["default"](this, "bindingMap", new Map());
      this.OuterEnv = outer;
    }
    HasBinding(name) {
      return this.bindingMap.has(name);
    }
    CreateMutableBinding(name, deletable) {
      // Assert: binding does not exist.
      this.bindingMap.set(name, {
        mutable: true,
        deletable
      });
      return NormalCompletion(undefined);
    }

    /**
     * Create an immutable binding.
     *
     * @param name - The binding name.
     * @param strict - For named function expressions, strict is false, otherwise it's true.
     * @returns CompletionRecord.
     */
    CreateImmutableBinding(name, strict) {
      // Assert: binding does not exist.
      this.bindingMap.set(name, {
        strict
      });
      return NormalCompletion(undefined);
    }
    InitializeBinding(name, value) {
      var binding = this.bindingMap.get(name);
      // Assert: binding exists and uninitialized.
      Object.assign(binding, {
        initialized: true,
        value
      });
      return NormalCompletion(undefined);
    }

    /**
     * Update a mutable binding value, including function declarations.
     *
     * @param name - The binding name.
     * @param value - The binding value.
     * @param strict - For functions, strict is always false, otherwise it depends on strict-mode.
     * @returns
     */
    SetMutableBinding(name, value, strict) {
      var binding = this.bindingMap.get(name);
      // Assert: binding exists.
      if (!binding.initialized) {
        throw new ReferenceError("".concat(name, " is not initialized"));
      } else if (binding.mutable) {
        binding.value = value;
      } else {
        throw new TypeError("Assignment to constant variable");
      }
      return NormalCompletion(undefined);
    }
    GetBindingValue(name, strict) {
      var binding = this.bindingMap.get(name);
      // Assert: binding exists.
      if (!binding.initialized) {
        throw new ReferenceError("".concat(name, " is not initialized"));
      }
      return binding.value;
    }
  }
  class DeclarativeEnvironment extends EnvironmentRecord {}
  class FunctionEnvironment extends EnvironmentRecord {}
  var SourceNode = Symbol.for("SourceNode");
  var FormalParameters = Symbol.for("FormalParameters");
  var ECMAScriptCode = Symbol.for("ECMAScriptCode");
  var Environment = Symbol.for("Environment");
  var IsConstructor = Symbol.for("IsConstructor");
  // https://tc39.es/ecma262/#sec-reference-record-specification-type
  class ReferenceRecord {
    /** Whether the reference is in strict mode. */

    constructor(base, referenceName, strict) {
      _defineProperty__default["default"](this, "Base", void 0);
      _defineProperty__default["default"](this, "ReferenceName", void 0);
      _defineProperty__default["default"](this, "Strict", void 0);
      this.Base = base;
      this.ReferenceName = referenceName;
      this.Strict = strict;
    }
  }

  // https://tc39.es/ecma262/#sec-completion-record-specification-type
  class CompletionRecord {
    constructor(type, value) {
      _defineProperty__default["default"](this, "Type", void 0);
      _defineProperty__default["default"](this, "Value", void 0);
      this.Type = type;
      this.Value = value;
    }
  }
  // https://tc39.es/ecma262/#sec-normalcompletion
  function NormalCompletion(value) {
    return new CompletionRecord("normal", value);
  }
  var Empty = Symbol("empty completion");

  function collectBoundNames(root) {
    var names = new Set();
    var collect = node => {
      if (Array.isArray(node)) {
        for (var n of node) {
          collect(n);
        }
      } else if (node) {
        // `node` maybe `null` in some cases.
        switch (node.type) {
          case "Identifier":
            names.add(node.name);
            return;
          case "VariableDeclaration":
            return collect(node.declarations);
          case "VariableDeclarator":
            return collect(node.id);
          case "ArrayPattern":
            return collect(node.elements);
          case "AssignmentPattern":
            return collect(node.left);
          case "ObjectPattern":
            return collect(node.properties);
          case "Property":
            return collect(node.value);
          case "RestElement":
            return collect(node.argument);
          case "FunctionDeclaration":
            return collect(node.id);
        }
      }
    };
    collect(root);
    return Array.from(names);
  }
  function containsExpression(root) {
    var collect = node => {
      if (Array.isArray(node)) {
        return node.some(collect);
      } else if (node) {
        // `node` maybe `null` in some cases.
        switch (node.type) {
          case "ArrayPattern":
            return collect(node.elements);
          case "AssignmentPattern":
            return true;
          case "ObjectPattern":
            return collect(node.properties);
          case "Property":
            return node.computed || collect(node.value);
          case "RestElement":
            return collect(node.argument);
        }
      }
    };
    return collect(root);
  }
  function collectScopedDeclarations(root, options) {
    var declarations = [];
    var nextOptions = {
      var: options.var
    };
    var collect = (node, options) => {
      if (Array.isArray(node)) {
        for (var n of node) {
          collect(n, options);
        }
      } else if (node) {
        // `node` maybe `null` in some cases.
        switch (node.type) {
          case "FunctionDeclaration":
            // At the top level of a function, or script, function declarations are
            // treated like var declarations rather than like lexical declarations.
            // See https://tc39.es/ecma262/#sec-static-semantics-toplevellexicallydeclarednames
            if (Number(!options.var) ^ Number(options.topLevel)) {
              declarations.push(node);
            }
            return;
          case "VariableDeclaration":
            if (Number(!options.var) ^ Number(node.kind === "var")) {
              declarations.push(node);
            }
            return;
          case "SwitchCase":
            collect(node.consequent, nextOptions);
            return;
          case "CatchClause":
            collect(node.body, nextOptions);
            return;
        }
        if (options.var) {
          switch (node.type) {
            case "BlockStatement":
              collect(node.body, nextOptions);
              return;
            case "IfStatement":
              collect(node.consequent, nextOptions);
              collect(node.alternate, nextOptions);
              return;
            case "DoWhileStatement":
            case "WhileStatement":
              collect(node.body, nextOptions);
              return;
            case "ForStatement":
              collect(node.init, nextOptions);
              collect(node.body, nextOptions);
              return;
            case "ForInStatement":
            case "ForOfStatement":
              collect(node.left, nextOptions);
              collect(node.body, nextOptions);
              return;
            case "SwitchStatement":
              collect(node.cases, nextOptions);
              return;
            case "TryStatement":
              collect(node.block, nextOptions);
              collect(node.handler, nextOptions);
              collect(node.finalizer, nextOptions);
              return;
          }
        }
      }
    };
    collect(root, options);
    return declarations;
  }

  // https://tc39.es/ecma262/#sec-ispropertyreference
  function IsPropertyReference(V) {
    return V.Base !== "unresolvable" && !(V.Base instanceof EnvironmentRecord);
  }

  // https://tc39.es/ecma262/#sec-initializereferencedbinding
  function InitializeReferencedBinding(V, W) {
    var base = V.Base;
    return base.InitializeBinding(V.ReferenceName, W);
  }

  // https://tc39.es/ecma262/#sec-copydataproperties
  function CopyDataProperties(target, source, excludedItems) {
    if (source === undefined || source === null) {
      return target;
    }
    var keys = Object.getOwnPropertyNames(source).concat(Object.getOwnPropertySymbols(source));
    for (var nextKey of keys) {
      if (!excludedItems.has(nextKey)) {
        var desc = Object.getOwnPropertyDescriptor(source, nextKey);
        if (desc !== null && desc !== void 0 && desc.enumerable) {
          target[nextKey] = source[nextKey];
        }
      }
    }
    return target;
  }

  // https://tc39.es/ecma262/#sec-runtime-semantics-fordeclarationbindinginstantiation
  function ForDeclarationBindingInstantiation(forDeclaration, env) {
    var isConst = forDeclaration.kind === "const";
    for (var name of collectBoundNames(forDeclaration)) {
      if (isConst) {
        env.CreateImmutableBinding(name, true);
      } else {
        env.CreateMutableBinding(name, false);
      }
    }
  }

  // https://tc39.es/ecma262/#sec-loopcontinues
  function LoopContinues(completion) {
    return completion.Type === "normal" || completion.Type == "continue";
  }

  // https://tc39.es/ecma262/#sec-updateempty
  function UpdateEmpty(completion, value) {
    if (completion.Value !== Empty) {
      return completion;
    }
    return new CompletionRecord(completion.Type, value);
  }

  // https://tc39.es/ecma262/#sec-getvalue
  function GetValue(V) {
    if (V instanceof CompletionRecord) {
      // Assert: V.Type is normal.
      V = V.Value;
    }
    if (!(V instanceof ReferenceRecord)) {
      return V;
    }
    if (V.Base === "unresolvable") {
      throw new ReferenceError("".concat(V.ReferenceName, " is not defined"));
    }
    if (V.Base instanceof EnvironmentRecord) {
      var base = V.Base;
      return base.GetBindingValue(V.ReferenceName, V.Strict);
    }
    return V.Base[V.ReferenceName];
  }

  // https://tc39.es/ecma262/#sec-topropertykey
  function ToPropertyKey(arg) {
    if (typeof arg === "symbol") {
      return arg;
    }
    return String(arg);
  }

  // https://tc39.es/ecma262/#sec-getv
  function GetV(V, P) {
    return V[P];
  }

  // https://tc39.es/ecma262/#sec-putvalue
  function PutValue(V, W) {
    // Assert: V is a ReferenceRecord.
    if (V.Base === "unresolvable") {
      throw new ReferenceError("".concat(V.ReferenceName, " is not defined"));
    }
    if (V.Base instanceof EnvironmentRecord) {
      return V.Base.SetMutableBinding(V.ReferenceName, W, V.Strict);
    }
    V.Base[V.ReferenceName] = W;
    return NormalCompletion(undefined);
  }

  // https://tc39.es/ecma262/#sec-createlistiteratorRecord
  function CreateListIteratorRecord(args) {
    if (!isIterable(args)) {
      throw new TypeError("".concat(typeof args, " is not iterable"));
    }
    return args[Symbol.iterator]();
  }

  // https://tc39.es/ecma262/#sec-requireobjectcoercible
  function RequireObjectCoercible(arg) {
    if (arg === null || arg === undefined) {
      throw new TypeError("Cannot destructure properties of undefined or null");
    }
  }

  // https://tc39.es/ecma262/#sec-getidentifierreference
  function GetIdentifierReference(env, name, strict) {
    if (!env) {
      return new ReferenceRecord("unresolvable", name, strict);
    }
    if (env.HasBinding(name)) {
      return new ReferenceRecord(env, name, strict);
    }
    return GetIdentifierReference(env.OuterEnv, name, strict);
  }

  // https://tc39.es/ecma262/#sec-applystringornumericbinaryoperator
  function ApplyStringOrNumericBinaryOperator(leftValue, operator, rightValue) {
    switch (operator) {
      case "+":
        return leftValue + rightValue;
      case "-":
        return leftValue - rightValue;
      case "/":
        return leftValue / rightValue;
      case "%":
        return leftValue % rightValue;
      case "*":
        return leftValue * rightValue;
      case "**":
        return leftValue ** rightValue;
      case "==":
        return leftValue == rightValue;
      case "===":
        return leftValue === rightValue;
      case "!=":
        return leftValue != rightValue;
      case "!==":
        return leftValue !== rightValue;
      case ">":
        return leftValue > rightValue;
      case "<":
        return leftValue < rightValue;
      case ">=":
        return leftValue >= rightValue;
      case "<=":
        return leftValue <= rightValue;
    }
    throw new SyntaxError("Unsupported binary operator `".concat(operator, "`"));
  }

  // https://tc39.es/ecma262/#sec-assignment-operators
  function ApplyStringOrNumericAssignment(leftValue, operator, rightValue) {
    switch (operator) {
      case "+=":
      case "-=":
      case "*=":
      case "/=":
      case "%=":
      case "**=":
        return ApplyStringOrNumericBinaryOperator(leftValue, operator.substr(0, operator.length - 1), rightValue);
    }
    throw new SyntaxError("Unsupported assignment operator `".concat(operator, "`"));
  }

  // https://tc39.es/ecma262/#sec-unary-operators
  function ApplyUnaryOperator(target, operator) {
    switch (operator) {
      case "!":
        return !target;
      case "+":
        return +target;
      case "-":
        return -target;
      case "void":
        return undefined;
    }
    throw new SyntaxError("Unsupported unary operator `".concat(operator, "`"));
  }
  function isIterable(cooked) {
    if (Array.isArray(cooked)) {
      return true;
    }
    if (cooked === null || cooked === undefined) {
      return false;
    }
    return typeof cooked[Symbol.iterator] === "function";
  }

  // Ref https://github.com/tc39/proposal-global
  // In addition, the es6-shim had to switch from Function('return this')()
  // due to CSP concerns, such that the current check to handle browsers,
  // node, web workers, and frames is:
  // istanbul ignore next
  // eslint-disable-next-line @typescript-eslint/ban-types
  function getGlobal() {
    // the only reliable means to get the global object is
    // `Function('return this')()`
    // However, this causes CSP violations in Chrome apps.
    if (typeof self !== "undefined") {
      return self;
    }
    if (typeof window !== "undefined") {
      return window;
    }
    if (typeof global !== "undefined") {
      return global;
    }
    throw new Error("unable to locate global object");
  }

  /**
   * There are chances to construct a `Function` from a string, etc.
   * ```
   * ((a,b)=>a[b])(()=>1, 'constructor')('console.log(`yo`)')()
   * ```
   */
  var reservedObjects = new WeakSet([
  // `Function("...")` is considered *extremely vulnerable*.
  Function,
  // `Object.assign()` is considered vulnerable.
  Object,
  // `prototype` is considered vulnerable.
  Function.prototype, Object.prototype,
  // Global `window` is considered vulnerable, too.
  getGlobal()]);
  function sanitize(cooked) {
    // eslint-disable-next-line @typescript-eslint/ban-types
    if (reservedObjects.has(cooked)) {
      throw new TypeError("Cannot access reserved objects such as `Function`.");
    }
  }
  var allowedConstructors = new WeakSet([Array, Map, Set, URL, URLSearchParams, WeakMap, WeakSet, RegExp]);
  function isAllowedConstructor(constructor) {
    // `Date` maybe mocked when running tests for storyboard functions.
    return allowedConstructors.has(constructor) || constructor === Date;
  }

  /** For next-core internal usage only. */
  function cook(rootAst, codeSource) {
    var _hooks$beforeEvaluate3;
    var {
      rules,
      globalVariables = {},
      hooks = {}
    } = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
    var expressionOnly = rootAst.type !== "FunctionDeclaration";
    var rootEnv = new DeclarativeEnvironment(null);
    var rootContext = new ExecutionContext();
    rootContext.VariableEnvironment = rootEnv;
    rootContext.LexicalEnvironment = rootEnv;
    var executionContextStack = [rootContext];
    for (var [key, value] of Object.entries(globalVariables)) {
      rootEnv.CreateImmutableBinding(key, true);
      rootEnv.InitializeBinding(key, value);
    }
    var TemplateMap = new WeakMap();

    // https://tc39.es/ecma262/#sec-gettemplateobject
    function GetTemplateObject(templateLiteral) {
      var memo = TemplateMap.get(templateLiteral);
      if (memo) {
        return memo;
      }
      var rawObj = templateLiteral.quasis.map(quasi => quasi.value.raw);
      var template = templateLiteral.quasis.map(quasi => quasi.value.cooked);
      Object.freeze(rawObj);
      Object.defineProperty(template, "raw", {
        value: rawObj,
        writable: false,
        enumerable: false,
        configurable: false
      });
      Object.freeze(template);
      TemplateMap.set(templateLiteral, template);
      return template;
    }
    function Evaluate(node, optionalChainRef) {
      var _hooks$beforeEvaluate, _hooks$beforeBranch, _hooks$beforeBranch2;
      (_hooks$beforeEvaluate = hooks.beforeEvaluate) === null || _hooks$beforeEvaluate === void 0 ? void 0 : _hooks$beforeEvaluate.call(hooks, node);
      // Expressions:
      switch (node.type) {
        case "ArrayExpression":
          {
            // https://tc39.es/ecma262/#sec-array-initializer
            var array = [];
            for (var element of node.elements) {
              if (!element) {
                array.length += 1;
              } else if (element.type === "SpreadElement") {
                var spreadValues = GetValue(Evaluate(element.argument));
                array.push(...spreadValues);
              } else {
                array.push(GetValue(Evaluate(element)));
              }
            }
            return NormalCompletion(array);
          }
        case "ArrowFunctionExpression":
          {
            // https://tc39.es/ecma262/#sec-arrow-function-definitions
            ThrowIfFunctionIsInvalid(node);
            var closure = InstantiateArrowFunctionExpression(node);
            return NormalCompletion(closure);
          }
        case "BinaryExpression":
          {
            var leftRef = Evaluate(node.left);
            var leftValue = GetValue(leftRef);
            var rightRef = Evaluate(node.right).Value;
            var rightValue = GetValue(rightRef);
            if (expressionOnly && node.operator === "|>") {
              // Minimal pipeline operator is supported only in expression-only mode.
              // See https://tc39.es/proposal-pipeline-operator
              // and https://github.com/tc39/proposal-pipeline-operator
              if (typeof rightValue !== "function") {
                var funcName = codeSource.substring(node.right.start, node.right.end);
                throw new TypeError("".concat(funcName, " is not a function"));
              }
              var thisValue;
              if (rightRef instanceof ReferenceRecord) {
                if (IsPropertyReference(rightRef)) {
                  thisValue = rightRef.Base;
                }
              }
              return NormalCompletion(rightValue.call(thisValue, leftValue));
            }
            // https://tc39.es/ecma262/#sec-additive-operators
            var result = ApplyStringOrNumericBinaryOperator(leftValue, node.operator, rightValue);
            return NormalCompletion(result);
          }
        case "CallExpression":
          {
            // https://tc39.es/ecma262/#sec-function-calls
            var ref = Evaluate(node.callee, optionalChainRef).Value;
            var func = GetValue(ref);
            if ((func === undefined || func === null) && (node.optional || optionalChainRef !== null && optionalChainRef !== void 0 && optionalChainRef.skipped)) {
              optionalChainRef.skipped = true;
              return NormalCompletion(undefined);
            }
            sanitize(func);
            return EvaluateCall(func, ref, node.arguments, node.callee);
          }
        case "ChainExpression":
          // https://tc39.es/ecma262/#sec-optional-chains
          return Evaluate(node.expression, {});
        case "ConditionalExpression":
          // https://tc39.es/ecma262/#sec-conditional-operator
          return NormalCompletion(GetValue(Evaluate(GetValue(Evaluate(node.test)) ? node.consequent : node.alternate)));
        case "Identifier":
          // https://tc39.es/ecma262/#sec-identifiers
          return NormalCompletion(ResolveBinding(node.name));
        case "Literal":
          {
            // https://tc39.es/ecma262/#sec-primary-expression-literals
            if (node.regex) {
              if (node.value === null) {
                // Invalid regular expression fails silently in @babel/parser.
                throw new SyntaxError("Invalid regular expression: ".concat(node.raw));
              }
              if (node.regex.flags.includes("u")) {
                // Currently unicode flag is not fully supported across major browsers.
                throw new SyntaxError("Unsupported unicode flag in regular expression: ".concat(node.raw));
              }
              // Always create a new RegExp, because the AST will be reused.
              return NormalCompletion(new RegExp(node.regex.pattern, node.regex.flags));
            }
            return NormalCompletion(node.value);
          }
        case "LogicalExpression":
          {
            // https://tc39.es/ecma262/#sec-binary-logical-operators
            var _leftValue = GetValue(Evaluate(node.left));
            switch (node.operator) {
              case "&&":
                return NormalCompletion(_leftValue && GetValue(Evaluate(node.right)));
              case "||":
                return NormalCompletion(_leftValue || GetValue(Evaluate(node.right)));
              case "??":
                return NormalCompletion(_leftValue !== null && _leftValue !== void 0 ? _leftValue : GetValue(Evaluate(node.right)));
              // istanbul ignore next
              default:
                throw new SyntaxError(
                // eslint-disable-next-line @typescript-eslint/ban-ts-comment
                // @ts-ignore never reach here.
                "Unsupported logical operator '".concat(node.operator, "'"));
            }
          }
        case "MemberExpression":
          {
            // https://tc39.es/ecma262/#sec-property-accessors
            var baseReference = Evaluate(node.object, optionalChainRef).Value;
            var baseValue = GetValue(baseReference);
            if ((baseValue === undefined || baseValue === null) && (node.optional || optionalChainRef !== null && optionalChainRef !== void 0 && optionalChainRef.skipped)) {
              optionalChainRef.skipped = true;
              return NormalCompletion(undefined);
            }
            sanitize(baseValue);
            var _result = node.computed ? EvaluatePropertyAccessWithExpressionKey(baseValue, node.property, true) : EvaluatePropertyAccessWithIdentifierKey(baseValue, node.property, true);
            sanitize(_result);
            return NormalCompletion(_result);
          }
        case "NewExpression":
          // https://tc39.es/ecma262/#sec-new-operator
          return EvaluateNew(node.callee, node.arguments);
        case "ObjectExpression":
          {
            // https://tc39.es/ecma262/#sec-object-initializer
            var object = {};
            for (var prop of node.properties) {
              if (prop.type === "SpreadElement") {
                var fromValue = GetValue(Evaluate(prop.argument));
                CopyDataProperties(object, fromValue, new Set());
              } else {
                if (prop.kind !== "init") {
                  throw new SyntaxError("Unsupported object getter/setter");
                }
                var propName = !prop.computed && prop.key.type === "Identifier" ? prop.key.name : EvaluateComputedPropertyName(prop.key);
                if (propName === "__proto__") {
                  throw new TypeError("Setting '__proto__' property is not allowed");
                }
                object[propName] = GetValue(Evaluate(prop.value));
              }
            }
            return NormalCompletion(object);
          }
        case "SequenceExpression":
          {
            // https://tc39.es/ecma262/#sec-comma-operator
            var _result2;
            for (var expr of node.expressions) {
              _result2 = NormalCompletion(GetValue(Evaluate(expr)));
            }
            return _result2;
          }
        case "TemplateLiteral":
          {
            // https://tc39.es/ecma262/#sec-template-literals
            var chunks = [node.quasis[0].value.cooked];
            var index = 0;
            for (var _expr of node.expressions) {
              var val = GetValue(Evaluate(_expr));
              chunks.push(String(val));
              chunks.push(node.quasis[index += 1].value.cooked);
            }
            return NormalCompletion(chunks.join(""));
          }
        case "TaggedTemplateExpression":
          {
            // https://tc39.es/ecma262/#sec-tagged-templates
            var tagRef = Evaluate(node.tag).Value;
            var tagFunc = GetValue(tagRef);
            sanitize(tagFunc);
            return EvaluateCall(tagFunc, tagRef, node.quasi, node.tag);
          }
        case "UnaryExpression":
          {
            // https://tc39.es/ecma262/#sec-unary-operators
            var _ref = Evaluate(node.argument).Value;
            if (!expressionOnly && node.operator === "delete") {
              // Delete operator is supported only in function mode.
              if (!(_ref instanceof ReferenceRecord)) {
                return NormalCompletion(true);
              }
              // istanbul ignore else
              if (IsPropertyReference(_ref)) {
                var deleteStatus = delete _ref.Base[_ref.ReferenceName];
                return NormalCompletion(deleteStatus);
              }
              // Should never reach here in strict mode.
            }

            if (node.operator === "typeof") {
              if (_ref instanceof ReferenceRecord && _ref.Base === "unresolvable") {
                return NormalCompletion("undefined");
              }
              return NormalCompletion(typeof GetValue(_ref));
            }
            return NormalCompletion(ApplyUnaryOperator(GetValue(_ref), node.operator));
          }
      }
      if (!expressionOnly) {
        // Statements and assignments:
        switch (node.type) {
          case "AssignmentExpression":
            {
              // https://tc39.es/ecma262/#sec-assignment-operators
              if (node.operator === "=") {
                if (!(node.left.type === "ArrayPattern" || node.left.type === "ObjectPattern")) {
                  var _lref = Evaluate(node.left).Value;
                  // Todo: IsAnonymousFunctionDefinition(lref)
                  var _rref2 = Evaluate(node.right);
                  var _rval2 = GetValue(_rref2);
                  PutValue(_lref, _rval2);
                  return NormalCompletion(_rval2);
                }
                var _rref = Evaluate(node.right);
                var _rval = GetValue(_rref);
                DestructuringAssignmentEvaluation(node.left, _rval);
                return NormalCompletion(_rval);
              }
              // Operators other than `=`.
              var lref = Evaluate(node.left).Value;
              var lval = GetValue(lref);
              var rref = Evaluate(node.right);
              var rval = GetValue(rref);
              var r = ApplyStringOrNumericAssignment(lval, node.operator, rval);
              PutValue(lref, r);
              return NormalCompletion(r);
            }
          case "BlockStatement":
            {
              // https://tc39.es/ecma262/#sec-block
              if (!node.body.length) {
                return NormalCompletion(Empty);
              }
              var oldEnv = getRunningContext().LexicalEnvironment;
              var blockEnv = new DeclarativeEnvironment(oldEnv);
              BlockDeclarationInstantiation(node.body, blockEnv);
              getRunningContext().LexicalEnvironment = blockEnv;
              var blockValue = EvaluateStatementList(node.body);
              getRunningContext().LexicalEnvironment = oldEnv;
              return blockValue;
            }
          case "BreakStatement":
            // https://tc39.es/ecma262/#sec-break-statement
            return new CompletionRecord("break", Empty);
          case "ContinueStatement":
            // https://tc39.es/ecma262/#sec-continue-statement
            return new CompletionRecord("continue", Empty);
          case "EmptyStatement":
            // https://tc39.es/ecma262/#sec-empty-statement
            return NormalCompletion(Empty);
          case "DoWhileStatement":
            // https://tc39.es/ecma262/#sec-do-while-statement
            return EvaluateBreakableStatement(DoWhileLoopEvaluation(node));
          case "ExpressionStatement":
          case "TSAsExpression":
            // https://tc39.es/ecma262/#sec-expression-statement
            return Evaluate(node.expression);
          case "ForInStatement":
          case "ForOfStatement":
            // https://tc39.es/ecma262/#sec-for-in-and-for-of-statements
            return EvaluateBreakableStatement(ForInOfLoopEvaluation(node));
          case "ForStatement":
            // https://tc39.es/ecma262/#sec-for-statement
            return EvaluateBreakableStatement(ForLoopEvaluation(node));
          case "FunctionDeclaration":
            // https://tc39.es/ecma262/#sec-function-definitions
            return NormalCompletion(Empty);
          case "FunctionExpression":
            // https://tc39.es/ecma262/#sec-function-defining-expressions
            ThrowIfFunctionIsInvalid(node);
            return NormalCompletion(InstantiateOrdinaryFunctionExpression(node));
          case "IfStatement":
            // https://tc39.es/ecma262/#sec-if-statement
            return GetValue(Evaluate(node.test)) ? ((_hooks$beforeBranch = hooks.beforeBranch) !== null && _hooks$beforeBranch !== void 0 && _hooks$beforeBranch.call(hooks, node, "if"), UpdateEmpty(Evaluate(node.consequent), undefined)) : ((_hooks$beforeBranch2 = hooks.beforeBranch) !== null && _hooks$beforeBranch2 !== void 0 && _hooks$beforeBranch2.call(hooks, node, "else"), node.alternate) ? UpdateEmpty(Evaluate(node.alternate), undefined) : NormalCompletion(undefined);
          case "ReturnStatement":
            {
              // https://tc39.es/ecma262/#sec-return-statement
              var v;
              if (node.argument) {
                var exprRef = Evaluate(node.argument);
                v = GetValue(exprRef);
              }
              return new CompletionRecord("return", v);
            }
          case "ThrowStatement":
            // https://tc39.es/ecma262/#sec-throw-statement
            throw GetValue(Evaluate(node.argument));
          case "UpdateExpression":
            {
              // https://tc39.es/ecma262/#sec-update-expressions
              var lhs = Evaluate(node.argument).Value;
              var oldValue = Number(GetValue(lhs));
              var newValue = node.operator === "++" ? oldValue + 1 : oldValue - 1;
              PutValue(lhs, newValue);
              return NormalCompletion(node.prefix ? newValue : oldValue);
            }
          case "SwitchCase":
            return EvaluateStatementList(node.consequent);
          case "SwitchStatement":
            {
              // https://tc39.es/ecma262/#sec-switch-statement
              var _exprRef = Evaluate(node.discriminant);
              var switchValue = GetValue(_exprRef);
              var _oldEnv = getRunningContext().LexicalEnvironment;
              var _blockEnv = new DeclarativeEnvironment(_oldEnv);
              BlockDeclarationInstantiation(node.cases, _blockEnv);
              getRunningContext().LexicalEnvironment = _blockEnv;
              var R = CaseBlockEvaluation(node.cases, switchValue);
              getRunningContext().LexicalEnvironment = _oldEnv;
              return EvaluateBreakableStatement(R);
            }
          case "TryStatement":
            {
              // https://tc39.es/ecma262/#sec-try-statement
              var _R;
              try {
                _R = Evaluate(node.block);
              } catch (error) {
                if (node.handler) {
                  var _hooks$beforeEvaluate2;
                  (_hooks$beforeEvaluate2 = hooks.beforeEvaluate) === null || _hooks$beforeEvaluate2 === void 0 ? void 0 : _hooks$beforeEvaluate2.call(hooks, node.handler);
                  _R = CatchClauseEvaluation(node.handler, error);
                } else {
                  throw error;
                }
              } finally {
                if (node.finalizer) {
                  var F = Evaluate(node.finalizer);
                  if (F.Type !== "normal") {
                    _R = F;
                  }
                }
              }
              return _R;
            }
          case "VariableDeclaration":
            {
              // https://tc39.es/ecma262/#sec-declarations-and-the-variable-statement
              var _result3;
              for (var declarator of node.declarations) {
                if (!declarator.init) {
                  // Assert: a declarator without init is always an identifier.
                  if (node.kind === "var") {
                    _result3 = NormalCompletion(Empty);
                  } else {
                    var _lhs = ResolveBinding(declarator.id.name);
                    _result3 = InitializeReferencedBinding(_lhs, undefined);
                  }
                } else if (declarator.id.type === "Identifier") {
                  var bindingId = declarator.id.name;
                  var _lhs2 = ResolveBinding(bindingId);
                  // Todo: IsAnonymousFunctionDefinition(Initializer)
                  var rhs = Evaluate(declarator.init);
                  var _value = GetValue(rhs);
                  _result3 = node.kind === "var" ? PutValue(_lhs2, _value) : InitializeReferencedBinding(_lhs2, _value);
                } else {
                  var _rhs = Evaluate(declarator.init);
                  var _rval3 = GetValue(_rhs);
                  _result3 = BindingInitialization(declarator.id, _rval3, node.kind === "var" ? undefined : getRunningContext().LexicalEnvironment);
                }
              }
              return _result3;
            }
          case "WhileStatement":
            // https://tc39.es/ecma262/#sec-while-statement
            return EvaluateBreakableStatement(WhileLoopEvaluation(node));
        }
      }
      // eslint-disable-next-line no-console
      throw new SyntaxError("Unsupported node type `".concat(node.type, "`"));
    }

    // https://tc39.es/ecma262/#sec-execution-contexts
    function getRunningContext() {
      return executionContextStack[executionContextStack.length - 1];
    }

    // https://tc39.es/ecma262/#sec-resolvebinding
    function ResolveBinding(name, env) {
      if (!env) {
        env = getRunningContext().LexicalEnvironment;
      }
      return GetIdentifierReference(env, name, true);
    }

    // Try statements.
    // https://tc39.es/ecma262/#sec-runtime-semantics-catchclauseevaluation
    function CatchClauseEvaluation(node, thrownValue) {
      var oldEnv = getRunningContext().LexicalEnvironment;
      var catchEnv = new DeclarativeEnvironment(oldEnv);
      for (var argName of collectBoundNames(node.param)) {
        catchEnv.CreateMutableBinding(argName, false);
      }
      getRunningContext().LexicalEnvironment = catchEnv;
      BindingInitialization(node.param, thrownValue, catchEnv);
      var B = Evaluate(node.body);
      getRunningContext().LexicalEnvironment = oldEnv;
      return B;
    }

    // Iteration statements and switch statements.
    // https://tc39.es/ecma262/#prod-BreakableStatement
    function EvaluateBreakableStatement(stmtResult) {
      return stmtResult.Type === "break" ? stmtResult.Value === Empty ? NormalCompletion(undefined) : NormalCompletion(stmtResult.Value) : stmtResult;
    }

    // Switch statements.
    // https://tc39.es/ecma262/#sec-runtime-semantics-caseblockevaluation
    function CaseBlockEvaluation(cases, input) {
      var V;
      var defaultCaseIndex = cases.findIndex(switchCase => !switchCase.test);
      var hasDefaultCase = defaultCaseIndex >= 0;
      var A = hasDefaultCase ? cases.slice(0, defaultCaseIndex) : cases;
      var found = false;
      for (var C of A) {
        if (!found) {
          found = CaseClauseIsSelected(C, input);
        }
        if (found) {
          var _R2 = Evaluate(C);
          if (_R2.Value !== Empty) {
            V = _R2.Value;
          }
          if (_R2.Type !== "normal") {
            return UpdateEmpty(_R2, V);
          }
        }
      }
      if (!hasDefaultCase) {
        return NormalCompletion(V);
      }
      var foundInB = false;
      var B = cases.slice(defaultCaseIndex + 1);
      if (!found) {
        for (var _C of B) {
          if (!foundInB) {
            foundInB = CaseClauseIsSelected(_C, input);
          }
          if (foundInB) {
            var _R3 = Evaluate(_C);
            if (_R3.Value !== Empty) {
              V = _R3.Value;
            }
            if (_R3.Type !== "normal") {
              return UpdateEmpty(_R3, V);
            }
          }
        }
      }
      if (foundInB) {
        return NormalCompletion(V);
      }
      var R = Evaluate(cases[defaultCaseIndex]);
      if (R.Value !== Empty) {
        V = R.Value;
      }
      if (R.Type !== "normal") {
        return UpdateEmpty(R, V);
      }

      // NOTE: The following is another complete iteration of the second CaseClauses.
      for (var _C2 of B) {
        var _R4 = Evaluate(_C2);
        if (_R4.Value !== Empty) {
          V = _R4.Value;
        }
        if (_R4.Type !== "normal") {
          return UpdateEmpty(_R4, V);
        }
      }
      return NormalCompletion(V);
    }

    // https://tc39.es/ecma262/#sec-runtime-semantics-caseclauseisselected
    function CaseClauseIsSelected(C, input) {
      var clauseSelector = GetValue(Evaluate(C.test));
      return input === clauseSelector;
    }

    // While statements.
    // https://tc39.es/ecma262/#sec-runtime-semantics-whileloopevaluation
    function WhileLoopEvaluation(node) {
      var V;
      // eslint-disable-next-line no-constant-condition
      while (true) {
        var exprValue = GetValue(Evaluate(node.test));
        if (!exprValue) {
          return NormalCompletion(V);
        }
        var stmtResult = Evaluate(node.body);
        if (!LoopContinues(stmtResult)) {
          return UpdateEmpty(stmtResult, V);
        }
        if (stmtResult.Value !== Empty) {
          V = stmtResult.Value;
        }
      }
    }

    // Do-while Statements.
    // https://tc39.es/ecma262/#sec-runtime-semantics-dowhileloopevaluation
    function DoWhileLoopEvaluation(node) {
      var V;
      // eslint-disable-next-line no-constant-condition
      while (true) {
        var stmtResult = Evaluate(node.body);
        if (!LoopContinues(stmtResult)) {
          return UpdateEmpty(stmtResult, V);
        }
        if (stmtResult.Value !== Empty) {
          V = stmtResult.Value;
        }
        var exprValue = GetValue(Evaluate(node.test));
        if (!exprValue) {
          return NormalCompletion(V);
        }
      }
    }

    // For in/of statements.
    // https://tc39.es/ecma262/#sec-runtime-semantics-forinofloopevaluation
    function ForInOfLoopEvaluation(node) {
      var lhs = node.left;
      var isVariableDeclaration = lhs.type === "VariableDeclaration";
      var lhsKind = isVariableDeclaration ? lhs.kind === "var" ? "varBinding" : "lexicalBinding" : "assignment";
      var uninitializedBoundNames = lhsKind === "lexicalBinding" ? collectBoundNames(lhs) : [];
      var iterationKind = node.type === "ForInStatement" ? "enumerate" : "iterate";
      var keyResult = ForInOfHeadEvaluation(uninitializedBoundNames, node.right, iterationKind);
      if (keyResult.Type !== "normal") {
        // When enumerate, if the target is nil, a break completion will be returned.
        return keyResult;
      }
      return ForInOfBodyEvaluation(lhs, node.body, keyResult.Value, iterationKind, lhsKind);
    }

    // https://tc39.es/ecma262/#sec-runtime-semantics-forinofheadevaluation
    function ForInOfHeadEvaluation(uninitializedBoundNames, expr, iterationKind) {
      var runningContext = getRunningContext();
      var oldEnv = runningContext.LexicalEnvironment;
      if (uninitializedBoundNames.length > 0) {
        var newEnv = new DeclarativeEnvironment(oldEnv);
        for (var name of uninitializedBoundNames) {
          newEnv.CreateMutableBinding(name, false);
        }
        runningContext.LexicalEnvironment = newEnv;
      }
      var exprRef = Evaluate(expr);
      runningContext.LexicalEnvironment = oldEnv;
      var exprValue = GetValue(exprRef);
      if (iterationKind === "enumerate") {
        if (exprValue === null || exprValue === undefined) {
          return new CompletionRecord("break", Empty);
        }
        var _iterator = EnumerateObjectProperties(exprValue);
        return NormalCompletion(_iterator);
      }
      var iterator = CreateListIteratorRecord(exprValue);
      return NormalCompletion(iterator);
    }
    function ForInOfBodyEvaluation(node, stmt, iteratorRecord, iterationKind, lhsKind) {
      var lhs = lhsKind === "assignment" ? node : node.declarations[0].id;
      var oldEnv = getRunningContext().LexicalEnvironment;
      var V;
      // When `destructuring` is false,
      // For `node` whose `kind` is assignment:
      //   `lhs` is an `Identifier` or a `MemberExpression`,
      // Otherwise:
      //   `lhs` is an `Identifier`.
      var destructuring = lhs.type === "ObjectPattern" || lhs.type === "ArrayPattern";
      // eslint-disable-next-line no-constant-condition
      while (true) {
        var {
          done,
          value: nextValue
        } = iteratorRecord.next();
        if (done) {
          return NormalCompletion(V);
        }
        var lhsRef = void 0;
        var iterationEnv = void 0;
        if (lhsKind === "lexicalBinding") {
          iterationEnv = new DeclarativeEnvironment(oldEnv);
          ForDeclarationBindingInstantiation(node, iterationEnv);
          getRunningContext().LexicalEnvironment = iterationEnv;
          if (!destructuring) {
            var [lhsName] = collectBoundNames(lhs);
            lhsRef = ResolveBinding(lhsName);
          }
        } else if (!destructuring) {
          lhsRef = Evaluate(lhs).Value;
        }
        destructuring ? lhsKind === "assignment" ? DestructuringAssignmentEvaluation(lhs, nextValue) : lhsKind === "varBinding" ? BindingInitialization(lhs, nextValue, undefined) : BindingInitialization(lhs, nextValue, iterationEnv) : lhsKind === "lexicalBinding" ? InitializeReferencedBinding(lhsRef, nextValue) : PutValue(lhsRef, nextValue);
        var result = Evaluate(stmt);
        getRunningContext().LexicalEnvironment = oldEnv;
        if (!LoopContinues(result)) {
          var status = UpdateEmpty(result, V);
          if (!(iterationKind === "enumerate" || iteratorRecord.return === undefined)) {
            // Perform *IteratorClose*
            // https://tc39.es/ecma262/#sec-iteratorclose
            var innerResult = iteratorRecord.return();
            if (!innerResult || !["object", "function"].includes(typeof innerResult)) {
              throw new TypeError("Iterator result is not an object");
            }
          }
          return status;
        }
        if (result.Value !== Empty) {
          V = result.Value;
        }
      }
    }

    // https://tc39.es/ecma262/#sec-enumerate-object-properties
    function* EnumerateObjectProperties(value) {
      for (var _key in value) {
        yield _key;
      }
    }

    // For statements.
    // https://tc39.es/ecma262/#sec-runtime-semantics-forloopevaluation
    function ForLoopEvaluation(node) {
      var _node$init;
      if (((_node$init = node.init) === null || _node$init === void 0 ? void 0 : _node$init.type) === "VariableDeclaration") {
        // `for (var … ; … ; … ) …`
        if (node.init.kind === "var") {
          Evaluate(node.init);
          return ForBodyEvaluation(node.test, node.update, node.body, []);
        }
        // `for (let/const … ; … ; … ) …`
        var oldEnv = getRunningContext().LexicalEnvironment;
        var loopEnv = new DeclarativeEnvironment(oldEnv);
        var isConst = node.init.kind === "const";
        var boundNames = collectBoundNames(node.init);
        for (var dn of boundNames) {
          if (isConst) {
            loopEnv.CreateImmutableBinding(dn, true);
          } else {
            loopEnv.CreateMutableBinding(dn, false);
          }
        }
        getRunningContext().LexicalEnvironment = loopEnv;
        Evaluate(node.init);
        var perIterationLets = isConst ? [] : Array.from(boundNames);
        var bodyResult = ForBodyEvaluation(node.test, node.update, node.body, perIterationLets);
        getRunningContext().LexicalEnvironment = oldEnv;
        return bodyResult;
      }
      // `for ( … ; … ; … ) …`
      if (node.init) {
        var exprRef = Evaluate(node.init);
        GetValue(exprRef);
      }
      return ForBodyEvaluation(node.test, node.update, node.body, []);
    }

    // https://tc39.es/ecma262/#sec-forbodyevaluation
    function ForBodyEvaluation(test, increment, stmt, perIterationBindings) {
      CreatePerIterationEnvironment(perIterationBindings);
      var V;
      // eslint-disable-next-line no-constant-condition
      while (true) {
        if (test) {
          var testRef = Evaluate(test);
          var testValue = GetValue(testRef);
          if (!testValue) {
            return NormalCompletion(V);
          }
        }
        var result = Evaluate(stmt);
        if (!LoopContinues(result)) {
          return UpdateEmpty(result, V);
        }
        if (result.Value) {
          V = result.Value;
        }
        CreatePerIterationEnvironment(perIterationBindings);
        if (increment) {
          var incRef = Evaluate(increment);
          GetValue(incRef);
        }
      }
    }

    // https://tc39.es/ecma262/#sec-createperiterationenvironment
    function CreatePerIterationEnvironment(perIterationBindings) {
      if (perIterationBindings.length === 0) {
        return;
      }
      var lastIterationEnv = getRunningContext().LexicalEnvironment;
      var outer = lastIterationEnv.OuterEnv;
      var thisIterationEnv = new DeclarativeEnvironment(outer);
      for (var bn of perIterationBindings) {
        thisIterationEnv.CreateMutableBinding(bn, false);
        var lastValue = lastIterationEnv.GetBindingValue(bn, false);
        thisIterationEnv.InitializeBinding(bn, lastValue);
      }
      getRunningContext().LexicalEnvironment = thisIterationEnv;
    }

    // Destructuring assignments.
    // https://tc39.es/ecma262/#sec-runtime-semantics-destructuringassignmentevaluation
    function DestructuringAssignmentEvaluation(pattern, value) {
      if (pattern.type === "ObjectPattern") {
        RequireObjectCoercible(value);
        if (pattern.properties.length > 0) {
          PropertyDestructuringAssignmentEvaluation(pattern.properties, value);
        }
        return NormalCompletion(Empty);
      }
      var iteratorRecord = CreateListIteratorRecord(value);
      return IteratorDestructuringAssignmentEvaluation(pattern.elements, iteratorRecord);
    }

    // https://tc39.es/ecma262/#sec-runtime-semantics-propertydestructuringassignmentevaluation
    function PropertyDestructuringAssignmentEvaluation(properties, value) {
      var excludedNames = new Set();
      for (var prop of properties) {
        if (prop.type === "Property") {
          var propName = !prop.computed && prop.key.type === "Identifier" ? prop.key.name : EvaluateComputedPropertyName(prop.key);
          var valueTarget = prop.value.type === "AssignmentPattern" ? prop.value.left : prop.value;
          if (valueTarget.type === "Identifier") {
            var lref = ResolveBinding(valueTarget.name);
            var v = GetV(value, propName);
            if (prop.value.type === "AssignmentPattern" && v === undefined) {
              // Todo(steve): check IsAnonymousFunctionDefinition(Initializer)
              var defaultValue = Evaluate(prop.value.right);
              v = GetValue(defaultValue);
            }
            PutValue(lref, v);
            excludedNames.add(propName);
          } else {
            KeyedDestructuringAssignmentEvaluation(prop.value, value, propName);
            excludedNames.add(propName);
          }
        } else {
          RestDestructuringAssignmentEvaluation(prop, value, excludedNames);
        }
      }
    }

    // https://tc39.es/ecma262/#sec-runtime-semantics-keyeddestructuringassignmentevaluation
    function KeyedDestructuringAssignmentEvaluation(node, value, propertyName) {
      var assignmentTarget = node.type === "AssignmentPattern" ? node.left : node;
      var isObjectOrArray = assignmentTarget.type === "ArrayPattern" || assignmentTarget.type === "ObjectPattern";
      var lref;
      if (!isObjectOrArray) {
        lref = Evaluate(assignmentTarget).Value;
      }
      var v = GetV(value, propertyName);
      var rhsValue;
      if (node.type === "AssignmentPattern" && v === undefined) {
        // Todo(steve): check IsAnonymousFunctionDefinition(Initializer)
        var defaultValue = Evaluate(node.right);
        rhsValue = GetValue(defaultValue);
      } else {
        rhsValue = v;
      }
      if (isObjectOrArray) {
        return DestructuringAssignmentEvaluation(assignmentTarget, rhsValue);
      }
      return PutValue(lref, rhsValue);
    }

    // https://tc39.es/ecma262/#sec-runtime-semantics-restdestructuringassignmentevaluation
    function RestDestructuringAssignmentEvaluation(restProperty, value, excludedNames) {
      var lref = Evaluate(restProperty.argument).Value;
      var restObj = CopyDataProperties({}, value, excludedNames);
      return PutValue(lref, restObj);
    }

    // https://tc39.es/ecma262/#sec-runtime-semantics-iteratordestructuringassignmentevaluation
    function IteratorDestructuringAssignmentEvaluation(elements, iteratorRecord) {
      var status = NormalCompletion(Empty);
      for (var element of elements) {
        if (!element) {
          iteratorRecord.next();
          status = NormalCompletion(Empty);
          continue;
        }
        var assignmentTarget = element.type === "RestElement" ? element.argument : element.type === "AssignmentPattern" ? element.left : element;
        var isObjectOrArray = assignmentTarget.type === "ArrayPattern" || assignmentTarget.type === "ObjectPattern";
        var lref = void 0;
        if (!isObjectOrArray) {
          lref = Evaluate(assignmentTarget).Value;
        }
        var v = void 0;
        if (element.type !== "RestElement") {
          var {
            done,
            value: nextValue
          } = iteratorRecord.next();
          var _value2 = done ? undefined : nextValue;
          if (element.type === "AssignmentPattern" && _value2 === undefined) {
            // Todo(steve): check IsAnonymousFunctionDefinition(Initializer)
            var defaultValue = Evaluate(element.right);
            v = GetValue(defaultValue);
          } else {
            v = _value2;
          }
        } else {
          // RestElement
          v = [];
          var n = 0;
          // eslint-disable-next-line no-constant-condition
          while (true) {
            var {
              done: _done,
              value: _nextValue
            } = iteratorRecord.next();
            if (_done) {
              break;
            }
            v[n] = _nextValue;
            n++;
          }
        }
        if (isObjectOrArray) {
          status = DestructuringAssignmentEvaluation(assignmentTarget, v);
        } else {
          status = PutValue(lref, v);
        }
      }
      return status;
    }

    // Object expressions.
    // https://tc39.es/ecma262/#sec-evaluate-property-access-with-expression-key
    function EvaluatePropertyAccessWithExpressionKey(baseValue, expression, strict) {
      var propertyNameReference = Evaluate(expression);
      var propertyNameValue = GetValue(propertyNameReference);
      var propertyKey = ToPropertyKey(propertyNameValue);
      return new ReferenceRecord(baseValue, propertyKey, strict);
    }

    // https://tc39.es/ecma262/#sec-evaluate-property-access-with-identifier-key
    function EvaluatePropertyAccessWithIdentifierKey(baseValue, identifier, strict) {
      var propertyNameString = identifier.name;
      return new ReferenceRecord(baseValue, propertyNameString, strict);
    }

    // Block statements.
    // https://tc39.es/ecma262/#sec-blockdeclarationinstantiation
    function BlockDeclarationInstantiation(code, env) {
      var declarations = collectScopedDeclarations(code, {
        var: false,
        topLevel: false
      });
      for (var d of declarations) {
        var IsConstantDeclaration = d.type === "VariableDeclaration" && d.kind === "const";
        for (var dn of collectBoundNames(d)) {
          if (IsConstantDeclaration) {
            env.CreateImmutableBinding(dn, true);
          } else {
            env.CreateMutableBinding(dn, false);
          }
        }
        if (d.type === "FunctionDeclaration") {
          var [_fn] = collectBoundNames(d);
          var _fo = InstantiateFunctionObject(d, env);
          env.InitializeBinding(_fn, _fo);
        }
      }
    }

    // Function declarations and expressions.
    // https://tc39.es/ecma262/#sec-evaluatecall
    function EvaluateCall(func, ref, args, callee) {
      var thisValue;
      if (ref instanceof ReferenceRecord) {
        if (IsPropertyReference(ref)) {
          thisValue = ref.Base;
        }
      }
      var argList = ArgumentListEvaluation(args);
      if (typeof func !== "function") {
        var funcName = codeSource.substring(callee.start, callee.end);
        throw new TypeError("".concat(funcName, " is not a function"));
      }
      var result = func.apply(thisValue, argList);
      sanitize(result);
      return NormalCompletion(result);
    }

    // https://tc39.es/ecma262/#sec-evaluatenew
    function EvaluateNew(constructExpr, args) {
      var ref = Evaluate(constructExpr);
      var constructor = GetValue(ref);
      var argList = ArgumentListEvaluation(args);
      if (typeof constructor !== "function" || constructor[IsConstructor] === false) {
        var constructorName = codeSource.substring(constructExpr.start, constructExpr.end);
        throw new TypeError("".concat(constructorName, " is not a constructor"));
      }
      if (!isAllowedConstructor(constructor)) {
        var _constructorName = codeSource.substring(constructExpr.start, constructExpr.end);
        throw new TypeError("".concat(_constructorName, " is not an allowed constructor"));
      }
      return NormalCompletion(new constructor(...argList));
    }

    // https://tc39.es/ecma262/#sec-runtime-semantics-argumentlistevaluation
    function ArgumentListEvaluation(args) {
      var array = [];
      if (Array.isArray(args)) {
        for (var arg of args) {
          if (arg.type === "SpreadElement") {
            var spreadValues = GetValue(Evaluate(arg.argument));
            array.push(...spreadValues);
          } else {
            array.push(GetValue(Evaluate(arg)));
          }
        }
      } else {
        array.push(GetTemplateObject(args));
        for (var expr of args.expressions) {
          array.push(GetValue(Evaluate(expr)));
        }
      }
      return array;
    }

    // https://tc39.es/ecma262/#sec-ecmascript-function-objects-call-thisargument-argumentslist
    function CallFunction(closure, args) {
      var _hooks$beforeCall;
      (_hooks$beforeCall = hooks.beforeCall) === null || _hooks$beforeCall === void 0 ? void 0 : _hooks$beforeCall.call(hooks, closure[SourceNode]);
      PrepareForOrdinaryCall(closure);
      var result = OrdinaryCallEvaluateBody(closure, args);
      executionContextStack.pop();
      if (result.Type === "return") {
        return result.Value;
      }
      return undefined;
    }

    // https://tc39.es/ecma262/#sec-prepareforordinarycall
    function PrepareForOrdinaryCall(F) {
      var calleeContext = new ExecutionContext();
      calleeContext.Function = F;
      var localEnv = new FunctionEnvironment(F[Environment]);
      calleeContext.VariableEnvironment = localEnv;
      calleeContext.LexicalEnvironment = localEnv;
      executionContextStack.push(calleeContext);
      return calleeContext;
    }

    // https://tc39.es/ecma262/#sec-ordinarycallevaluatebody
    function OrdinaryCallEvaluateBody(F, args) {
      return EvaluateFunctionBody(F[ECMAScriptCode], F, args);
    }

    // https://tc39.es/ecma262/#sec-runtime-semantics-evaluatefunctionbody
    function EvaluateFunctionBody(body, F, args) {
      FunctionDeclarationInstantiation(F, args);
      if (Array.isArray(body)) {
        return EvaluateStatementList(body);
      }
      return new CompletionRecord("return", GetValue(Evaluate(body)));
    }

    // https://tc39.es/ecma262/#sec-block-runtime-semantics-evaluation
    function EvaluateStatementList(statements) {
      var result = NormalCompletion(Empty);
      for (var stmt of statements) {
        var s = Evaluate(stmt);
        if (s.Type !== "normal") {
          return s;
        }
        result = UpdateEmpty(result, s.Value);
      }
      return result;
    }

    // https://tc39.es/ecma262/#sec-functiondeclarationinstantiation
    function FunctionDeclarationInstantiation(func, args) {
      var calleeContext = getRunningContext();
      var code = func[ECMAScriptCode];
      var formals = func[FormalParameters];
      var parameterNames = collectBoundNames(formals);
      var hasParameterExpressions = containsExpression(formals);
      var varDeclarations = collectScopedDeclarations(code, {
        var: true,
        topLevel: true
      });
      var varNames = collectBoundNames(varDeclarations);

      // `functionNames` ∈ `varNames`
      // `functionsToInitialize` ≈ `functionNames`
      var functionNames = [];
      var functionsToInitialize = [];
      for (var i = varDeclarations.length - 1; i >= 0; i--) {
        var d = varDeclarations[i];
        if (d.type === "FunctionDeclaration") {
          ThrowIfFunctionIsInvalid(d);
          var [_fn2] = collectBoundNames(d);
          if (!functionNames.includes(_fn2)) {
            functionNames.unshift(_fn2);
            functionsToInitialize.unshift(d);
          }
        } else if (rules !== null && rules !== void 0 && rules.noVar) {
          throw new SyntaxError("Var declaration is not recommended, use `let` or `const` instead");
        }
      }
      var env = calleeContext.LexicalEnvironment;
      for (var paramName of parameterNames) {
        // In strict mode, it's guaranteed no duplicate params exist.
        env.CreateMutableBinding(paramName, false);
      }
      var iteratorRecord = CreateListIteratorRecord(args);
      IteratorBindingInitialization(formals, iteratorRecord, env);
      var varEnv;
      if (!hasParameterExpressions) {
        // NOTE: Only a single Environment Record is needed for the parameters
        // and top-level vars.
        // `varNames` are unique.
        for (var n of varNames) {
          if (!parameterNames.includes(n)) {
            env.CreateMutableBinding(n, false);
            env.InitializeBinding(n, undefined);
          }
        }
        varEnv = env;
      } else {
        // NOTE: A separate Environment Record is needed to ensure that closures
        // created by expressions in the formal parameter list do not have
        // visibility of declarations in the function body.
        varEnv = new DeclarativeEnvironment(env);
        calleeContext.VariableEnvironment = varEnv;
        // `varNames` are unique.
        for (var _n of varNames) {
          varEnv.CreateMutableBinding(_n, false);
          var initialValue = void 0;
          if (parameterNames.includes(_n) && !functionNames.includes(_n)) {
            initialValue = env.GetBindingValue(_n, false);
          }
          varEnv.InitializeBinding(_n, initialValue);
          // NOTE: A var with the same name as a formal parameter initially has
          // the same value as the corresponding initialized parameter.
        }
      }

      var lexEnv = varEnv;
      calleeContext.LexicalEnvironment = lexEnv;
      var lexDeclarations = collectScopedDeclarations(code, {
        var: false,
        topLevel: true
      });
      for (var _d of lexDeclarations) {
        for (var dn of collectBoundNames(_d)) {
          // Only lexical VariableDeclaration here in top-level.
          if (_d.kind === "const") {
            lexEnv.CreateImmutableBinding(dn, true);
          } else {
            lexEnv.CreateMutableBinding(dn, false);
          }
        }
      }
      for (var f of functionsToInitialize) {
        var [_fn3] = collectBoundNames(f);
        var _fo2 = InstantiateFunctionObject(f, lexEnv);
        varEnv.SetMutableBinding(_fn3, _fo2, false);
      }
    }

    // https://tc39.es/ecma262/#sec-runtime-semantics-instantiatefunctionobject
    function InstantiateFunctionObject(func, scope, isRoot) {
      return OrdinaryFunctionCreate(func, scope, true, isRoot);
    }

    // https://tc39.es/ecma262/#sec-runtime-semantics-instantiateordinaryfunctionexpression
    function InstantiateOrdinaryFunctionExpression(functionExpression) {
      var scope = getRunningContext().LexicalEnvironment;
      if (functionExpression.id) {
        var name = functionExpression.id.name;
        var funcEnv = new DeclarativeEnvironment(scope);
        funcEnv.CreateImmutableBinding(name, false);
        var closure = OrdinaryFunctionCreate(functionExpression, funcEnv, true);
        funcEnv.InitializeBinding(name, closure);
        return closure;
      } else {
        var _closure = OrdinaryFunctionCreate(functionExpression, scope, true);
        return _closure;
      }
    }

    // https://tc39.es/ecma262/#sec-runtime-semantics-instantiatearrowfunctionexpression
    function InstantiateArrowFunctionExpression(arrowFunction) {
      var scope = getRunningContext().LexicalEnvironment;
      var closure = OrdinaryFunctionCreate(arrowFunction, scope, false);
      return closure;
    }

    // https://tc39.es/ecma262/#sec-ordinaryfunctioncreate
    function OrdinaryFunctionCreate(sourceNode, scope, isConstructor, isRoot) {
      var F = function () {
        var perf = isRoot && hooks.perfCall;
        var start;
        if (perf) {
          start = performance.now();
        }
        // eslint-disable-next-line prefer-rest-params
        var result = CallFunction(F, arguments);
        if (perf) {
          perf(performance.now() - start);
        }
        return result;
      };
      Object.defineProperties(F, {
        [SourceNode]: {
          value: sourceNode
        },
        [FormalParameters]: {
          value: sourceNode.params
        },
        [ECMAScriptCode]: {
          value: sourceNode.body.type === "BlockStatement" ? sourceNode.body.body : sourceNode.body
        },
        [Environment]: {
          value: scope
        },
        [IsConstructor]: {
          value: isConstructor
        }
      });
      return F;
    }

    // Patterns initialization.
    // https://tc39.es/ecma262/#sec-runtime-semantics-bindinginitialization
    function BindingInitialization(node, value, environment) {
      switch (node.type) {
        case "Identifier":
          return InitializeBoundName(node.name, value, environment);
        case "ObjectPattern":
          RequireObjectCoercible(value);
          return PropertyBindingInitialization(node.properties, value, environment);
        case "ArrayPattern":
          {
            var iteratorRecord = CreateListIteratorRecord(value);
            return IteratorBindingInitialization(node.elements, iteratorRecord, environment);
          }
      }
    }

    // https://tc39.es/ecma262/#sec-destructuring-binding-patterns-runtime-semantics-propertybindinginitialization
    function PropertyBindingInitialization(properties, value, environment) {
      var excludedNames = new Set();
      for (var prop of properties) {
        if (prop.type === "RestElement") {
          return RestBindingInitialization(prop, value, environment, excludedNames);
        }
        if (!prop.computed && prop.key.type === "Identifier") {
          KeyedBindingInitialization(prop.value, value, environment, prop.key.name);
          excludedNames.add(prop.key.name);
        } else {
          var P = EvaluateComputedPropertyName(prop.key);
          KeyedBindingInitialization(prop.value, value, environment, P);
          excludedNames.add(P);
        }
      }
      return NormalCompletion(Empty);
    }

    // https://tc39.es/ecma262/#prod-ComputedPropertyName
    function EvaluateComputedPropertyName(node) {
      var propName = GetValue(Evaluate(node));
      return ToPropertyKey(propName);
    }

    // https://tc39.es/ecma262/#sec-destructuring-binding-patterns-runtime-semantics-restbindinginitialization
    function RestBindingInitialization(restProperty, value, environment, excludedNames) {
      var lhs = ResolveBinding(restProperty.argument.name, environment);
      var restObj = CopyDataProperties({}, value, excludedNames);
      if (!environment) {
        return PutValue(lhs, restObj);
      }
      return InitializeReferencedBinding(lhs, restObj);
    }

    // https://tc39.es/ecma262/#sec-runtime-semantics-iteratorbindinginitialization
    function IteratorBindingInitialization(elements, iteratorRecord, environment) {
      if (elements.length === 0) {
        return NormalCompletion(Empty);
      }
      var result;
      for (var _node of elements) {
        if (!_node) {
          // Elision element.
          iteratorRecord.next();
          result = NormalCompletion(Empty);
        } else if (_node.type === "RestElement") {
          // Rest element.
          if (_node.argument.type === "Identifier") {
            var lhs = ResolveBinding(_node.argument.name, environment);
            var A = [];
            var n = 0;
            // eslint-disable-next-line no-constant-condition
            while (true) {
              var {
                done,
                value: _value3
              } = iteratorRecord.next();
              if (done) {
                result = environment ? InitializeReferencedBinding(lhs, A) : PutValue(lhs, A);
                break;
              }
              A[n] = _value3;
              n++;
            }
          } else {
            var _A = [];
            var _n2 = 0;
            // eslint-disable-next-line no-constant-condition
            while (true) {
              var {
                done: _done2,
                value: _value4
              } = iteratorRecord.next();
              if (_done2) {
                result = BindingInitialization(_node.argument, _A, environment);
                break;
              }
              _A[_n2] = _value4;
              _n2++;
            }
          }
        } else {
          // Normal element.
          var bindingElement = _node.type === "AssignmentPattern" ? _node.left : _node;
          switch (bindingElement.type) {
            case "ObjectPattern":
            case "ArrayPattern":
              {
                var v = void 0;
                var {
                  done: _done3,
                  value: _value5
                } = iteratorRecord.next();
                if (!_done3) {
                  v = _value5;
                }
                if (_node.type === "AssignmentPattern" && v === undefined) {
                  var defaultValue = Evaluate(_node.right);
                  v = GetValue(defaultValue);
                }
                result = BindingInitialization(bindingElement, v, environment);
                break;
              }
            case "Identifier":
              {
                var bindingId = bindingElement.name;
                var _lhs3 = ResolveBinding(bindingId, environment);
                var _v = void 0;
                var {
                  done: _done4,
                  value: _value6
                } = iteratorRecord.next();
                if (!_done4) {
                  _v = _value6;
                }
                if (_node.type === "AssignmentPattern" && _v === undefined) {
                  // IsAnonymousFunctionDefinition(Initializer)
                  var _defaultValue = Evaluate(_node.right);
                  _v = GetValue(_defaultValue);
                }
                result = environment ? InitializeReferencedBinding(_lhs3, _v) : PutValue(_lhs3, _v);
                break;
              }
          }
        }
      }
      return result;
    }

    // https://tc39.es/ecma262/#sec-runtime-semantics-keyedbindinginitialization
    function KeyedBindingInitialization(node, value, environment, propertyName) {
      var isIdentifier = node.type === "Identifier" || node.type === "AssignmentPattern" && node.left.type === "Identifier";
      if (isIdentifier) {
        var bindingId = node.type === "Identifier" ? node.name : node.left.name;
        var lhs = ResolveBinding(bindingId, environment);
        var _v2 = GetV(value, propertyName);
        if (node.type === "AssignmentPattern" && _v2 === undefined) {
          // If IsAnonymousFunctionDefinition(Initializer)
          var defaultValue = Evaluate(node.right);
          _v2 = GetValue(defaultValue);
        }
        if (!environment) {
          return PutValue(lhs, _v2);
        }
        return InitializeReferencedBinding(lhs, _v2);
      }
      var v = GetV(value, propertyName);
      if (node.type === "AssignmentPattern" && v === undefined) {
        var _defaultValue2 = Evaluate(node.right);
        v = GetValue(_defaultValue2);
      }
      return BindingInitialization(node.type === "AssignmentPattern" ? node.left : node, v, environment);
    }

    // https://tc39.es/ecma262/#sec-initializeboundname
    function InitializeBoundName(name, value, environment) {
      // Assert: environment is always present.
      environment.InitializeBinding(name, value);
      return NormalCompletion(Empty);
    }
    function ThrowIfFunctionIsInvalid(func) {
      if (func.async || func.generator) {
        throw new SyntaxError("".concat(func.async ? "Async" : "Generator", " function is not allowed"));
      }
      if (expressionOnly && !func.expression) {
        throw new SyntaxError("Only an `Expression` is allowed in `ArrowFunctionExpression`'s body");
      }
    }
    if (expressionOnly) {
      return GetValue(Evaluate(rootAst));
    }
    (_hooks$beforeEvaluate3 = hooks.beforeEvaluate) === null || _hooks$beforeEvaluate3 === void 0 ? void 0 : _hooks$beforeEvaluate3.call(hooks, rootAst);
    ThrowIfFunctionIsInvalid(rootAst);
    var [fn] = collectBoundNames(rootAst);
    // Create an immutable binding for the root function.
    rootEnv.CreateImmutableBinding(fn, true);
    var fo = InstantiateFunctionObject(rootAst, rootEnv, true);
    rootEnv.InitializeBinding(fn, fo);
    return fo;
  }

  var lib = {};

  var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5;
  Object.defineProperty(lib, '__esModule', {
    value: true
  });
  function _objectWithoutPropertiesLoose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;
    for (i = 0; i < sourceKeys.length; i++) {
      key = sourceKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      target[key] = source[key];
    }
    return target;
  }
  class Position {
    constructor(line, col, index) {
      this.line = void 0;
      this.column = void 0;
      this.index = void 0;
      this.line = line;
      this.column = col;
      this.index = index;
    }
  }
  class SourceLocation {
    constructor(start, end) {
      this.start = void 0;
      this.end = void 0;
      this.filename = void 0;
      this.identifierName = void 0;
      this.start = start;
      this.end = end;
    }
  }
  function createPositionWithColumnOffset(position, columnOffset) {
    var {
      line,
      column,
      index
    } = position;
    return new Position(line, column + columnOffset, index + columnOffset);
  }
  var ParseErrorCode = {
    SyntaxError: "BABEL_PARSER_SYNTAX_ERROR",
    SourceTypeModuleError: "BABEL_PARSER_SOURCETYPE_MODULE_REQUIRED"
  };
  var reflect = function (keys) {
    var last = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : keys.length - 1;
    return {
      get() {
        return keys.reduce((object, key) => object[key], this);
      },
      set(value) {
        keys.reduce((item, key, i) => i === last ? item[key] = value : item[key], this);
      }
    };
  };
  var instantiate = (constructor, properties, descriptors) => Object.keys(descriptors).map(key => [key, descriptors[key]]).filter(_ref3 => {
    var [, descriptor] = _ref3;
    return !!descriptor;
  }).map(_ref4 => {
    var [key, descriptor] = _ref4;
    return [key, typeof descriptor === "function" ? {
      value: descriptor,
      enumerable: false
    } : typeof descriptor.reflect === "string" ? Object.assign({}, descriptor, reflect(descriptor.reflect.split("."))) : descriptor];
  }).reduce((instance, _ref5) => {
    var [key, descriptor] = _ref5;
    return Object.defineProperty(instance, key, Object.assign({
      configurable: true
    }, descriptor));
  }, Object.assign(new constructor(), properties));
  var ModuleErrors = {
    ImportMetaOutsideModule: {
      message: "import.meta may appear only with 'sourceType: \"module\"'",
      code: ParseErrorCode.SourceTypeModuleError
    },
    ImportOutsideModule: {
      message: "'import' and 'export' may appear only with 'sourceType: \"module\"'",
      code: ParseErrorCode.SourceTypeModuleError
    }
  };
  var NodeDescriptions = {
    ArrayPattern: "array destructuring pattern",
    AssignmentExpression: "assignment expression",
    AssignmentPattern: "assignment expression",
    ArrowFunctionExpression: "arrow function expression",
    ConditionalExpression: "conditional expression",
    CatchClause: "catch clause",
    ForOfStatement: "for-of statement",
    ForInStatement: "for-in statement",
    ForStatement: "for-loop",
    FormalParameters: "function parameter list",
    Identifier: "identifier",
    ImportSpecifier: "import specifier",
    ImportDefaultSpecifier: "import default specifier",
    ImportNamespaceSpecifier: "import namespace specifier",
    ObjectPattern: "object destructuring pattern",
    ParenthesizedExpression: "parenthesized expression",
    RestElement: "rest element",
    UpdateExpression: {
      true: "prefix operation",
      false: "postfix operation"
    },
    VariableDeclarator: "variable declaration",
    YieldExpression: "yield expression"
  };
  var toNodeDescription = _ref6 => {
    var {
      type,
      prefix
    } = _ref6;
    return type === "UpdateExpression" ? NodeDescriptions.UpdateExpression[String(prefix)] : NodeDescriptions[type];
  };
  var StandardErrors = {
    AccessorIsGenerator: _ref7 => {
      var {
        kind
      } = _ref7;
      return "A ".concat(kind, "ter cannot be a generator.");
    },
    ArgumentsInClass: "'arguments' is only allowed in functions and class methods.",
    AsyncFunctionInSingleStatementContext: "Async functions can only be declared at the top level or inside a block.",
    AwaitBindingIdentifier: "Can not use 'await' as identifier inside an async function.",
    AwaitBindingIdentifierInStaticBlock: "Can not use 'await' as identifier inside a static block.",
    AwaitExpressionFormalParameter: "'await' is not allowed in async function parameters.",
    AwaitNotInAsyncContext: "'await' is only allowed within async functions and at the top levels of modules.",
    AwaitNotInAsyncFunction: "'await' is only allowed within async functions.",
    BadGetterArity: "A 'get' accesor must not have any formal parameters.",
    BadSetterArity: "A 'set' accesor must have exactly one formal parameter.",
    BadSetterRestParameter: "A 'set' accesor function argument must not be a rest parameter.",
    ConstructorClassField: "Classes may not have a field named 'constructor'.",
    ConstructorClassPrivateField: "Classes may not have a private field named '#constructor'.",
    ConstructorIsAccessor: "Class constructor may not be an accessor.",
    ConstructorIsAsync: "Constructor can't be an async function.",
    ConstructorIsGenerator: "Constructor can't be a generator.",
    DeclarationMissingInitializer: _ref8 => {
      var {
        kind
      } = _ref8;
      return "Missing initializer in ".concat(kind, " declaration.");
    },
    DecoratorArgumentsOutsideParentheses: "Decorator arguments must be moved inside parentheses: use '@(decorator(args))' instead of '@(decorator)(args)'.",
    DecoratorBeforeExport: "Decorators must be placed *before* the 'export' keyword. You can set the 'decoratorsBeforeExport' option to false to use the 'export @decorator class {}' syntax.",
    DecoratorConstructor: "Decorators can't be used with a constructor. Did you mean '@dec class { ... }'?",
    DecoratorExportClass: "Using the export keyword between a decorator and a class is not allowed. Please use `export @dec class` instead.",
    DecoratorSemicolon: "Decorators must not be followed by a semicolon.",
    DecoratorStaticBlock: "Decorators can't be used with a static block.",
    DeletePrivateField: "Deleting a private field is not allowed.",
    DestructureNamedImport: "ES2015 named imports do not destructure. Use another statement for destructuring after the import.",
    DuplicateConstructor: "Duplicate constructor in the same class.",
    DuplicateDefaultExport: "Only one default export allowed per module.",
    DuplicateExport: _ref9 => {
      var {
        exportName
      } = _ref9;
      return "`".concat(exportName, "` has already been exported. Exported identifiers must be unique.");
    },
    DuplicateProto: "Redefinition of __proto__ property.",
    DuplicateRegExpFlags: "Duplicate regular expression flag.",
    ElementAfterRest: "Rest element must be last element.",
    EscapedCharNotAnIdentifier: "Invalid Unicode escape.",
    ExportBindingIsString: _ref10 => {
      var {
        localName,
        exportName
      } = _ref10;
      return "A string literal cannot be used as an exported binding without `from`.\n- Did you mean `export { '".concat(localName, "' as '").concat(exportName, "' } from 'some-module'`?");
    },
    ExportDefaultFromAsIdentifier: "'from' is not allowed as an identifier after 'export default'.",
    ForInOfLoopInitializer: _ref11 => {
      var {
        type
      } = _ref11;
      return "'".concat(type === "ForInStatement" ? "for-in" : "for-of", "' loop variable declaration may not have an initializer.");
    },
    ForInUsing: "For-in loop may not start with 'using' declaration.",
    ForOfAsync: "The left-hand side of a for-of loop may not be 'async'.",
    ForOfLet: "The left-hand side of a for-of loop may not start with 'let'.",
    GeneratorInSingleStatementContext: "Generators can only be declared at the top level or inside a block.",
    IllegalBreakContinue: _ref12 => {
      var {
        type
      } = _ref12;
      return "Unsyntactic ".concat(type === "BreakStatement" ? "break" : "continue", ".");
    },
    IllegalLanguageModeDirective: "Illegal 'use strict' directive in function with non-simple parameter list.",
    IllegalReturn: "'return' outside of function.",
    ImportBindingIsString: _ref13 => {
      var {
        importName
      } = _ref13;
      return "A string literal cannot be used as an imported binding.\n- Did you mean `import { \"".concat(importName, "\" as foo }`?");
    },
    ImportCallArgumentTrailingComma: "Trailing comma is disallowed inside import(...) arguments.",
    ImportCallArity: _ref14 => {
      var {
        maxArgumentCount
      } = _ref14;
      return "`import()` requires exactly ".concat(maxArgumentCount === 1 ? "one argument" : "one or two arguments", ".");
    },
    ImportCallNotNewExpression: "Cannot use new with import(...).",
    ImportCallSpreadArgument: "`...` is not allowed in `import()`.",
    ImportJSONBindingNotDefault: "A JSON module can only be imported with `default`.",
    ImportReflectionHasAssertion: "`import module x` cannot have assertions.",
    ImportReflectionNotBinding: 'Only `import module x from "./module"` is valid.',
    IncompatibleRegExpUVFlags: "The 'u' and 'v' regular expression flags cannot be enabled at the same time.",
    InvalidBigIntLiteral: "Invalid BigIntLiteral.",
    InvalidCodePoint: "Code point out of bounds.",
    InvalidCoverInitializedName: "Invalid shorthand property initializer.",
    InvalidDecimal: "Invalid decimal.",
    InvalidDigit: _ref15 => {
      var {
        radix
      } = _ref15;
      return "Expected number in radix ".concat(radix, ".");
    },
    InvalidEscapeSequence: "Bad character escape sequence.",
    InvalidEscapeSequenceTemplate: "Invalid escape sequence in template.",
    InvalidEscapedReservedWord: _ref16 => {
      var {
        reservedWord
      } = _ref16;
      return "Escape sequence in keyword ".concat(reservedWord, ".");
    },
    InvalidIdentifier: _ref17 => {
      var {
        identifierName
      } = _ref17;
      return "Invalid identifier ".concat(identifierName, ".");
    },
    InvalidLhs: _ref18 => {
      var {
        ancestor
      } = _ref18;
      return "Invalid left-hand side in ".concat(toNodeDescription(ancestor), ".");
    },
    InvalidLhsBinding: _ref19 => {
      var {
        ancestor
      } = _ref19;
      return "Binding invalid left-hand side in ".concat(toNodeDescription(ancestor), ".");
    },
    InvalidNumber: "Invalid number.",
    InvalidOrMissingExponent: "Floating-point numbers require a valid exponent after the 'e'.",
    InvalidOrUnexpectedToken: _ref20 => {
      var {
        unexpected
      } = _ref20;
      return "Unexpected character '".concat(unexpected, "'.");
    },
    InvalidParenthesizedAssignment: "Invalid parenthesized assignment pattern.",
    InvalidPrivateFieldResolution: _ref21 => {
      var {
        identifierName
      } = _ref21;
      return "Private name #".concat(identifierName, " is not defined.");
    },
    InvalidPropertyBindingPattern: "Binding member expression.",
    InvalidRecordProperty: "Only properties and spread elements are allowed in record definitions.",
    InvalidRestAssignmentPattern: "Invalid rest operator's argument.",
    LabelRedeclaration: _ref22 => {
      var {
        labelName
      } = _ref22;
      return "Label '".concat(labelName, "' is already declared.");
    },
    LetInLexicalBinding: "'let' is not allowed to be used as a name in 'let' or 'const' declarations.",
    LineTerminatorBeforeArrow: "No line break is allowed before '=>'.",
    MalformedRegExpFlags: "Invalid regular expression flag.",
    MissingClassName: "A class name is required.",
    MissingEqInAssignment: "Only '=' operator can be used for specifying default value.",
    MissingSemicolon: "Missing semicolon.",
    MissingPlugin: _ref23 => {
      var {
        missingPlugin
      } = _ref23;
      return "This experimental syntax requires enabling the parser plugin: ".concat(missingPlugin.map(name => JSON.stringify(name)).join(", "), ".");
    },
    MissingOneOfPlugins: _ref24 => {
      var {
        missingPlugin
      } = _ref24;
      return "This experimental syntax requires enabling one of the following parser plugin(s): ".concat(missingPlugin.map(name => JSON.stringify(name)).join(", "), ".");
    },
    MissingUnicodeEscape: "Expecting Unicode escape sequence \\uXXXX.",
    MixingCoalesceWithLogical: "Nullish coalescing operator(??) requires parens when mixing with logical operators.",
    ModuleAttributeDifferentFromType: "The only accepted module attribute is `type`.",
    ModuleAttributeInvalidValue: "Only string literals are allowed as module attribute values.",
    ModuleAttributesWithDuplicateKeys: _ref25 => {
      var {
        key
      } = _ref25;
      return "Duplicate key \"".concat(key, "\" is not allowed in module attributes.");
    },
    ModuleExportNameHasLoneSurrogate: _ref26 => {
      var {
        surrogateCharCode
      } = _ref26;
      return "An export name cannot include a lone surrogate, found '\\u".concat(surrogateCharCode.toString(16), "'.");
    },
    ModuleExportUndefined: _ref27 => {
      var {
        localName
      } = _ref27;
      return "Export '".concat(localName, "' is not defined.");
    },
    MultipleDefaultsInSwitch: "Multiple default clauses.",
    NewlineAfterThrow: "Illegal newline after throw.",
    NoCatchOrFinally: "Missing catch or finally clause.",
    NumberIdentifier: "Identifier directly after number.",
    NumericSeparatorInEscapeSequence: "Numeric separators are not allowed inside unicode escape sequences or hex escape sequences.",
    ObsoleteAwaitStar: "'await*' has been removed from the async functions proposal. Use Promise.all() instead.",
    OptionalChainingNoNew: "Constructors in/after an Optional Chain are not allowed.",
    OptionalChainingNoTemplate: "Tagged Template Literals are not allowed in optionalChain.",
    OverrideOnConstructor: "'override' modifier cannot appear on a constructor declaration.",
    ParamDupe: "Argument name clash.",
    PatternHasAccessor: "Object pattern can't contain getter or setter.",
    PatternHasMethod: "Object pattern can't contain methods.",
    PrivateInExpectedIn: _ref28 => {
      var {
        identifierName
      } = _ref28;
      return "Private names are only allowed in property accesses (`obj.#".concat(identifierName, "`) or in `in` expressions (`#").concat(identifierName, " in obj`).");
    },
    PrivateNameRedeclaration: _ref29 => {
      var {
        identifierName
      } = _ref29;
      return "Duplicate private name #".concat(identifierName, ".");
    },
    RecordExpressionBarIncorrectEndSyntaxType: "Record expressions ending with '|}' are only allowed when the 'syntaxType' option of the 'recordAndTuple' plugin is set to 'bar'.",
    RecordExpressionBarIncorrectStartSyntaxType: "Record expressions starting with '{|' are only allowed when the 'syntaxType' option of the 'recordAndTuple' plugin is set to 'bar'.",
    RecordExpressionHashIncorrectStartSyntaxType: "Record expressions starting with '#{' are only allowed when the 'syntaxType' option of the 'recordAndTuple' plugin is set to 'hash'.",
    RecordNoProto: "'__proto__' is not allowed in Record expressions.",
    RestTrailingComma: "Unexpected trailing comma after rest element.",
    SloppyFunction: "In non-strict mode code, functions can only be declared at top level, inside a block, or as the body of an if statement.",
    StaticPrototype: "Classes may not have static property named prototype.",
    SuperNotAllowed: "`super()` is only valid inside a class constructor of a subclass. Maybe a typo in the method name ('constructor') or not extending another class?",
    SuperPrivateField: "Private fields can't be accessed on super.",
    TrailingDecorator: "Decorators must be attached to a class element.",
    TupleExpressionBarIncorrectEndSyntaxType: "Tuple expressions ending with '|]' are only allowed when the 'syntaxType' option of the 'recordAndTuple' plugin is set to 'bar'.",
    TupleExpressionBarIncorrectStartSyntaxType: "Tuple expressions starting with '[|' are only allowed when the 'syntaxType' option of the 'recordAndTuple' plugin is set to 'bar'.",
    TupleExpressionHashIncorrectStartSyntaxType: "Tuple expressions starting with '#[' are only allowed when the 'syntaxType' option of the 'recordAndTuple' plugin is set to 'hash'.",
    UnexpectedArgumentPlaceholder: "Unexpected argument placeholder.",
    UnexpectedAwaitAfterPipelineBody: 'Unexpected "await" after pipeline body; await must have parentheses in minimal proposal.',
    UnexpectedDigitAfterHash: "Unexpected digit after hash token.",
    UnexpectedImportExport: "'import' and 'export' may only appear at the top level.",
    UnexpectedKeyword: _ref30 => {
      var {
        keyword
      } = _ref30;
      return "Unexpected keyword '".concat(keyword, "'.");
    },
    UnexpectedLeadingDecorator: "Leading decorators must be attached to a class declaration.",
    UnexpectedLexicalDeclaration: "Lexical declaration cannot appear in a single-statement context.",
    UnexpectedNewTarget: "`new.target` can only be used in functions or class properties.",
    UnexpectedNumericSeparator: "A numeric separator is only allowed between two digits.",
    UnexpectedPrivateField: "Unexpected private name.",
    UnexpectedReservedWord: _ref31 => {
      var {
        reservedWord
      } = _ref31;
      return "Unexpected reserved word '".concat(reservedWord, "'.");
    },
    UnexpectedSuper: "'super' is only allowed in object methods and classes.",
    UnexpectedToken: _ref32 => {
      var {
        expected,
        unexpected
      } = _ref32;
      return "Unexpected token".concat(unexpected ? " '".concat(unexpected, "'.") : "").concat(expected ? ", expected \"".concat(expected, "\"") : "");
    },
    UnexpectedTokenUnaryExponentiation: "Illegal expression. Wrap left hand side or entire exponentiation in parentheses.",
    UnexpectedUsingDeclaration: "Using declaration cannot appear in the top level when source type is `script`.",
    UnsupportedBind: "Binding should be performed on object property.",
    UnsupportedDecoratorExport: "A decorated export must export a class declaration.",
    UnsupportedDefaultExport: "Only expressions, functions or classes are allowed as the `default` export.",
    UnsupportedImport: "`import` can only be used in `import()` or `import.meta`.",
    UnsupportedMetaProperty: _ref33 => {
      var {
        target,
        onlyValidPropertyName
      } = _ref33;
      return "The only valid meta property for ".concat(target, " is ").concat(target, ".").concat(onlyValidPropertyName, ".");
    },
    UnsupportedParameterDecorator: "Decorators cannot be used to decorate parameters.",
    UnsupportedPropertyDecorator: "Decorators cannot be used to decorate object literal properties.",
    UnsupportedSuper: "'super' can only be used with function calls (i.e. super()) or in property accesses (i.e. super.prop or super[prop]).",
    UnterminatedComment: "Unterminated comment.",
    UnterminatedRegExp: "Unterminated regular expression.",
    UnterminatedString: "Unterminated string constant.",
    UnterminatedTemplate: "Unterminated template.",
    UsingDeclarationHasBindingPattern: "Using declaration cannot have destructuring patterns.",
    VarRedeclaration: _ref34 => {
      var {
        identifierName
      } = _ref34;
      return "Identifier '".concat(identifierName, "' has already been declared.");
    },
    YieldBindingIdentifier: "Can not use 'yield' as identifier inside a generator.",
    YieldInParameter: "Yield expression is not allowed in formal parameters.",
    ZeroDigitNumericSeparator: "Numeric separator can not be used after leading 0."
  };
  var StrictModeErrors = {
    StrictDelete: "Deleting local variable in strict mode.",
    StrictEvalArguments: _ref35 => {
      var {
        referenceName
      } = _ref35;
      return "Assigning to '".concat(referenceName, "' in strict mode.");
    },
    StrictEvalArgumentsBinding: _ref36 => {
      var {
        bindingName
      } = _ref36;
      return "Binding '".concat(bindingName, "' in strict mode.");
    },
    StrictFunction: "In strict mode code, functions can only be declared at top level or inside a block.",
    StrictNumericEscape: "The only valid numeric escape in strict mode is '\\0'.",
    StrictOctalLiteral: "Legacy octal literals are not allowed in strict mode.",
    StrictWith: "'with' in strict mode."
  };
  var UnparenthesizedPipeBodyDescriptions = new Set(["ArrowFunctionExpression", "AssignmentExpression", "ConditionalExpression", "YieldExpression"]);
  var PipelineOperatorErrors = {
    PipeBodyIsTighter: "Unexpected yield after pipeline body; any yield expression acting as Hack-style pipe body must be parenthesized due to its loose operator precedence.",
    PipeTopicRequiresHackPipes: 'Topic reference is used, but the pipelineOperator plugin was not passed a "proposal": "hack" or "smart" option.',
    PipeTopicUnbound: "Topic reference is unbound; it must be inside a pipe body.",
    PipeTopicUnconfiguredToken: _ref37 => {
      var {
        token
      } = _ref37;
      return "Invalid topic token ".concat(token, ". In order to use ").concat(token, " as a topic reference, the pipelineOperator plugin must be configured with { \"proposal\": \"hack\", \"topicToken\": \"").concat(token, "\" }.");
    },
    PipeTopicUnused: "Hack-style pipe body does not contain a topic reference; Hack-style pipes must use topic at least once.",
    PipeUnparenthesizedBody: _ref38 => {
      var {
        type
      } = _ref38;
      return "Hack-style pipe body cannot be an unparenthesized ".concat(toNodeDescription({
        type
      }), "; please wrap it in parentheses.");
    },
    PipelineBodyNoArrow: 'Unexpected arrow "=>" after pipeline body; arrow function in pipeline body must be parenthesized.',
    PipelineBodySequenceExpression: "Pipeline body may not be a comma-separated sequence expression.",
    PipelineHeadSequenceExpression: "Pipeline head should not be a comma-separated sequence expression.",
    PipelineTopicUnused: "Pipeline is in topic style but does not use topic reference.",
    PrimaryTopicNotAllowed: "Topic reference was used in a lexical context without topic binding.",
    PrimaryTopicRequiresSmartPipeline: 'Topic reference is used, but the pipelineOperator plugin was not passed a "proposal": "hack" or "smart" option.'
  };
  var _excluded$1$1 = ["toMessage"],
    _excluded2$1 = ["message"];
  function toParseErrorConstructor(_ref) {
    var {
        toMessage
      } = _ref,
      properties = _objectWithoutPropertiesLoose(_ref, _excluded$1$1);
    return function constructor(_ref39) {
      var {
        loc,
        details
      } = _ref39;
      return instantiate(SyntaxError, Object.assign({}, properties, {
        loc
      }), {
        clone() {
          var overrides = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
          var loc = overrides.loc || {};
          return constructor({
            loc: new Position("line" in loc ? loc.line : this.loc.line, "column" in loc ? loc.column : this.loc.column, "index" in loc ? loc.index : this.loc.index),
            details: Object.assign({}, this.details, overrides.details)
          });
        },
        details: {
          value: details,
          enumerable: false
        },
        message: {
          get() {
            return "".concat(toMessage(this.details), " (").concat(this.loc.line, ":").concat(this.loc.column, ")");
          },
          set(value) {
            Object.defineProperty(this, "message", {
              value
            });
          }
        },
        pos: {
          reflect: "loc.index",
          enumerable: true
        },
        missingPlugin: "missingPlugin" in details && {
          reflect: "details.missingPlugin",
          enumerable: true
        }
      });
    };
  }
  function ParseErrorEnum(argument, syntaxPlugin) {
    if (Array.isArray(argument)) {
      return parseErrorTemplates => ParseErrorEnum(parseErrorTemplates, argument[0]);
    }
    var ParseErrorConstructors = {};
    var _loop = function (reasonCode) {
      var template = argument[reasonCode];
      var _ref2 = typeof template === "string" ? {
          message: () => template
        } : typeof template === "function" ? {
          message: template
        } : template,
        {
          message
        } = _ref2,
        rest = _objectWithoutPropertiesLoose(_ref2, _excluded2$1);
      var toMessage = typeof message === "string" ? () => message : message;
      ParseErrorConstructors[reasonCode] = toParseErrorConstructor(Object.assign({
        code: ParseErrorCode.SyntaxError,
        reasonCode,
        toMessage
      }, syntaxPlugin ? {
        syntaxPlugin
      } : {}, rest));
    };
    for (var reasonCode of Object.keys(argument)) {
      _loop(reasonCode);
    }
    return ParseErrorConstructors;
  }
  var Errors = Object.assign({}, ParseErrorEnum(ModuleErrors), ParseErrorEnum(StandardErrors), ParseErrorEnum(StrictModeErrors), ParseErrorEnum(_templateObject || (_templateObject = _taggedTemplateLiteral__default["default"](["pipelineOperator"])))(PipelineOperatorErrors));
  var {
    defineProperty
  } = Object;
  var toUnenumerable = (object, key) => defineProperty(object, key, {
    enumerable: false,
    value: object[key]
  });
  function toESTreeLocation(node) {
    node.loc.start && toUnenumerable(node.loc.start, "index");
    node.loc.end && toUnenumerable(node.loc.end, "index");
    return node;
  }
  var estree = superClass => class ESTreeParserMixin extends superClass {
    parse() {
      var file = toESTreeLocation(super.parse());
      if (this.options.tokens) {
        file.tokens = file.tokens.map(toESTreeLocation);
      }
      return file;
    }
    parseRegExpLiteral(_ref40) {
      var {
        pattern,
        flags
      } = _ref40;
      var regex = null;
      try {
        regex = new RegExp(pattern, flags);
      } catch (e) {}
      var node = this.estreeParseLiteral(regex);
      node.regex = {
        pattern,
        flags
      };
      return node;
    }
    parseBigIntLiteral(value) {
      var bigInt;
      try {
        bigInt = BigInt(value);
      } catch (_unused) {
        bigInt = null;
      }
      var node = this.estreeParseLiteral(bigInt);
      node.bigint = String(node.value || value);
      return node;
    }
    parseDecimalLiteral(value) {
      var decimal = null;
      var node = this.estreeParseLiteral(decimal);
      node.decimal = String(node.value || value);
      return node;
    }
    estreeParseLiteral(value) {
      return this.parseLiteral(value, "Literal");
    }
    parseStringLiteral(value) {
      return this.estreeParseLiteral(value);
    }
    parseNumericLiteral(value) {
      return this.estreeParseLiteral(value);
    }
    parseNullLiteral() {
      return this.estreeParseLiteral(null);
    }
    parseBooleanLiteral(value) {
      return this.estreeParseLiteral(value);
    }
    directiveToStmt(directive) {
      var expression = directive.value;
      delete directive.value;
      expression.type = "Literal";
      expression.raw = expression.extra.raw;
      expression.value = expression.extra.expressionValue;
      var stmt = directive;
      stmt.type = "ExpressionStatement";
      stmt.expression = expression;
      stmt.directive = expression.extra.rawValue;
      delete expression.extra;
      return stmt;
    }
    initFunction(node, isAsync) {
      super.initFunction(node, isAsync);
      node.expression = false;
    }
    checkDeclaration(node) {
      if (node != null && this.isObjectProperty(node)) {
        this.checkDeclaration(node.value);
      } else {
        super.checkDeclaration(node);
      }
    }
    getObjectOrClassMethodParams(method) {
      return method.value.params;
    }
    isValidDirective(stmt) {
      var _stmt$expression$extr;
      return stmt.type === "ExpressionStatement" && stmt.expression.type === "Literal" && typeof stmt.expression.value === "string" && !((_stmt$expression$extr = stmt.expression.extra) != null && _stmt$expression$extr.parenthesized);
    }
    parseBlockBody(node, allowDirectives, topLevel, end, afterBlockParse) {
      super.parseBlockBody(node, allowDirectives, topLevel, end, afterBlockParse);
      var directiveStatements = node.directives.map(d => this.directiveToStmt(d));
      node.body = directiveStatements.concat(node.body);
      delete node.directives;
    }
    pushClassMethod(classBody, method, isGenerator, isAsync, isConstructor, allowsDirectSuper) {
      this.parseMethod(method, isGenerator, isAsync, isConstructor, allowsDirectSuper, "ClassMethod", true);
      if (method.typeParameters) {
        method.value.typeParameters = method.typeParameters;
        delete method.typeParameters;
      }
      classBody.body.push(method);
    }
    parsePrivateName() {
      var node = super.parsePrivateName();
      {
        if (!this.getPluginOption("estree", "classFeatures")) {
          return node;
        }
      }
      return this.convertPrivateNameToPrivateIdentifier(node);
    }
    convertPrivateNameToPrivateIdentifier(node) {
      var name = super.getPrivateNameSV(node);
      node = node;
      delete node.id;
      node.name = name;
      node.type = "PrivateIdentifier";
      return node;
    }
    isPrivateName(node) {
      {
        if (!this.getPluginOption("estree", "classFeatures")) {
          return super.isPrivateName(node);
        }
      }
      return node.type === "PrivateIdentifier";
    }
    getPrivateNameSV(node) {
      {
        if (!this.getPluginOption("estree", "classFeatures")) {
          return super.getPrivateNameSV(node);
        }
      }
      return node.name;
    }
    parseLiteral(value, type) {
      var node = super.parseLiteral(value, type);
      node.raw = node.extra.raw;
      delete node.extra;
      return node;
    }
    parseFunctionBody(node, allowExpression) {
      var isMethod = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
      super.parseFunctionBody(node, allowExpression, isMethod);
      node.expression = node.body.type !== "BlockStatement";
    }
    parseMethod(node, isGenerator, isAsync, isConstructor, allowDirectSuper, type) {
      var inClassScope = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : false;
      var funcNode = this.startNode();
      funcNode.kind = node.kind;
      funcNode = super.parseMethod(funcNode, isGenerator, isAsync, isConstructor, allowDirectSuper, type, inClassScope);
      funcNode.type = "FunctionExpression";
      delete funcNode.kind;
      node.value = funcNode;
      if (type === "ClassPrivateMethod") {
        node.computed = false;
      }
      return this.finishNode(node, "MethodDefinition");
    }
    parseClassProperty() {
      var propertyNode = super.parseClassProperty(...arguments);
      {
        if (!this.getPluginOption("estree", "classFeatures")) {
          return propertyNode;
        }
      }
      propertyNode.type = "PropertyDefinition";
      return propertyNode;
    }
    parseClassPrivateProperty() {
      var propertyNode = super.parseClassPrivateProperty(...arguments);
      {
        if (!this.getPluginOption("estree", "classFeatures")) {
          return propertyNode;
        }
      }
      propertyNode.type = "PropertyDefinition";
      propertyNode.computed = false;
      return propertyNode;
    }
    parseObjectMethod(prop, isGenerator, isAsync, isPattern, isAccessor) {
      var node = super.parseObjectMethod(prop, isGenerator, isAsync, isPattern, isAccessor);
      if (node) {
        node.type = "Property";
        if (node.kind === "method") {
          node.kind = "init";
        }
        node.shorthand = false;
      }
      return node;
    }
    parseObjectProperty(prop, startLoc, isPattern, refExpressionErrors) {
      var node = super.parseObjectProperty(prop, startLoc, isPattern, refExpressionErrors);
      if (node) {
        node.kind = "init";
        node.type = "Property";
      }
      return node;
    }
    isValidLVal(type, isUnparenthesizedInAssign, binding) {
      return type === "Property" ? "value" : super.isValidLVal(type, isUnparenthesizedInAssign, binding);
    }
    isAssignable(node, isBinding) {
      if (node != null && this.isObjectProperty(node)) {
        return this.isAssignable(node.value, isBinding);
      }
      return super.isAssignable(node, isBinding);
    }
    toAssignable(node) {
      var isLHS = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
      if (node != null && this.isObjectProperty(node)) {
        var {
          key,
          value
        } = node;
        if (this.isPrivateName(key)) {
          this.classScope.usePrivateName(this.getPrivateNameSV(key), key.loc.start);
        }
        this.toAssignable(value, isLHS);
      } else {
        super.toAssignable(node, isLHS);
      }
    }
    toAssignableObjectExpressionProp(prop, isLast, isLHS) {
      if (prop.kind === "get" || prop.kind === "set") {
        this.raise(Errors.PatternHasAccessor, {
          at: prop.key
        });
      } else if (prop.method) {
        this.raise(Errors.PatternHasMethod, {
          at: prop.key
        });
      } else {
        super.toAssignableObjectExpressionProp(prop, isLast, isLHS);
      }
    }
    finishCallExpression(unfinished, optional) {
      var node = super.finishCallExpression(unfinished, optional);
      if (node.callee.type === "Import") {
        node.type = "ImportExpression";
        node.source = node.arguments[0];
        if (this.hasPlugin("importAssertions")) {
          var _node$arguments$;
          node.attributes = (_node$arguments$ = node.arguments[1]) != null ? _node$arguments$ : null;
        }
        delete node.arguments;
        delete node.callee;
      }
      return node;
    }
    toReferencedArguments(node) {
      if (node.type === "ImportExpression") {
        return;
      }
      super.toReferencedArguments(node);
    }
    parseExport(unfinished, decorators) {
      var exportStartLoc = this.state.lastTokStartLoc;
      var node = super.parseExport(unfinished, decorators);
      switch (node.type) {
        case "ExportAllDeclaration":
          node.exported = null;
          break;
        case "ExportNamedDeclaration":
          if (node.specifiers.length === 1 && node.specifiers[0].type === "ExportNamespaceSpecifier") {
            node.type = "ExportAllDeclaration";
            node.exported = node.specifiers[0].exported;
            delete node.specifiers;
          }
        case "ExportDefaultDeclaration":
          {
            var _declaration$decorato;
            var {
              declaration
            } = node;
            if ((declaration == null ? void 0 : declaration.type) === "ClassDeclaration" && ((_declaration$decorato = declaration.decorators) == null ? void 0 : _declaration$decorato.length) > 0 && declaration.start === node.start) {
              this.resetStartLocation(node, exportStartLoc);
            }
          }
          break;
      }
      return node;
    }
    parseSubscript(base, startLoc, noCalls, state) {
      var node = super.parseSubscript(base, startLoc, noCalls, state);
      if (state.optionalChainMember) {
        if (node.type === "OptionalMemberExpression" || node.type === "OptionalCallExpression") {
          node.type = node.type.substring(8);
        }
        if (state.stop) {
          var chain = this.startNodeAtNode(node);
          chain.expression = node;
          return this.finishNode(chain, "ChainExpression");
        }
      } else if (node.type === "MemberExpression" || node.type === "CallExpression") {
        node.optional = false;
      }
      return node;
    }
    hasPropertyAsPrivateName(node) {
      if (node.type === "ChainExpression") {
        node = node.expression;
      }
      return super.hasPropertyAsPrivateName(node);
    }
    isOptionalChain(node) {
      return node.type === "ChainExpression";
    }
    isObjectProperty(node) {
      return node.type === "Property" && node.kind === "init" && !node.method;
    }
    isObjectMethod(node) {
      return node.method || node.kind === "get" || node.kind === "set";
    }
    finishNodeAt(node, type, endLoc) {
      return toESTreeLocation(super.finishNodeAt(node, type, endLoc));
    }
    resetStartLocation(node, startLoc) {
      super.resetStartLocation(node, startLoc);
      toESTreeLocation(node);
    }
    resetEndLocation(node) {
      var endLoc = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : this.state.lastTokEndLoc;
      super.resetEndLocation(node, endLoc);
      toESTreeLocation(node);
    }
  };
  class TokContext {
    constructor(token, preserveSpace) {
      this.token = void 0;
      this.preserveSpace = void 0;
      this.token = token;
      this.preserveSpace = !!preserveSpace;
    }
  }
  var types = {
    brace: new TokContext("{"),
    j_oTag: new TokContext("<tag"),
    j_cTag: new TokContext("</tag"),
    j_expr: new TokContext("<tag>...</tag>", true)
  };
  {
    types.template = new TokContext("`", true);
  }
  var beforeExpr = true;
  var startsExpr = true;
  var isLoop = true;
  var isAssign = true;
  var prefix = true;
  var postfix = true;
  class ExportedTokenType {
    constructor(label) {
      var conf = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      this.label = void 0;
      this.keyword = void 0;
      this.beforeExpr = void 0;
      this.startsExpr = void 0;
      this.rightAssociative = void 0;
      this.isLoop = void 0;
      this.isAssign = void 0;
      this.prefix = void 0;
      this.postfix = void 0;
      this.binop = void 0;
      this.label = label;
      this.keyword = conf.keyword;
      this.beforeExpr = !!conf.beforeExpr;
      this.startsExpr = !!conf.startsExpr;
      this.rightAssociative = !!conf.rightAssociative;
      this.isLoop = !!conf.isLoop;
      this.isAssign = !!conf.isAssign;
      this.prefix = !!conf.prefix;
      this.postfix = !!conf.postfix;
      this.binop = conf.binop != null ? conf.binop : null;
      {
        this.updateContext = null;
      }
    }
  }
  var keywords$1 = new Map();
  function createKeyword(name) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    options.keyword = name;
    var token = createToken(name, options);
    keywords$1.set(name, token);
    return token;
  }
  function createBinop(name, binop) {
    return createToken(name, {
      beforeExpr,
      binop
    });
  }
  var tokenTypeCounter = -1;
  var tokenTypes = [];
  var tokenLabels = [];
  var tokenBinops = [];
  var tokenBeforeExprs = [];
  var tokenStartsExprs = [];
  var tokenPrefixes = [];
  function createToken(name) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var _options$binop, _options$beforeExpr, _options$startsExpr, _options$prefix;
    ++tokenTypeCounter;
    tokenLabels.push(name);
    tokenBinops.push((_options$binop = options.binop) != null ? _options$binop : -1);
    tokenBeforeExprs.push((_options$beforeExpr = options.beforeExpr) != null ? _options$beforeExpr : false);
    tokenStartsExprs.push((_options$startsExpr = options.startsExpr) != null ? _options$startsExpr : false);
    tokenPrefixes.push((_options$prefix = options.prefix) != null ? _options$prefix : false);
    tokenTypes.push(new ExportedTokenType(name, options));
    return tokenTypeCounter;
  }
  function createKeywordLike(name) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var _options$binop2, _options$beforeExpr2, _options$startsExpr2, _options$prefix2;
    ++tokenTypeCounter;
    keywords$1.set(name, tokenTypeCounter);
    tokenLabels.push(name);
    tokenBinops.push((_options$binop2 = options.binop) != null ? _options$binop2 : -1);
    tokenBeforeExprs.push((_options$beforeExpr2 = options.beforeExpr) != null ? _options$beforeExpr2 : false);
    tokenStartsExprs.push((_options$startsExpr2 = options.startsExpr) != null ? _options$startsExpr2 : false);
    tokenPrefixes.push((_options$prefix2 = options.prefix) != null ? _options$prefix2 : false);
    tokenTypes.push(new ExportedTokenType("name", options));
    return tokenTypeCounter;
  }
  var tt = {
    bracketL: createToken("[", {
      beforeExpr,
      startsExpr
    }),
    bracketHashL: createToken("#[", {
      beforeExpr,
      startsExpr
    }),
    bracketBarL: createToken("[|", {
      beforeExpr,
      startsExpr
    }),
    bracketR: createToken("]"),
    bracketBarR: createToken("|]"),
    braceL: createToken("{", {
      beforeExpr,
      startsExpr
    }),
    braceBarL: createToken("{|", {
      beforeExpr,
      startsExpr
    }),
    braceHashL: createToken("#{", {
      beforeExpr,
      startsExpr
    }),
    braceR: createToken("}"),
    braceBarR: createToken("|}"),
    parenL: createToken("(", {
      beforeExpr,
      startsExpr
    }),
    parenR: createToken(")"),
    comma: createToken(",", {
      beforeExpr
    }),
    semi: createToken(";", {
      beforeExpr
    }),
    colon: createToken(":", {
      beforeExpr
    }),
    doubleColon: createToken("::", {
      beforeExpr
    }),
    dot: createToken("."),
    question: createToken("?", {
      beforeExpr
    }),
    questionDot: createToken("?."),
    arrow: createToken("=>", {
      beforeExpr
    }),
    template: createToken("template"),
    ellipsis: createToken("...", {
      beforeExpr
    }),
    backQuote: createToken("`", {
      startsExpr
    }),
    dollarBraceL: createToken("${", {
      beforeExpr,
      startsExpr
    }),
    templateTail: createToken("...`", {
      startsExpr
    }),
    templateNonTail: createToken("...${", {
      beforeExpr,
      startsExpr
    }),
    at: createToken("@"),
    hash: createToken("#", {
      startsExpr
    }),
    interpreterDirective: createToken("#!..."),
    eq: createToken("=", {
      beforeExpr,
      isAssign
    }),
    assign: createToken("_=", {
      beforeExpr,
      isAssign
    }),
    slashAssign: createToken("_=", {
      beforeExpr,
      isAssign
    }),
    xorAssign: createToken("_=", {
      beforeExpr,
      isAssign
    }),
    moduloAssign: createToken("_=", {
      beforeExpr,
      isAssign
    }),
    incDec: createToken("++/--", {
      prefix,
      postfix,
      startsExpr
    }),
    bang: createToken("!", {
      beforeExpr,
      prefix,
      startsExpr
    }),
    tilde: createToken("~", {
      beforeExpr,
      prefix,
      startsExpr
    }),
    doubleCaret: createToken("^^", {
      startsExpr
    }),
    doubleAt: createToken("@@", {
      startsExpr
    }),
    pipeline: createBinop("|>", 0),
    nullishCoalescing: createBinop("??", 1),
    logicalOR: createBinop("||", 1),
    logicalAND: createBinop("&&", 2),
    bitwiseOR: createBinop("|", 3),
    bitwiseXOR: createBinop("^", 4),
    bitwiseAND: createBinop("&", 5),
    equality: createBinop("==/!=/===/!==", 6),
    lt: createBinop("</>/<=/>=", 7),
    gt: createBinop("</>/<=/>=", 7),
    relational: createBinop("</>/<=/>=", 7),
    bitShift: createBinop("<</>>/>>>", 8),
    bitShiftL: createBinop("<</>>/>>>", 8),
    bitShiftR: createBinop("<</>>/>>>", 8),
    plusMin: createToken("+/-", {
      beforeExpr,
      binop: 9,
      prefix,
      startsExpr
    }),
    modulo: createToken("%", {
      binop: 10,
      startsExpr
    }),
    star: createToken("*", {
      binop: 10
    }),
    slash: createBinop("/", 10),
    exponent: createToken("**", {
      beforeExpr,
      binop: 11,
      rightAssociative: true
    }),
    _in: createKeyword("in", {
      beforeExpr,
      binop: 7
    }),
    _instanceof: createKeyword("instanceof", {
      beforeExpr,
      binop: 7
    }),
    _break: createKeyword("break"),
    _case: createKeyword("case", {
      beforeExpr
    }),
    _catch: createKeyword("catch"),
    _continue: createKeyword("continue"),
    _debugger: createKeyword("debugger"),
    _default: createKeyword("default", {
      beforeExpr
    }),
    _else: createKeyword("else", {
      beforeExpr
    }),
    _finally: createKeyword("finally"),
    _function: createKeyword("function", {
      startsExpr
    }),
    _if: createKeyword("if"),
    _return: createKeyword("return", {
      beforeExpr
    }),
    _switch: createKeyword("switch"),
    _throw: createKeyword("throw", {
      beforeExpr,
      prefix,
      startsExpr
    }),
    _try: createKeyword("try"),
    _var: createKeyword("var"),
    _const: createKeyword("const"),
    _with: createKeyword("with"),
    _new: createKeyword("new", {
      beforeExpr,
      startsExpr
    }),
    _this: createKeyword("this", {
      startsExpr
    }),
    _super: createKeyword("super", {
      startsExpr
    }),
    _class: createKeyword("class", {
      startsExpr
    }),
    _extends: createKeyword("extends", {
      beforeExpr
    }),
    _export: createKeyword("export"),
    _import: createKeyword("import", {
      startsExpr
    }),
    _null: createKeyword("null", {
      startsExpr
    }),
    _true: createKeyword("true", {
      startsExpr
    }),
    _false: createKeyword("false", {
      startsExpr
    }),
    _typeof: createKeyword("typeof", {
      beforeExpr,
      prefix,
      startsExpr
    }),
    _void: createKeyword("void", {
      beforeExpr,
      prefix,
      startsExpr
    }),
    _delete: createKeyword("delete", {
      beforeExpr,
      prefix,
      startsExpr
    }),
    _do: createKeyword("do", {
      isLoop,
      beforeExpr
    }),
    _for: createKeyword("for", {
      isLoop
    }),
    _while: createKeyword("while", {
      isLoop
    }),
    _as: createKeywordLike("as", {
      startsExpr
    }),
    _assert: createKeywordLike("assert", {
      startsExpr
    }),
    _async: createKeywordLike("async", {
      startsExpr
    }),
    _await: createKeywordLike("await", {
      startsExpr
    }),
    _from: createKeywordLike("from", {
      startsExpr
    }),
    _get: createKeywordLike("get", {
      startsExpr
    }),
    _let: createKeywordLike("let", {
      startsExpr
    }),
    _meta: createKeywordLike("meta", {
      startsExpr
    }),
    _of: createKeywordLike("of", {
      startsExpr
    }),
    _sent: createKeywordLike("sent", {
      startsExpr
    }),
    _set: createKeywordLike("set", {
      startsExpr
    }),
    _static: createKeywordLike("static", {
      startsExpr
    }),
    _using: createKeywordLike("using", {
      startsExpr
    }),
    _yield: createKeywordLike("yield", {
      startsExpr
    }),
    _asserts: createKeywordLike("asserts", {
      startsExpr
    }),
    _checks: createKeywordLike("checks", {
      startsExpr
    }),
    _exports: createKeywordLike("exports", {
      startsExpr
    }),
    _global: createKeywordLike("global", {
      startsExpr
    }),
    _implements: createKeywordLike("implements", {
      startsExpr
    }),
    _intrinsic: createKeywordLike("intrinsic", {
      startsExpr
    }),
    _infer: createKeywordLike("infer", {
      startsExpr
    }),
    _is: createKeywordLike("is", {
      startsExpr
    }),
    _mixins: createKeywordLike("mixins", {
      startsExpr
    }),
    _proto: createKeywordLike("proto", {
      startsExpr
    }),
    _require: createKeywordLike("require", {
      startsExpr
    }),
    _satisfies: createKeywordLike("satisfies", {
      startsExpr
    }),
    _keyof: createKeywordLike("keyof", {
      startsExpr
    }),
    _readonly: createKeywordLike("readonly", {
      startsExpr
    }),
    _unique: createKeywordLike("unique", {
      startsExpr
    }),
    _abstract: createKeywordLike("abstract", {
      startsExpr
    }),
    _declare: createKeywordLike("declare", {
      startsExpr
    }),
    _enum: createKeywordLike("enum", {
      startsExpr
    }),
    _module: createKeywordLike("module", {
      startsExpr
    }),
    _namespace: createKeywordLike("namespace", {
      startsExpr
    }),
    _interface: createKeywordLike("interface", {
      startsExpr
    }),
    _type: createKeywordLike("type", {
      startsExpr
    }),
    _opaque: createKeywordLike("opaque", {
      startsExpr
    }),
    name: createToken("name", {
      startsExpr
    }),
    string: createToken("string", {
      startsExpr
    }),
    num: createToken("num", {
      startsExpr
    }),
    bigint: createToken("bigint", {
      startsExpr
    }),
    decimal: createToken("decimal", {
      startsExpr
    }),
    regexp: createToken("regexp", {
      startsExpr
    }),
    privateName: createToken("#name", {
      startsExpr
    }),
    eof: createToken("eof"),
    jsxName: createToken("jsxName"),
    jsxText: createToken("jsxText", {
      beforeExpr: true
    }),
    jsxTagStart: createToken("jsxTagStart", {
      startsExpr: true
    }),
    jsxTagEnd: createToken("jsxTagEnd"),
    placeholder: createToken("%%", {
      startsExpr: true
    })
  };
  function tokenIsIdentifier(token) {
    return token >= 93 && token <= 130;
  }
  function tokenKeywordOrIdentifierIsKeyword(token) {
    return token <= 92;
  }
  function tokenIsKeywordOrIdentifier(token) {
    return token >= 58 && token <= 130;
  }
  function tokenIsLiteralPropertyName(token) {
    return token >= 58 && token <= 134;
  }
  function tokenComesBeforeExpression(token) {
    return tokenBeforeExprs[token];
  }
  function tokenCanStartExpression(token) {
    return tokenStartsExprs[token];
  }
  function tokenIsAssignment(token) {
    return token >= 29 && token <= 33;
  }
  function tokenIsFlowInterfaceOrTypeOrOpaque(token) {
    return token >= 127 && token <= 129;
  }
  function tokenIsLoop(token) {
    return token >= 90 && token <= 92;
  }
  function tokenIsKeyword(token) {
    return token >= 58 && token <= 92;
  }
  function tokenIsOperator(token) {
    return token >= 39 && token <= 59;
  }
  function tokenIsPostfix(token) {
    return token === 34;
  }
  function tokenIsPrefix(token) {
    return tokenPrefixes[token];
  }
  function tokenIsTSTypeOperator(token) {
    return token >= 119 && token <= 121;
  }
  function tokenIsTSDeclarationStart(token) {
    return token >= 122 && token <= 128;
  }
  function tokenLabelName(token) {
    return tokenLabels[token];
  }
  function tokenOperatorPrecedence(token) {
    return tokenBinops[token];
  }
  function tokenIsRightAssociative(token) {
    return token === 57;
  }
  function tokenIsTemplate(token) {
    return token >= 24 && token <= 25;
  }
  function getExportedToken(token) {
    return tokenTypes[token];
  }
  {
    tokenTypes[8].updateContext = context => {
      context.pop();
    };
    tokenTypes[5].updateContext = tokenTypes[7].updateContext = tokenTypes[23].updateContext = context => {
      context.push(types.brace);
    };
    tokenTypes[22].updateContext = context => {
      if (context[context.length - 1] === types.template) {
        context.pop();
      } else {
        context.push(types.template);
      }
    };
    tokenTypes[140].updateContext = context => {
      context.push(types.j_expr, types.j_oTag);
    };
  }
  var nonASCIIidentifierStartChars = "\xaa\xb5\xba\xc0-\xd6\xd8-\xf6\xf8-\u02c1\u02c6-\u02d1\u02e0-\u02e4\u02ec\u02ee\u0370-\u0374\u0376\u0377\u037a-\u037d\u037f\u0386\u0388-\u038a\u038c\u038e-\u03a1\u03a3-\u03f5\u03f7-\u0481\u048a-\u052f\u0531-\u0556\u0559\u0560-\u0588\u05d0-\u05ea\u05ef-\u05f2\u0620-\u064a\u066e\u066f\u0671-\u06d3\u06d5\u06e5\u06e6\u06ee\u06ef\u06fa-\u06fc\u06ff\u0710\u0712-\u072f\u074d-\u07a5\u07b1\u07ca-\u07ea\u07f4\u07f5\u07fa\u0800-\u0815\u081a\u0824\u0828\u0840-\u0858\u0860-\u086a\u0870-\u0887\u0889-\u088e\u08a0-\u08c9\u0904-\u0939\u093d\u0950\u0958-\u0961\u0971-\u0980\u0985-\u098c\u098f\u0990\u0993-\u09a8\u09aa-\u09b0\u09b2\u09b6-\u09b9\u09bd\u09ce\u09dc\u09dd\u09df-\u09e1\u09f0\u09f1\u09fc\u0a05-\u0a0a\u0a0f\u0a10\u0a13-\u0a28\u0a2a-\u0a30\u0a32\u0a33\u0a35\u0a36\u0a38\u0a39\u0a59-\u0a5c\u0a5e\u0a72-\u0a74\u0a85-\u0a8d\u0a8f-\u0a91\u0a93-\u0aa8\u0aaa-\u0ab0\u0ab2\u0ab3\u0ab5-\u0ab9\u0abd\u0ad0\u0ae0\u0ae1\u0af9\u0b05-\u0b0c\u0b0f\u0b10\u0b13-\u0b28\u0b2a-\u0b30\u0b32\u0b33\u0b35-\u0b39\u0b3d\u0b5c\u0b5d\u0b5f-\u0b61\u0b71\u0b83\u0b85-\u0b8a\u0b8e-\u0b90\u0b92-\u0b95\u0b99\u0b9a\u0b9c\u0b9e\u0b9f\u0ba3\u0ba4\u0ba8-\u0baa\u0bae-\u0bb9\u0bd0\u0c05-\u0c0c\u0c0e-\u0c10\u0c12-\u0c28\u0c2a-\u0c39\u0c3d\u0c58-\u0c5a\u0c5d\u0c60\u0c61\u0c80\u0c85-\u0c8c\u0c8e-\u0c90\u0c92-\u0ca8\u0caa-\u0cb3\u0cb5-\u0cb9\u0cbd\u0cdd\u0cde\u0ce0\u0ce1\u0cf1\u0cf2\u0d04-\u0d0c\u0d0e-\u0d10\u0d12-\u0d3a\u0d3d\u0d4e\u0d54-\u0d56\u0d5f-\u0d61\u0d7a-\u0d7f\u0d85-\u0d96\u0d9a-\u0db1\u0db3-\u0dbb\u0dbd\u0dc0-\u0dc6\u0e01-\u0e30\u0e32\u0e33\u0e40-\u0e46\u0e81\u0e82\u0e84\u0e86-\u0e8a\u0e8c-\u0ea3\u0ea5\u0ea7-\u0eb0\u0eb2\u0eb3\u0ebd\u0ec0-\u0ec4\u0ec6\u0edc-\u0edf\u0f00\u0f40-\u0f47\u0f49-\u0f6c\u0f88-\u0f8c\u1000-\u102a\u103f\u1050-\u1055\u105a-\u105d\u1061\u1065\u1066\u106e-\u1070\u1075-\u1081\u108e\u10a0-\u10c5\u10c7\u10cd\u10d0-\u10fa\u10fc-\u1248\u124a-\u124d\u1250-\u1256\u1258\u125a-\u125d\u1260-\u1288\u128a-\u128d\u1290-\u12b0\u12b2-\u12b5\u12b8-\u12be\u12c0\u12c2-\u12c5\u12c8-\u12d6\u12d8-\u1310\u1312-\u1315\u1318-\u135a\u1380-\u138f\u13a0-\u13f5\u13f8-\u13fd\u1401-\u166c\u166f-\u167f\u1681-\u169a\u16a0-\u16ea\u16ee-\u16f8\u1700-\u1711\u171f-\u1731\u1740-\u1751\u1760-\u176c\u176e-\u1770\u1780-\u17b3\u17d7\u17dc\u1820-\u1878\u1880-\u18a8\u18aa\u18b0-\u18f5\u1900-\u191e\u1950-\u196d\u1970-\u1974\u1980-\u19ab\u19b0-\u19c9\u1a00-\u1a16\u1a20-\u1a54\u1aa7\u1b05-\u1b33\u1b45-\u1b4c\u1b83-\u1ba0\u1bae\u1baf\u1bba-\u1be5\u1c00-\u1c23\u1c4d-\u1c4f\u1c5a-\u1c7d\u1c80-\u1c88\u1c90-\u1cba\u1cbd-\u1cbf\u1ce9-\u1cec\u1cee-\u1cf3\u1cf5\u1cf6\u1cfa\u1d00-\u1dbf\u1e00-\u1f15\u1f18-\u1f1d\u1f20-\u1f45\u1f48-\u1f4d\u1f50-\u1f57\u1f59\u1f5b\u1f5d\u1f5f-\u1f7d\u1f80-\u1fb4\u1fb6-\u1fbc\u1fbe\u1fc2-\u1fc4\u1fc6-\u1fcc\u1fd0-\u1fd3\u1fd6-\u1fdb\u1fe0-\u1fec\u1ff2-\u1ff4\u1ff6-\u1ffc\u2071\u207f\u2090-\u209c\u2102\u2107\u210a-\u2113\u2115\u2118-\u211d\u2124\u2126\u2128\u212a-\u2139\u213c-\u213f\u2145-\u2149\u214e\u2160-\u2188\u2c00-\u2ce4\u2ceb-\u2cee\u2cf2\u2cf3\u2d00-\u2d25\u2d27\u2d2d\u2d30-\u2d67\u2d6f\u2d80-\u2d96\u2da0-\u2da6\u2da8-\u2dae\u2db0-\u2db6\u2db8-\u2dbe\u2dc0-\u2dc6\u2dc8-\u2dce\u2dd0-\u2dd6\u2dd8-\u2dde\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303c\u3041-\u3096\u309b-\u309f\u30a1-\u30fa\u30fc-\u30ff\u3105-\u312f\u3131-\u318e\u31a0-\u31bf\u31f0-\u31ff\u3400-\u4dbf\u4e00-\ua48c\ua4d0-\ua4fd\ua500-\ua60c\ua610-\ua61f\ua62a\ua62b\ua640-\ua66e\ua67f-\ua69d\ua6a0-\ua6ef\ua717-\ua71f\ua722-\ua788\ua78b-\ua7ca\ua7d0\ua7d1\ua7d3\ua7d5-\ua7d9\ua7f2-\ua801\ua803-\ua805\ua807-\ua80a\ua80c-\ua822\ua840-\ua873\ua882-\ua8b3\ua8f2-\ua8f7\ua8fb\ua8fd\ua8fe\ua90a-\ua925\ua930-\ua946\ua960-\ua97c\ua984-\ua9b2\ua9cf\ua9e0-\ua9e4\ua9e6-\ua9ef\ua9fa-\ua9fe\uaa00-\uaa28\uaa40-\uaa42\uaa44-\uaa4b\uaa60-\uaa76\uaa7a\uaa7e-\uaaaf\uaab1\uaab5\uaab6\uaab9-\uaabd\uaac0\uaac2\uaadb-\uaadd\uaae0-\uaaea\uaaf2-\uaaf4\uab01-\uab06\uab09-\uab0e\uab11-\uab16\uab20-\uab26\uab28-\uab2e\uab30-\uab5a\uab5c-\uab69\uab70-\uabe2\uac00-\ud7a3\ud7b0-\ud7c6\ud7cb-\ud7fb\uf900-\ufa6d\ufa70-\ufad9\ufb00-\ufb06\ufb13-\ufb17\ufb1d\ufb1f-\ufb28\ufb2a-\ufb36\ufb38-\ufb3c\ufb3e\ufb40\ufb41\ufb43\ufb44\ufb46-\ufbb1\ufbd3-\ufd3d\ufd50-\ufd8f\ufd92-\ufdc7\ufdf0-\ufdfb\ufe70-\ufe74\ufe76-\ufefc\uff21-\uff3a\uff41-\uff5a\uff66-\uffbe\uffc2-\uffc7\uffca-\uffcf\uffd2-\uffd7\uffda-\uffdc";
  var nonASCIIidentifierChars = "\u200c\u200d\xb7\u0300-\u036f\u0387\u0483-\u0487\u0591-\u05bd\u05bf\u05c1\u05c2\u05c4\u05c5\u05c7\u0610-\u061a\u064b-\u0669\u0670\u06d6-\u06dc\u06df-\u06e4\u06e7\u06e8\u06ea-\u06ed\u06f0-\u06f9\u0711\u0730-\u074a\u07a6-\u07b0\u07c0-\u07c9\u07eb-\u07f3\u07fd\u0816-\u0819\u081b-\u0823\u0825-\u0827\u0829-\u082d\u0859-\u085b\u0898-\u089f\u08ca-\u08e1\u08e3-\u0903\u093a-\u093c\u093e-\u094f\u0951-\u0957\u0962\u0963\u0966-\u096f\u0981-\u0983\u09bc\u09be-\u09c4\u09c7\u09c8\u09cb-\u09cd\u09d7\u09e2\u09e3\u09e6-\u09ef\u09fe\u0a01-\u0a03\u0a3c\u0a3e-\u0a42\u0a47\u0a48\u0a4b-\u0a4d\u0a51\u0a66-\u0a71\u0a75\u0a81-\u0a83\u0abc\u0abe-\u0ac5\u0ac7-\u0ac9\u0acb-\u0acd\u0ae2\u0ae3\u0ae6-\u0aef\u0afa-\u0aff\u0b01-\u0b03\u0b3c\u0b3e-\u0b44\u0b47\u0b48\u0b4b-\u0b4d\u0b55-\u0b57\u0b62\u0b63\u0b66-\u0b6f\u0b82\u0bbe-\u0bc2\u0bc6-\u0bc8\u0bca-\u0bcd\u0bd7\u0be6-\u0bef\u0c00-\u0c04\u0c3c\u0c3e-\u0c44\u0c46-\u0c48\u0c4a-\u0c4d\u0c55\u0c56\u0c62\u0c63\u0c66-\u0c6f\u0c81-\u0c83\u0cbc\u0cbe-\u0cc4\u0cc6-\u0cc8\u0cca-\u0ccd\u0cd5\u0cd6\u0ce2\u0ce3\u0ce6-\u0cef\u0cf3\u0d00-\u0d03\u0d3b\u0d3c\u0d3e-\u0d44\u0d46-\u0d48\u0d4a-\u0d4d\u0d57\u0d62\u0d63\u0d66-\u0d6f\u0d81-\u0d83\u0dca\u0dcf-\u0dd4\u0dd6\u0dd8-\u0ddf\u0de6-\u0def\u0df2\u0df3\u0e31\u0e34-\u0e3a\u0e47-\u0e4e\u0e50-\u0e59\u0eb1\u0eb4-\u0ebc\u0ec8-\u0ece\u0ed0-\u0ed9\u0f18\u0f19\u0f20-\u0f29\u0f35\u0f37\u0f39\u0f3e\u0f3f\u0f71-\u0f84\u0f86\u0f87\u0f8d-\u0f97\u0f99-\u0fbc\u0fc6\u102b-\u103e\u1040-\u1049\u1056-\u1059\u105e-\u1060\u1062-\u1064\u1067-\u106d\u1071-\u1074\u1082-\u108d\u108f-\u109d\u135d-\u135f\u1369-\u1371\u1712-\u1715\u1732-\u1734\u1752\u1753\u1772\u1773\u17b4-\u17d3\u17dd\u17e0-\u17e9\u180b-\u180d\u180f-\u1819\u18a9\u1920-\u192b\u1930-\u193b\u1946-\u194f\u19d0-\u19da\u1a17-\u1a1b\u1a55-\u1a5e\u1a60-\u1a7c\u1a7f-\u1a89\u1a90-\u1a99\u1ab0-\u1abd\u1abf-\u1ace\u1b00-\u1b04\u1b34-\u1b44\u1b50-\u1b59\u1b6b-\u1b73\u1b80-\u1b82\u1ba1-\u1bad\u1bb0-\u1bb9\u1be6-\u1bf3\u1c24-\u1c37\u1c40-\u1c49\u1c50-\u1c59\u1cd0-\u1cd2\u1cd4-\u1ce8\u1ced\u1cf4\u1cf7-\u1cf9\u1dc0-\u1dff\u203f\u2040\u2054\u20d0-\u20dc\u20e1\u20e5-\u20f0\u2cef-\u2cf1\u2d7f\u2de0-\u2dff\u302a-\u302f\u3099\u309a\ua620-\ua629\ua66f\ua674-\ua67d\ua69e\ua69f\ua6f0\ua6f1\ua802\ua806\ua80b\ua823-\ua827\ua82c\ua880\ua881\ua8b4-\ua8c5\ua8d0-\ua8d9\ua8e0-\ua8f1\ua8ff-\ua909\ua926-\ua92d\ua947-\ua953\ua980-\ua983\ua9b3-\ua9c0\ua9d0-\ua9d9\ua9e5\ua9f0-\ua9f9\uaa29-\uaa36\uaa43\uaa4c\uaa4d\uaa50-\uaa59\uaa7b-\uaa7d\uaab0\uaab2-\uaab4\uaab7\uaab8\uaabe\uaabf\uaac1\uaaeb-\uaaef\uaaf5\uaaf6\uabe3-\uabea\uabec\uabed\uabf0-\uabf9\ufb1e\ufe00-\ufe0f\ufe20-\ufe2f\ufe33\ufe34\ufe4d-\ufe4f\uff10-\uff19\uff3f";
  var nonASCIIidentifierStart = new RegExp("[" + nonASCIIidentifierStartChars + "]");
  var nonASCIIidentifier = new RegExp("[" + nonASCIIidentifierStartChars + nonASCIIidentifierChars + "]");
  nonASCIIidentifierStartChars = nonASCIIidentifierChars = null;
  var astralIdentifierStartCodes = [0, 11, 2, 25, 2, 18, 2, 1, 2, 14, 3, 13, 35, 122, 70, 52, 268, 28, 4, 48, 48, 31, 14, 29, 6, 37, 11, 29, 3, 35, 5, 7, 2, 4, 43, 157, 19, 35, 5, 35, 5, 39, 9, 51, 13, 10, 2, 14, 2, 6, 2, 1, 2, 10, 2, 14, 2, 6, 2, 1, 68, 310, 10, 21, 11, 7, 25, 5, 2, 41, 2, 8, 70, 5, 3, 0, 2, 43, 2, 1, 4, 0, 3, 22, 11, 22, 10, 30, 66, 18, 2, 1, 11, 21, 11, 25, 71, 55, 7, 1, 65, 0, 16, 3, 2, 2, 2, 28, 43, 28, 4, 28, 36, 7, 2, 27, 28, 53, 11, 21, 11, 18, 14, 17, 111, 72, 56, 50, 14, 50, 14, 35, 349, 41, 7, 1, 79, 28, 11, 0, 9, 21, 43, 17, 47, 20, 28, 22, 13, 52, 58, 1, 3, 0, 14, 44, 33, 24, 27, 35, 30, 0, 3, 0, 9, 34, 4, 0, 13, 47, 15, 3, 22, 0, 2, 0, 36, 17, 2, 24, 20, 1, 64, 6, 2, 0, 2, 3, 2, 14, 2, 9, 8, 46, 39, 7, 3, 1, 3, 21, 2, 6, 2, 1, 2, 4, 4, 0, 19, 0, 13, 4, 159, 52, 19, 3, 21, 2, 31, 47, 21, 1, 2, 0, 185, 46, 42, 3, 37, 47, 21, 0, 60, 42, 14, 0, 72, 26, 38, 6, 186, 43, 117, 63, 32, 7, 3, 0, 3, 7, 2, 1, 2, 23, 16, 0, 2, 0, 95, 7, 3, 38, 17, 0, 2, 0, 29, 0, 11, 39, 8, 0, 22, 0, 12, 45, 20, 0, 19, 72, 264, 8, 2, 36, 18, 0, 50, 29, 113, 6, 2, 1, 2, 37, 22, 0, 26, 5, 2, 1, 2, 31, 15, 0, 328, 18, 16, 0, 2, 12, 2, 33, 125, 0, 80, 921, 103, 110, 18, 195, 2637, 96, 16, 1071, 18, 5, 4026, 582, 8634, 568, 8, 30, 18, 78, 18, 29, 19, 47, 17, 3, 32, 20, 6, 18, 689, 63, 129, 74, 6, 0, 67, 12, 65, 1, 2, 0, 29, 6135, 9, 1237, 43, 8, 8936, 3, 2, 6, 2, 1, 2, 290, 16, 0, 30, 2, 3, 0, 15, 3, 9, 395, 2309, 106, 6, 12, 4, 8, 8, 9, 5991, 84, 2, 70, 2, 1, 3, 0, 3, 1, 3, 3, 2, 11, 2, 0, 2, 6, 2, 64, 2, 3, 3, 7, 2, 6, 2, 27, 2, 3, 2, 4, 2, 0, 4, 6, 2, 339, 3, 24, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 30, 2, 24, 2, 7, 1845, 30, 7, 5, 262, 61, 147, 44, 11, 6, 17, 0, 322, 29, 19, 43, 485, 27, 757, 6, 2, 3, 2, 1, 2, 14, 2, 196, 60, 67, 8, 0, 1205, 3, 2, 26, 2, 1, 2, 0, 3, 0, 2, 9, 2, 3, 2, 0, 2, 0, 7, 0, 5, 0, 2, 0, 2, 0, 2, 2, 2, 1, 2, 0, 3, 0, 2, 0, 2, 0, 2, 0, 2, 0, 2, 1, 2, 0, 3, 3, 2, 6, 2, 3, 2, 3, 2, 0, 2, 9, 2, 16, 6, 2, 2, 4, 2, 16, 4421, 42719, 33, 4153, 7, 221, 3, 5761, 15, 7472, 3104, 541, 1507, 4938, 6, 4191];
  var astralIdentifierCodes = [509, 0, 227, 0, 150, 4, 294, 9, 1368, 2, 2, 1, 6, 3, 41, 2, 5, 0, 166, 1, 574, 3, 9, 9, 370, 1, 81, 2, 71, 10, 50, 3, 123, 2, 54, 14, 32, 10, 3, 1, 11, 3, 46, 10, 8, 0, 46, 9, 7, 2, 37, 13, 2, 9, 6, 1, 45, 0, 13, 2, 49, 13, 9, 3, 2, 11, 83, 11, 7, 0, 3, 0, 158, 11, 6, 9, 7, 3, 56, 1, 2, 6, 3, 1, 3, 2, 10, 0, 11, 1, 3, 6, 4, 4, 193, 17, 10, 9, 5, 0, 82, 19, 13, 9, 214, 6, 3, 8, 28, 1, 83, 16, 16, 9, 82, 12, 9, 9, 84, 14, 5, 9, 243, 14, 166, 9, 71, 5, 2, 1, 3, 3, 2, 0, 2, 1, 13, 9, 120, 6, 3, 6, 4, 0, 29, 9, 41, 6, 2, 3, 9, 0, 10, 10, 47, 15, 406, 7, 2, 7, 17, 9, 57, 21, 2, 13, 123, 5, 4, 0, 2, 1, 2, 6, 2, 0, 9, 9, 49, 4, 2, 1, 2, 4, 9, 9, 330, 3, 10, 1, 2, 0, 49, 6, 4, 4, 14, 9, 5351, 0, 7, 14, 13835, 9, 87, 9, 39, 4, 60, 6, 26, 9, 1014, 0, 2, 54, 8, 3, 82, 0, 12, 1, 19628, 1, 4706, 45, 3, 22, 543, 4, 4, 5, 9, 7, 3, 6, 31, 3, 149, 2, 1418, 49, 513, 54, 5, 49, 9, 0, 15, 0, 23, 4, 2, 14, 1361, 6, 2, 16, 3, 6, 2, 1, 2, 4, 101, 0, 161, 6, 10, 9, 357, 0, 62, 13, 499, 13, 983, 6, 110, 6, 6, 9, 4759, 9, 787719, 239];
  function isInAstralSet(code, set) {
    var pos = 0x10000;
    for (var i = 0, length = set.length; i < length; i += 2) {
      pos += set[i];
      if (pos > code) return false;
      pos += set[i + 1];
      if (pos >= code) return true;
    }
    return false;
  }
  function isIdentifierStart(code) {
    if (code < 65) return code === 36;
    if (code <= 90) return true;
    if (code < 97) return code === 95;
    if (code <= 122) return true;
    if (code <= 0xffff) {
      return code >= 0xaa && nonASCIIidentifierStart.test(String.fromCharCode(code));
    }
    return isInAstralSet(code, astralIdentifierStartCodes);
  }
  function isIdentifierChar(code) {
    if (code < 48) return code === 36;
    if (code < 58) return true;
    if (code < 65) return false;
    if (code <= 90) return true;
    if (code < 97) return code === 95;
    if (code <= 122) return true;
    if (code <= 0xffff) {
      return code >= 0xaa && nonASCIIidentifier.test(String.fromCharCode(code));
    }
    return isInAstralSet(code, astralIdentifierStartCodes) || isInAstralSet(code, astralIdentifierCodes);
  }
  var reservedWords = {
    keyword: ["break", "case", "catch", "continue", "debugger", "default", "do", "else", "finally", "for", "function", "if", "return", "switch", "throw", "try", "var", "const", "while", "with", "new", "this", "super", "class", "extends", "export", "import", "null", "true", "false", "in", "instanceof", "typeof", "void", "delete"],
    strict: ["implements", "interface", "let", "package", "private", "protected", "public", "static", "yield"],
    strictBind: ["eval", "arguments"]
  };
  var keywords = new Set(reservedWords.keyword);
  var reservedWordsStrictSet = new Set(reservedWords.strict);
  var reservedWordsStrictBindSet = new Set(reservedWords.strictBind);
  function isReservedWord(word, inModule) {
    return inModule && word === "await" || word === "enum";
  }
  function isStrictReservedWord(word, inModule) {
    return isReservedWord(word, inModule) || reservedWordsStrictSet.has(word);
  }
  function isStrictBindOnlyReservedWord(word) {
    return reservedWordsStrictBindSet.has(word);
  }
  function isStrictBindReservedWord(word, inModule) {
    return isStrictReservedWord(word, inModule) || isStrictBindOnlyReservedWord(word);
  }
  function isKeyword(word) {
    return keywords.has(word);
  }
  function isIteratorStart(current, next, next2) {
    return current === 64 && next === 64 && isIdentifierStart(next2);
  }
  var reservedWordLikeSet = new Set(["break", "case", "catch", "continue", "debugger", "default", "do", "else", "finally", "for", "function", "if", "return", "switch", "throw", "try", "var", "const", "while", "with", "new", "this", "super", "class", "extends", "export", "import", "null", "true", "false", "in", "instanceof", "typeof", "void", "delete", "implements", "interface", "let", "package", "private", "protected", "public", "static", "yield", "eval", "arguments", "enum", "await"]);
  function canBeReservedWord(word) {
    return reservedWordLikeSet.has(word);
  }
  var SCOPE_OTHER = 0b000000000,
    SCOPE_PROGRAM = 0b000000001,
    SCOPE_FUNCTION = 0b000000010,
    SCOPE_ARROW = 0b000000100,
    SCOPE_SIMPLE_CATCH = 0b000001000,
    SCOPE_SUPER = 0b000010000,
    SCOPE_DIRECT_SUPER = 0b000100000,
    SCOPE_CLASS = 0b001000000,
    SCOPE_STATIC_BLOCK = 0b010000000,
    SCOPE_TS_MODULE = 0b100000000,
    SCOPE_VAR = SCOPE_PROGRAM | SCOPE_FUNCTION | SCOPE_STATIC_BLOCK | SCOPE_TS_MODULE;
  var BIND_KIND_VALUE = 0b000000000001,
    BIND_KIND_TYPE = 0b000000000010,
    BIND_SCOPE_VAR = 0b000000000100,
    BIND_SCOPE_LEXICAL = 0b000000001000,
    BIND_SCOPE_FUNCTION = 0b000000010000,
    BIND_FLAGS_NONE = 0b0000001000000,
    BIND_FLAGS_CLASS = 0b0000010000000,
    BIND_FLAGS_TS_ENUM = 0b0000100000000,
    BIND_FLAGS_TS_CONST_ENUM = 0b0001000000000,
    BIND_FLAGS_TS_EXPORT_ONLY = 0b0010000000000,
    BIND_FLAGS_FLOW_DECLARE_FN = 0b0100000000000,
    BIND_FLAGS_TS_IMPORT = 0b1000000000000;
  var BIND_CLASS = BIND_KIND_VALUE | BIND_KIND_TYPE | BIND_SCOPE_LEXICAL | BIND_FLAGS_CLASS,
    BIND_LEXICAL = BIND_KIND_VALUE | 0 | BIND_SCOPE_LEXICAL | 0,
    BIND_VAR = BIND_KIND_VALUE | 0 | BIND_SCOPE_VAR | 0,
    BIND_FUNCTION = BIND_KIND_VALUE | 0 | BIND_SCOPE_FUNCTION | 0,
    BIND_TS_INTERFACE = 0 | BIND_KIND_TYPE | 0 | BIND_FLAGS_CLASS,
    BIND_TS_TYPE = 0 | BIND_KIND_TYPE | 0 | 0,
    BIND_TS_ENUM = BIND_KIND_VALUE | BIND_KIND_TYPE | BIND_SCOPE_LEXICAL | BIND_FLAGS_TS_ENUM,
    BIND_TS_AMBIENT = 0 | 0 | 0 | BIND_FLAGS_TS_EXPORT_ONLY,
    BIND_NONE = 0 | 0 | 0 | BIND_FLAGS_NONE,
    BIND_OUTSIDE = BIND_KIND_VALUE | 0 | 0 | BIND_FLAGS_NONE,
    BIND_TS_CONST_ENUM = BIND_TS_ENUM | BIND_FLAGS_TS_CONST_ENUM,
    BIND_TS_NAMESPACE = 0 | 0 | 0 | BIND_FLAGS_TS_EXPORT_ONLY,
    BIND_TS_TYPE_IMPORT = 0 | BIND_KIND_TYPE | 0 | BIND_FLAGS_TS_IMPORT,
    BIND_FLOW_DECLARE_FN = BIND_FLAGS_FLOW_DECLARE_FN;
  var CLASS_ELEMENT_FLAG_STATIC = 0b100,
    CLASS_ELEMENT_KIND_GETTER = 0b010,
    CLASS_ELEMENT_KIND_SETTER = 0b001,
    CLASS_ELEMENT_KIND_ACCESSOR = CLASS_ELEMENT_KIND_GETTER | CLASS_ELEMENT_KIND_SETTER;
  var CLASS_ELEMENT_STATIC_GETTER = CLASS_ELEMENT_KIND_GETTER | CLASS_ELEMENT_FLAG_STATIC,
    CLASS_ELEMENT_STATIC_SETTER = CLASS_ELEMENT_KIND_SETTER | CLASS_ELEMENT_FLAG_STATIC,
    CLASS_ELEMENT_INSTANCE_GETTER = CLASS_ELEMENT_KIND_GETTER,
    CLASS_ELEMENT_INSTANCE_SETTER = CLASS_ELEMENT_KIND_SETTER,
    CLASS_ELEMENT_OTHER = 0;
  class Scope {
    constructor(flags) {
      this.var = new Set();
      this.lexical = new Set();
      this.functions = new Set();
      this.flags = flags;
    }
  }
  class ScopeHandler {
    constructor(parser, inModule) {
      this.parser = void 0;
      this.scopeStack = [];
      this.inModule = void 0;
      this.undefinedExports = new Map();
      this.parser = parser;
      this.inModule = inModule;
    }
    get inTopLevel() {
      return (this.currentScope().flags & SCOPE_PROGRAM) > 0;
    }
    get inFunction() {
      return (this.currentVarScopeFlags() & SCOPE_FUNCTION) > 0;
    }
    get allowSuper() {
      return (this.currentThisScopeFlags() & SCOPE_SUPER) > 0;
    }
    get allowDirectSuper() {
      return (this.currentThisScopeFlags() & SCOPE_DIRECT_SUPER) > 0;
    }
    get inClass() {
      return (this.currentThisScopeFlags() & SCOPE_CLASS) > 0;
    }
    get inClassAndNotInNonArrowFunction() {
      var flags = this.currentThisScopeFlags();
      return (flags & SCOPE_CLASS) > 0 && (flags & SCOPE_FUNCTION) === 0;
    }
    get inStaticBlock() {
      for (var i = this.scopeStack.length - 1;; i--) {
        var {
          flags
        } = this.scopeStack[i];
        if (flags & SCOPE_STATIC_BLOCK) {
          return true;
        }
        if (flags & (SCOPE_VAR | SCOPE_CLASS)) {
          return false;
        }
      }
    }
    get inNonArrowFunction() {
      return (this.currentThisScopeFlags() & SCOPE_FUNCTION) > 0;
    }
    get treatFunctionsAsVar() {
      return this.treatFunctionsAsVarInScope(this.currentScope());
    }
    createScope(flags) {
      return new Scope(flags);
    }
    enter(flags) {
      this.scopeStack.push(this.createScope(flags));
    }
    exit() {
      var scope = this.scopeStack.pop();
      return scope.flags;
    }
    treatFunctionsAsVarInScope(scope) {
      return !!(scope.flags & (SCOPE_FUNCTION | SCOPE_STATIC_BLOCK) || !this.parser.inModule && scope.flags & SCOPE_PROGRAM);
    }
    declareName(name, bindingType, loc) {
      var scope = this.currentScope();
      if (bindingType & BIND_SCOPE_LEXICAL || bindingType & BIND_SCOPE_FUNCTION) {
        this.checkRedeclarationInScope(scope, name, bindingType, loc);
        if (bindingType & BIND_SCOPE_FUNCTION) {
          scope.functions.add(name);
        } else {
          scope.lexical.add(name);
        }
        if (bindingType & BIND_SCOPE_LEXICAL) {
          this.maybeExportDefined(scope, name);
        }
      } else if (bindingType & BIND_SCOPE_VAR) {
        for (var i = this.scopeStack.length - 1; i >= 0; --i) {
          scope = this.scopeStack[i];
          this.checkRedeclarationInScope(scope, name, bindingType, loc);
          scope.var.add(name);
          this.maybeExportDefined(scope, name);
          if (scope.flags & SCOPE_VAR) break;
        }
      }
      if (this.parser.inModule && scope.flags & SCOPE_PROGRAM) {
        this.undefinedExports.delete(name);
      }
    }
    maybeExportDefined(scope, name) {
      if (this.parser.inModule && scope.flags & SCOPE_PROGRAM) {
        this.undefinedExports.delete(name);
      }
    }
    checkRedeclarationInScope(scope, name, bindingType, loc) {
      if (this.isRedeclaredInScope(scope, name, bindingType)) {
        this.parser.raise(Errors.VarRedeclaration, {
          at: loc,
          identifierName: name
        });
      }
    }
    isRedeclaredInScope(scope, name, bindingType) {
      if (!(bindingType & BIND_KIND_VALUE)) return false;
      if (bindingType & BIND_SCOPE_LEXICAL) {
        return scope.lexical.has(name) || scope.functions.has(name) || scope.var.has(name);
      }
      if (bindingType & BIND_SCOPE_FUNCTION) {
        return scope.lexical.has(name) || !this.treatFunctionsAsVarInScope(scope) && scope.var.has(name);
      }
      return scope.lexical.has(name) && !(scope.flags & SCOPE_SIMPLE_CATCH && scope.lexical.values().next().value === name) || !this.treatFunctionsAsVarInScope(scope) && scope.functions.has(name);
    }
    checkLocalExport(id) {
      var {
        name
      } = id;
      var topLevelScope = this.scopeStack[0];
      if (!topLevelScope.lexical.has(name) && !topLevelScope.var.has(name) && !topLevelScope.functions.has(name)) {
        this.undefinedExports.set(name, id.loc.start);
      }
    }
    currentScope() {
      return this.scopeStack[this.scopeStack.length - 1];
    }
    currentVarScopeFlags() {
      for (var i = this.scopeStack.length - 1;; i--) {
        var {
          flags
        } = this.scopeStack[i];
        if (flags & SCOPE_VAR) {
          return flags;
        }
      }
    }
    currentThisScopeFlags() {
      for (var i = this.scopeStack.length - 1;; i--) {
        var {
          flags
        } = this.scopeStack[i];
        if (flags & (SCOPE_VAR | SCOPE_CLASS) && !(flags & SCOPE_ARROW)) {
          return flags;
        }
      }
    }
  }
  class FlowScope extends Scope {
    constructor() {
      super(...arguments);
      this.declareFunctions = new Set();
    }
  }
  class FlowScopeHandler extends ScopeHandler {
    createScope(flags) {
      return new FlowScope(flags);
    }
    declareName(name, bindingType, loc) {
      var scope = this.currentScope();
      if (bindingType & BIND_FLAGS_FLOW_DECLARE_FN) {
        this.checkRedeclarationInScope(scope, name, bindingType, loc);
        this.maybeExportDefined(scope, name);
        scope.declareFunctions.add(name);
        return;
      }
      super.declareName(name, bindingType, loc);
    }
    isRedeclaredInScope(scope, name, bindingType) {
      if (super.isRedeclaredInScope(scope, name, bindingType)) return true;
      if (bindingType & BIND_FLAGS_FLOW_DECLARE_FN) {
        return !scope.declareFunctions.has(name) && (scope.lexical.has(name) || scope.functions.has(name));
      }
      return false;
    }
    checkLocalExport(id) {
      if (!this.scopeStack[0].declareFunctions.has(id.name)) {
        super.checkLocalExport(id);
      }
    }
  }
  class BaseParser {
    constructor() {
      this.sawUnambiguousESM = false;
      this.ambiguousScriptDifferentAst = false;
    }
    hasPlugin(pluginConfig) {
      if (typeof pluginConfig === "string") {
        return this.plugins.has(pluginConfig);
      } else {
        var [pluginName, pluginOptions] = pluginConfig;
        if (!this.hasPlugin(pluginName)) {
          return false;
        }
        var actualOptions = this.plugins.get(pluginName);
        for (var key of Object.keys(pluginOptions)) {
          if ((actualOptions == null ? void 0 : actualOptions[key]) !== pluginOptions[key]) {
            return false;
          }
        }
        return true;
      }
    }
    getPluginOption(plugin, name) {
      var _this$plugins$get;
      return (_this$plugins$get = this.plugins.get(plugin)) == null ? void 0 : _this$plugins$get[name];
    }
  }
  function setTrailingComments(node, comments) {
    if (node.trailingComments === undefined) {
      node.trailingComments = comments;
    } else {
      node.trailingComments.unshift(...comments);
    }
  }
  function setLeadingComments(node, comments) {
    if (node.leadingComments === undefined) {
      node.leadingComments = comments;
    } else {
      node.leadingComments.unshift(...comments);
    }
  }
  function setInnerComments(node, comments) {
    if (node.innerComments === undefined) {
      node.innerComments = comments;
    } else {
      node.innerComments.unshift(...comments);
    }
  }
  function adjustInnerComments(node, elements, commentWS) {
    var lastElement = null;
    var i = elements.length;
    while (lastElement === null && i > 0) {
      lastElement = elements[--i];
    }
    if (lastElement === null || lastElement.start > commentWS.start) {
      setInnerComments(node, commentWS.comments);
    } else {
      setTrailingComments(lastElement, commentWS.comments);
    }
  }
  class CommentsParser extends BaseParser {
    addComment(comment) {
      if (this.filename) comment.loc.filename = this.filename;
      this.state.comments.push(comment);
    }
    processComment(node) {
      var {
        commentStack
      } = this.state;
      var commentStackLength = commentStack.length;
      if (commentStackLength === 0) return;
      var i = commentStackLength - 1;
      var lastCommentWS = commentStack[i];
      if (lastCommentWS.start === node.end) {
        lastCommentWS.leadingNode = node;
        i--;
      }
      var {
        start: nodeStart
      } = node;
      for (; i >= 0; i--) {
        var commentWS = commentStack[i];
        var commentEnd = commentWS.end;
        if (commentEnd > nodeStart) {
          commentWS.containingNode = node;
          this.finalizeComment(commentWS);
          commentStack.splice(i, 1);
        } else {
          if (commentEnd === nodeStart) {
            commentWS.trailingNode = node;
          }
          break;
        }
      }
    }
    finalizeComment(commentWS) {
      var {
        comments
      } = commentWS;
      if (commentWS.leadingNode !== null || commentWS.trailingNode !== null) {
        if (commentWS.leadingNode !== null) {
          setTrailingComments(commentWS.leadingNode, comments);
        }
        if (commentWS.trailingNode !== null) {
          setLeadingComments(commentWS.trailingNode, comments);
        }
      } else {
        var {
          containingNode: node,
          start: commentStart
        } = commentWS;
        if (this.input.charCodeAt(commentStart - 1) === 44) {
          switch (node.type) {
            case "ObjectExpression":
            case "ObjectPattern":
            case "RecordExpression":
              adjustInnerComments(node, node.properties, commentWS);
              break;
            case "CallExpression":
            case "OptionalCallExpression":
              adjustInnerComments(node, node.arguments, commentWS);
              break;
            case "FunctionDeclaration":
            case "FunctionExpression":
            case "ArrowFunctionExpression":
            case "ObjectMethod":
            case "ClassMethod":
            case "ClassPrivateMethod":
              adjustInnerComments(node, node.params, commentWS);
              break;
            case "ArrayExpression":
            case "ArrayPattern":
            case "TupleExpression":
              adjustInnerComments(node, node.elements, commentWS);
              break;
            case "ExportNamedDeclaration":
            case "ImportDeclaration":
              adjustInnerComments(node, node.specifiers, commentWS);
              break;
            default:
              {
                setInnerComments(node, comments);
              }
          }
        } else {
          setInnerComments(node, comments);
        }
      }
    }
    finalizeRemainingComments() {
      var {
        commentStack
      } = this.state;
      for (var i = commentStack.length - 1; i >= 0; i--) {
        this.finalizeComment(commentStack[i]);
      }
      this.state.commentStack = [];
    }
    resetPreviousNodeTrailingComments(node) {
      var {
        commentStack
      } = this.state;
      var {
        length
      } = commentStack;
      if (length === 0) return;
      var commentWS = commentStack[length - 1];
      if (commentWS.leadingNode === node) {
        commentWS.leadingNode = null;
      }
    }
    takeSurroundingComments(node, start, end) {
      var {
        commentStack
      } = this.state;
      var commentStackLength = commentStack.length;
      if (commentStackLength === 0) return;
      var i = commentStackLength - 1;
      for (; i >= 0; i--) {
        var commentWS = commentStack[i];
        var commentEnd = commentWS.end;
        var commentStart = commentWS.start;
        if (commentStart === end) {
          commentWS.leadingNode = node;
        } else if (commentEnd === start) {
          commentWS.trailingNode = node;
        } else if (commentEnd < start) {
          break;
        }
      }
    }
  }
  var lineBreak = /\r\n?|[\n\u2028\u2029]/;
  var lineBreakG = new RegExp(lineBreak.source, "g");
  function isNewLine(code) {
    switch (code) {
      case 10:
      case 13:
      case 8232:
      case 8233:
        return true;
      default:
        return false;
    }
  }
  var skipWhiteSpace = /(?:\s|\/\/.*|\/\*[^]*?\*\/)*/g;
  var skipWhiteSpaceInLine = /(?:[^\S\n\r\u2028\u2029]|\/\/.*|\/\*.*?\*\/)*/y;
  var skipWhiteSpaceToLineBreak = new RegExp("(?=(" + skipWhiteSpaceInLine.source + "))\\1" + /(?=[\n\r\u2028\u2029]|\/\*(?!.*?\*\/)|$)/.source, "y");
  function isWhitespace(code) {
    switch (code) {
      case 0x0009:
      case 0x000b:
      case 0x000c:
      case 32:
      case 160:
      case 5760:
      case 0x2000:
      case 0x2001:
      case 0x2002:
      case 0x2003:
      case 0x2004:
      case 0x2005:
      case 0x2006:
      case 0x2007:
      case 0x2008:
      case 0x2009:
      case 0x200a:
      case 0x202f:
      case 0x205f:
      case 0x3000:
      case 0xfeff:
        return true;
      default:
        return false;
    }
  }
  class State {
    constructor() {
      this.strict = void 0;
      this.curLine = void 0;
      this.lineStart = void 0;
      this.startLoc = void 0;
      this.endLoc = void 0;
      this.errors = [];
      this.potentialArrowAt = -1;
      this.noArrowAt = [];
      this.noArrowParamsConversionAt = [];
      this.maybeInArrowParameters = false;
      this.inType = false;
      this.noAnonFunctionType = false;
      this.hasFlowComment = false;
      this.isAmbientContext = false;
      this.inAbstractClass = false;
      this.inDisallowConditionalTypesContext = false;
      this.topicContext = {
        maxNumOfResolvableTopics: 0,
        maxTopicIndex: null
      };
      this.soloAwait = false;
      this.inFSharpPipelineDirectBody = false;
      this.labels = [];
      this.comments = [];
      this.commentStack = [];
      this.pos = 0;
      this.type = 137;
      this.value = null;
      this.start = 0;
      this.end = 0;
      this.lastTokEndLoc = null;
      this.lastTokStartLoc = null;
      this.lastTokStart = 0;
      this.context = [types.brace];
      this.canStartJSXElement = true;
      this.containsEsc = false;
      this.firstInvalidTemplateEscapePos = null;
      this.strictErrors = new Map();
      this.tokensLength = 0;
    }
    init(_ref41) {
      var {
        strictMode,
        sourceType,
        startLine,
        startColumn
      } = _ref41;
      this.strict = strictMode === false ? false : strictMode === true ? true : sourceType === "module";
      this.curLine = startLine;
      this.lineStart = -startColumn;
      this.startLoc = this.endLoc = new Position(startLine, startColumn, 0);
    }
    curPosition() {
      return new Position(this.curLine, this.pos - this.lineStart, this.pos);
    }
    clone(skipArrays) {
      var state = new State();
      var keys = Object.keys(this);
      for (var i = 0, length = keys.length; i < length; i++) {
        var key = keys[i];
        var val = this[key];
        if (!skipArrays && Array.isArray(val)) {
          val = val.slice();
        }
        state[key] = val;
      }
      return state;
    }
  }
  var _isDigit = function isDigit(code) {
    return code >= 48 && code <= 57;
  };
  var forbiddenNumericSeparatorSiblings = {
    decBinOct: new Set([46, 66, 69, 79, 95, 98, 101, 111]),
    hex: new Set([46, 88, 95, 120])
  };
  var isAllowedNumericSeparatorSibling = {
    bin: ch => ch === 48 || ch === 49,
    oct: ch => ch >= 48 && ch <= 55,
    dec: ch => ch >= 48 && ch <= 57,
    hex: ch => ch >= 48 && ch <= 57 || ch >= 65 && ch <= 70 || ch >= 97 && ch <= 102
  };
  function readStringContents(type, input, pos, lineStart, curLine, errors) {
    var initialPos = pos;
    var initialLineStart = lineStart;
    var initialCurLine = curLine;
    var out = "";
    var firstInvalidLoc = null;
    var chunkStart = pos;
    var {
      length
    } = input;
    for (;;) {
      if (pos >= length) {
        errors.unterminated(initialPos, initialLineStart, initialCurLine);
        out += input.slice(chunkStart, pos);
        break;
      }
      var ch = input.charCodeAt(pos);
      if (isStringEnd(type, ch, input, pos)) {
        out += input.slice(chunkStart, pos);
        break;
      }
      if (ch === 92) {
        out += input.slice(chunkStart, pos);
        var res = readEscapedChar(input, pos, lineStart, curLine, type === "template", errors);
        if (res.ch === null && !firstInvalidLoc) {
          firstInvalidLoc = {
            pos,
            lineStart,
            curLine
          };
        } else {
          out += res.ch;
        }
        ({
          pos,
          lineStart,
          curLine
        } = res);
        chunkStart = pos;
      } else if (ch === 8232 || ch === 8233) {
        ++pos;
        ++curLine;
        lineStart = pos;
      } else if (ch === 10 || ch === 13) {
        if (type === "template") {
          out += input.slice(chunkStart, pos) + "\n";
          ++pos;
          if (ch === 13 && input.charCodeAt(pos) === 10) {
            ++pos;
          }
          ++curLine;
          chunkStart = lineStart = pos;
        } else {
          errors.unterminated(initialPos, initialLineStart, initialCurLine);
        }
      } else {
        ++pos;
      }
    }
    return {
      pos,
      str: out,
      firstInvalidLoc,
      lineStart,
      curLine,
      containsInvalid: !!firstInvalidLoc
    };
  }
  function isStringEnd(type, ch, input, pos) {
    if (type === "template") {
      return ch === 96 || ch === 36 && input.charCodeAt(pos + 1) === 123;
    }
    return ch === (type === "double" ? 34 : 39);
  }
  function readEscapedChar(input, pos, lineStart, curLine, inTemplate, errors) {
    var throwOnInvalid = !inTemplate;
    pos++;
    var res = ch => ({
      pos,
      ch,
      lineStart,
      curLine
    });
    var ch = input.charCodeAt(pos++);
    switch (ch) {
      case 110:
        return res("\n");
      case 114:
        return res("\r");
      case 120:
        {
          var code;
          ({
            code,
            pos
          } = readHexChar(input, pos, lineStart, curLine, 2, false, throwOnInvalid, errors));
          return res(code === null ? null : String.fromCharCode(code));
        }
      case 117:
        {
          var _code;
          ({
            code: _code,
            pos
          } = readCodePoint(input, pos, lineStart, curLine, throwOnInvalid, errors));
          return res(_code === null ? null : String.fromCodePoint(_code));
        }
      case 116:
        return res("\t");
      case 98:
        return res("\b");
      case 118:
        return res("\u000b");
      case 102:
        return res("\f");
      case 13:
        if (input.charCodeAt(pos) === 10) {
          ++pos;
        }
      case 10:
        lineStart = pos;
        ++curLine;
      case 8232:
      case 8233:
        return res("");
      case 56:
      case 57:
        if (inTemplate) {
          return res(null);
        } else {
          errors.strictNumericEscape(pos - 1, lineStart, curLine);
        }
      default:
        if (ch >= 48 && ch <= 55) {
          var startPos = pos - 1;
          var match = input.slice(startPos, pos + 2).match(/^[0-7]+/);
          var octalStr = match[0];
          var octal = parseInt(octalStr, 8);
          if (octal > 255) {
            octalStr = octalStr.slice(0, -1);
            octal = parseInt(octalStr, 8);
          }
          pos += octalStr.length - 1;
          var next = input.charCodeAt(pos);
          if (octalStr !== "0" || next === 56 || next === 57) {
            if (inTemplate) {
              return res(null);
            } else {
              errors.strictNumericEscape(startPos, lineStart, curLine);
            }
          }
          return res(String.fromCharCode(octal));
        }
        return res(String.fromCharCode(ch));
    }
  }
  function readHexChar(input, pos, lineStart, curLine, len, forceLen, throwOnInvalid, errors) {
    var initialPos = pos;
    var n;
    ({
      n,
      pos
    } = readInt(input, pos, lineStart, curLine, 16, len, forceLen, false, errors, !throwOnInvalid));
    if (n === null) {
      if (throwOnInvalid) {
        errors.invalidEscapeSequence(initialPos, lineStart, curLine);
      } else {
        pos = initialPos - 1;
      }
    }
    return {
      code: n,
      pos
    };
  }
  function readInt(input, pos, lineStart, curLine, radix, len, forceLen, allowNumSeparator, errors, bailOnError) {
    var start = pos;
    var forbiddenSiblings = radix === 16 ? forbiddenNumericSeparatorSiblings.hex : forbiddenNumericSeparatorSiblings.decBinOct;
    var isAllowedSibling = radix === 16 ? isAllowedNumericSeparatorSibling.hex : radix === 10 ? isAllowedNumericSeparatorSibling.dec : radix === 8 ? isAllowedNumericSeparatorSibling.oct : isAllowedNumericSeparatorSibling.bin;
    var invalid = false;
    var total = 0;
    for (var i = 0, e = len == null ? Infinity : len; i < e; ++i) {
      var code = input.charCodeAt(pos);
      var val = void 0;
      if (code === 95 && allowNumSeparator !== "bail") {
        var prev = input.charCodeAt(pos - 1);
        var next = input.charCodeAt(pos + 1);
        if (!allowNumSeparator) {
          if (bailOnError) return {
            n: null,
            pos
          };
          errors.numericSeparatorInEscapeSequence(pos, lineStart, curLine);
        } else if (Number.isNaN(next) || !isAllowedSibling(next) || forbiddenSiblings.has(prev) || forbiddenSiblings.has(next)) {
          if (bailOnError) return {
            n: null,
            pos
          };
          errors.unexpectedNumericSeparator(pos, lineStart, curLine);
        }
        ++pos;
        continue;
      }
      if (code >= 97) {
        val = code - 97 + 10;
      } else if (code >= 65) {
        val = code - 65 + 10;
      } else if (_isDigit(code)) {
        val = code - 48;
      } else {
        val = Infinity;
      }
      if (val >= radix) {
        if (val <= 9 && bailOnError) {
          return {
            n: null,
            pos
          };
        } else if (val <= 9 && errors.invalidDigit(pos, lineStart, curLine, radix)) {
          val = 0;
        } else if (forceLen) {
          val = 0;
          invalid = true;
        } else {
          break;
        }
      }
      ++pos;
      total = total * radix + val;
    }
    if (pos === start || len != null && pos - start !== len || invalid) {
      return {
        n: null,
        pos
      };
    }
    return {
      n: total,
      pos
    };
  }
  function readCodePoint(input, pos, lineStart, curLine, throwOnInvalid, errors) {
    var ch = input.charCodeAt(pos);
    var code;
    if (ch === 123) {
      ++pos;
      ({
        code,
        pos
      } = readHexChar(input, pos, lineStart, curLine, input.indexOf("}", pos) - pos, true, throwOnInvalid, errors));
      ++pos;
      if (code !== null && code > 0x10ffff) {
        if (throwOnInvalid) {
          errors.invalidCodePoint(pos, lineStart, curLine);
        } else {
          return {
            code: null,
            pos
          };
        }
      }
    } else {
      ({
        code,
        pos
      } = readHexChar(input, pos, lineStart, curLine, 4, false, throwOnInvalid, errors));
    }
    return {
      code,
      pos
    };
  }
  var _excluded$2 = ["at"],
    _excluded2 = ["at"];
  function buildPosition(pos, lineStart, curLine) {
    return new Position(curLine, pos - lineStart, pos);
  }
  var VALID_REGEX_FLAGS = new Set([103, 109, 115, 105, 121, 117, 100, 118]);
  class Token {
    constructor(state) {
      this.type = state.type;
      this.value = state.value;
      this.start = state.start;
      this.end = state.end;
      this.loc = new SourceLocation(state.startLoc, state.endLoc);
    }
  }
  class Tokenizer extends CommentsParser {
    constructor(options, input) {
      super();
      this.isLookahead = void 0;
      this.tokens = [];
      this.errorHandlers_readInt = {
        invalidDigit: (pos, lineStart, curLine, radix) => {
          if (!this.options.errorRecovery) return false;
          this.raise(Errors.InvalidDigit, {
            at: buildPosition(pos, lineStart, curLine),
            radix
          });
          return true;
        },
        numericSeparatorInEscapeSequence: this.errorBuilder(Errors.NumericSeparatorInEscapeSequence),
        unexpectedNumericSeparator: this.errorBuilder(Errors.UnexpectedNumericSeparator)
      };
      this.errorHandlers_readCodePoint = Object.assign({}, this.errorHandlers_readInt, {
        invalidEscapeSequence: this.errorBuilder(Errors.InvalidEscapeSequence),
        invalidCodePoint: this.errorBuilder(Errors.InvalidCodePoint)
      });
      this.errorHandlers_readStringContents_string = Object.assign({}, this.errorHandlers_readCodePoint, {
        strictNumericEscape: (pos, lineStart, curLine) => {
          this.recordStrictModeErrors(Errors.StrictNumericEscape, {
            at: buildPosition(pos, lineStart, curLine)
          });
        },
        unterminated: (pos, lineStart, curLine) => {
          throw this.raise(Errors.UnterminatedString, {
            at: buildPosition(pos - 1, lineStart, curLine)
          });
        }
      });
      this.errorHandlers_readStringContents_template = Object.assign({}, this.errorHandlers_readCodePoint, {
        strictNumericEscape: this.errorBuilder(Errors.StrictNumericEscape),
        unterminated: (pos, lineStart, curLine) => {
          throw this.raise(Errors.UnterminatedTemplate, {
            at: buildPosition(pos, lineStart, curLine)
          });
        }
      });
      this.state = new State();
      this.state.init(options);
      this.input = input;
      this.length = input.length;
      this.isLookahead = false;
    }
    pushToken(token) {
      this.tokens.length = this.state.tokensLength;
      this.tokens.push(token);
      ++this.state.tokensLength;
    }
    next() {
      this.checkKeywordEscapes();
      if (this.options.tokens) {
        this.pushToken(new Token(this.state));
      }
      this.state.lastTokStart = this.state.start;
      this.state.lastTokEndLoc = this.state.endLoc;
      this.state.lastTokStartLoc = this.state.startLoc;
      this.nextToken();
    }
    eat(type) {
      if (this.match(type)) {
        this.next();
        return true;
      } else {
        return false;
      }
    }
    match(type) {
      return this.state.type === type;
    }
    createLookaheadState(state) {
      return {
        pos: state.pos,
        value: null,
        type: state.type,
        start: state.start,
        end: state.end,
        context: [this.curContext()],
        inType: state.inType,
        startLoc: state.startLoc,
        lastTokEndLoc: state.lastTokEndLoc,
        curLine: state.curLine,
        lineStart: state.lineStart,
        curPosition: state.curPosition
      };
    }
    lookahead() {
      var old = this.state;
      this.state = this.createLookaheadState(old);
      this.isLookahead = true;
      this.nextToken();
      this.isLookahead = false;
      var curr = this.state;
      this.state = old;
      return curr;
    }
    nextTokenStart() {
      return this.nextTokenStartSince(this.state.pos);
    }
    nextTokenStartSince(pos) {
      skipWhiteSpace.lastIndex = pos;
      return skipWhiteSpace.test(this.input) ? skipWhiteSpace.lastIndex : pos;
    }
    lookaheadCharCode() {
      return this.input.charCodeAt(this.nextTokenStart());
    }
    codePointAtPos(pos) {
      var cp = this.input.charCodeAt(pos);
      if ((cp & 0xfc00) === 0xd800 && ++pos < this.input.length) {
        var trail = this.input.charCodeAt(pos);
        if ((trail & 0xfc00) === 0xdc00) {
          cp = 0x10000 + ((cp & 0x3ff) << 10) + (trail & 0x3ff);
        }
      }
      return cp;
    }
    setStrict(strict) {
      this.state.strict = strict;
      if (strict) {
        this.state.strictErrors.forEach(_ref42 => {
          var [toParseError, at] = _ref42;
          return this.raise(toParseError, {
            at
          });
        });
        this.state.strictErrors.clear();
      }
    }
    curContext() {
      return this.state.context[this.state.context.length - 1];
    }
    nextToken() {
      this.skipSpace();
      this.state.start = this.state.pos;
      if (!this.isLookahead) this.state.startLoc = this.state.curPosition();
      if (this.state.pos >= this.length) {
        this.finishToken(137);
        return;
      }
      this.getTokenFromCode(this.codePointAtPos(this.state.pos));
    }
    skipBlockComment(commentEnd) {
      var startLoc;
      if (!this.isLookahead) startLoc = this.state.curPosition();
      var start = this.state.pos;
      var end = this.input.indexOf(commentEnd, start + 2);
      if (end === -1) {
        throw this.raise(Errors.UnterminatedComment, {
          at: this.state.curPosition()
        });
      }
      this.state.pos = end + commentEnd.length;
      lineBreakG.lastIndex = start + 2;
      while (lineBreakG.test(this.input) && lineBreakG.lastIndex <= end) {
        ++this.state.curLine;
        this.state.lineStart = lineBreakG.lastIndex;
      }
      if (this.isLookahead) return;
      var comment = {
        type: "CommentBlock",
        value: this.input.slice(start + 2, end),
        start,
        end: end + commentEnd.length,
        loc: new SourceLocation(startLoc, this.state.curPosition())
      };
      if (this.options.tokens) this.pushToken(comment);
      return comment;
    }
    skipLineComment(startSkip) {
      var start = this.state.pos;
      var startLoc;
      if (!this.isLookahead) startLoc = this.state.curPosition();
      var ch = this.input.charCodeAt(this.state.pos += startSkip);
      if (this.state.pos < this.length) {
        while (!isNewLine(ch) && ++this.state.pos < this.length) {
          ch = this.input.charCodeAt(this.state.pos);
        }
      }
      if (this.isLookahead) return;
      var end = this.state.pos;
      var value = this.input.slice(start + startSkip, end);
      var comment = {
        type: "CommentLine",
        value,
        start,
        end,
        loc: new SourceLocation(startLoc, this.state.curPosition())
      };
      if (this.options.tokens) this.pushToken(comment);
      return comment;
    }
    skipSpace() {
      var spaceStart = this.state.pos;
      var comments = [];
      loop: while (this.state.pos < this.length) {
        var ch = this.input.charCodeAt(this.state.pos);
        switch (ch) {
          case 32:
          case 160:
          case 9:
            ++this.state.pos;
            break;
          case 13:
            if (this.input.charCodeAt(this.state.pos + 1) === 10) {
              ++this.state.pos;
            }
          case 10:
          case 8232:
          case 8233:
            ++this.state.pos;
            ++this.state.curLine;
            this.state.lineStart = this.state.pos;
            break;
          case 47:
            switch (this.input.charCodeAt(this.state.pos + 1)) {
              case 42:
                {
                  var comment = this.skipBlockComment("*/");
                  if (comment !== undefined) {
                    this.addComment(comment);
                    if (this.options.attachComment) comments.push(comment);
                  }
                  break;
                }
              case 47:
                {
                  var _comment = this.skipLineComment(2);
                  if (_comment !== undefined) {
                    this.addComment(_comment);
                    if (this.options.attachComment) comments.push(_comment);
                  }
                  break;
                }
              default:
                break loop;
            }
            break;
          default:
            if (isWhitespace(ch)) {
              ++this.state.pos;
            } else if (ch === 45 && !this.inModule) {
              var pos = this.state.pos;
              if (this.input.charCodeAt(pos + 1) === 45 && this.input.charCodeAt(pos + 2) === 62 && (spaceStart === 0 || this.state.lineStart > spaceStart)) {
                var _comment2 = this.skipLineComment(3);
                if (_comment2 !== undefined) {
                  this.addComment(_comment2);
                  if (this.options.attachComment) comments.push(_comment2);
                }
              } else {
                break loop;
              }
            } else if (ch === 60 && !this.inModule) {
              var _pos = this.state.pos;
              if (this.input.charCodeAt(_pos + 1) === 33 && this.input.charCodeAt(_pos + 2) === 45 && this.input.charCodeAt(_pos + 3) === 45) {
                var _comment3 = this.skipLineComment(4);
                if (_comment3 !== undefined) {
                  this.addComment(_comment3);
                  if (this.options.attachComment) comments.push(_comment3);
                }
              } else {
                break loop;
              }
            } else {
              break loop;
            }
        }
      }
      if (comments.length > 0) {
        var end = this.state.pos;
        var commentWhitespace = {
          start: spaceStart,
          end,
          comments,
          leadingNode: null,
          trailingNode: null,
          containingNode: null
        };
        this.state.commentStack.push(commentWhitespace);
      }
    }
    finishToken(type, val) {
      this.state.end = this.state.pos;
      this.state.endLoc = this.state.curPosition();
      var prevType = this.state.type;
      this.state.type = type;
      this.state.value = val;
      if (!this.isLookahead) {
        this.updateContext(prevType);
      }
    }
    replaceToken(type) {
      this.state.type = type;
      this.updateContext();
    }
    readToken_numberSign() {
      if (this.state.pos === 0 && this.readToken_interpreter()) {
        return;
      }
      var nextPos = this.state.pos + 1;
      var next = this.codePointAtPos(nextPos);
      if (next >= 48 && next <= 57) {
        throw this.raise(Errors.UnexpectedDigitAfterHash, {
          at: this.state.curPosition()
        });
      }
      if (next === 123 || next === 91 && this.hasPlugin("recordAndTuple")) {
        this.expectPlugin("recordAndTuple");
        if (this.getPluginOption("recordAndTuple", "syntaxType") === "bar") {
          throw this.raise(next === 123 ? Errors.RecordExpressionHashIncorrectStartSyntaxType : Errors.TupleExpressionHashIncorrectStartSyntaxType, {
            at: this.state.curPosition()
          });
        }
        this.state.pos += 2;
        if (next === 123) {
          this.finishToken(7);
        } else {
          this.finishToken(1);
        }
      } else if (isIdentifierStart(next)) {
        ++this.state.pos;
        this.finishToken(136, this.readWord1(next));
      } else if (next === 92) {
        ++this.state.pos;
        this.finishToken(136, this.readWord1());
      } else {
        this.finishOp(27, 1);
      }
    }
    readToken_dot() {
      var next = this.input.charCodeAt(this.state.pos + 1);
      if (next >= 48 && next <= 57) {
        this.readNumber(true);
        return;
      }
      if (next === 46 && this.input.charCodeAt(this.state.pos + 2) === 46) {
        this.state.pos += 3;
        this.finishToken(21);
      } else {
        ++this.state.pos;
        this.finishToken(16);
      }
    }
    readToken_slash() {
      var next = this.input.charCodeAt(this.state.pos + 1);
      if (next === 61) {
        this.finishOp(31, 2);
      } else {
        this.finishOp(56, 1);
      }
    }
    readToken_interpreter() {
      if (this.state.pos !== 0 || this.length < 2) return false;
      var ch = this.input.charCodeAt(this.state.pos + 1);
      if (ch !== 33) return false;
      var start = this.state.pos;
      this.state.pos += 1;
      while (!isNewLine(ch) && ++this.state.pos < this.length) {
        ch = this.input.charCodeAt(this.state.pos);
      }
      var value = this.input.slice(start + 2, this.state.pos);
      this.finishToken(28, value);
      return true;
    }
    readToken_mult_modulo(code) {
      var type = code === 42 ? 55 : 54;
      var width = 1;
      var next = this.input.charCodeAt(this.state.pos + 1);
      if (code === 42 && next === 42) {
        width++;
        next = this.input.charCodeAt(this.state.pos + 2);
        type = 57;
      }
      if (next === 61 && !this.state.inType) {
        width++;
        type = code === 37 ? 33 : 30;
      }
      this.finishOp(type, width);
    }
    readToken_pipe_amp(code) {
      var next = this.input.charCodeAt(this.state.pos + 1);
      if (next === code) {
        if (this.input.charCodeAt(this.state.pos + 2) === 61) {
          this.finishOp(30, 3);
        } else {
          this.finishOp(code === 124 ? 41 : 42, 2);
        }
        return;
      }
      if (code === 124) {
        if (next === 62) {
          this.finishOp(39, 2);
          return;
        }
        if (this.hasPlugin("recordAndTuple") && next === 125) {
          if (this.getPluginOption("recordAndTuple", "syntaxType") !== "bar") {
            throw this.raise(Errors.RecordExpressionBarIncorrectEndSyntaxType, {
              at: this.state.curPosition()
            });
          }
          this.state.pos += 2;
          this.finishToken(9);
          return;
        }
        if (this.hasPlugin("recordAndTuple") && next === 93) {
          if (this.getPluginOption("recordAndTuple", "syntaxType") !== "bar") {
            throw this.raise(Errors.TupleExpressionBarIncorrectEndSyntaxType, {
              at: this.state.curPosition()
            });
          }
          this.state.pos += 2;
          this.finishToken(4);
          return;
        }
      }
      if (next === 61) {
        this.finishOp(30, 2);
        return;
      }
      this.finishOp(code === 124 ? 43 : 45, 1);
    }
    readToken_caret() {
      var next = this.input.charCodeAt(this.state.pos + 1);
      if (next === 61 && !this.state.inType) {
        this.finishOp(32, 2);
      } else if (next === 94 && this.hasPlugin(["pipelineOperator", {
        proposal: "hack",
        topicToken: "^^"
      }])) {
        this.finishOp(37, 2);
        var lookaheadCh = this.input.codePointAt(this.state.pos);
        if (lookaheadCh === 94) {
          throw this.unexpected();
        }
      } else {
        this.finishOp(44, 1);
      }
    }
    readToken_atSign() {
      var next = this.input.charCodeAt(this.state.pos + 1);
      if (next === 64 && this.hasPlugin(["pipelineOperator", {
        proposal: "hack",
        topicToken: "@@"
      }])) {
        this.finishOp(38, 2);
      } else {
        this.finishOp(26, 1);
      }
    }
    readToken_plus_min(code) {
      var next = this.input.charCodeAt(this.state.pos + 1);
      if (next === code) {
        this.finishOp(34, 2);
        return;
      }
      if (next === 61) {
        this.finishOp(30, 2);
      } else {
        this.finishOp(53, 1);
      }
    }
    readToken_lt() {
      var {
        pos
      } = this.state;
      var next = this.input.charCodeAt(pos + 1);
      if (next === 60) {
        if (this.input.charCodeAt(pos + 2) === 61) {
          this.finishOp(30, 3);
          return;
        }
        this.finishOp(51, 2);
        return;
      }
      if (next === 61) {
        this.finishOp(49, 2);
        return;
      }
      this.finishOp(47, 1);
    }
    readToken_gt() {
      var {
        pos
      } = this.state;
      var next = this.input.charCodeAt(pos + 1);
      if (next === 62) {
        var size = this.input.charCodeAt(pos + 2) === 62 ? 3 : 2;
        if (this.input.charCodeAt(pos + size) === 61) {
          this.finishOp(30, size + 1);
          return;
        }
        this.finishOp(52, size);
        return;
      }
      if (next === 61) {
        this.finishOp(49, 2);
        return;
      }
      this.finishOp(48, 1);
    }
    readToken_eq_excl(code) {
      var next = this.input.charCodeAt(this.state.pos + 1);
      if (next === 61) {
        this.finishOp(46, this.input.charCodeAt(this.state.pos + 2) === 61 ? 3 : 2);
        return;
      }
      if (code === 61 && next === 62) {
        this.state.pos += 2;
        this.finishToken(19);
        return;
      }
      this.finishOp(code === 61 ? 29 : 35, 1);
    }
    readToken_question() {
      var next = this.input.charCodeAt(this.state.pos + 1);
      var next2 = this.input.charCodeAt(this.state.pos + 2);
      if (next === 63) {
        if (next2 === 61) {
          this.finishOp(30, 3);
        } else {
          this.finishOp(40, 2);
        }
      } else if (next === 46 && !(next2 >= 48 && next2 <= 57)) {
        this.state.pos += 2;
        this.finishToken(18);
      } else {
        ++this.state.pos;
        this.finishToken(17);
      }
    }
    getTokenFromCode(code) {
      switch (code) {
        case 46:
          this.readToken_dot();
          return;
        case 40:
          ++this.state.pos;
          this.finishToken(10);
          return;
        case 41:
          ++this.state.pos;
          this.finishToken(11);
          return;
        case 59:
          ++this.state.pos;
          this.finishToken(13);
          return;
        case 44:
          ++this.state.pos;
          this.finishToken(12);
          return;
        case 91:
          if (this.hasPlugin("recordAndTuple") && this.input.charCodeAt(this.state.pos + 1) === 124) {
            if (this.getPluginOption("recordAndTuple", "syntaxType") !== "bar") {
              throw this.raise(Errors.TupleExpressionBarIncorrectStartSyntaxType, {
                at: this.state.curPosition()
              });
            }
            this.state.pos += 2;
            this.finishToken(2);
          } else {
            ++this.state.pos;
            this.finishToken(0);
          }
          return;
        case 93:
          ++this.state.pos;
          this.finishToken(3);
          return;
        case 123:
          if (this.hasPlugin("recordAndTuple") && this.input.charCodeAt(this.state.pos + 1) === 124) {
            if (this.getPluginOption("recordAndTuple", "syntaxType") !== "bar") {
              throw this.raise(Errors.RecordExpressionBarIncorrectStartSyntaxType, {
                at: this.state.curPosition()
              });
            }
            this.state.pos += 2;
            this.finishToken(6);
          } else {
            ++this.state.pos;
            this.finishToken(5);
          }
          return;
        case 125:
          ++this.state.pos;
          this.finishToken(8);
          return;
        case 58:
          if (this.hasPlugin("functionBind") && this.input.charCodeAt(this.state.pos + 1) === 58) {
            this.finishOp(15, 2);
          } else {
            ++this.state.pos;
            this.finishToken(14);
          }
          return;
        case 63:
          this.readToken_question();
          return;
        case 96:
          this.readTemplateToken();
          return;
        case 48:
          {
            var next = this.input.charCodeAt(this.state.pos + 1);
            if (next === 120 || next === 88) {
              this.readRadixNumber(16);
              return;
            }
            if (next === 111 || next === 79) {
              this.readRadixNumber(8);
              return;
            }
            if (next === 98 || next === 66) {
              this.readRadixNumber(2);
              return;
            }
          }
        case 49:
        case 50:
        case 51:
        case 52:
        case 53:
        case 54:
        case 55:
        case 56:
        case 57:
          this.readNumber(false);
          return;
        case 34:
        case 39:
          this.readString(code);
          return;
        case 47:
          this.readToken_slash();
          return;
        case 37:
        case 42:
          this.readToken_mult_modulo(code);
          return;
        case 124:
        case 38:
          this.readToken_pipe_amp(code);
          return;
        case 94:
          this.readToken_caret();
          return;
        case 43:
        case 45:
          this.readToken_plus_min(code);
          return;
        case 60:
          this.readToken_lt();
          return;
        case 62:
          this.readToken_gt();
          return;
        case 61:
        case 33:
          this.readToken_eq_excl(code);
          return;
        case 126:
          this.finishOp(36, 1);
          return;
        case 64:
          this.readToken_atSign();
          return;
        case 35:
          this.readToken_numberSign();
          return;
        case 92:
          this.readWord();
          return;
        default:
          if (isIdentifierStart(code)) {
            this.readWord(code);
            return;
          }
      }
      throw this.raise(Errors.InvalidOrUnexpectedToken, {
        at: this.state.curPosition(),
        unexpected: String.fromCodePoint(code)
      });
    }
    finishOp(type, size) {
      var str = this.input.slice(this.state.pos, this.state.pos + size);
      this.state.pos += size;
      this.finishToken(type, str);
    }
    readRegexp() {
      var startLoc = this.state.startLoc;
      var start = this.state.start + 1;
      var escaped, inClass;
      var {
        pos
      } = this.state;
      for (;; ++pos) {
        if (pos >= this.length) {
          throw this.raise(Errors.UnterminatedRegExp, {
            at: createPositionWithColumnOffset(startLoc, 1)
          });
        }
        var ch = this.input.charCodeAt(pos);
        if (isNewLine(ch)) {
          throw this.raise(Errors.UnterminatedRegExp, {
            at: createPositionWithColumnOffset(startLoc, 1)
          });
        }
        if (escaped) {
          escaped = false;
        } else {
          if (ch === 91) {
            inClass = true;
          } else if (ch === 93 && inClass) {
            inClass = false;
          } else if (ch === 47 && !inClass) {
            break;
          }
          escaped = ch === 92;
        }
      }
      var content = this.input.slice(start, pos);
      ++pos;
      var mods = "";
      var nextPos = () => createPositionWithColumnOffset(startLoc, pos + 2 - start);
      while (pos < this.length) {
        var cp = this.codePointAtPos(pos);
        var char = String.fromCharCode(cp);
        if (VALID_REGEX_FLAGS.has(cp)) {
          if (cp === 118) {
            this.expectPlugin("regexpUnicodeSets", nextPos());
            if (mods.includes("u")) {
              this.raise(Errors.IncompatibleRegExpUVFlags, {
                at: nextPos()
              });
            }
          } else if (cp === 117) {
            if (mods.includes("v")) {
              this.raise(Errors.IncompatibleRegExpUVFlags, {
                at: nextPos()
              });
            }
          }
          if (mods.includes(char)) {
            this.raise(Errors.DuplicateRegExpFlags, {
              at: nextPos()
            });
          }
        } else if (isIdentifierChar(cp) || cp === 92) {
          this.raise(Errors.MalformedRegExpFlags, {
            at: nextPos()
          });
        } else {
          break;
        }
        ++pos;
        mods += char;
      }
      this.state.pos = pos;
      this.finishToken(135, {
        pattern: content,
        flags: mods
      });
    }
    readInt(radix, len) {
      var forceLen = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
      var allowNumSeparator = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;
      var {
        n,
        pos
      } = readInt(this.input, this.state.pos, this.state.lineStart, this.state.curLine, radix, len, forceLen, allowNumSeparator, this.errorHandlers_readInt, false);
      this.state.pos = pos;
      return n;
    }
    readRadixNumber(radix) {
      var startLoc = this.state.curPosition();
      var isBigInt = false;
      this.state.pos += 2;
      var val = this.readInt(radix);
      if (val == null) {
        this.raise(Errors.InvalidDigit, {
          at: createPositionWithColumnOffset(startLoc, 2),
          radix
        });
      }
      var next = this.input.charCodeAt(this.state.pos);
      if (next === 110) {
        ++this.state.pos;
        isBigInt = true;
      } else if (next === 109) {
        throw this.raise(Errors.InvalidDecimal, {
          at: startLoc
        });
      }
      if (isIdentifierStart(this.codePointAtPos(this.state.pos))) {
        throw this.raise(Errors.NumberIdentifier, {
          at: this.state.curPosition()
        });
      }
      if (isBigInt) {
        var str = this.input.slice(startLoc.index, this.state.pos).replace(/[_n]/g, "");
        this.finishToken(133, str);
        return;
      }
      this.finishToken(132, val);
    }
    readNumber(startsWithDot) {
      var start = this.state.pos;
      var startLoc = this.state.curPosition();
      var isFloat = false;
      var isBigInt = false;
      var isDecimal = false;
      var hasExponent = false;
      var isOctal = false;
      if (!startsWithDot && this.readInt(10) === null) {
        this.raise(Errors.InvalidNumber, {
          at: this.state.curPosition()
        });
      }
      var hasLeadingZero = this.state.pos - start >= 2 && this.input.charCodeAt(start) === 48;
      if (hasLeadingZero) {
        var integer = this.input.slice(start, this.state.pos);
        this.recordStrictModeErrors(Errors.StrictOctalLiteral, {
          at: startLoc
        });
        if (!this.state.strict) {
          var underscorePos = integer.indexOf("_");
          if (underscorePos > 0) {
            this.raise(Errors.ZeroDigitNumericSeparator, {
              at: createPositionWithColumnOffset(startLoc, underscorePos)
            });
          }
        }
        isOctal = hasLeadingZero && !/[89]/.test(integer);
      }
      var next = this.input.charCodeAt(this.state.pos);
      if (next === 46 && !isOctal) {
        ++this.state.pos;
        this.readInt(10);
        isFloat = true;
        next = this.input.charCodeAt(this.state.pos);
      }
      if ((next === 69 || next === 101) && !isOctal) {
        next = this.input.charCodeAt(++this.state.pos);
        if (next === 43 || next === 45) {
          ++this.state.pos;
        }
        if (this.readInt(10) === null) {
          this.raise(Errors.InvalidOrMissingExponent, {
            at: startLoc
          });
        }
        isFloat = true;
        hasExponent = true;
        next = this.input.charCodeAt(this.state.pos);
      }
      if (next === 110) {
        if (isFloat || hasLeadingZero) {
          this.raise(Errors.InvalidBigIntLiteral, {
            at: startLoc
          });
        }
        ++this.state.pos;
        isBigInt = true;
      }
      if (next === 109) {
        this.expectPlugin("decimal", this.state.curPosition());
        if (hasExponent || hasLeadingZero) {
          this.raise(Errors.InvalidDecimal, {
            at: startLoc
          });
        }
        ++this.state.pos;
        isDecimal = true;
      }
      if (isIdentifierStart(this.codePointAtPos(this.state.pos))) {
        throw this.raise(Errors.NumberIdentifier, {
          at: this.state.curPosition()
        });
      }
      var str = this.input.slice(start, this.state.pos).replace(/[_mn]/g, "");
      if (isBigInt) {
        this.finishToken(133, str);
        return;
      }
      if (isDecimal) {
        this.finishToken(134, str);
        return;
      }
      var val = isOctal ? parseInt(str, 8) : parseFloat(str);
      this.finishToken(132, val);
    }
    readCodePoint(throwOnInvalid) {
      var {
        code,
        pos
      } = readCodePoint(this.input, this.state.pos, this.state.lineStart, this.state.curLine, throwOnInvalid, this.errorHandlers_readCodePoint);
      this.state.pos = pos;
      return code;
    }
    readString(quote) {
      var {
        str,
        pos,
        curLine,
        lineStart
      } = readStringContents(quote === 34 ? "double" : "single", this.input, this.state.pos + 1, this.state.lineStart, this.state.curLine, this.errorHandlers_readStringContents_string);
      this.state.pos = pos + 1;
      this.state.lineStart = lineStart;
      this.state.curLine = curLine;
      this.finishToken(131, str);
    }
    readTemplateContinuation() {
      if (!this.match(8)) {
        this.unexpected(null, 8);
      }
      this.state.pos--;
      this.readTemplateToken();
    }
    readTemplateToken() {
      var opening = this.input[this.state.pos];
      var {
        str,
        firstInvalidLoc,
        pos,
        curLine,
        lineStart
      } = readStringContents("template", this.input, this.state.pos + 1, this.state.lineStart, this.state.curLine, this.errorHandlers_readStringContents_template);
      this.state.pos = pos + 1;
      this.state.lineStart = lineStart;
      this.state.curLine = curLine;
      if (firstInvalidLoc) {
        this.state.firstInvalidTemplateEscapePos = new Position(firstInvalidLoc.curLine, firstInvalidLoc.pos - firstInvalidLoc.lineStart, firstInvalidLoc.pos);
      }
      if (this.input.codePointAt(pos) === 96) {
        this.finishToken(24, firstInvalidLoc ? null : opening + str + "`");
      } else {
        this.state.pos++;
        this.finishToken(25, firstInvalidLoc ? null : opening + str + "${");
      }
    }
    recordStrictModeErrors(toParseError, _ref43) {
      var {
        at
      } = _ref43;
      var index = at.index;
      if (this.state.strict && !this.state.strictErrors.has(index)) {
        this.raise(toParseError, {
          at
        });
      } else {
        this.state.strictErrors.set(index, [toParseError, at]);
      }
    }
    readWord1(firstCode) {
      this.state.containsEsc = false;
      var word = "";
      var start = this.state.pos;
      var chunkStart = this.state.pos;
      if (firstCode !== undefined) {
        this.state.pos += firstCode <= 0xffff ? 1 : 2;
      }
      while (this.state.pos < this.length) {
        var ch = this.codePointAtPos(this.state.pos);
        if (isIdentifierChar(ch)) {
          this.state.pos += ch <= 0xffff ? 1 : 2;
        } else if (ch === 92) {
          this.state.containsEsc = true;
          word += this.input.slice(chunkStart, this.state.pos);
          var escStart = this.state.curPosition();
          var identifierCheck = this.state.pos === start ? isIdentifierStart : isIdentifierChar;
          if (this.input.charCodeAt(++this.state.pos) !== 117) {
            this.raise(Errors.MissingUnicodeEscape, {
              at: this.state.curPosition()
            });
            chunkStart = this.state.pos - 1;
            continue;
          }
          ++this.state.pos;
          var esc = this.readCodePoint(true);
          if (esc !== null) {
            if (!identifierCheck(esc)) {
              this.raise(Errors.EscapedCharNotAnIdentifier, {
                at: escStart
              });
            }
            word += String.fromCodePoint(esc);
          }
          chunkStart = this.state.pos;
        } else {
          break;
        }
      }
      return word + this.input.slice(chunkStart, this.state.pos);
    }
    readWord(firstCode) {
      var word = this.readWord1(firstCode);
      var type = keywords$1.get(word);
      if (type !== undefined) {
        this.finishToken(type, tokenLabelName(type));
      } else {
        this.finishToken(130, word);
      }
    }
    checkKeywordEscapes() {
      var {
        type
      } = this.state;
      if (tokenIsKeyword(type) && this.state.containsEsc) {
        this.raise(Errors.InvalidEscapedReservedWord, {
          at: this.state.startLoc,
          reservedWord: tokenLabelName(type)
        });
      }
    }
    raise(toParseError, raiseProperties) {
      var {
          at
        } = raiseProperties,
        details = _objectWithoutPropertiesLoose(raiseProperties, _excluded$2);
      var loc = at instanceof Position ? at : at.loc.start;
      var error = toParseError({
        loc,
        details
      });
      if (!this.options.errorRecovery) throw error;
      if (!this.isLookahead) this.state.errors.push(error);
      return error;
    }
    raiseOverwrite(toParseError, raiseProperties) {
      var {
          at
        } = raiseProperties,
        details = _objectWithoutPropertiesLoose(raiseProperties, _excluded2);
      var loc = at instanceof Position ? at : at.loc.start;
      var pos = loc.index;
      var errors = this.state.errors;
      for (var i = errors.length - 1; i >= 0; i--) {
        var error = errors[i];
        if (error.loc.index === pos) {
          return errors[i] = toParseError({
            loc,
            details
          });
        }
        if (error.loc.index < pos) break;
      }
      return this.raise(toParseError, raiseProperties);
    }
    updateContext(prevType) {}
    unexpected(loc, type) {
      throw this.raise(Errors.UnexpectedToken, {
        expected: type ? tokenLabelName(type) : null,
        at: loc != null ? loc : this.state.startLoc
      });
    }
    expectPlugin(pluginName, loc) {
      if (this.hasPlugin(pluginName)) {
        return true;
      }
      throw this.raise(Errors.MissingPlugin, {
        at: loc != null ? loc : this.state.startLoc,
        missingPlugin: [pluginName]
      });
    }
    expectOnePlugin(pluginNames) {
      if (!pluginNames.some(name => this.hasPlugin(name))) {
        throw this.raise(Errors.MissingOneOfPlugins, {
          at: this.state.startLoc,
          missingPlugin: pluginNames
        });
      }
    }
    errorBuilder(error) {
      return (pos, lineStart, curLine) => {
        this.raise(error, {
          at: buildPosition(pos, lineStart, curLine)
        });
      };
    }
  }
  class ClassScope {
    constructor() {
      this.privateNames = new Set();
      this.loneAccessors = new Map();
      this.undefinedPrivateNames = new Map();
    }
  }
  class ClassScopeHandler {
    constructor(parser) {
      this.parser = void 0;
      this.stack = [];
      this.undefinedPrivateNames = new Map();
      this.parser = parser;
    }
    current() {
      return this.stack[this.stack.length - 1];
    }
    enter() {
      this.stack.push(new ClassScope());
    }
    exit() {
      var oldClassScope = this.stack.pop();
      var current = this.current();
      for (var [name, loc] of Array.from(oldClassScope.undefinedPrivateNames)) {
        if (current) {
          if (!current.undefinedPrivateNames.has(name)) {
            current.undefinedPrivateNames.set(name, loc);
          }
        } else {
          this.parser.raise(Errors.InvalidPrivateFieldResolution, {
            at: loc,
            identifierName: name
          });
        }
      }
    }
    declarePrivateName(name, elementType, loc) {
      var {
        privateNames,
        loneAccessors,
        undefinedPrivateNames
      } = this.current();
      var redefined = privateNames.has(name);
      if (elementType & CLASS_ELEMENT_KIND_ACCESSOR) {
        var accessor = redefined && loneAccessors.get(name);
        if (accessor) {
          var oldStatic = accessor & CLASS_ELEMENT_FLAG_STATIC;
          var newStatic = elementType & CLASS_ELEMENT_FLAG_STATIC;
          var oldKind = accessor & CLASS_ELEMENT_KIND_ACCESSOR;
          var newKind = elementType & CLASS_ELEMENT_KIND_ACCESSOR;
          redefined = oldKind === newKind || oldStatic !== newStatic;
          if (!redefined) loneAccessors.delete(name);
        } else if (!redefined) {
          loneAccessors.set(name, elementType);
        }
      }
      if (redefined) {
        this.parser.raise(Errors.PrivateNameRedeclaration, {
          at: loc,
          identifierName: name
        });
      }
      privateNames.add(name);
      undefinedPrivateNames.delete(name);
    }
    usePrivateName(name, loc) {
      var classScope;
      for (classScope of this.stack) {
        if (classScope.privateNames.has(name)) return;
      }
      if (classScope) {
        classScope.undefinedPrivateNames.set(name, loc);
      } else {
        this.parser.raise(Errors.InvalidPrivateFieldResolution, {
          at: loc,
          identifierName: name
        });
      }
    }
  }
  var kExpression = 0,
    kMaybeArrowParameterDeclaration = 1,
    kMaybeAsyncArrowParameterDeclaration = 2,
    kParameterDeclaration = 3;
  class ExpressionScope {
    constructor() {
      var type = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : kExpression;
      this.type = void 0;
      this.type = type;
    }
    canBeArrowParameterDeclaration() {
      return this.type === kMaybeAsyncArrowParameterDeclaration || this.type === kMaybeArrowParameterDeclaration;
    }
    isCertainlyParameterDeclaration() {
      return this.type === kParameterDeclaration;
    }
  }
  class ArrowHeadParsingScope extends ExpressionScope {
    constructor(type) {
      super(type);
      this.declarationErrors = new Map();
    }
    recordDeclarationError(ParsingErrorClass, _ref44) {
      var {
        at
      } = _ref44;
      var index = at.index;
      this.declarationErrors.set(index, [ParsingErrorClass, at]);
    }
    clearDeclarationError(index) {
      this.declarationErrors.delete(index);
    }
    iterateErrors(iterator) {
      this.declarationErrors.forEach(iterator);
    }
  }
  class ExpressionScopeHandler {
    constructor(parser) {
      this.parser = void 0;
      this.stack = [new ExpressionScope()];
      this.parser = parser;
    }
    enter(scope) {
      this.stack.push(scope);
    }
    exit() {
      this.stack.pop();
    }
    recordParameterInitializerError(toParseError, _ref45) {
      var {
        at: node
      } = _ref45;
      var origin = {
        at: node.loc.start
      };
      var {
        stack
      } = this;
      var i = stack.length - 1;
      var scope = stack[i];
      while (!scope.isCertainlyParameterDeclaration()) {
        if (scope.canBeArrowParameterDeclaration()) {
          scope.recordDeclarationError(toParseError, origin);
        } else {
          return;
        }
        scope = stack[--i];
      }
      this.parser.raise(toParseError, origin);
    }
    recordArrowParemeterBindingError(error, _ref46) {
      var {
        at: node
      } = _ref46;
      var {
        stack
      } = this;
      var scope = stack[stack.length - 1];
      var origin = {
        at: node.loc.start
      };
      if (scope.isCertainlyParameterDeclaration()) {
        this.parser.raise(error, origin);
      } else if (scope.canBeArrowParameterDeclaration()) {
        scope.recordDeclarationError(error, origin);
      } else {
        return;
      }
    }
    recordAsyncArrowParametersError(_ref47) {
      var {
        at
      } = _ref47;
      var {
        stack
      } = this;
      var i = stack.length - 1;
      var scope = stack[i];
      while (scope.canBeArrowParameterDeclaration()) {
        if (scope.type === kMaybeAsyncArrowParameterDeclaration) {
          scope.recordDeclarationError(Errors.AwaitBindingIdentifier, {
            at
          });
        }
        scope = stack[--i];
      }
    }
    validateAsPattern() {
      var {
        stack
      } = this;
      var currentScope = stack[stack.length - 1];
      if (!currentScope.canBeArrowParameterDeclaration()) return;
      currentScope.iterateErrors(_ref48 => {
        var [toParseError, loc] = _ref48;
        this.parser.raise(toParseError, {
          at: loc
        });
        var i = stack.length - 2;
        var scope = stack[i];
        while (scope.canBeArrowParameterDeclaration()) {
          scope.clearDeclarationError(loc.index);
          scope = stack[--i];
        }
      });
    }
  }
  function newParameterDeclarationScope() {
    return new ExpressionScope(kParameterDeclaration);
  }
  function newArrowHeadScope() {
    return new ArrowHeadParsingScope(kMaybeArrowParameterDeclaration);
  }
  function newAsyncArrowScope() {
    return new ArrowHeadParsingScope(kMaybeAsyncArrowParameterDeclaration);
  }
  function newExpressionScope() {
    return new ExpressionScope();
  }
  var PARAM = 0b0000,
    PARAM_YIELD = 0b0001,
    PARAM_AWAIT = 0b0010,
    PARAM_RETURN = 0b0100,
    PARAM_IN = 0b1000;
  class ProductionParameterHandler {
    constructor() {
      this.stacks = [];
    }
    enter(flags) {
      this.stacks.push(flags);
    }
    exit() {
      this.stacks.pop();
    }
    currentFlags() {
      return this.stacks[this.stacks.length - 1];
    }
    get hasAwait() {
      return (this.currentFlags() & PARAM_AWAIT) > 0;
    }
    get hasYield() {
      return (this.currentFlags() & PARAM_YIELD) > 0;
    }
    get hasReturn() {
      return (this.currentFlags() & PARAM_RETURN) > 0;
    }
    get hasIn() {
      return (this.currentFlags() & PARAM_IN) > 0;
    }
  }
  function functionFlags(isAsync, isGenerator) {
    return (isAsync ? PARAM_AWAIT : 0) | (isGenerator ? PARAM_YIELD : 0);
  }
  class UtilParser extends Tokenizer {
    addExtra(node, key, value) {
      var enumerable = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;
      if (!node) return;
      var extra = node.extra = node.extra || {};
      if (enumerable) {
        extra[key] = value;
      } else {
        Object.defineProperty(extra, key, {
          enumerable,
          value
        });
      }
    }
    isContextual(token) {
      return this.state.type === token && !this.state.containsEsc;
    }
    isUnparsedContextual(nameStart, name) {
      var nameEnd = nameStart + name.length;
      if (this.input.slice(nameStart, nameEnd) === name) {
        var nextCh = this.input.charCodeAt(nameEnd);
        return !(isIdentifierChar(nextCh) || (nextCh & 0xfc00) === 0xd800);
      }
      return false;
    }
    isLookaheadContextual(name) {
      var next = this.nextTokenStart();
      return this.isUnparsedContextual(next, name);
    }
    eatContextual(token) {
      if (this.isContextual(token)) {
        this.next();
        return true;
      }
      return false;
    }
    expectContextual(token, toParseError) {
      if (!this.eatContextual(token)) {
        if (toParseError != null) {
          throw this.raise(toParseError, {
            at: this.state.startLoc
          });
        }
        throw this.unexpected(null, token);
      }
    }
    canInsertSemicolon() {
      return this.match(137) || this.match(8) || this.hasPrecedingLineBreak();
    }
    hasPrecedingLineBreak() {
      return lineBreak.test(this.input.slice(this.state.lastTokEndLoc.index, this.state.start));
    }
    hasFollowingLineBreak() {
      skipWhiteSpaceToLineBreak.lastIndex = this.state.end;
      return skipWhiteSpaceToLineBreak.test(this.input);
    }
    isLineTerminator() {
      return this.eat(13) || this.canInsertSemicolon();
    }
    semicolon() {
      var allowAsi = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
      if (allowAsi ? this.isLineTerminator() : this.eat(13)) return;
      this.raise(Errors.MissingSemicolon, {
        at: this.state.lastTokEndLoc
      });
    }
    expect(type, loc) {
      this.eat(type) || this.unexpected(loc, type);
    }
    tryParse(fn) {
      var oldState = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : this.state.clone();
      var abortSignal = {
        node: null
      };
      try {
        var node = fn(function () {
          var node = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;
          abortSignal.node = node;
          throw abortSignal;
        });
        if (this.state.errors.length > oldState.errors.length) {
          var failState = this.state;
          this.state = oldState;
          this.state.tokensLength = failState.tokensLength;
          return {
            node,
            error: failState.errors[oldState.errors.length],
            thrown: false,
            aborted: false,
            failState
          };
        }
        return {
          node,
          error: null,
          thrown: false,
          aborted: false,
          failState: null
        };
      } catch (error) {
        var _failState = this.state;
        this.state = oldState;
        if (error instanceof SyntaxError) {
          return {
            node: null,
            error,
            thrown: true,
            aborted: false,
            failState: _failState
          };
        }
        if (error === abortSignal) {
          return {
            node: abortSignal.node,
            error: null,
            thrown: false,
            aborted: true,
            failState: _failState
          };
        }
        throw error;
      }
    }
    checkExpressionErrors(refExpressionErrors, andThrow) {
      if (!refExpressionErrors) return false;
      var {
        shorthandAssignLoc,
        doubleProtoLoc,
        privateKeyLoc,
        optionalParametersLoc
      } = refExpressionErrors;
      var hasErrors = !!shorthandAssignLoc || !!doubleProtoLoc || !!optionalParametersLoc || !!privateKeyLoc;
      if (!andThrow) {
        return hasErrors;
      }
      if (shorthandAssignLoc != null) {
        this.raise(Errors.InvalidCoverInitializedName, {
          at: shorthandAssignLoc
        });
      }
      if (doubleProtoLoc != null) {
        this.raise(Errors.DuplicateProto, {
          at: doubleProtoLoc
        });
      }
      if (privateKeyLoc != null) {
        this.raise(Errors.UnexpectedPrivateField, {
          at: privateKeyLoc
        });
      }
      if (optionalParametersLoc != null) {
        this.unexpected(optionalParametersLoc);
      }
    }
    isLiteralPropertyName() {
      return tokenIsLiteralPropertyName(this.state.type);
    }
    isPrivateName(node) {
      return node.type === "PrivateName";
    }
    getPrivateNameSV(node) {
      return node.id.name;
    }
    hasPropertyAsPrivateName(node) {
      return (node.type === "MemberExpression" || node.type === "OptionalMemberExpression") && this.isPrivateName(node.property);
    }
    isOptionalChain(node) {
      return node.type === "OptionalMemberExpression" || node.type === "OptionalCallExpression";
    }
    isObjectProperty(node) {
      return node.type === "ObjectProperty";
    }
    isObjectMethod(node) {
      return node.type === "ObjectMethod";
    }
    initializeScopes() {
      var inModule = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : this.options.sourceType === "module";
      var oldLabels = this.state.labels;
      this.state.labels = [];
      var oldExportedIdentifiers = this.exportedIdentifiers;
      this.exportedIdentifiers = new Set();
      var oldInModule = this.inModule;
      this.inModule = inModule;
      var oldScope = this.scope;
      var ScopeHandler = this.getScopeHandler();
      this.scope = new ScopeHandler(this, inModule);
      var oldProdParam = this.prodParam;
      this.prodParam = new ProductionParameterHandler();
      var oldClassScope = this.classScope;
      this.classScope = new ClassScopeHandler(this);
      var oldExpressionScope = this.expressionScope;
      this.expressionScope = new ExpressionScopeHandler(this);
      return () => {
        this.state.labels = oldLabels;
        this.exportedIdentifiers = oldExportedIdentifiers;
        this.inModule = oldInModule;
        this.scope = oldScope;
        this.prodParam = oldProdParam;
        this.classScope = oldClassScope;
        this.expressionScope = oldExpressionScope;
      };
    }
    enterInitialScopes() {
      var paramFlags = PARAM;
      if (this.inModule) {
        paramFlags |= PARAM_AWAIT;
      }
      this.scope.enter(SCOPE_PROGRAM);
      this.prodParam.enter(paramFlags);
    }
    checkDestructuringPrivate(refExpressionErrors) {
      var {
        privateKeyLoc
      } = refExpressionErrors;
      if (privateKeyLoc !== null) {
        this.expectPlugin("destructuringPrivate", privateKeyLoc);
      }
    }
  }
  class ExpressionErrors {
    constructor() {
      this.shorthandAssignLoc = null;
      this.doubleProtoLoc = null;
      this.privateKeyLoc = null;
      this.optionalParametersLoc = null;
    }
  }
  class Node {
    constructor(parser, pos, loc) {
      this.type = "";
      this.start = pos;
      this.end = 0;
      this.loc = new SourceLocation(loc);
      if (parser != null && parser.options.ranges) this.range = [pos, 0];
      if (parser != null && parser.filename) this.loc.filename = parser.filename;
    }
  }
  var NodePrototype = Node.prototype;
  {
    NodePrototype.__clone = function () {
      var newNode = new Node(undefined, this.start, this.loc.start);
      var keys = Object.keys(this);
      for (var i = 0, length = keys.length; i < length; i++) {
        var key = keys[i];
        if (key !== "leadingComments" && key !== "trailingComments" && key !== "innerComments") {
          newNode[key] = this[key];
        }
      }
      return newNode;
    };
  }
  function clonePlaceholder(node) {
    return cloneIdentifier(node);
  }
  function cloneIdentifier(node) {
    var {
      type,
      start,
      end,
      loc,
      range,
      extra,
      name
    } = node;
    var cloned = Object.create(NodePrototype);
    cloned.type = type;
    cloned.start = start;
    cloned.end = end;
    cloned.loc = loc;
    cloned.range = range;
    cloned.extra = extra;
    cloned.name = name;
    if (type === "Placeholder") {
      cloned.expectedNode = node.expectedNode;
    }
    return cloned;
  }
  function cloneStringLiteral(node) {
    var {
      type,
      start,
      end,
      loc,
      range,
      extra
    } = node;
    if (type === "Placeholder") {
      return clonePlaceholder(node);
    }
    var cloned = Object.create(NodePrototype);
    cloned.type = type;
    cloned.start = start;
    cloned.end = end;
    cloned.loc = loc;
    cloned.range = range;
    if (node.raw !== undefined) {
      cloned.raw = node.raw;
    } else {
      cloned.extra = extra;
    }
    cloned.value = node.value;
    return cloned;
  }
  class NodeUtils extends UtilParser {
    startNode() {
      return new Node(this, this.state.start, this.state.startLoc);
    }
    startNodeAt(loc) {
      return new Node(this, loc.index, loc);
    }
    startNodeAtNode(type) {
      return this.startNodeAt(type.loc.start);
    }
    finishNode(node, type) {
      return this.finishNodeAt(node, type, this.state.lastTokEndLoc);
    }
    finishNodeAt(node, type, endLoc) {
      node.type = type;
      node.end = endLoc.index;
      node.loc.end = endLoc;
      if (this.options.ranges) node.range[1] = endLoc.index;
      if (this.options.attachComment) this.processComment(node);
      return node;
    }
    resetStartLocation(node, startLoc) {
      node.start = startLoc.index;
      node.loc.start = startLoc;
      if (this.options.ranges) node.range[0] = startLoc.index;
    }
    resetEndLocation(node) {
      var endLoc = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : this.state.lastTokEndLoc;
      node.end = endLoc.index;
      node.loc.end = endLoc;
      if (this.options.ranges) node.range[1] = endLoc.index;
    }
    resetStartLocationFromNode(node, locationNode) {
      this.resetStartLocation(node, locationNode.loc.start);
    }
  }
  var reservedTypes = new Set(["_", "any", "bool", "boolean", "empty", "extends", "false", "interface", "mixed", "null", "number", "static", "string", "true", "typeof", "void"]);
  var FlowErrors = ParseErrorEnum(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral__default["default"](["flow"])))({
    AmbiguousConditionalArrow: "Ambiguous expression: wrap the arrow functions in parentheses to disambiguate.",
    AmbiguousDeclareModuleKind: "Found both `declare module.exports` and `declare export` in the same module. Modules can only have 1 since they are either an ES module or they are a CommonJS module.",
    AssignReservedType: _ref49 => {
      var {
        reservedType
      } = _ref49;
      return "Cannot overwrite reserved type ".concat(reservedType, ".");
    },
    DeclareClassElement: "The `declare` modifier can only appear on class fields.",
    DeclareClassFieldInitializer: "Initializers are not allowed in fields with the `declare` modifier.",
    DuplicateDeclareModuleExports: "Duplicate `declare module.exports` statement.",
    EnumBooleanMemberNotInitialized: _ref50 => {
      var {
        memberName,
        enumName
      } = _ref50;
      return "Boolean enum members need to be initialized. Use either `".concat(memberName, " = true,` or `").concat(memberName, " = false,` in enum `").concat(enumName, "`.");
    },
    EnumDuplicateMemberName: _ref51 => {
      var {
        memberName,
        enumName
      } = _ref51;
      return "Enum member names need to be unique, but the name `".concat(memberName, "` has already been used before in enum `").concat(enumName, "`.");
    },
    EnumInconsistentMemberValues: _ref52 => {
      var {
        enumName
      } = _ref52;
      return "Enum `".concat(enumName, "` has inconsistent member initializers. Either use no initializers, or consistently use literals (either booleans, numbers, or strings) for all member initializers.");
    },
    EnumInvalidExplicitType: _ref53 => {
      var {
        invalidEnumType,
        enumName
      } = _ref53;
      return "Enum type `".concat(invalidEnumType, "` is not valid. Use one of `boolean`, `number`, `string`, or `symbol` in enum `").concat(enumName, "`.");
    },
    EnumInvalidExplicitTypeUnknownSupplied: _ref54 => {
      var {
        enumName
      } = _ref54;
      return "Supplied enum type is not valid. Use one of `boolean`, `number`, `string`, or `symbol` in enum `".concat(enumName, "`.");
    },
    EnumInvalidMemberInitializerPrimaryType: _ref55 => {
      var {
        enumName,
        memberName,
        explicitType
      } = _ref55;
      return "Enum `".concat(enumName, "` has type `").concat(explicitType, "`, so the initializer of `").concat(memberName, "` needs to be a ").concat(explicitType, " literal.");
    },
    EnumInvalidMemberInitializerSymbolType: _ref56 => {
      var {
        enumName,
        memberName
      } = _ref56;
      return "Symbol enum members cannot be initialized. Use `".concat(memberName, ",` in enum `").concat(enumName, "`.");
    },
    EnumInvalidMemberInitializerUnknownType: _ref57 => {
      var {
        enumName,
        memberName
      } = _ref57;
      return "The enum member initializer for `".concat(memberName, "` needs to be a literal (either a boolean, number, or string) in enum `").concat(enumName, "`.");
    },
    EnumInvalidMemberName: _ref58 => {
      var {
        enumName,
        memberName,
        suggestion
      } = _ref58;
      return "Enum member names cannot start with lowercase 'a' through 'z'. Instead of using `".concat(memberName, "`, consider using `").concat(suggestion, "`, in enum `").concat(enumName, "`.");
    },
    EnumNumberMemberNotInitialized: _ref59 => {
      var {
        enumName,
        memberName
      } = _ref59;
      return "Number enum members need to be initialized, e.g. `".concat(memberName, " = 1` in enum `").concat(enumName, "`.");
    },
    EnumStringMemberInconsistentlyInitailized: _ref60 => {
      var {
        enumName
      } = _ref60;
      return "String enum members need to consistently either all use initializers, or use no initializers, in enum `".concat(enumName, "`.");
    },
    GetterMayNotHaveThisParam: "A getter cannot have a `this` parameter.",
    ImportReflectionHasImportType: "An `import module` declaration can not use `type` or `typeof` keyword.",
    ImportTypeShorthandOnlyInPureImport: "The `type` and `typeof` keywords on named imports can only be used on regular `import` statements. It cannot be used with `import type` or `import typeof` statements.",
    InexactInsideExact: "Explicit inexact syntax cannot appear inside an explicit exact object type.",
    InexactInsideNonObject: "Explicit inexact syntax cannot appear in class or interface definitions.",
    InexactVariance: "Explicit inexact syntax cannot have variance.",
    InvalidNonTypeImportInDeclareModule: "Imports within a `declare module` body must always be `import type` or `import typeof`.",
    MissingTypeParamDefault: "Type parameter declaration needs a default, since a preceding type parameter declaration has a default.",
    NestedDeclareModule: "`declare module` cannot be used inside another `declare module`.",
    NestedFlowComment: "Cannot have a flow comment inside another flow comment.",
    PatternIsOptional: Object.assign({
      message: "A binding pattern parameter cannot be optional in an implementation signature."
    }, {
      reasonCode: "OptionalBindingPattern"
    }),
    SetterMayNotHaveThisParam: "A setter cannot have a `this` parameter.",
    SpreadVariance: "Spread properties cannot have variance.",
    ThisParamAnnotationRequired: "A type annotation is required for the `this` parameter.",
    ThisParamBannedInConstructor: "Constructors cannot have a `this` parameter; constructors don't bind `this` like other functions.",
    ThisParamMayNotBeOptional: "The `this` parameter cannot be optional.",
    ThisParamMustBeFirst: "The `this` parameter must be the first function parameter.",
    ThisParamNoDefault: "The `this` parameter may not have a default value.",
    TypeBeforeInitializer: "Type annotations must come before default assignments, e.g. instead of `age = 25: number` use `age: number = 25`.",
    TypeCastInPattern: "The type cast expression is expected to be wrapped with parenthesis.",
    UnexpectedExplicitInexactInObject: "Explicit inexact syntax must appear at the end of an inexact object.",
    UnexpectedReservedType: _ref61 => {
      var {
        reservedType
      } = _ref61;
      return "Unexpected reserved type ".concat(reservedType, ".");
    },
    UnexpectedReservedUnderscore: "`_` is only allowed as a type argument to call or new.",
    UnexpectedSpaceBetweenModuloChecks: "Spaces between `%` and `checks` are not allowed here.",
    UnexpectedSpreadType: "Spread operator cannot appear in class or interface definitions.",
    UnexpectedSubtractionOperand: 'Unexpected token, expected "number" or "bigint".',
    UnexpectedTokenAfterTypeParameter: "Expected an arrow function after this type parameter declaration.",
    UnexpectedTypeParameterBeforeAsyncArrowFunction: "Type parameters must come after the async keyword, e.g. instead of `<T> async () => {}`, use `async <T>() => {}`.",
    UnsupportedDeclareExportKind: _ref62 => {
      var {
        unsupportedExportKind,
        suggestion
      } = _ref62;
      return "`declare export ".concat(unsupportedExportKind, "` is not supported. Use `").concat(suggestion, "` instead.");
    },
    UnsupportedStatementInDeclareModule: "Only declares and type imports are allowed inside declare module.",
    UnterminatedFlowComment: "Unterminated flow-comment."
  });
  function isEsModuleType(bodyElement) {
    return bodyElement.type === "DeclareExportAllDeclaration" || bodyElement.type === "DeclareExportDeclaration" && (!bodyElement.declaration || bodyElement.declaration.type !== "TypeAlias" && bodyElement.declaration.type !== "InterfaceDeclaration");
  }
  function hasTypeImportKind(node) {
    return node.importKind === "type" || node.importKind === "typeof";
  }
  function isMaybeDefaultImport(type) {
    return tokenIsKeywordOrIdentifier(type) && type !== 97;
  }
  var exportSuggestions = {
    const: "declare export var",
    let: "declare export var",
    type: "export type",
    interface: "export interface"
  };
  function partition(list, test) {
    var list1 = [];
    var list2 = [];
    for (var i = 0; i < list.length; i++) {
      (test(list[i], i, list) ? list1 : list2).push(list[i]);
    }
    return [list1, list2];
  }
  var FLOW_PRAGMA_REGEX = /\*?\s*@((?:no)?flow)\b/;
  var flow = superClass => class FlowParserMixin extends superClass {
    constructor() {
      super(...arguments);
      this.flowPragma = undefined;
    }
    getScopeHandler() {
      return FlowScopeHandler;
    }
    shouldParseTypes() {
      return this.getPluginOption("flow", "all") || this.flowPragma === "flow";
    }
    shouldParseEnums() {
      return !!this.getPluginOption("flow", "enums");
    }
    finishToken(type, val) {
      if (type !== 131 && type !== 13 && type !== 28) {
        if (this.flowPragma === undefined) {
          this.flowPragma = null;
        }
      }
      return super.finishToken(type, val);
    }
    addComment(comment) {
      if (this.flowPragma === undefined) {
        var matches = FLOW_PRAGMA_REGEX.exec(comment.value);
        if (!matches) ;else if (matches[1] === "flow") {
          this.flowPragma = "flow";
        } else if (matches[1] === "noflow") {
          this.flowPragma = "noflow";
        } else {
          throw new Error("Unexpected flow pragma");
        }
      }
      return super.addComment(comment);
    }
    flowParseTypeInitialiser(tok) {
      var oldInType = this.state.inType;
      this.state.inType = true;
      this.expect(tok || 14);
      var type = this.flowParseType();
      this.state.inType = oldInType;
      return type;
    }
    flowParsePredicate() {
      var node = this.startNode();
      var moduloLoc = this.state.startLoc;
      this.next();
      this.expectContextual(108);
      if (this.state.lastTokStart > moduloLoc.index + 1) {
        this.raise(FlowErrors.UnexpectedSpaceBetweenModuloChecks, {
          at: moduloLoc
        });
      }
      if (this.eat(10)) {
        node.value = super.parseExpression();
        this.expect(11);
        return this.finishNode(node, "DeclaredPredicate");
      } else {
        return this.finishNode(node, "InferredPredicate");
      }
    }
    flowParseTypeAndPredicateInitialiser() {
      var oldInType = this.state.inType;
      this.state.inType = true;
      this.expect(14);
      var type = null;
      var predicate = null;
      if (this.match(54)) {
        this.state.inType = oldInType;
        predicate = this.flowParsePredicate();
      } else {
        type = this.flowParseType();
        this.state.inType = oldInType;
        if (this.match(54)) {
          predicate = this.flowParsePredicate();
        }
      }
      return [type, predicate];
    }
    flowParseDeclareClass(node) {
      this.next();
      this.flowParseInterfaceish(node, true);
      return this.finishNode(node, "DeclareClass");
    }
    flowParseDeclareFunction(node) {
      this.next();
      var id = node.id = this.parseIdentifier();
      var typeNode = this.startNode();
      var typeContainer = this.startNode();
      if (this.match(47)) {
        typeNode.typeParameters = this.flowParseTypeParameterDeclaration();
      } else {
        typeNode.typeParameters = null;
      }
      this.expect(10);
      var tmp = this.flowParseFunctionTypeParams();
      typeNode.params = tmp.params;
      typeNode.rest = tmp.rest;
      typeNode.this = tmp._this;
      this.expect(11);
      [typeNode.returnType, node.predicate] = this.flowParseTypeAndPredicateInitialiser();
      typeContainer.typeAnnotation = this.finishNode(typeNode, "FunctionTypeAnnotation");
      id.typeAnnotation = this.finishNode(typeContainer, "TypeAnnotation");
      this.resetEndLocation(id);
      this.semicolon();
      this.scope.declareName(node.id.name, BIND_FLOW_DECLARE_FN, node.id.loc.start);
      return this.finishNode(node, "DeclareFunction");
    }
    flowParseDeclare(node, insideModule) {
      if (this.match(80)) {
        return this.flowParseDeclareClass(node);
      } else if (this.match(68)) {
        return this.flowParseDeclareFunction(node);
      } else if (this.match(74)) {
        return this.flowParseDeclareVariable(node);
      } else if (this.eatContextual(125)) {
        if (this.match(16)) {
          return this.flowParseDeclareModuleExports(node);
        } else {
          if (insideModule) {
            this.raise(FlowErrors.NestedDeclareModule, {
              at: this.state.lastTokStartLoc
            });
          }
          return this.flowParseDeclareModule(node);
        }
      } else if (this.isContextual(128)) {
        return this.flowParseDeclareTypeAlias(node);
      } else if (this.isContextual(129)) {
        return this.flowParseDeclareOpaqueType(node);
      } else if (this.isContextual(127)) {
        return this.flowParseDeclareInterface(node);
      } else if (this.match(82)) {
        return this.flowParseDeclareExportDeclaration(node, insideModule);
      } else {
        throw this.unexpected();
      }
    }
    flowParseDeclareVariable(node) {
      this.next();
      node.id = this.flowParseTypeAnnotatableIdentifier(true);
      this.scope.declareName(node.id.name, BIND_VAR, node.id.loc.start);
      this.semicolon();
      return this.finishNode(node, "DeclareVariable");
    }
    flowParseDeclareModule(node) {
      this.scope.enter(SCOPE_OTHER);
      if (this.match(131)) {
        node.id = super.parseExprAtom();
      } else {
        node.id = this.parseIdentifier();
      }
      var bodyNode = node.body = this.startNode();
      var body = bodyNode.body = [];
      this.expect(5);
      while (!this.match(8)) {
        var _bodyNode = this.startNode();
        if (this.match(83)) {
          this.next();
          if (!this.isContextual(128) && !this.match(87)) {
            this.raise(FlowErrors.InvalidNonTypeImportInDeclareModule, {
              at: this.state.lastTokStartLoc
            });
          }
          super.parseImport(_bodyNode);
        } else {
          this.expectContextual(123, FlowErrors.UnsupportedStatementInDeclareModule);
          _bodyNode = this.flowParseDeclare(_bodyNode, true);
        }
        body.push(_bodyNode);
      }
      this.scope.exit();
      this.expect(8);
      this.finishNode(bodyNode, "BlockStatement");
      var kind = null;
      var hasModuleExport = false;
      body.forEach(bodyElement => {
        if (isEsModuleType(bodyElement)) {
          if (kind === "CommonJS") {
            this.raise(FlowErrors.AmbiguousDeclareModuleKind, {
              at: bodyElement
            });
          }
          kind = "ES";
        } else if (bodyElement.type === "DeclareModuleExports") {
          if (hasModuleExport) {
            this.raise(FlowErrors.DuplicateDeclareModuleExports, {
              at: bodyElement
            });
          }
          if (kind === "ES") {
            this.raise(FlowErrors.AmbiguousDeclareModuleKind, {
              at: bodyElement
            });
          }
          kind = "CommonJS";
          hasModuleExport = true;
        }
      });
      node.kind = kind || "CommonJS";
      return this.finishNode(node, "DeclareModule");
    }
    flowParseDeclareExportDeclaration(node, insideModule) {
      this.expect(82);
      if (this.eat(65)) {
        if (this.match(68) || this.match(80)) {
          node.declaration = this.flowParseDeclare(this.startNode());
        } else {
          node.declaration = this.flowParseType();
          this.semicolon();
        }
        node.default = true;
        return this.finishNode(node, "DeclareExportDeclaration");
      } else {
        if (this.match(75) || this.isLet() || (this.isContextual(128) || this.isContextual(127)) && !insideModule) {
          var label = this.state.value;
          throw this.raise(FlowErrors.UnsupportedDeclareExportKind, {
            at: this.state.startLoc,
            unsupportedExportKind: label,
            suggestion: exportSuggestions[label]
          });
        }
        if (this.match(74) || this.match(68) || this.match(80) || this.isContextual(129)) {
          node.declaration = this.flowParseDeclare(this.startNode());
          node.default = false;
          return this.finishNode(node, "DeclareExportDeclaration");
        } else if (this.match(55) || this.match(5) || this.isContextual(127) || this.isContextual(128) || this.isContextual(129)) {
          node = this.parseExport(node, null);
          if (node.type === "ExportNamedDeclaration") {
            node.type = "ExportDeclaration";
            node.default = false;
            delete node.exportKind;
          }
          node.type = "Declare" + node.type;
          return node;
        }
      }
      throw this.unexpected();
    }
    flowParseDeclareModuleExports(node) {
      this.next();
      this.expectContextual(109);
      node.typeAnnotation = this.flowParseTypeAnnotation();
      this.semicolon();
      return this.finishNode(node, "DeclareModuleExports");
    }
    flowParseDeclareTypeAlias(node) {
      this.next();
      var finished = this.flowParseTypeAlias(node);
      finished.type = "DeclareTypeAlias";
      return finished;
    }
    flowParseDeclareOpaqueType(node) {
      this.next();
      var finished = this.flowParseOpaqueType(node, true);
      finished.type = "DeclareOpaqueType";
      return finished;
    }
    flowParseDeclareInterface(node) {
      this.next();
      this.flowParseInterfaceish(node);
      return this.finishNode(node, "DeclareInterface");
    }
    flowParseInterfaceish(node) {
      var isClass = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
      node.id = this.flowParseRestrictedIdentifier(!isClass, true);
      this.scope.declareName(node.id.name, isClass ? BIND_FUNCTION : BIND_LEXICAL, node.id.loc.start);
      if (this.match(47)) {
        node.typeParameters = this.flowParseTypeParameterDeclaration();
      } else {
        node.typeParameters = null;
      }
      node.extends = [];
      node.implements = [];
      node.mixins = [];
      if (this.eat(81)) {
        do {
          node.extends.push(this.flowParseInterfaceExtends());
        } while (!isClass && this.eat(12));
      }
      if (this.isContextual(115)) {
        this.next();
        do {
          node.mixins.push(this.flowParseInterfaceExtends());
        } while (this.eat(12));
      }
      if (this.isContextual(111)) {
        this.next();
        do {
          node.implements.push(this.flowParseInterfaceExtends());
        } while (this.eat(12));
      }
      node.body = this.flowParseObjectType({
        allowStatic: isClass,
        allowExact: false,
        allowSpread: false,
        allowProto: isClass,
        allowInexact: false
      });
    }
    flowParseInterfaceExtends() {
      var node = this.startNode();
      node.id = this.flowParseQualifiedTypeIdentifier();
      if (this.match(47)) {
        node.typeParameters = this.flowParseTypeParameterInstantiation();
      } else {
        node.typeParameters = null;
      }
      return this.finishNode(node, "InterfaceExtends");
    }
    flowParseInterface(node) {
      this.flowParseInterfaceish(node);
      return this.finishNode(node, "InterfaceDeclaration");
    }
    checkNotUnderscore(word) {
      if (word === "_") {
        this.raise(FlowErrors.UnexpectedReservedUnderscore, {
          at: this.state.startLoc
        });
      }
    }
    checkReservedType(word, startLoc, declaration) {
      if (!reservedTypes.has(word)) return;
      this.raise(declaration ? FlowErrors.AssignReservedType : FlowErrors.UnexpectedReservedType, {
        at: startLoc,
        reservedType: word
      });
    }
    flowParseRestrictedIdentifier(liberal, declaration) {
      this.checkReservedType(this.state.value, this.state.startLoc, declaration);
      return this.parseIdentifier(liberal);
    }
    flowParseTypeAlias(node) {
      node.id = this.flowParseRestrictedIdentifier(false, true);
      this.scope.declareName(node.id.name, BIND_LEXICAL, node.id.loc.start);
      if (this.match(47)) {
        node.typeParameters = this.flowParseTypeParameterDeclaration();
      } else {
        node.typeParameters = null;
      }
      node.right = this.flowParseTypeInitialiser(29);
      this.semicolon();
      return this.finishNode(node, "TypeAlias");
    }
    flowParseOpaqueType(node, declare) {
      this.expectContextual(128);
      node.id = this.flowParseRestrictedIdentifier(true, true);
      this.scope.declareName(node.id.name, BIND_LEXICAL, node.id.loc.start);
      if (this.match(47)) {
        node.typeParameters = this.flowParseTypeParameterDeclaration();
      } else {
        node.typeParameters = null;
      }
      node.supertype = null;
      if (this.match(14)) {
        node.supertype = this.flowParseTypeInitialiser(14);
      }
      node.impltype = null;
      if (!declare) {
        node.impltype = this.flowParseTypeInitialiser(29);
      }
      this.semicolon();
      return this.finishNode(node, "OpaqueType");
    }
    flowParseTypeParameter() {
      var requireDefault = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
      var nodeStartLoc = this.state.startLoc;
      var node = this.startNode();
      var variance = this.flowParseVariance();
      var ident = this.flowParseTypeAnnotatableIdentifier();
      node.name = ident.name;
      node.variance = variance;
      node.bound = ident.typeAnnotation;
      if (this.match(29)) {
        this.eat(29);
        node.default = this.flowParseType();
      } else {
        if (requireDefault) {
          this.raise(FlowErrors.MissingTypeParamDefault, {
            at: nodeStartLoc
          });
        }
      }
      return this.finishNode(node, "TypeParameter");
    }
    flowParseTypeParameterDeclaration() {
      var oldInType = this.state.inType;
      var node = this.startNode();
      node.params = [];
      this.state.inType = true;
      if (this.match(47) || this.match(140)) {
        this.next();
      } else {
        this.unexpected();
      }
      var defaultRequired = false;
      do {
        var typeParameter = this.flowParseTypeParameter(defaultRequired);
        node.params.push(typeParameter);
        if (typeParameter.default) {
          defaultRequired = true;
        }
        if (!this.match(48)) {
          this.expect(12);
        }
      } while (!this.match(48));
      this.expect(48);
      this.state.inType = oldInType;
      return this.finishNode(node, "TypeParameterDeclaration");
    }
    flowParseTypeParameterInstantiation() {
      var node = this.startNode();
      var oldInType = this.state.inType;
      node.params = [];
      this.state.inType = true;
      this.expect(47);
      var oldNoAnonFunctionType = this.state.noAnonFunctionType;
      this.state.noAnonFunctionType = false;
      while (!this.match(48)) {
        node.params.push(this.flowParseType());
        if (!this.match(48)) {
          this.expect(12);
        }
      }
      this.state.noAnonFunctionType = oldNoAnonFunctionType;
      this.expect(48);
      this.state.inType = oldInType;
      return this.finishNode(node, "TypeParameterInstantiation");
    }
    flowParseTypeParameterInstantiationCallOrNew() {
      var node = this.startNode();
      var oldInType = this.state.inType;
      node.params = [];
      this.state.inType = true;
      this.expect(47);
      while (!this.match(48)) {
        node.params.push(this.flowParseTypeOrImplicitInstantiation());
        if (!this.match(48)) {
          this.expect(12);
        }
      }
      this.expect(48);
      this.state.inType = oldInType;
      return this.finishNode(node, "TypeParameterInstantiation");
    }
    flowParseInterfaceType() {
      var node = this.startNode();
      this.expectContextual(127);
      node.extends = [];
      if (this.eat(81)) {
        do {
          node.extends.push(this.flowParseInterfaceExtends());
        } while (this.eat(12));
      }
      node.body = this.flowParseObjectType({
        allowStatic: false,
        allowExact: false,
        allowSpread: false,
        allowProto: false,
        allowInexact: false
      });
      return this.finishNode(node, "InterfaceTypeAnnotation");
    }
    flowParseObjectPropertyKey() {
      return this.match(132) || this.match(131) ? super.parseExprAtom() : this.parseIdentifier(true);
    }
    flowParseObjectTypeIndexer(node, isStatic, variance) {
      node.static = isStatic;
      if (this.lookahead().type === 14) {
        node.id = this.flowParseObjectPropertyKey();
        node.key = this.flowParseTypeInitialiser();
      } else {
        node.id = null;
        node.key = this.flowParseType();
      }
      this.expect(3);
      node.value = this.flowParseTypeInitialiser();
      node.variance = variance;
      return this.finishNode(node, "ObjectTypeIndexer");
    }
    flowParseObjectTypeInternalSlot(node, isStatic) {
      node.static = isStatic;
      node.id = this.flowParseObjectPropertyKey();
      this.expect(3);
      this.expect(3);
      if (this.match(47) || this.match(10)) {
        node.method = true;
        node.optional = false;
        node.value = this.flowParseObjectTypeMethodish(this.startNodeAt(node.loc.start));
      } else {
        node.method = false;
        if (this.eat(17)) {
          node.optional = true;
        }
        node.value = this.flowParseTypeInitialiser();
      }
      return this.finishNode(node, "ObjectTypeInternalSlot");
    }
    flowParseObjectTypeMethodish(node) {
      node.params = [];
      node.rest = null;
      node.typeParameters = null;
      node.this = null;
      if (this.match(47)) {
        node.typeParameters = this.flowParseTypeParameterDeclaration();
      }
      this.expect(10);
      if (this.match(78)) {
        node.this = this.flowParseFunctionTypeParam(true);
        node.this.name = null;
        if (!this.match(11)) {
          this.expect(12);
        }
      }
      while (!this.match(11) && !this.match(21)) {
        node.params.push(this.flowParseFunctionTypeParam(false));
        if (!this.match(11)) {
          this.expect(12);
        }
      }
      if (this.eat(21)) {
        node.rest = this.flowParseFunctionTypeParam(false);
      }
      this.expect(11);
      node.returnType = this.flowParseTypeInitialiser();
      return this.finishNode(node, "FunctionTypeAnnotation");
    }
    flowParseObjectTypeCallProperty(node, isStatic) {
      var valueNode = this.startNode();
      node.static = isStatic;
      node.value = this.flowParseObjectTypeMethodish(valueNode);
      return this.finishNode(node, "ObjectTypeCallProperty");
    }
    flowParseObjectType(_ref63) {
      var {
        allowStatic,
        allowExact,
        allowSpread,
        allowProto,
        allowInexact
      } = _ref63;
      var oldInType = this.state.inType;
      this.state.inType = true;
      var nodeStart = this.startNode();
      nodeStart.callProperties = [];
      nodeStart.properties = [];
      nodeStart.indexers = [];
      nodeStart.internalSlots = [];
      var endDelim;
      var exact;
      var inexact = false;
      if (allowExact && this.match(6)) {
        this.expect(6);
        endDelim = 9;
        exact = true;
      } else {
        this.expect(5);
        endDelim = 8;
        exact = false;
      }
      nodeStart.exact = exact;
      while (!this.match(endDelim)) {
        var isStatic = false;
        var protoStartLoc = null;
        var inexactStartLoc = null;
        var node = this.startNode();
        if (allowProto && this.isContextual(116)) {
          var lookahead = this.lookahead();
          if (lookahead.type !== 14 && lookahead.type !== 17) {
            this.next();
            protoStartLoc = this.state.startLoc;
            allowStatic = false;
          }
        }
        if (allowStatic && this.isContextual(104)) {
          var _lookahead = this.lookahead();
          if (_lookahead.type !== 14 && _lookahead.type !== 17) {
            this.next();
            isStatic = true;
          }
        }
        var variance = this.flowParseVariance();
        if (this.eat(0)) {
          if (protoStartLoc != null) {
            this.unexpected(protoStartLoc);
          }
          if (this.eat(0)) {
            if (variance) {
              this.unexpected(variance.loc.start);
            }
            nodeStart.internalSlots.push(this.flowParseObjectTypeInternalSlot(node, isStatic));
          } else {
            nodeStart.indexers.push(this.flowParseObjectTypeIndexer(node, isStatic, variance));
          }
        } else if (this.match(10) || this.match(47)) {
          if (protoStartLoc != null) {
            this.unexpected(protoStartLoc);
          }
          if (variance) {
            this.unexpected(variance.loc.start);
          }
          nodeStart.callProperties.push(this.flowParseObjectTypeCallProperty(node, isStatic));
        } else {
          var kind = "init";
          if (this.isContextual(98) || this.isContextual(103)) {
            var _lookahead2 = this.lookahead();
            if (tokenIsLiteralPropertyName(_lookahead2.type)) {
              kind = this.state.value;
              this.next();
            }
          }
          var propOrInexact = this.flowParseObjectTypeProperty(node, isStatic, protoStartLoc, variance, kind, allowSpread, allowInexact != null ? allowInexact : !exact);
          if (propOrInexact === null) {
            inexact = true;
            inexactStartLoc = this.state.lastTokStartLoc;
          } else {
            nodeStart.properties.push(propOrInexact);
          }
        }
        this.flowObjectTypeSemicolon();
        if (inexactStartLoc && !this.match(8) && !this.match(9)) {
          this.raise(FlowErrors.UnexpectedExplicitInexactInObject, {
            at: inexactStartLoc
          });
        }
      }
      this.expect(endDelim);
      if (allowSpread) {
        nodeStart.inexact = inexact;
      }
      var out = this.finishNode(nodeStart, "ObjectTypeAnnotation");
      this.state.inType = oldInType;
      return out;
    }
    flowParseObjectTypeProperty(node, isStatic, protoStartLoc, variance, kind, allowSpread, allowInexact) {
      if (this.eat(21)) {
        var isInexactToken = this.match(12) || this.match(13) || this.match(8) || this.match(9);
        if (isInexactToken) {
          if (!allowSpread) {
            this.raise(FlowErrors.InexactInsideNonObject, {
              at: this.state.lastTokStartLoc
            });
          } else if (!allowInexact) {
            this.raise(FlowErrors.InexactInsideExact, {
              at: this.state.lastTokStartLoc
            });
          }
          if (variance) {
            this.raise(FlowErrors.InexactVariance, {
              at: variance
            });
          }
          return null;
        }
        if (!allowSpread) {
          this.raise(FlowErrors.UnexpectedSpreadType, {
            at: this.state.lastTokStartLoc
          });
        }
        if (protoStartLoc != null) {
          this.unexpected(protoStartLoc);
        }
        if (variance) {
          this.raise(FlowErrors.SpreadVariance, {
            at: variance
          });
        }
        node.argument = this.flowParseType();
        return this.finishNode(node, "ObjectTypeSpreadProperty");
      } else {
        node.key = this.flowParseObjectPropertyKey();
        node.static = isStatic;
        node.proto = protoStartLoc != null;
        node.kind = kind;
        var optional = false;
        if (this.match(47) || this.match(10)) {
          node.method = true;
          if (protoStartLoc != null) {
            this.unexpected(protoStartLoc);
          }
          if (variance) {
            this.unexpected(variance.loc.start);
          }
          node.value = this.flowParseObjectTypeMethodish(this.startNodeAt(node.loc.start));
          if (kind === "get" || kind === "set") {
            this.flowCheckGetterSetterParams(node);
          }
          if (!allowSpread && node.key.name === "constructor" && node.value.this) {
            this.raise(FlowErrors.ThisParamBannedInConstructor, {
              at: node.value.this
            });
          }
        } else {
          if (kind !== "init") this.unexpected();
          node.method = false;
          if (this.eat(17)) {
            optional = true;
          }
          node.value = this.flowParseTypeInitialiser();
          node.variance = variance;
        }
        node.optional = optional;
        return this.finishNode(node, "ObjectTypeProperty");
      }
    }
    flowCheckGetterSetterParams(property) {
      var paramCount = property.kind === "get" ? 0 : 1;
      var length = property.value.params.length + (property.value.rest ? 1 : 0);
      if (property.value.this) {
        this.raise(property.kind === "get" ? FlowErrors.GetterMayNotHaveThisParam : FlowErrors.SetterMayNotHaveThisParam, {
          at: property.value.this
        });
      }
      if (length !== paramCount) {
        this.raise(property.kind === "get" ? Errors.BadGetterArity : Errors.BadSetterArity, {
          at: property
        });
      }
      if (property.kind === "set" && property.value.rest) {
        this.raise(Errors.BadSetterRestParameter, {
          at: property
        });
      }
    }
    flowObjectTypeSemicolon() {
      if (!this.eat(13) && !this.eat(12) && !this.match(8) && !this.match(9)) {
        this.unexpected();
      }
    }
    flowParseQualifiedTypeIdentifier(startLoc, id) {
      var _startLoc;
      (_startLoc = startLoc) != null ? _startLoc : startLoc = this.state.startLoc;
      var node = id || this.flowParseRestrictedIdentifier(true);
      while (this.eat(16)) {
        var node2 = this.startNodeAt(startLoc);
        node2.qualification = node;
        node2.id = this.flowParseRestrictedIdentifier(true);
        node = this.finishNode(node2, "QualifiedTypeIdentifier");
      }
      return node;
    }
    flowParseGenericType(startLoc, id) {
      var node = this.startNodeAt(startLoc);
      node.typeParameters = null;
      node.id = this.flowParseQualifiedTypeIdentifier(startLoc, id);
      if (this.match(47)) {
        node.typeParameters = this.flowParseTypeParameterInstantiation();
      }
      return this.finishNode(node, "GenericTypeAnnotation");
    }
    flowParseTypeofType() {
      var node = this.startNode();
      this.expect(87);
      node.argument = this.flowParsePrimaryType();
      return this.finishNode(node, "TypeofTypeAnnotation");
    }
    flowParseTupleType() {
      var node = this.startNode();
      node.types = [];
      this.expect(0);
      while (this.state.pos < this.length && !this.match(3)) {
        node.types.push(this.flowParseType());
        if (this.match(3)) break;
        this.expect(12);
      }
      this.expect(3);
      return this.finishNode(node, "TupleTypeAnnotation");
    }
    flowParseFunctionTypeParam(first) {
      var name = null;
      var optional = false;
      var typeAnnotation = null;
      var node = this.startNode();
      var lh = this.lookahead();
      var isThis = this.state.type === 78;
      if (lh.type === 14 || lh.type === 17) {
        if (isThis && !first) {
          this.raise(FlowErrors.ThisParamMustBeFirst, {
            at: node
          });
        }
        name = this.parseIdentifier(isThis);
        if (this.eat(17)) {
          optional = true;
          if (isThis) {
            this.raise(FlowErrors.ThisParamMayNotBeOptional, {
              at: node
            });
          }
        }
        typeAnnotation = this.flowParseTypeInitialiser();
      } else {
        typeAnnotation = this.flowParseType();
      }
      node.name = name;
      node.optional = optional;
      node.typeAnnotation = typeAnnotation;
      return this.finishNode(node, "FunctionTypeParam");
    }
    reinterpretTypeAsFunctionTypeParam(type) {
      var node = this.startNodeAt(type.loc.start);
      node.name = null;
      node.optional = false;
      node.typeAnnotation = type;
      return this.finishNode(node, "FunctionTypeParam");
    }
    flowParseFunctionTypeParams() {
      var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
      var rest = null;
      var _this = null;
      if (this.match(78)) {
        _this = this.flowParseFunctionTypeParam(true);
        _this.name = null;
        if (!this.match(11)) {
          this.expect(12);
        }
      }
      while (!this.match(11) && !this.match(21)) {
        params.push(this.flowParseFunctionTypeParam(false));
        if (!this.match(11)) {
          this.expect(12);
        }
      }
      if (this.eat(21)) {
        rest = this.flowParseFunctionTypeParam(false);
      }
      return {
        params,
        rest,
        _this
      };
    }
    flowIdentToTypeAnnotation(startLoc, node, id) {
      switch (id.name) {
        case "any":
          return this.finishNode(node, "AnyTypeAnnotation");
        case "bool":
        case "boolean":
          return this.finishNode(node, "BooleanTypeAnnotation");
        case "mixed":
          return this.finishNode(node, "MixedTypeAnnotation");
        case "empty":
          return this.finishNode(node, "EmptyTypeAnnotation");
        case "number":
          return this.finishNode(node, "NumberTypeAnnotation");
        case "string":
          return this.finishNode(node, "StringTypeAnnotation");
        case "symbol":
          return this.finishNode(node, "SymbolTypeAnnotation");
        default:
          this.checkNotUnderscore(id.name);
          return this.flowParseGenericType(startLoc, id);
      }
    }
    flowParsePrimaryType() {
      var startLoc = this.state.startLoc;
      var node = this.startNode();
      var tmp;
      var type;
      var isGroupedType = false;
      var oldNoAnonFunctionType = this.state.noAnonFunctionType;
      switch (this.state.type) {
        case 5:
          return this.flowParseObjectType({
            allowStatic: false,
            allowExact: false,
            allowSpread: true,
            allowProto: false,
            allowInexact: true
          });
        case 6:
          return this.flowParseObjectType({
            allowStatic: false,
            allowExact: true,
            allowSpread: true,
            allowProto: false,
            allowInexact: false
          });
        case 0:
          this.state.noAnonFunctionType = false;
          type = this.flowParseTupleType();
          this.state.noAnonFunctionType = oldNoAnonFunctionType;
          return type;
        case 47:
          node.typeParameters = this.flowParseTypeParameterDeclaration();
          this.expect(10);
          tmp = this.flowParseFunctionTypeParams();
          node.params = tmp.params;
          node.rest = tmp.rest;
          node.this = tmp._this;
          this.expect(11);
          this.expect(19);
          node.returnType = this.flowParseType();
          return this.finishNode(node, "FunctionTypeAnnotation");
        case 10:
          this.next();
          if (!this.match(11) && !this.match(21)) {
            if (tokenIsIdentifier(this.state.type) || this.match(78)) {
              var token = this.lookahead().type;
              isGroupedType = token !== 17 && token !== 14;
            } else {
              isGroupedType = true;
            }
          }
          if (isGroupedType) {
            this.state.noAnonFunctionType = false;
            type = this.flowParseType();
            this.state.noAnonFunctionType = oldNoAnonFunctionType;
            if (this.state.noAnonFunctionType || !(this.match(12) || this.match(11) && this.lookahead().type === 19)) {
              this.expect(11);
              return type;
            } else {
              this.eat(12);
            }
          }
          if (type) {
            tmp = this.flowParseFunctionTypeParams([this.reinterpretTypeAsFunctionTypeParam(type)]);
          } else {
            tmp = this.flowParseFunctionTypeParams();
          }
          node.params = tmp.params;
          node.rest = tmp.rest;
          node.this = tmp._this;
          this.expect(11);
          this.expect(19);
          node.returnType = this.flowParseType();
          node.typeParameters = null;
          return this.finishNode(node, "FunctionTypeAnnotation");
        case 131:
          return this.parseLiteral(this.state.value, "StringLiteralTypeAnnotation");
        case 85:
        case 86:
          node.value = this.match(85);
          this.next();
          return this.finishNode(node, "BooleanLiteralTypeAnnotation");
        case 53:
          if (this.state.value === "-") {
            this.next();
            if (this.match(132)) {
              return this.parseLiteralAtNode(-this.state.value, "NumberLiteralTypeAnnotation", node);
            }
            if (this.match(133)) {
              return this.parseLiteralAtNode(-this.state.value, "BigIntLiteralTypeAnnotation", node);
            }
            throw this.raise(FlowErrors.UnexpectedSubtractionOperand, {
              at: this.state.startLoc
            });
          }
          throw this.unexpected();
        case 132:
          return this.parseLiteral(this.state.value, "NumberLiteralTypeAnnotation");
        case 133:
          return this.parseLiteral(this.state.value, "BigIntLiteralTypeAnnotation");
        case 88:
          this.next();
          return this.finishNode(node, "VoidTypeAnnotation");
        case 84:
          this.next();
          return this.finishNode(node, "NullLiteralTypeAnnotation");
        case 78:
          this.next();
          return this.finishNode(node, "ThisTypeAnnotation");
        case 55:
          this.next();
          return this.finishNode(node, "ExistsTypeAnnotation");
        case 87:
          return this.flowParseTypeofType();
        default:
          if (tokenIsKeyword(this.state.type)) {
            var label = tokenLabelName(this.state.type);
            this.next();
            return super.createIdentifier(node, label);
          } else if (tokenIsIdentifier(this.state.type)) {
            if (this.isContextual(127)) {
              return this.flowParseInterfaceType();
            }
            return this.flowIdentToTypeAnnotation(startLoc, node, this.parseIdentifier());
          }
      }
      throw this.unexpected();
    }
    flowParsePostfixType() {
      var startLoc = this.state.startLoc;
      var type = this.flowParsePrimaryType();
      var seenOptionalIndexedAccess = false;
      while ((this.match(0) || this.match(18)) && !this.canInsertSemicolon()) {
        var node = this.startNodeAt(startLoc);
        var optional = this.eat(18);
        seenOptionalIndexedAccess = seenOptionalIndexedAccess || optional;
        this.expect(0);
        if (!optional && this.match(3)) {
          node.elementType = type;
          this.next();
          type = this.finishNode(node, "ArrayTypeAnnotation");
        } else {
          node.objectType = type;
          node.indexType = this.flowParseType();
          this.expect(3);
          if (seenOptionalIndexedAccess) {
            node.optional = optional;
            type = this.finishNode(node, "OptionalIndexedAccessType");
          } else {
            type = this.finishNode(node, "IndexedAccessType");
          }
        }
      }
      return type;
    }
    flowParsePrefixType() {
      var node = this.startNode();
      if (this.eat(17)) {
        node.typeAnnotation = this.flowParsePrefixType();
        return this.finishNode(node, "NullableTypeAnnotation");
      } else {
        return this.flowParsePostfixType();
      }
    }
    flowParseAnonFunctionWithoutParens() {
      var param = this.flowParsePrefixType();
      if (!this.state.noAnonFunctionType && this.eat(19)) {
        var node = this.startNodeAt(param.loc.start);
        node.params = [this.reinterpretTypeAsFunctionTypeParam(param)];
        node.rest = null;
        node.this = null;
        node.returnType = this.flowParseType();
        node.typeParameters = null;
        return this.finishNode(node, "FunctionTypeAnnotation");
      }
      return param;
    }
    flowParseIntersectionType() {
      var node = this.startNode();
      this.eat(45);
      var type = this.flowParseAnonFunctionWithoutParens();
      node.types = [type];
      while (this.eat(45)) {
        node.types.push(this.flowParseAnonFunctionWithoutParens());
      }
      return node.types.length === 1 ? type : this.finishNode(node, "IntersectionTypeAnnotation");
    }
    flowParseUnionType() {
      var node = this.startNode();
      this.eat(43);
      var type = this.flowParseIntersectionType();
      node.types = [type];
      while (this.eat(43)) {
        node.types.push(this.flowParseIntersectionType());
      }
      return node.types.length === 1 ? type : this.finishNode(node, "UnionTypeAnnotation");
    }
    flowParseType() {
      var oldInType = this.state.inType;
      this.state.inType = true;
      var type = this.flowParseUnionType();
      this.state.inType = oldInType;
      return type;
    }
    flowParseTypeOrImplicitInstantiation() {
      if (this.state.type === 130 && this.state.value === "_") {
        var startLoc = this.state.startLoc;
        var node = this.parseIdentifier();
        return this.flowParseGenericType(startLoc, node);
      } else {
        return this.flowParseType();
      }
    }
    flowParseTypeAnnotation() {
      var node = this.startNode();
      node.typeAnnotation = this.flowParseTypeInitialiser();
      return this.finishNode(node, "TypeAnnotation");
    }
    flowParseTypeAnnotatableIdentifier(allowPrimitiveOverride) {
      var ident = allowPrimitiveOverride ? this.parseIdentifier() : this.flowParseRestrictedIdentifier();
      if (this.match(14)) {
        ident.typeAnnotation = this.flowParseTypeAnnotation();
        this.resetEndLocation(ident);
      }
      return ident;
    }
    typeCastToParameter(node) {
      node.expression.typeAnnotation = node.typeAnnotation;
      this.resetEndLocation(node.expression, node.typeAnnotation.loc.end);
      return node.expression;
    }
    flowParseVariance() {
      var variance = null;
      if (this.match(53)) {
        variance = this.startNode();
        if (this.state.value === "+") {
          variance.kind = "plus";
        } else {
          variance.kind = "minus";
        }
        this.next();
        return this.finishNode(variance, "Variance");
      }
      return variance;
    }
    parseFunctionBody(node, allowExpressionBody) {
      var isMethod = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
      if (allowExpressionBody) {
        return this.forwardNoArrowParamsConversionAt(node, () => super.parseFunctionBody(node, true, isMethod));
      }
      return super.parseFunctionBody(node, false, isMethod);
    }
    parseFunctionBodyAndFinish(node, type) {
      var isMethod = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
      if (this.match(14)) {
        var typeNode = this.startNode();
        [typeNode.typeAnnotation, node.predicate] = this.flowParseTypeAndPredicateInitialiser();
        node.returnType = typeNode.typeAnnotation ? this.finishNode(typeNode, "TypeAnnotation") : null;
      }
      return super.parseFunctionBodyAndFinish(node, type, isMethod);
    }
    parseStatementLike(flags) {
      if (this.state.strict && this.isContextual(127)) {
        var lookahead = this.lookahead();
        if (tokenIsKeywordOrIdentifier(lookahead.type)) {
          var node = this.startNode();
          this.next();
          return this.flowParseInterface(node);
        }
      } else if (this.shouldParseEnums() && this.isContextual(124)) {
        var _node = this.startNode();
        this.next();
        return this.flowParseEnumDeclaration(_node);
      }
      var stmt = super.parseStatementLike(flags);
      if (this.flowPragma === undefined && !this.isValidDirective(stmt)) {
        this.flowPragma = null;
      }
      return stmt;
    }
    parseExpressionStatement(node, expr, decorators) {
      if (expr.type === "Identifier") {
        if (expr.name === "declare") {
          if (this.match(80) || tokenIsIdentifier(this.state.type) || this.match(68) || this.match(74) || this.match(82)) {
            return this.flowParseDeclare(node);
          }
        } else if (tokenIsIdentifier(this.state.type)) {
          if (expr.name === "interface") {
            return this.flowParseInterface(node);
          } else if (expr.name === "type") {
            return this.flowParseTypeAlias(node);
          } else if (expr.name === "opaque") {
            return this.flowParseOpaqueType(node, false);
          }
        }
      }
      return super.parseExpressionStatement(node, expr, decorators);
    }
    shouldParseExportDeclaration() {
      var {
        type
      } = this.state;
      if (tokenIsFlowInterfaceOrTypeOrOpaque(type) || this.shouldParseEnums() && type === 124) {
        return !this.state.containsEsc;
      }
      return super.shouldParseExportDeclaration();
    }
    isExportDefaultSpecifier() {
      var {
        type
      } = this.state;
      if (tokenIsFlowInterfaceOrTypeOrOpaque(type) || this.shouldParseEnums() && type === 124) {
        return this.state.containsEsc;
      }
      return super.isExportDefaultSpecifier();
    }
    parseExportDefaultExpression() {
      if (this.shouldParseEnums() && this.isContextual(124)) {
        var node = this.startNode();
        this.next();
        return this.flowParseEnumDeclaration(node);
      }
      return super.parseExportDefaultExpression();
    }
    parseConditional(expr, startLoc, refExpressionErrors) {
      if (!this.match(17)) return expr;
      if (this.state.maybeInArrowParameters) {
        var nextCh = this.lookaheadCharCode();
        if (nextCh === 44 || nextCh === 61 || nextCh === 58 || nextCh === 41) {
          this.setOptionalParametersError(refExpressionErrors);
          return expr;
        }
      }
      this.expect(17);
      var state = this.state.clone();
      var originalNoArrowAt = this.state.noArrowAt;
      var node = this.startNodeAt(startLoc);
      var {
        consequent,
        failed
      } = this.tryParseConditionalConsequent();
      var [valid, invalid] = this.getArrowLikeExpressions(consequent);
      if (failed || invalid.length > 0) {
        var noArrowAt = [...originalNoArrowAt];
        if (invalid.length > 0) {
          this.state = state;
          this.state.noArrowAt = noArrowAt;
          for (var i = 0; i < invalid.length; i++) {
            noArrowAt.push(invalid[i].start);
          }
          ({
            consequent,
            failed
          } = this.tryParseConditionalConsequent());
          [valid, invalid] = this.getArrowLikeExpressions(consequent);
        }
        if (failed && valid.length > 1) {
          this.raise(FlowErrors.AmbiguousConditionalArrow, {
            at: state.startLoc
          });
        }
        if (failed && valid.length === 1) {
          this.state = state;
          noArrowAt.push(valid[0].start);
          this.state.noArrowAt = noArrowAt;
          ({
            consequent,
            failed
          } = this.tryParseConditionalConsequent());
        }
      }
      this.getArrowLikeExpressions(consequent, true);
      this.state.noArrowAt = originalNoArrowAt;
      this.expect(14);
      node.test = expr;
      node.consequent = consequent;
      node.alternate = this.forwardNoArrowParamsConversionAt(node, () => this.parseMaybeAssign(undefined, undefined));
      return this.finishNode(node, "ConditionalExpression");
    }
    tryParseConditionalConsequent() {
      this.state.noArrowParamsConversionAt.push(this.state.start);
      var consequent = this.parseMaybeAssignAllowIn();
      var failed = !this.match(14);
      this.state.noArrowParamsConversionAt.pop();
      return {
        consequent,
        failed
      };
    }
    getArrowLikeExpressions(node, disallowInvalid) {
      var stack = [node];
      var arrows = [];
      while (stack.length !== 0) {
        var _node2 = stack.pop();
        if (_node2.type === "ArrowFunctionExpression") {
          if (_node2.typeParameters || !_node2.returnType) {
            this.finishArrowValidation(_node2);
          } else {
            arrows.push(_node2);
          }
          stack.push(_node2.body);
        } else if (_node2.type === "ConditionalExpression") {
          stack.push(_node2.consequent);
          stack.push(_node2.alternate);
        }
      }
      if (disallowInvalid) {
        arrows.forEach(node => this.finishArrowValidation(node));
        return [arrows, []];
      }
      return partition(arrows, node => node.params.every(param => this.isAssignable(param, true)));
    }
    finishArrowValidation(node) {
      var _node$extra;
      this.toAssignableList(node.params, (_node$extra = node.extra) == null ? void 0 : _node$extra.trailingCommaLoc, false);
      this.scope.enter(SCOPE_FUNCTION | SCOPE_ARROW);
      super.checkParams(node, false, true);
      this.scope.exit();
    }
    forwardNoArrowParamsConversionAt(node, parse) {
      var result;
      if (this.state.noArrowParamsConversionAt.indexOf(node.start) !== -1) {
        this.state.noArrowParamsConversionAt.push(this.state.start);
        result = parse();
        this.state.noArrowParamsConversionAt.pop();
      } else {
        result = parse();
      }
      return result;
    }
    parseParenItem(node, startLoc) {
      node = super.parseParenItem(node, startLoc);
      if (this.eat(17)) {
        node.optional = true;
        this.resetEndLocation(node);
      }
      if (this.match(14)) {
        var typeCastNode = this.startNodeAt(startLoc);
        typeCastNode.expression = node;
        typeCastNode.typeAnnotation = this.flowParseTypeAnnotation();
        return this.finishNode(typeCastNode, "TypeCastExpression");
      }
      return node;
    }
    assertModuleNodeAllowed(node) {
      if (node.type === "ImportDeclaration" && (node.importKind === "type" || node.importKind === "typeof") || node.type === "ExportNamedDeclaration" && node.exportKind === "type" || node.type === "ExportAllDeclaration" && node.exportKind === "type") {
        return;
      }
      super.assertModuleNodeAllowed(node);
    }
    parseExport(node, decorators) {
      var decl = super.parseExport(node, decorators);
      if (decl.type === "ExportNamedDeclaration" || decl.type === "ExportAllDeclaration") {
        decl.exportKind = decl.exportKind || "value";
      }
      return decl;
    }
    parseExportDeclaration(node) {
      if (this.isContextual(128)) {
        node.exportKind = "type";
        var declarationNode = this.startNode();
        this.next();
        if (this.match(5)) {
          node.specifiers = this.parseExportSpecifiers(true);
          super.parseExportFrom(node);
          return null;
        } else {
          return this.flowParseTypeAlias(declarationNode);
        }
      } else if (this.isContextual(129)) {
        node.exportKind = "type";
        var _declarationNode = this.startNode();
        this.next();
        return this.flowParseOpaqueType(_declarationNode, false);
      } else if (this.isContextual(127)) {
        node.exportKind = "type";
        var _declarationNode2 = this.startNode();
        this.next();
        return this.flowParseInterface(_declarationNode2);
      } else if (this.shouldParseEnums() && this.isContextual(124)) {
        node.exportKind = "value";
        var _declarationNode3 = this.startNode();
        this.next();
        return this.flowParseEnumDeclaration(_declarationNode3);
      } else {
        return super.parseExportDeclaration(node);
      }
    }
    eatExportStar(node) {
      if (super.eatExportStar(node)) return true;
      if (this.isContextual(128) && this.lookahead().type === 55) {
        node.exportKind = "type";
        this.next();
        this.next();
        return true;
      }
      return false;
    }
    maybeParseExportNamespaceSpecifier(node) {
      var {
        startLoc
      } = this.state;
      var hasNamespace = super.maybeParseExportNamespaceSpecifier(node);
      if (hasNamespace && node.exportKind === "type") {
        this.unexpected(startLoc);
      }
      return hasNamespace;
    }
    parseClassId(node, isStatement, optionalId) {
      super.parseClassId(node, isStatement, optionalId);
      if (this.match(47)) {
        node.typeParameters = this.flowParseTypeParameterDeclaration();
      }
    }
    parseClassMember(classBody, member, state) {
      var {
        startLoc
      } = this.state;
      if (this.isContextual(123)) {
        if (super.parseClassMemberFromModifier(classBody, member)) {
          return;
        }
        member.declare = true;
      }
      super.parseClassMember(classBody, member, state);
      if (member.declare) {
        if (member.type !== "ClassProperty" && member.type !== "ClassPrivateProperty" && member.type !== "PropertyDefinition") {
          this.raise(FlowErrors.DeclareClassElement, {
            at: startLoc
          });
        } else if (member.value) {
          this.raise(FlowErrors.DeclareClassFieldInitializer, {
            at: member.value
          });
        }
      }
    }
    isIterator(word) {
      return word === "iterator" || word === "asyncIterator";
    }
    readIterator() {
      var word = super.readWord1();
      var fullWord = "@@" + word;
      if (!this.isIterator(word) || !this.state.inType) {
        this.raise(Errors.InvalidIdentifier, {
          at: this.state.curPosition(),
          identifierName: fullWord
        });
      }
      this.finishToken(130, fullWord);
    }
    getTokenFromCode(code) {
      var next = this.input.charCodeAt(this.state.pos + 1);
      if (code === 123 && next === 124) {
        return this.finishOp(6, 2);
      } else if (this.state.inType && (code === 62 || code === 60)) {
        return this.finishOp(code === 62 ? 48 : 47, 1);
      } else if (this.state.inType && code === 63) {
        if (next === 46) {
          return this.finishOp(18, 2);
        }
        return this.finishOp(17, 1);
      } else if (isIteratorStart(code, next, this.input.charCodeAt(this.state.pos + 2))) {
        this.state.pos += 2;
        return this.readIterator();
      } else {
        return super.getTokenFromCode(code);
      }
    }
    isAssignable(node, isBinding) {
      if (node.type === "TypeCastExpression") {
        return this.isAssignable(node.expression, isBinding);
      } else {
        return super.isAssignable(node, isBinding);
      }
    }
    toAssignable(node) {
      var isLHS = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
      if (!isLHS && node.type === "AssignmentExpression" && node.left.type === "TypeCastExpression") {
        node.left = this.typeCastToParameter(node.left);
      }
      super.toAssignable(node, isLHS);
    }
    toAssignableList(exprList, trailingCommaLoc, isLHS) {
      for (var i = 0; i < exprList.length; i++) {
        var expr = exprList[i];
        if ((expr == null ? void 0 : expr.type) === "TypeCastExpression") {
          exprList[i] = this.typeCastToParameter(expr);
        }
      }
      super.toAssignableList(exprList, trailingCommaLoc, isLHS);
    }
    toReferencedList(exprList, isParenthesizedExpr) {
      for (var i = 0; i < exprList.length; i++) {
        var _expr$extra;
        var expr = exprList[i];
        if (expr && expr.type === "TypeCastExpression" && !((_expr$extra = expr.extra) != null && _expr$extra.parenthesized) && (exprList.length > 1 || !isParenthesizedExpr)) {
          this.raise(FlowErrors.TypeCastInPattern, {
            at: expr.typeAnnotation
          });
        }
      }
      return exprList;
    }
    parseArrayLike(close, canBePattern, isTuple, refExpressionErrors) {
      var node = super.parseArrayLike(close, canBePattern, isTuple, refExpressionErrors);
      if (canBePattern && !this.state.maybeInArrowParameters) {
        this.toReferencedList(node.elements);
      }
      return node;
    }
    isValidLVal(type, isParenthesized, binding) {
      return type === "TypeCastExpression" || super.isValidLVal(type, isParenthesized, binding);
    }
    parseClassProperty(node) {
      if (this.match(14)) {
        node.typeAnnotation = this.flowParseTypeAnnotation();
      }
      return super.parseClassProperty(node);
    }
    parseClassPrivateProperty(node) {
      if (this.match(14)) {
        node.typeAnnotation = this.flowParseTypeAnnotation();
      }
      return super.parseClassPrivateProperty(node);
    }
    isClassMethod() {
      return this.match(47) || super.isClassMethod();
    }
    isClassProperty() {
      return this.match(14) || super.isClassProperty();
    }
    isNonstaticConstructor(method) {
      return !this.match(14) && super.isNonstaticConstructor(method);
    }
    pushClassMethod(classBody, method, isGenerator, isAsync, isConstructor, allowsDirectSuper) {
      if (method.variance) {
        this.unexpected(method.variance.loc.start);
      }
      delete method.variance;
      if (this.match(47)) {
        method.typeParameters = this.flowParseTypeParameterDeclaration();
      }
      super.pushClassMethod(classBody, method, isGenerator, isAsync, isConstructor, allowsDirectSuper);
      if (method.params && isConstructor) {
        var params = method.params;
        if (params.length > 0 && this.isThisParam(params[0])) {
          this.raise(FlowErrors.ThisParamBannedInConstructor, {
            at: method
          });
        }
      } else if (method.type === "MethodDefinition" && isConstructor && method.value.params) {
        var _params2 = method.value.params;
        if (_params2.length > 0 && this.isThisParam(_params2[0])) {
          this.raise(FlowErrors.ThisParamBannedInConstructor, {
            at: method
          });
        }
      }
    }
    pushClassPrivateMethod(classBody, method, isGenerator, isAsync) {
      if (method.variance) {
        this.unexpected(method.variance.loc.start);
      }
      delete method.variance;
      if (this.match(47)) {
        method.typeParameters = this.flowParseTypeParameterDeclaration();
      }
      super.pushClassPrivateMethod(classBody, method, isGenerator, isAsync);
    }
    parseClassSuper(node) {
      super.parseClassSuper(node);
      if (node.superClass && this.match(47)) {
        node.superTypeParameters = this.flowParseTypeParameterInstantiation();
      }
      if (this.isContextual(111)) {
        this.next();
        var implemented = node.implements = [];
        do {
          var _node3 = this.startNode();
          _node3.id = this.flowParseRestrictedIdentifier(true);
          if (this.match(47)) {
            _node3.typeParameters = this.flowParseTypeParameterInstantiation();
          } else {
            _node3.typeParameters = null;
          }
          implemented.push(this.finishNode(_node3, "ClassImplements"));
        } while (this.eat(12));
      }
    }
    checkGetterSetterParams(method) {
      super.checkGetterSetterParams(method);
      var params = this.getObjectOrClassMethodParams(method);
      if (params.length > 0) {
        var param = params[0];
        if (this.isThisParam(param) && method.kind === "get") {
          this.raise(FlowErrors.GetterMayNotHaveThisParam, {
            at: param
          });
        } else if (this.isThisParam(param)) {
          this.raise(FlowErrors.SetterMayNotHaveThisParam, {
            at: param
          });
        }
      }
    }
    parsePropertyNamePrefixOperator(node) {
      node.variance = this.flowParseVariance();
    }
    parseObjPropValue(prop, startLoc, isGenerator, isAsync, isPattern, isAccessor, refExpressionErrors) {
      if (prop.variance) {
        this.unexpected(prop.variance.loc.start);
      }
      delete prop.variance;
      var typeParameters;
      if (this.match(47) && !isAccessor) {
        typeParameters = this.flowParseTypeParameterDeclaration();
        if (!this.match(10)) this.unexpected();
      }
      var result = super.parseObjPropValue(prop, startLoc, isGenerator, isAsync, isPattern, isAccessor, refExpressionErrors);
      if (typeParameters) {
        (result.value || result).typeParameters = typeParameters;
      }
      return result;
    }
    parseAssignableListItemTypes(param) {
      if (this.eat(17)) {
        if (param.type !== "Identifier") {
          this.raise(FlowErrors.PatternIsOptional, {
            at: param
          });
        }
        if (this.isThisParam(param)) {
          this.raise(FlowErrors.ThisParamMayNotBeOptional, {
            at: param
          });
        }
        param.optional = true;
      }
      if (this.match(14)) {
        param.typeAnnotation = this.flowParseTypeAnnotation();
      } else if (this.isThisParam(param)) {
        this.raise(FlowErrors.ThisParamAnnotationRequired, {
          at: param
        });
      }
      if (this.match(29) && this.isThisParam(param)) {
        this.raise(FlowErrors.ThisParamNoDefault, {
          at: param
        });
      }
      this.resetEndLocation(param);
      return param;
    }
    parseMaybeDefault(startLoc, left) {
      var node = super.parseMaybeDefault(startLoc, left);
      if (node.type === "AssignmentPattern" && node.typeAnnotation && node.right.start < node.typeAnnotation.start) {
        this.raise(FlowErrors.TypeBeforeInitializer, {
          at: node.typeAnnotation
        });
      }
      return node;
    }
    shouldParseDefaultImport(node) {
      if (!hasTypeImportKind(node)) {
        return super.shouldParseDefaultImport(node);
      }
      return isMaybeDefaultImport(this.state.type);
    }
    checkImportReflection(node) {
      super.checkImportReflection(node);
      if (node.module && node.importKind !== "value") {
        this.raise(FlowErrors.ImportReflectionHasImportType, {
          at: node.specifiers[0].loc.start
        });
      }
    }
    parseImportSpecifierLocal(node, specifier, type) {
      specifier.local = hasTypeImportKind(node) ? this.flowParseRestrictedIdentifier(true, true) : this.parseIdentifier();
      node.specifiers.push(this.finishImportSpecifier(specifier, type));
    }
    maybeParseDefaultImportSpecifier(node) {
      node.importKind = "value";
      var kind = null;
      if (this.match(87)) {
        kind = "typeof";
      } else if (this.isContextual(128)) {
        kind = "type";
      }
      if (kind) {
        var lh = this.lookahead();
        var {
          type
        } = lh;
        if (kind === "type" && type === 55) {
          this.unexpected(null, lh.type);
        }
        if (isMaybeDefaultImport(type) || type === 5 || type === 55) {
          this.next();
          node.importKind = kind;
        }
      }
      return super.maybeParseDefaultImportSpecifier(node);
    }
    parseImportSpecifier(specifier, importedIsString, isInTypeOnlyImport, isMaybeTypeOnly, bindingType) {
      var firstIdent = specifier.imported;
      var specifierTypeKind = null;
      if (firstIdent.type === "Identifier") {
        if (firstIdent.name === "type") {
          specifierTypeKind = "type";
        } else if (firstIdent.name === "typeof") {
          specifierTypeKind = "typeof";
        }
      }
      var isBinding = false;
      if (this.isContextual(93) && !this.isLookaheadContextual("as")) {
        var as_ident = this.parseIdentifier(true);
        if (specifierTypeKind !== null && !tokenIsKeywordOrIdentifier(this.state.type)) {
          specifier.imported = as_ident;
          specifier.importKind = specifierTypeKind;
          specifier.local = cloneIdentifier(as_ident);
        } else {
          specifier.imported = firstIdent;
          specifier.importKind = null;
          specifier.local = this.parseIdentifier();
        }
      } else {
        if (specifierTypeKind !== null && tokenIsKeywordOrIdentifier(this.state.type)) {
          specifier.imported = this.parseIdentifier(true);
          specifier.importKind = specifierTypeKind;
        } else {
          if (importedIsString) {
            throw this.raise(Errors.ImportBindingIsString, {
              at: specifier,
              importName: firstIdent.value
            });
          }
          specifier.imported = firstIdent;
          specifier.importKind = null;
        }
        if (this.eatContextual(93)) {
          specifier.local = this.parseIdentifier();
        } else {
          isBinding = true;
          specifier.local = cloneIdentifier(specifier.imported);
        }
      }
      var specifierIsTypeImport = hasTypeImportKind(specifier);
      if (isInTypeOnlyImport && specifierIsTypeImport) {
        this.raise(FlowErrors.ImportTypeShorthandOnlyInPureImport, {
          at: specifier
        });
      }
      if (isInTypeOnlyImport || specifierIsTypeImport) {
        this.checkReservedType(specifier.local.name, specifier.local.loc.start, true);
      }
      if (isBinding && !isInTypeOnlyImport && !specifierIsTypeImport) {
        this.checkReservedWord(specifier.local.name, specifier.loc.start, true, true);
      }
      return this.finishImportSpecifier(specifier, "ImportSpecifier");
    }
    parseBindingAtom() {
      switch (this.state.type) {
        case 78:
          return this.parseIdentifier(true);
        default:
          return super.parseBindingAtom();
      }
    }
    parseFunctionParams(node, allowModifiers) {
      var kind = node.kind;
      if (kind !== "get" && kind !== "set" && this.match(47)) {
        node.typeParameters = this.flowParseTypeParameterDeclaration();
      }
      super.parseFunctionParams(node, allowModifiers);
    }
    parseVarId(decl, kind) {
      super.parseVarId(decl, kind);
      if (this.match(14)) {
        decl.id.typeAnnotation = this.flowParseTypeAnnotation();
        this.resetEndLocation(decl.id);
      }
    }
    parseAsyncArrowFromCallExpression(node, call) {
      if (this.match(14)) {
        var oldNoAnonFunctionType = this.state.noAnonFunctionType;
        this.state.noAnonFunctionType = true;
        node.returnType = this.flowParseTypeAnnotation();
        this.state.noAnonFunctionType = oldNoAnonFunctionType;
      }
      return super.parseAsyncArrowFromCallExpression(node, call);
    }
    shouldParseAsyncArrow() {
      return this.match(14) || super.shouldParseAsyncArrow();
    }
    parseMaybeAssign(refExpressionErrors, afterLeftParse) {
      var _jsx;
      var state = null;
      var jsx;
      if (this.hasPlugin("jsx") && (this.match(140) || this.match(47))) {
        state = this.state.clone();
        jsx = this.tryParse(() => super.parseMaybeAssign(refExpressionErrors, afterLeftParse), state);
        if (!jsx.error) return jsx.node;
        var {
          context
        } = this.state;
        var currentContext = context[context.length - 1];
        if (currentContext === types.j_oTag || currentContext === types.j_expr) {
          context.pop();
        }
      }
      if ((_jsx = jsx) != null && _jsx.error || this.match(47)) {
        var _jsx2, _jsx3;
        state = state || this.state.clone();
        var typeParameters;
        var arrow = this.tryParse(abort => {
          var _arrowExpression$extr;
          typeParameters = this.flowParseTypeParameterDeclaration();
          var arrowExpression = this.forwardNoArrowParamsConversionAt(typeParameters, () => {
            var result = super.parseMaybeAssign(refExpressionErrors, afterLeftParse);
            this.resetStartLocationFromNode(result, typeParameters);
            return result;
          });
          if ((_arrowExpression$extr = arrowExpression.extra) != null && _arrowExpression$extr.parenthesized) abort();
          var expr = this.maybeUnwrapTypeCastExpression(arrowExpression);
          if (expr.type !== "ArrowFunctionExpression") abort();
          expr.typeParameters = typeParameters;
          this.resetStartLocationFromNode(expr, typeParameters);
          return arrowExpression;
        }, state);
        var arrowExpression = null;
        if (arrow.node && this.maybeUnwrapTypeCastExpression(arrow.node).type === "ArrowFunctionExpression") {
          if (!arrow.error && !arrow.aborted) {
            if (arrow.node.async) {
              this.raise(FlowErrors.UnexpectedTypeParameterBeforeAsyncArrowFunction, {
                at: typeParameters
              });
            }
            return arrow.node;
          }
          arrowExpression = arrow.node;
        }
        if ((_jsx2 = jsx) != null && _jsx2.node) {
          this.state = jsx.failState;
          return jsx.node;
        }
        if (arrowExpression) {
          this.state = arrow.failState;
          return arrowExpression;
        }
        if ((_jsx3 = jsx) != null && _jsx3.thrown) throw jsx.error;
        if (arrow.thrown) throw arrow.error;
        throw this.raise(FlowErrors.UnexpectedTokenAfterTypeParameter, {
          at: typeParameters
        });
      }
      return super.parseMaybeAssign(refExpressionErrors, afterLeftParse);
    }
    parseArrow(node) {
      if (this.match(14)) {
        var result = this.tryParse(() => {
          var oldNoAnonFunctionType = this.state.noAnonFunctionType;
          this.state.noAnonFunctionType = true;
          var typeNode = this.startNode();
          [typeNode.typeAnnotation, node.predicate] = this.flowParseTypeAndPredicateInitialiser();
          this.state.noAnonFunctionType = oldNoAnonFunctionType;
          if (this.canInsertSemicolon()) this.unexpected();
          if (!this.match(19)) this.unexpected();
          return typeNode;
        });
        if (result.thrown) return null;
        if (result.error) this.state = result.failState;
        node.returnType = result.node.typeAnnotation ? this.finishNode(result.node, "TypeAnnotation") : null;
      }
      return super.parseArrow(node);
    }
    shouldParseArrow(params) {
      return this.match(14) || super.shouldParseArrow(params);
    }
    setArrowFunctionParameters(node, params) {
      if (this.state.noArrowParamsConversionAt.indexOf(node.start) !== -1) {
        node.params = params;
      } else {
        super.setArrowFunctionParameters(node, params);
      }
    }
    checkParams(node, allowDuplicates, isArrowFunction) {
      var strictModeChanged = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;
      if (isArrowFunction && this.state.noArrowParamsConversionAt.indexOf(node.start) !== -1) {
        return;
      }
      for (var i = 0; i < node.params.length; i++) {
        if (this.isThisParam(node.params[i]) && i > 0) {
          this.raise(FlowErrors.ThisParamMustBeFirst, {
            at: node.params[i]
          });
        }
      }
      return super.checkParams(node, allowDuplicates, isArrowFunction, strictModeChanged);
    }
    parseParenAndDistinguishExpression(canBeArrow) {
      return super.parseParenAndDistinguishExpression(canBeArrow && this.state.noArrowAt.indexOf(this.state.start) === -1);
    }
    parseSubscripts(base, startLoc, noCalls) {
      if (base.type === "Identifier" && base.name === "async" && this.state.noArrowAt.indexOf(startLoc.index) !== -1) {
        this.next();
        var node = this.startNodeAt(startLoc);
        node.callee = base;
        node.arguments = super.parseCallExpressionArguments(11, false);
        base = this.finishNode(node, "CallExpression");
      } else if (base.type === "Identifier" && base.name === "async" && this.match(47)) {
        var state = this.state.clone();
        var arrow = this.tryParse(abort => this.parseAsyncArrowWithTypeParameters(startLoc) || abort(), state);
        if (!arrow.error && !arrow.aborted) return arrow.node;
        var result = this.tryParse(() => super.parseSubscripts(base, startLoc, noCalls), state);
        if (result.node && !result.error) return result.node;
        if (arrow.node) {
          this.state = arrow.failState;
          return arrow.node;
        }
        if (result.node) {
          this.state = result.failState;
          return result.node;
        }
        throw arrow.error || result.error;
      }
      return super.parseSubscripts(base, startLoc, noCalls);
    }
    parseSubscript(base, startLoc, noCalls, subscriptState) {
      if (this.match(18) && this.isLookaheadToken_lt()) {
        subscriptState.optionalChainMember = true;
        if (noCalls) {
          subscriptState.stop = true;
          return base;
        }
        this.next();
        var node = this.startNodeAt(startLoc);
        node.callee = base;
        node.typeArguments = this.flowParseTypeParameterInstantiation();
        this.expect(10);
        node.arguments = this.parseCallExpressionArguments(11, false);
        node.optional = true;
        return this.finishCallExpression(node, true);
      } else if (!noCalls && this.shouldParseTypes() && this.match(47)) {
        var _node4 = this.startNodeAt(startLoc);
        _node4.callee = base;
        var result = this.tryParse(() => {
          _node4.typeArguments = this.flowParseTypeParameterInstantiationCallOrNew();
          this.expect(10);
          _node4.arguments = super.parseCallExpressionArguments(11, false);
          if (subscriptState.optionalChainMember) {
            _node4.optional = false;
          }
          return this.finishCallExpression(_node4, subscriptState.optionalChainMember);
        });
        if (result.node) {
          if (result.error) this.state = result.failState;
          return result.node;
        }
      }
      return super.parseSubscript(base, startLoc, noCalls, subscriptState);
    }
    parseNewCallee(node) {
      super.parseNewCallee(node);
      var targs = null;
      if (this.shouldParseTypes() && this.match(47)) {
        targs = this.tryParse(() => this.flowParseTypeParameterInstantiationCallOrNew()).node;
      }
      node.typeArguments = targs;
    }
    parseAsyncArrowWithTypeParameters(startLoc) {
      var node = this.startNodeAt(startLoc);
      this.parseFunctionParams(node);
      if (!this.parseArrow(node)) return;
      return super.parseArrowExpression(node, undefined, true);
    }
    readToken_mult_modulo(code) {
      var next = this.input.charCodeAt(this.state.pos + 1);
      if (code === 42 && next === 47 && this.state.hasFlowComment) {
        this.state.hasFlowComment = false;
        this.state.pos += 2;
        this.nextToken();
        return;
      }
      super.readToken_mult_modulo(code);
    }
    readToken_pipe_amp(code) {
      var next = this.input.charCodeAt(this.state.pos + 1);
      if (code === 124 && next === 125) {
        this.finishOp(9, 2);
        return;
      }
      super.readToken_pipe_amp(code);
    }
    parseTopLevel(file, program) {
      var fileNode = super.parseTopLevel(file, program);
      if (this.state.hasFlowComment) {
        this.raise(FlowErrors.UnterminatedFlowComment, {
          at: this.state.curPosition()
        });
      }
      return fileNode;
    }
    skipBlockComment() {
      if (this.hasPlugin("flowComments") && this.skipFlowComment()) {
        if (this.state.hasFlowComment) {
          throw this.raise(FlowErrors.NestedFlowComment, {
            at: this.state.startLoc
          });
        }
        this.hasFlowCommentCompletion();
        var commentSkip = this.skipFlowComment();
        if (commentSkip) {
          this.state.pos += commentSkip;
          this.state.hasFlowComment = true;
        }
        return;
      }
      return super.skipBlockComment(this.state.hasFlowComment ? "*-/" : "*/");
    }
    skipFlowComment() {
      var {
        pos
      } = this.state;
      var shiftToFirstNonWhiteSpace = 2;
      while ([32, 9].includes(this.input.charCodeAt(pos + shiftToFirstNonWhiteSpace))) {
        shiftToFirstNonWhiteSpace++;
      }
      var ch2 = this.input.charCodeAt(shiftToFirstNonWhiteSpace + pos);
      var ch3 = this.input.charCodeAt(shiftToFirstNonWhiteSpace + pos + 1);
      if (ch2 === 58 && ch3 === 58) {
        return shiftToFirstNonWhiteSpace + 2;
      }
      if (this.input.slice(shiftToFirstNonWhiteSpace + pos, shiftToFirstNonWhiteSpace + pos + 12) === "flow-include") {
        return shiftToFirstNonWhiteSpace + 12;
      }
      if (ch2 === 58 && ch3 !== 58) {
        return shiftToFirstNonWhiteSpace;
      }
      return false;
    }
    hasFlowCommentCompletion() {
      var end = this.input.indexOf("*/", this.state.pos);
      if (end === -1) {
        throw this.raise(Errors.UnterminatedComment, {
          at: this.state.curPosition()
        });
      }
    }
    flowEnumErrorBooleanMemberNotInitialized(loc, _ref64) {
      var {
        enumName,
        memberName
      } = _ref64;
      this.raise(FlowErrors.EnumBooleanMemberNotInitialized, {
        at: loc,
        memberName,
        enumName
      });
    }
    flowEnumErrorInvalidMemberInitializer(loc, enumContext) {
      return this.raise(!enumContext.explicitType ? FlowErrors.EnumInvalidMemberInitializerUnknownType : enumContext.explicitType === "symbol" ? FlowErrors.EnumInvalidMemberInitializerSymbolType : FlowErrors.EnumInvalidMemberInitializerPrimaryType, Object.assign({
        at: loc
      }, enumContext));
    }
    flowEnumErrorNumberMemberNotInitialized(loc, _ref65) {
      var {
        enumName,
        memberName
      } = _ref65;
      this.raise(FlowErrors.EnumNumberMemberNotInitialized, {
        at: loc,
        enumName,
        memberName
      });
    }
    flowEnumErrorStringMemberInconsistentlyInitailized(node, _ref66) {
      var {
        enumName
      } = _ref66;
      this.raise(FlowErrors.EnumStringMemberInconsistentlyInitailized, {
        at: node,
        enumName
      });
    }
    flowEnumMemberInit() {
      var startLoc = this.state.startLoc;
      var endOfInit = () => this.match(12) || this.match(8);
      switch (this.state.type) {
        case 132:
          {
            var literal = this.parseNumericLiteral(this.state.value);
            if (endOfInit()) {
              return {
                type: "number",
                loc: literal.loc.start,
                value: literal
              };
            }
            return {
              type: "invalid",
              loc: startLoc
            };
          }
        case 131:
          {
            var _literal = this.parseStringLiteral(this.state.value);
            if (endOfInit()) {
              return {
                type: "string",
                loc: _literal.loc.start,
                value: _literal
              };
            }
            return {
              type: "invalid",
              loc: startLoc
            };
          }
        case 85:
        case 86:
          {
            var _literal2 = this.parseBooleanLiteral(this.match(85));
            if (endOfInit()) {
              return {
                type: "boolean",
                loc: _literal2.loc.start,
                value: _literal2
              };
            }
            return {
              type: "invalid",
              loc: startLoc
            };
          }
        default:
          return {
            type: "invalid",
            loc: startLoc
          };
      }
    }
    flowEnumMemberRaw() {
      var loc = this.state.startLoc;
      var id = this.parseIdentifier(true);
      var init = this.eat(29) ? this.flowEnumMemberInit() : {
        type: "none",
        loc
      };
      return {
        id,
        init
      };
    }
    flowEnumCheckExplicitTypeMismatch(loc, context, expectedType) {
      var {
        explicitType
      } = context;
      if (explicitType === null) {
        return;
      }
      if (explicitType !== expectedType) {
        this.flowEnumErrorInvalidMemberInitializer(loc, context);
      }
    }
    flowEnumMembers(_ref67) {
      var {
        enumName,
        explicitType
      } = _ref67;
      var seenNames = new Set();
      var members = {
        booleanMembers: [],
        numberMembers: [],
        stringMembers: [],
        defaultedMembers: []
      };
      var hasUnknownMembers = false;
      while (!this.match(8)) {
        if (this.eat(21)) {
          hasUnknownMembers = true;
          break;
        }
        var memberNode = this.startNode();
        var {
          id,
          init
        } = this.flowEnumMemberRaw();
        var memberName = id.name;
        if (memberName === "") {
          continue;
        }
        if (/^[a-z]/.test(memberName)) {
          this.raise(FlowErrors.EnumInvalidMemberName, {
            at: id,
            memberName,
            suggestion: memberName[0].toUpperCase() + memberName.slice(1),
            enumName
          });
        }
        if (seenNames.has(memberName)) {
          this.raise(FlowErrors.EnumDuplicateMemberName, {
            at: id,
            memberName,
            enumName
          });
        }
        seenNames.add(memberName);
        var context = {
          enumName,
          explicitType,
          memberName
        };
        memberNode.id = id;
        switch (init.type) {
          case "boolean":
            {
              this.flowEnumCheckExplicitTypeMismatch(init.loc, context, "boolean");
              memberNode.init = init.value;
              members.booleanMembers.push(this.finishNode(memberNode, "EnumBooleanMember"));
              break;
            }
          case "number":
            {
              this.flowEnumCheckExplicitTypeMismatch(init.loc, context, "number");
              memberNode.init = init.value;
              members.numberMembers.push(this.finishNode(memberNode, "EnumNumberMember"));
              break;
            }
          case "string":
            {
              this.flowEnumCheckExplicitTypeMismatch(init.loc, context, "string");
              memberNode.init = init.value;
              members.stringMembers.push(this.finishNode(memberNode, "EnumStringMember"));
              break;
            }
          case "invalid":
            {
              throw this.flowEnumErrorInvalidMemberInitializer(init.loc, context);
            }
          case "none":
            {
              switch (explicitType) {
                case "boolean":
                  this.flowEnumErrorBooleanMemberNotInitialized(init.loc, context);
                  break;
                case "number":
                  this.flowEnumErrorNumberMemberNotInitialized(init.loc, context);
                  break;
                default:
                  members.defaultedMembers.push(this.finishNode(memberNode, "EnumDefaultedMember"));
              }
            }
        }
        if (!this.match(8)) {
          this.expect(12);
        }
      }
      return {
        members,
        hasUnknownMembers
      };
    }
    flowEnumStringMembers(initializedMembers, defaultedMembers, _ref68) {
      var {
        enumName
      } = _ref68;
      if (initializedMembers.length === 0) {
        return defaultedMembers;
      } else if (defaultedMembers.length === 0) {
        return initializedMembers;
      } else if (defaultedMembers.length > initializedMembers.length) {
        for (var member of initializedMembers) {
          this.flowEnumErrorStringMemberInconsistentlyInitailized(member, {
            enumName
          });
        }
        return defaultedMembers;
      } else {
        for (var _member of defaultedMembers) {
          this.flowEnumErrorStringMemberInconsistentlyInitailized(_member, {
            enumName
          });
        }
        return initializedMembers;
      }
    }
    flowEnumParseExplicitType(_ref69) {
      var {
        enumName
      } = _ref69;
      if (!this.eatContextual(101)) return null;
      if (!tokenIsIdentifier(this.state.type)) {
        throw this.raise(FlowErrors.EnumInvalidExplicitTypeUnknownSupplied, {
          at: this.state.startLoc,
          enumName
        });
      }
      var {
        value
      } = this.state;
      this.next();
      if (value !== "boolean" && value !== "number" && value !== "string" && value !== "symbol") {
        this.raise(FlowErrors.EnumInvalidExplicitType, {
          at: this.state.startLoc,
          enumName,
          invalidEnumType: value
        });
      }
      return value;
    }
    flowEnumBody(node, id) {
      var enumName = id.name;
      var nameLoc = id.loc.start;
      var explicitType = this.flowEnumParseExplicitType({
        enumName
      });
      this.expect(5);
      var {
        members,
        hasUnknownMembers
      } = this.flowEnumMembers({
        enumName,
        explicitType
      });
      node.hasUnknownMembers = hasUnknownMembers;
      switch (explicitType) {
        case "boolean":
          node.explicitType = true;
          node.members = members.booleanMembers;
          this.expect(8);
          return this.finishNode(node, "EnumBooleanBody");
        case "number":
          node.explicitType = true;
          node.members = members.numberMembers;
          this.expect(8);
          return this.finishNode(node, "EnumNumberBody");
        case "string":
          node.explicitType = true;
          node.members = this.flowEnumStringMembers(members.stringMembers, members.defaultedMembers, {
            enumName
          });
          this.expect(8);
          return this.finishNode(node, "EnumStringBody");
        case "symbol":
          node.members = members.defaultedMembers;
          this.expect(8);
          return this.finishNode(node, "EnumSymbolBody");
        default:
          {
            var empty = () => {
              node.members = [];
              this.expect(8);
              return this.finishNode(node, "EnumStringBody");
            };
            node.explicitType = false;
            var boolsLen = members.booleanMembers.length;
            var numsLen = members.numberMembers.length;
            var strsLen = members.stringMembers.length;
            var defaultedLen = members.defaultedMembers.length;
            if (!boolsLen && !numsLen && !strsLen && !defaultedLen) {
              return empty();
            } else if (!boolsLen && !numsLen) {
              node.members = this.flowEnumStringMembers(members.stringMembers, members.defaultedMembers, {
                enumName
              });
              this.expect(8);
              return this.finishNode(node, "EnumStringBody");
            } else if (!numsLen && !strsLen && boolsLen >= defaultedLen) {
              for (var member of members.defaultedMembers) {
                this.flowEnumErrorBooleanMemberNotInitialized(member.loc.start, {
                  enumName,
                  memberName: member.id.name
                });
              }
              node.members = members.booleanMembers;
              this.expect(8);
              return this.finishNode(node, "EnumBooleanBody");
            } else if (!boolsLen && !strsLen && numsLen >= defaultedLen) {
              for (var _member2 of members.defaultedMembers) {
                this.flowEnumErrorNumberMemberNotInitialized(_member2.loc.start, {
                  enumName,
                  memberName: _member2.id.name
                });
              }
              node.members = members.numberMembers;
              this.expect(8);
              return this.finishNode(node, "EnumNumberBody");
            } else {
              this.raise(FlowErrors.EnumInconsistentMemberValues, {
                at: nameLoc,
                enumName
              });
              return empty();
            }
          }
      }
    }
    flowParseEnumDeclaration(node) {
      var id = this.parseIdentifier();
      node.id = id;
      node.body = this.flowEnumBody(this.startNode(), id);
      return this.finishNode(node, "EnumDeclaration");
    }
    isLookaheadToken_lt() {
      var next = this.nextTokenStart();
      if (this.input.charCodeAt(next) === 60) {
        var afterNext = this.input.charCodeAt(next + 1);
        return afterNext !== 60 && afterNext !== 61;
      }
      return false;
    }
    maybeUnwrapTypeCastExpression(node) {
      return node.type === "TypeCastExpression" ? node.expression : node;
    }
  };
  var entities = {
    __proto__: null,
    quot: "\u0022",
    amp: "&",
    apos: "\u0027",
    lt: "<",
    gt: ">",
    nbsp: "\u00A0",
    iexcl: "\u00A1",
    cent: "\u00A2",
    pound: "\u00A3",
    curren: "\u00A4",
    yen: "\u00A5",
    brvbar: "\u00A6",
    sect: "\u00A7",
    uml: "\u00A8",
    copy: "\u00A9",
    ordf: "\u00AA",
    laquo: "\u00AB",
    not: "\u00AC",
    shy: "\u00AD",
    reg: "\u00AE",
    macr: "\u00AF",
    deg: "\u00B0",
    plusmn: "\u00B1",
    sup2: "\u00B2",
    sup3: "\u00B3",
    acute: "\u00B4",
    micro: "\u00B5",
    para: "\u00B6",
    middot: "\u00B7",
    cedil: "\u00B8",
    sup1: "\u00B9",
    ordm: "\u00BA",
    raquo: "\u00BB",
    frac14: "\u00BC",
    frac12: "\u00BD",
    frac34: "\u00BE",
    iquest: "\u00BF",
    Agrave: "\u00C0",
    Aacute: "\u00C1",
    Acirc: "\u00C2",
    Atilde: "\u00C3",
    Auml: "\u00C4",
    Aring: "\u00C5",
    AElig: "\u00C6",
    Ccedil: "\u00C7",
    Egrave: "\u00C8",
    Eacute: "\u00C9",
    Ecirc: "\u00CA",
    Euml: "\u00CB",
    Igrave: "\u00CC",
    Iacute: "\u00CD",
    Icirc: "\u00CE",
    Iuml: "\u00CF",
    ETH: "\u00D0",
    Ntilde: "\u00D1",
    Ograve: "\u00D2",
    Oacute: "\u00D3",
    Ocirc: "\u00D4",
    Otilde: "\u00D5",
    Ouml: "\u00D6",
    times: "\u00D7",
    Oslash: "\u00D8",
    Ugrave: "\u00D9",
    Uacute: "\u00DA",
    Ucirc: "\u00DB",
    Uuml: "\u00DC",
    Yacute: "\u00DD",
    THORN: "\u00DE",
    szlig: "\u00DF",
    agrave: "\u00E0",
    aacute: "\u00E1",
    acirc: "\u00E2",
    atilde: "\u00E3",
    auml: "\u00E4",
    aring: "\u00E5",
    aelig: "\u00E6",
    ccedil: "\u00E7",
    egrave: "\u00E8",
    eacute: "\u00E9",
    ecirc: "\u00EA",
    euml: "\u00EB",
    igrave: "\u00EC",
    iacute: "\u00ED",
    icirc: "\u00EE",
    iuml: "\u00EF",
    eth: "\u00F0",
    ntilde: "\u00F1",
    ograve: "\u00F2",
    oacute: "\u00F3",
    ocirc: "\u00F4",
    otilde: "\u00F5",
    ouml: "\u00F6",
    divide: "\u00F7",
    oslash: "\u00F8",
    ugrave: "\u00F9",
    uacute: "\u00FA",
    ucirc: "\u00FB",
    uuml: "\u00FC",
    yacute: "\u00FD",
    thorn: "\u00FE",
    yuml: "\u00FF",
    OElig: "\u0152",
    oelig: "\u0153",
    Scaron: "\u0160",
    scaron: "\u0161",
    Yuml: "\u0178",
    fnof: "\u0192",
    circ: "\u02C6",
    tilde: "\u02DC",
    Alpha: "\u0391",
    Beta: "\u0392",
    Gamma: "\u0393",
    Delta: "\u0394",
    Epsilon: "\u0395",
    Zeta: "\u0396",
    Eta: "\u0397",
    Theta: "\u0398",
    Iota: "\u0399",
    Kappa: "\u039A",
    Lambda: "\u039B",
    Mu: "\u039C",
    Nu: "\u039D",
    Xi: "\u039E",
    Omicron: "\u039F",
    Pi: "\u03A0",
    Rho: "\u03A1",
    Sigma: "\u03A3",
    Tau: "\u03A4",
    Upsilon: "\u03A5",
    Phi: "\u03A6",
    Chi: "\u03A7",
    Psi: "\u03A8",
    Omega: "\u03A9",
    alpha: "\u03B1",
    beta: "\u03B2",
    gamma: "\u03B3",
    delta: "\u03B4",
    epsilon: "\u03B5",
    zeta: "\u03B6",
    eta: "\u03B7",
    theta: "\u03B8",
    iota: "\u03B9",
    kappa: "\u03BA",
    lambda: "\u03BB",
    mu: "\u03BC",
    nu: "\u03BD",
    xi: "\u03BE",
    omicron: "\u03BF",
    pi: "\u03C0",
    rho: "\u03C1",
    sigmaf: "\u03C2",
    sigma: "\u03C3",
    tau: "\u03C4",
    upsilon: "\u03C5",
    phi: "\u03C6",
    chi: "\u03C7",
    psi: "\u03C8",
    omega: "\u03C9",
    thetasym: "\u03D1",
    upsih: "\u03D2",
    piv: "\u03D6",
    ensp: "\u2002",
    emsp: "\u2003",
    thinsp: "\u2009",
    zwnj: "\u200C",
    zwj: "\u200D",
    lrm: "\u200E",
    rlm: "\u200F",
    ndash: "\u2013",
    mdash: "\u2014",
    lsquo: "\u2018",
    rsquo: "\u2019",
    sbquo: "\u201A",
    ldquo: "\u201C",
    rdquo: "\u201D",
    bdquo: "\u201E",
    dagger: "\u2020",
    Dagger: "\u2021",
    bull: "\u2022",
    hellip: "\u2026",
    permil: "\u2030",
    prime: "\u2032",
    Prime: "\u2033",
    lsaquo: "\u2039",
    rsaquo: "\u203A",
    oline: "\u203E",
    frasl: "\u2044",
    euro: "\u20AC",
    image: "\u2111",
    weierp: "\u2118",
    real: "\u211C",
    trade: "\u2122",
    alefsym: "\u2135",
    larr: "\u2190",
    uarr: "\u2191",
    rarr: "\u2192",
    darr: "\u2193",
    harr: "\u2194",
    crarr: "\u21B5",
    lArr: "\u21D0",
    uArr: "\u21D1",
    rArr: "\u21D2",
    dArr: "\u21D3",
    hArr: "\u21D4",
    forall: "\u2200",
    part: "\u2202",
    exist: "\u2203",
    empty: "\u2205",
    nabla: "\u2207",
    isin: "\u2208",
    notin: "\u2209",
    ni: "\u220B",
    prod: "\u220F",
    sum: "\u2211",
    minus: "\u2212",
    lowast: "\u2217",
    radic: "\u221A",
    prop: "\u221D",
    infin: "\u221E",
    ang: "\u2220",
    and: "\u2227",
    or: "\u2228",
    cap: "\u2229",
    cup: "\u222A",
    int: "\u222B",
    there4: "\u2234",
    sim: "\u223C",
    cong: "\u2245",
    asymp: "\u2248",
    ne: "\u2260",
    equiv: "\u2261",
    le: "\u2264",
    ge: "\u2265",
    sub: "\u2282",
    sup: "\u2283",
    nsub: "\u2284",
    sube: "\u2286",
    supe: "\u2287",
    oplus: "\u2295",
    otimes: "\u2297",
    perp: "\u22A5",
    sdot: "\u22C5",
    lceil: "\u2308",
    rceil: "\u2309",
    lfloor: "\u230A",
    rfloor: "\u230B",
    lang: "\u2329",
    rang: "\u232A",
    loz: "\u25CA",
    spades: "\u2660",
    clubs: "\u2663",
    hearts: "\u2665",
    diams: "\u2666"
  };
  var JsxErrors = ParseErrorEnum(_templateObject3 || (_templateObject3 = _taggedTemplateLiteral__default["default"](["jsx"])))({
    AttributeIsEmpty: "JSX attributes must only be assigned a non-empty expression.",
    MissingClosingTagElement: _ref70 => {
      var {
        openingTagName
      } = _ref70;
      return "Expected corresponding JSX closing tag for <".concat(openingTagName, ">.");
    },
    MissingClosingTagFragment: "Expected corresponding JSX closing tag for <>.",
    UnexpectedSequenceExpression: "Sequence expressions cannot be directly nested inside JSX. Did you mean to wrap it in parentheses (...)?",
    UnexpectedToken: _ref71 => {
      var {
        unexpected,
        HTMLEntity
      } = _ref71;
      return "Unexpected token `".concat(unexpected, "`. Did you mean `").concat(HTMLEntity, "` or `{'").concat(unexpected, "'}`?");
    },
    UnsupportedJsxValue: "JSX value should be either an expression or a quoted JSX text.",
    UnterminatedJsxContent: "Unterminated JSX contents.",
    UnwrappedAdjacentJSXElements: "Adjacent JSX elements must be wrapped in an enclosing tag. Did you want a JSX fragment <>...</>?"
  });
  function isFragment(object) {
    return object ? object.type === "JSXOpeningFragment" || object.type === "JSXClosingFragment" : false;
  }
  function getQualifiedJSXName(object) {
    if (object.type === "JSXIdentifier") {
      return object.name;
    }
    if (object.type === "JSXNamespacedName") {
      return object.namespace.name + ":" + object.name.name;
    }
    if (object.type === "JSXMemberExpression") {
      return getQualifiedJSXName(object.object) + "." + getQualifiedJSXName(object.property);
    }
    throw new Error("Node had unexpected type: " + object.type);
  }
  var jsx = superClass => class JSXParserMixin extends superClass {
    jsxReadToken() {
      var out = "";
      var chunkStart = this.state.pos;
      for (;;) {
        if (this.state.pos >= this.length) {
          throw this.raise(JsxErrors.UnterminatedJsxContent, {
            at: this.state.startLoc
          });
        }
        var ch = this.input.charCodeAt(this.state.pos);
        switch (ch) {
          case 60:
          case 123:
            if (this.state.pos === this.state.start) {
              if (ch === 60 && this.state.canStartJSXElement) {
                ++this.state.pos;
                return this.finishToken(140);
              }
              return super.getTokenFromCode(ch);
            }
            out += this.input.slice(chunkStart, this.state.pos);
            return this.finishToken(139, out);
          case 38:
            out += this.input.slice(chunkStart, this.state.pos);
            out += this.jsxReadEntity();
            chunkStart = this.state.pos;
            break;
          case 62:
          case 125:
          default:
            if (isNewLine(ch)) {
              out += this.input.slice(chunkStart, this.state.pos);
              out += this.jsxReadNewLine(true);
              chunkStart = this.state.pos;
            } else {
              ++this.state.pos;
            }
        }
      }
    }
    jsxReadNewLine(normalizeCRLF) {
      var ch = this.input.charCodeAt(this.state.pos);
      var out;
      ++this.state.pos;
      if (ch === 13 && this.input.charCodeAt(this.state.pos) === 10) {
        ++this.state.pos;
        out = normalizeCRLF ? "\n" : "\r\n";
      } else {
        out = String.fromCharCode(ch);
      }
      ++this.state.curLine;
      this.state.lineStart = this.state.pos;
      return out;
    }
    jsxReadString(quote) {
      var out = "";
      var chunkStart = ++this.state.pos;
      for (;;) {
        if (this.state.pos >= this.length) {
          throw this.raise(Errors.UnterminatedString, {
            at: this.state.startLoc
          });
        }
        var ch = this.input.charCodeAt(this.state.pos);
        if (ch === quote) break;
        if (ch === 38) {
          out += this.input.slice(chunkStart, this.state.pos);
          out += this.jsxReadEntity();
          chunkStart = this.state.pos;
        } else if (isNewLine(ch)) {
          out += this.input.slice(chunkStart, this.state.pos);
          out += this.jsxReadNewLine(false);
          chunkStart = this.state.pos;
        } else {
          ++this.state.pos;
        }
      }
      out += this.input.slice(chunkStart, this.state.pos++);
      return this.finishToken(131, out);
    }
    jsxReadEntity() {
      var startPos = ++this.state.pos;
      if (this.codePointAtPos(this.state.pos) === 35) {
        ++this.state.pos;
        var radix = 10;
        if (this.codePointAtPos(this.state.pos) === 120) {
          radix = 16;
          ++this.state.pos;
        }
        var codePoint = this.readInt(radix, undefined, false, "bail");
        if (codePoint !== null && this.codePointAtPos(this.state.pos) === 59) {
          ++this.state.pos;
          return String.fromCodePoint(codePoint);
        }
      } else {
        var count = 0;
        var semi = false;
        while (count++ < 10 && this.state.pos < this.length && !(semi = this.codePointAtPos(this.state.pos) == 59)) {
          ++this.state.pos;
        }
        if (semi) {
          var desc = this.input.slice(startPos, this.state.pos);
          var entity = entities[desc];
          ++this.state.pos;
          if (entity) {
            return entity;
          }
        }
      }
      this.state.pos = startPos;
      return "&";
    }
    jsxReadWord() {
      var ch;
      var start = this.state.pos;
      do {
        ch = this.input.charCodeAt(++this.state.pos);
      } while (isIdentifierChar(ch) || ch === 45);
      return this.finishToken(138, this.input.slice(start, this.state.pos));
    }
    jsxParseIdentifier() {
      var node = this.startNode();
      if (this.match(138)) {
        node.name = this.state.value;
      } else if (tokenIsKeyword(this.state.type)) {
        node.name = tokenLabelName(this.state.type);
      } else {
        this.unexpected();
      }
      this.next();
      return this.finishNode(node, "JSXIdentifier");
    }
    jsxParseNamespacedName() {
      var startLoc = this.state.startLoc;
      var name = this.jsxParseIdentifier();
      if (!this.eat(14)) return name;
      var node = this.startNodeAt(startLoc);
      node.namespace = name;
      node.name = this.jsxParseIdentifier();
      return this.finishNode(node, "JSXNamespacedName");
    }
    jsxParseElementName() {
      var startLoc = this.state.startLoc;
      var node = this.jsxParseNamespacedName();
      if (node.type === "JSXNamespacedName") {
        return node;
      }
      while (this.eat(16)) {
        var newNode = this.startNodeAt(startLoc);
        newNode.object = node;
        newNode.property = this.jsxParseIdentifier();
        node = this.finishNode(newNode, "JSXMemberExpression");
      }
      return node;
    }
    jsxParseAttributeValue() {
      var node;
      switch (this.state.type) {
        case 5:
          node = this.startNode();
          this.setContext(types.brace);
          this.next();
          node = this.jsxParseExpressionContainer(node, types.j_oTag);
          if (node.expression.type === "JSXEmptyExpression") {
            this.raise(JsxErrors.AttributeIsEmpty, {
              at: node
            });
          }
          return node;
        case 140:
        case 131:
          return this.parseExprAtom();
        default:
          throw this.raise(JsxErrors.UnsupportedJsxValue, {
            at: this.state.startLoc
          });
      }
    }
    jsxParseEmptyExpression() {
      var node = this.startNodeAt(this.state.lastTokEndLoc);
      return this.finishNodeAt(node, "JSXEmptyExpression", this.state.startLoc);
    }
    jsxParseSpreadChild(node) {
      this.next();
      node.expression = this.parseExpression();
      this.setContext(types.j_expr);
      this.state.canStartJSXElement = true;
      this.expect(8);
      return this.finishNode(node, "JSXSpreadChild");
    }
    jsxParseExpressionContainer(node, previousContext) {
      if (this.match(8)) {
        node.expression = this.jsxParseEmptyExpression();
      } else {
        var expression = this.parseExpression();
        node.expression = expression;
      }
      this.setContext(previousContext);
      this.state.canStartJSXElement = true;
      this.expect(8);
      return this.finishNode(node, "JSXExpressionContainer");
    }
    jsxParseAttribute() {
      var node = this.startNode();
      if (this.match(5)) {
        this.setContext(types.brace);
        this.next();
        this.expect(21);
        node.argument = this.parseMaybeAssignAllowIn();
        this.setContext(types.j_oTag);
        this.state.canStartJSXElement = true;
        this.expect(8);
        return this.finishNode(node, "JSXSpreadAttribute");
      }
      node.name = this.jsxParseNamespacedName();
      node.value = this.eat(29) ? this.jsxParseAttributeValue() : null;
      return this.finishNode(node, "JSXAttribute");
    }
    jsxParseOpeningElementAt(startLoc) {
      var node = this.startNodeAt(startLoc);
      if (this.eat(141)) {
        return this.finishNode(node, "JSXOpeningFragment");
      }
      node.name = this.jsxParseElementName();
      return this.jsxParseOpeningElementAfterName(node);
    }
    jsxParseOpeningElementAfterName(node) {
      var attributes = [];
      while (!this.match(56) && !this.match(141)) {
        attributes.push(this.jsxParseAttribute());
      }
      node.attributes = attributes;
      node.selfClosing = this.eat(56);
      this.expect(141);
      return this.finishNode(node, "JSXOpeningElement");
    }
    jsxParseClosingElementAt(startLoc) {
      var node = this.startNodeAt(startLoc);
      if (this.eat(141)) {
        return this.finishNode(node, "JSXClosingFragment");
      }
      node.name = this.jsxParseElementName();
      this.expect(141);
      return this.finishNode(node, "JSXClosingElement");
    }
    jsxParseElementAt(startLoc) {
      var node = this.startNodeAt(startLoc);
      var children = [];
      var openingElement = this.jsxParseOpeningElementAt(startLoc);
      var closingElement = null;
      if (!openingElement.selfClosing) {
        contents: for (;;) {
          switch (this.state.type) {
            case 140:
              startLoc = this.state.startLoc;
              this.next();
              if (this.eat(56)) {
                closingElement = this.jsxParseClosingElementAt(startLoc);
                break contents;
              }
              children.push(this.jsxParseElementAt(startLoc));
              break;
            case 139:
              children.push(this.parseExprAtom());
              break;
            case 5:
              {
                var _node5 = this.startNode();
                this.setContext(types.brace);
                this.next();
                if (this.match(21)) {
                  children.push(this.jsxParseSpreadChild(_node5));
                } else {
                  children.push(this.jsxParseExpressionContainer(_node5, types.j_expr));
                }
                break;
              }
            default:
              throw this.unexpected();
          }
        }
        if (isFragment(openingElement) && !isFragment(closingElement) && closingElement !== null) {
          this.raise(JsxErrors.MissingClosingTagFragment, {
            at: closingElement
          });
        } else if (!isFragment(openingElement) && isFragment(closingElement)) {
          this.raise(JsxErrors.MissingClosingTagElement, {
            at: closingElement,
            openingTagName: getQualifiedJSXName(openingElement.name)
          });
        } else if (!isFragment(openingElement) && !isFragment(closingElement)) {
          if (getQualifiedJSXName(closingElement.name) !== getQualifiedJSXName(openingElement.name)) {
            this.raise(JsxErrors.MissingClosingTagElement, {
              at: closingElement,
              openingTagName: getQualifiedJSXName(openingElement.name)
            });
          }
        }
      }
      if (isFragment(openingElement)) {
        node.openingFragment = openingElement;
        node.closingFragment = closingElement;
      } else {
        node.openingElement = openingElement;
        node.closingElement = closingElement;
      }
      node.children = children;
      if (this.match(47)) {
        throw this.raise(JsxErrors.UnwrappedAdjacentJSXElements, {
          at: this.state.startLoc
        });
      }
      return isFragment(openingElement) ? this.finishNode(node, "JSXFragment") : this.finishNode(node, "JSXElement");
    }
    jsxParseElement() {
      var startLoc = this.state.startLoc;
      this.next();
      return this.jsxParseElementAt(startLoc);
    }
    setContext(newContext) {
      var {
        context
      } = this.state;
      context[context.length - 1] = newContext;
    }
    parseExprAtom(refExpressionErrors) {
      if (this.match(139)) {
        return this.parseLiteral(this.state.value, "JSXText");
      } else if (this.match(140)) {
        return this.jsxParseElement();
      } else if (this.match(47) && this.input.charCodeAt(this.state.pos) !== 33) {
        this.replaceToken(140);
        return this.jsxParseElement();
      } else {
        return super.parseExprAtom(refExpressionErrors);
      }
    }
    skipSpace() {
      var curContext = this.curContext();
      if (!curContext.preserveSpace) super.skipSpace();
    }
    getTokenFromCode(code) {
      var context = this.curContext();
      if (context === types.j_expr) {
        return this.jsxReadToken();
      }
      if (context === types.j_oTag || context === types.j_cTag) {
        if (isIdentifierStart(code)) {
          return this.jsxReadWord();
        }
        if (code === 62) {
          ++this.state.pos;
          return this.finishToken(141);
        }
        if ((code === 34 || code === 39) && context === types.j_oTag) {
          return this.jsxReadString(code);
        }
      }
      if (code === 60 && this.state.canStartJSXElement && this.input.charCodeAt(this.state.pos + 1) !== 33) {
        ++this.state.pos;
        return this.finishToken(140);
      }
      return super.getTokenFromCode(code);
    }
    updateContext(prevType) {
      var {
        context,
        type
      } = this.state;
      if (type === 56 && prevType === 140) {
        context.splice(-2, 2, types.j_cTag);
        this.state.canStartJSXElement = false;
      } else if (type === 140) {
        context.push(types.j_oTag);
      } else if (type === 141) {
        var out = context[context.length - 1];
        if (out === types.j_oTag && prevType === 56 || out === types.j_cTag) {
          context.pop();
          this.state.canStartJSXElement = context[context.length - 1] === types.j_expr;
        } else {
          this.setContext(types.j_expr);
          this.state.canStartJSXElement = true;
        }
      } else {
        this.state.canStartJSXElement = tokenComesBeforeExpression(type);
      }
    }
  };
  class TypeScriptScope extends Scope {
    constructor() {
      super(...arguments);
      this.types = new Set();
      this.enums = new Set();
      this.constEnums = new Set();
      this.classes = new Set();
      this.exportOnlyBindings = new Set();
    }
  }
  class TypeScriptScopeHandler extends ScopeHandler {
    constructor() {
      super(...arguments);
      this.importsStack = [];
    }
    createScope(flags) {
      this.importsStack.push(new Set());
      return new TypeScriptScope(flags);
    }
    enter(flags) {
      if (flags == SCOPE_TS_MODULE) {
        this.importsStack.push(new Set());
      }
      super.enter(flags);
    }
    exit() {
      var flags = super.exit();
      if (flags == SCOPE_TS_MODULE) {
        this.importsStack.pop();
      }
      return flags;
    }
    hasImport(name, allowShadow) {
      var len = this.importsStack.length;
      if (this.importsStack[len - 1].has(name)) {
        return true;
      }
      if (!allowShadow && len > 1) {
        for (var i = 0; i < len - 1; i++) {
          if (this.importsStack[i].has(name)) return true;
        }
      }
      return false;
    }
    declareName(name, bindingType, loc) {
      if (bindingType & BIND_FLAGS_TS_IMPORT) {
        if (this.hasImport(name, true)) {
          this.parser.raise(Errors.VarRedeclaration, {
            at: loc,
            identifierName: name
          });
        }
        this.importsStack[this.importsStack.length - 1].add(name);
        return;
      }
      var scope = this.currentScope();
      if (bindingType & BIND_FLAGS_TS_EXPORT_ONLY) {
        this.maybeExportDefined(scope, name);
        scope.exportOnlyBindings.add(name);
        return;
      }
      super.declareName(name, bindingType, loc);
      if (bindingType & BIND_KIND_TYPE) {
        if (!(bindingType & BIND_KIND_VALUE)) {
          this.checkRedeclarationInScope(scope, name, bindingType, loc);
          this.maybeExportDefined(scope, name);
        }
        scope.types.add(name);
      }
      if (bindingType & BIND_FLAGS_TS_ENUM) scope.enums.add(name);
      if (bindingType & BIND_FLAGS_TS_CONST_ENUM) scope.constEnums.add(name);
      if (bindingType & BIND_FLAGS_CLASS) scope.classes.add(name);
    }
    isRedeclaredInScope(scope, name, bindingType) {
      if (scope.enums.has(name)) {
        if (bindingType & BIND_FLAGS_TS_ENUM) {
          var isConst = !!(bindingType & BIND_FLAGS_TS_CONST_ENUM);
          var wasConst = scope.constEnums.has(name);
          return isConst !== wasConst;
        }
        return true;
      }
      if (bindingType & BIND_FLAGS_CLASS && scope.classes.has(name)) {
        if (scope.lexical.has(name)) {
          return !!(bindingType & BIND_KIND_VALUE);
        } else {
          return false;
        }
      }
      if (bindingType & BIND_KIND_TYPE && scope.types.has(name)) {
        return true;
      }
      return super.isRedeclaredInScope(scope, name, bindingType);
    }
    checkLocalExport(id) {
      var {
        name
      } = id;
      if (this.hasImport(name)) return;
      var len = this.scopeStack.length;
      for (var i = len - 1; i >= 0; i--) {
        var scope = this.scopeStack[i];
        if (scope.types.has(name) || scope.exportOnlyBindings.has(name)) return;
      }
      super.checkLocalExport(id);
    }
  }
  var getOwn$1 = (object, key) => Object.hasOwnProperty.call(object, key) && object[key];
  function nonNull(x) {
    if (x == null) {
      throw new Error("Unexpected ".concat(x, " value."));
    }
    return x;
  }
  function assert(x) {
    if (!x) {
      throw new Error("Assert fail");
    }
  }
  var TSErrors = ParseErrorEnum(_templateObject4 || (_templateObject4 = _taggedTemplateLiteral__default["default"](["typescript"])))({
    AbstractMethodHasImplementation: _ref72 => {
      var {
        methodName
      } = _ref72;
      return "Method '".concat(methodName, "' cannot have an implementation because it is marked abstract.");
    },
    AbstractPropertyHasInitializer: _ref73 => {
      var {
        propertyName
      } = _ref73;
      return "Property '".concat(propertyName, "' cannot have an initializer because it is marked abstract.");
    },
    AccesorCannotDeclareThisParameter: "'get' and 'set' accessors cannot declare 'this' parameters.",
    AccesorCannotHaveTypeParameters: "An accessor cannot have type parameters.",
    ClassMethodHasDeclare: "Class methods cannot have the 'declare' modifier.",
    ClassMethodHasReadonly: "Class methods cannot have the 'readonly' modifier.",
    ConstInitiailizerMustBeStringOrNumericLiteralOrLiteralEnumReference: "A 'const' initializer in an ambient context must be a string or numeric literal or literal enum reference.",
    ConstructorHasTypeParameters: "Type parameters cannot appear on a constructor declaration.",
    DeclareAccessor: _ref74 => {
      var {
        kind
      } = _ref74;
      return "'declare' is not allowed in ".concat(kind, "ters.");
    },
    DeclareClassFieldHasInitializer: "Initializers are not allowed in ambient contexts.",
    DeclareFunctionHasImplementation: "An implementation cannot be declared in ambient contexts.",
    DuplicateAccessibilityModifier: _ref75 => {
      return "Accessibility modifier already seen.";
    },
    DuplicateModifier: _ref76 => {
      var {
        modifier
      } = _ref76;
      return "Duplicate modifier: '".concat(modifier, "'.");
    },
    EmptyHeritageClauseType: _ref77 => {
      var {
        token
      } = _ref77;
      return "'".concat(token, "' list cannot be empty.");
    },
    EmptyTypeArguments: "Type argument list cannot be empty.",
    EmptyTypeParameters: "Type parameter list cannot be empty.",
    ExpectedAmbientAfterExportDeclare: "'export declare' must be followed by an ambient declaration.",
    ImportAliasHasImportType: "An import alias can not use 'import type'.",
    ImportReflectionHasImportType: "An `import module` declaration can not use `type` modifier",
    IncompatibleModifiers: _ref78 => {
      var {
        modifiers
      } = _ref78;
      return "'".concat(modifiers[0], "' modifier cannot be used with '").concat(modifiers[1], "' modifier.");
    },
    IndexSignatureHasAbstract: "Index signatures cannot have the 'abstract' modifier.",
    IndexSignatureHasAccessibility: _ref79 => {
      var {
        modifier
      } = _ref79;
      return "Index signatures cannot have an accessibility modifier ('".concat(modifier, "').");
    },
    IndexSignatureHasDeclare: "Index signatures cannot have the 'declare' modifier.",
    IndexSignatureHasOverride: "'override' modifier cannot appear on an index signature.",
    IndexSignatureHasStatic: "Index signatures cannot have the 'static' modifier.",
    InitializerNotAllowedInAmbientContext: "Initializers are not allowed in ambient contexts.",
    InvalidModifierOnTypeMember: _ref80 => {
      var {
        modifier
      } = _ref80;
      return "'".concat(modifier, "' modifier cannot appear on a type member.");
    },
    InvalidModifierOnTypeParameter: _ref81 => {
      var {
        modifier
      } = _ref81;
      return "'".concat(modifier, "' modifier cannot appear on a type parameter.");
    },
    InvalidModifierOnTypeParameterPositions: _ref82 => {
      var {
        modifier
      } = _ref82;
      return "'".concat(modifier, "' modifier can only appear on a type parameter of a class, interface or type alias.");
    },
    InvalidModifiersOrder: _ref83 => {
      var {
        orderedModifiers
      } = _ref83;
      return "'".concat(orderedModifiers[0], "' modifier must precede '").concat(orderedModifiers[1], "' modifier.");
    },
    InvalidPropertyAccessAfterInstantiationExpression: "Invalid property access after an instantiation expression. " + "You can either wrap the instantiation expression in parentheses, or delete the type arguments.",
    InvalidTupleMemberLabel: "Tuple members must be labeled with a simple identifier.",
    MissingInterfaceName: "'interface' declarations must be followed by an identifier.",
    MixedLabeledAndUnlabeledElements: "Tuple members must all have names or all not have names.",
    NonAbstractClassHasAbstractMethod: "Abstract methods can only appear within an abstract class.",
    NonClassMethodPropertyHasAbstractModifer: "'abstract' modifier can only appear on a class, method, or property declaration.",
    OptionalTypeBeforeRequired: "A required element cannot follow an optional element.",
    OverrideNotInSubClass: "This member cannot have an 'override' modifier because its containing class does not extend another class.",
    PatternIsOptional: "A binding pattern parameter cannot be optional in an implementation signature.",
    PrivateElementHasAbstract: "Private elements cannot have the 'abstract' modifier.",
    PrivateElementHasAccessibility: _ref84 => {
      var {
        modifier
      } = _ref84;
      return "Private elements cannot have an accessibility modifier ('".concat(modifier, "').");
    },
    ReadonlyForMethodSignature: "'readonly' modifier can only appear on a property declaration or index signature.",
    ReservedArrowTypeParam: "This syntax is reserved in files with the .mts or .cts extension. Add a trailing comma, as in `<T,>() => ...`.",
    ReservedTypeAssertion: "This syntax is reserved in files with the .mts or .cts extension. Use an `as` expression instead.",
    SetAccesorCannotHaveOptionalParameter: "A 'set' accessor cannot have an optional parameter.",
    SetAccesorCannotHaveRestParameter: "A 'set' accessor cannot have rest parameter.",
    SetAccesorCannotHaveReturnType: "A 'set' accessor cannot have a return type annotation.",
    SingleTypeParameterWithoutTrailingComma: _ref85 => {
      var {
        typeParameterName
      } = _ref85;
      return "Single type parameter ".concat(typeParameterName, " should have a trailing comma. Example usage: <").concat(typeParameterName, ",>.");
    },
    StaticBlockCannotHaveModifier: "Static class blocks cannot have any modifier.",
    TypeAnnotationAfterAssign: "Type annotations must come before default assignments, e.g. instead of `age = 25: number` use `age: number = 25`.",
    TypeImportCannotSpecifyDefaultAndNamed: "A type-only import can specify a default import or named bindings, but not both.",
    TypeModifierIsUsedInTypeExports: "The 'type' modifier cannot be used on a named export when 'export type' is used on its export statement.",
    TypeModifierIsUsedInTypeImports: "The 'type' modifier cannot be used on a named import when 'import type' is used on its import statement.",
    UnexpectedParameterModifier: "A parameter property is only allowed in a constructor implementation.",
    UnexpectedReadonly: "'readonly' type modifier is only permitted on array and tuple literal types.",
    UnexpectedTypeAnnotation: "Did not expect a type annotation here.",
    UnexpectedTypeCastInParameter: "Unexpected type cast in parameter position.",
    UnsupportedImportTypeArgument: "Argument in a type import must be a string literal.",
    UnsupportedParameterPropertyKind: "A parameter property may not be declared using a binding pattern.",
    UnsupportedSignatureParameterKind: _ref86 => {
      var {
        type
      } = _ref86;
      return "Name in a signature must be an Identifier, ObjectPattern or ArrayPattern, instead got ".concat(type, ".");
    }
  });
  function keywordTypeFromName(value) {
    switch (value) {
      case "any":
        return "TSAnyKeyword";
      case "boolean":
        return "TSBooleanKeyword";
      case "bigint":
        return "TSBigIntKeyword";
      case "never":
        return "TSNeverKeyword";
      case "number":
        return "TSNumberKeyword";
      case "object":
        return "TSObjectKeyword";
      case "string":
        return "TSStringKeyword";
      case "symbol":
        return "TSSymbolKeyword";
      case "undefined":
        return "TSUndefinedKeyword";
      case "unknown":
        return "TSUnknownKeyword";
      default:
        return undefined;
    }
  }
  function tsIsAccessModifier(modifier) {
    return modifier === "private" || modifier === "public" || modifier === "protected";
  }
  function tsIsVarianceAnnotations(modifier) {
    return modifier === "in" || modifier === "out";
  }
  var typescript = superClass => class TypeScriptParserMixin extends superClass {
    getScopeHandler() {
      return TypeScriptScopeHandler;
    }
    tsIsIdentifier() {
      return tokenIsIdentifier(this.state.type);
    }
    tsTokenCanFollowModifier() {
      return (this.match(0) || this.match(5) || this.match(55) || this.match(21) || this.match(136) || this.isLiteralPropertyName()) && !this.hasPrecedingLineBreak();
    }
    tsNextTokenCanFollowModifier() {
      this.next();
      return this.tsTokenCanFollowModifier();
    }
    tsParseModifier(allowedModifiers, stopOnStartOfClassStaticBlock) {
      if (!tokenIsIdentifier(this.state.type) && this.state.type !== 58) {
        return undefined;
      }
      var modifier = this.state.value;
      if (allowedModifiers.indexOf(modifier) !== -1) {
        if (stopOnStartOfClassStaticBlock && this.tsIsStartOfStaticBlocks()) {
          return undefined;
        }
        if (this.tsTryParse(this.tsNextTokenCanFollowModifier.bind(this))) {
          return modifier;
        }
      }
      return undefined;
    }
    tsParseModifiers(_ref87) {
      var {
        modified,
        allowedModifiers,
        disallowedModifiers,
        stopOnStartOfClassStaticBlock,
        errorTemplate = TSErrors.InvalidModifierOnTypeMember
      } = _ref87;
      var enforceOrder = (loc, modifier, before, after) => {
        if (modifier === before && modified[after]) {
          this.raise(TSErrors.InvalidModifiersOrder, {
            at: loc,
            orderedModifiers: [before, after]
          });
        }
      };
      var incompatible = (loc, modifier, mod1, mod2) => {
        if (modified[mod1] && modifier === mod2 || modified[mod2] && modifier === mod1) {
          this.raise(TSErrors.IncompatibleModifiers, {
            at: loc,
            modifiers: [mod1, mod2]
          });
        }
      };
      for (;;) {
        var {
          startLoc
        } = this.state;
        var modifier = this.tsParseModifier(allowedModifiers.concat(disallowedModifiers != null ? disallowedModifiers : []), stopOnStartOfClassStaticBlock);
        if (!modifier) break;
        if (tsIsAccessModifier(modifier)) {
          if (modified.accessibility) {
            this.raise(TSErrors.DuplicateAccessibilityModifier, {
              at: startLoc,
              modifier
            });
          } else {
            enforceOrder(startLoc, modifier, modifier, "override");
            enforceOrder(startLoc, modifier, modifier, "static");
            enforceOrder(startLoc, modifier, modifier, "readonly");
            modified.accessibility = modifier;
          }
        } else if (tsIsVarianceAnnotations(modifier)) {
          if (modified[modifier]) {
            this.raise(TSErrors.DuplicateModifier, {
              at: startLoc,
              modifier
            });
          }
          modified[modifier] = true;
          enforceOrder(startLoc, modifier, "in", "out");
        } else {
          if (Object.hasOwnProperty.call(modified, modifier)) {
            this.raise(TSErrors.DuplicateModifier, {
              at: startLoc,
              modifier
            });
          } else {
            enforceOrder(startLoc, modifier, "static", "readonly");
            enforceOrder(startLoc, modifier, "static", "override");
            enforceOrder(startLoc, modifier, "override", "readonly");
            enforceOrder(startLoc, modifier, "abstract", "override");
            incompatible(startLoc, modifier, "declare", "override");
            incompatible(startLoc, modifier, "static", "abstract");
          }
          modified[modifier] = true;
        }
        if (disallowedModifiers != null && disallowedModifiers.includes(modifier)) {
          this.raise(errorTemplate, {
            at: startLoc,
            modifier
          });
        }
      }
    }
    tsIsListTerminator(kind) {
      switch (kind) {
        case "EnumMembers":
        case "TypeMembers":
          return this.match(8);
        case "HeritageClauseElement":
          return this.match(5);
        case "TupleElementTypes":
          return this.match(3);
        case "TypeParametersOrArguments":
          return this.match(48);
      }
      throw new Error("Unreachable");
    }
    tsParseList(kind, parseElement) {
      var result = [];
      while (!this.tsIsListTerminator(kind)) {
        result.push(parseElement());
      }
      return result;
    }
    tsParseDelimitedList(kind, parseElement, refTrailingCommaPos) {
      return nonNull(this.tsParseDelimitedListWorker(kind, parseElement, true, refTrailingCommaPos));
    }
    tsParseDelimitedListWorker(kind, parseElement, expectSuccess, refTrailingCommaPos) {
      var result = [];
      var trailingCommaPos = -1;
      for (;;) {
        if (this.tsIsListTerminator(kind)) {
          break;
        }
        trailingCommaPos = -1;
        var element = parseElement();
        if (element == null) {
          return undefined;
        }
        result.push(element);
        if (this.eat(12)) {
          trailingCommaPos = this.state.lastTokStart;
          continue;
        }
        if (this.tsIsListTerminator(kind)) {
          break;
        }
        if (expectSuccess) {
          this.expect(12);
        }
        return undefined;
      }
      if (refTrailingCommaPos) {
        refTrailingCommaPos.value = trailingCommaPos;
      }
      return result;
    }
    tsParseBracketedList(kind, parseElement, bracket, skipFirstToken, refTrailingCommaPos) {
      if (!skipFirstToken) {
        if (bracket) {
          this.expect(0);
        } else {
          this.expect(47);
        }
      }
      var result = this.tsParseDelimitedList(kind, parseElement, refTrailingCommaPos);
      if (bracket) {
        this.expect(3);
      } else {
        this.expect(48);
      }
      return result;
    }
    tsParseImportType() {
      var node = this.startNode();
      this.expect(83);
      this.expect(10);
      if (!this.match(131)) {
        this.raise(TSErrors.UnsupportedImportTypeArgument, {
          at: this.state.startLoc
        });
      }
      node.argument = super.parseExprAtom();
      this.expect(11);
      if (this.eat(16)) {
        node.qualifier = this.tsParseEntityName();
      }
      if (this.match(47)) {
        node.typeParameters = this.tsParseTypeArguments();
      }
      return this.finishNode(node, "TSImportType");
    }
    tsParseEntityName() {
      var allowReservedWords = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
      var entity = this.parseIdentifier(allowReservedWords);
      while (this.eat(16)) {
        var node = this.startNodeAtNode(entity);
        node.left = entity;
        node.right = this.parseIdentifier(allowReservedWords);
        entity = this.finishNode(node, "TSQualifiedName");
      }
      return entity;
    }
    tsParseTypeReference() {
      var node = this.startNode();
      node.typeName = this.tsParseEntityName();
      if (!this.hasPrecedingLineBreak() && this.match(47)) {
        node.typeParameters = this.tsParseTypeArguments();
      }
      return this.finishNode(node, "TSTypeReference");
    }
    tsParseThisTypePredicate(lhs) {
      this.next();
      var node = this.startNodeAtNode(lhs);
      node.parameterName = lhs;
      node.typeAnnotation = this.tsParseTypeAnnotation(false);
      node.asserts = false;
      return this.finishNode(node, "TSTypePredicate");
    }
    tsParseThisTypeNode() {
      var node = this.startNode();
      this.next();
      return this.finishNode(node, "TSThisType");
    }
    tsParseTypeQuery() {
      var node = this.startNode();
      this.expect(87);
      if (this.match(83)) {
        node.exprName = this.tsParseImportType();
      } else {
        node.exprName = this.tsParseEntityName();
      }
      if (!this.hasPrecedingLineBreak() && this.match(47)) {
        node.typeParameters = this.tsParseTypeArguments();
      }
      return this.finishNode(node, "TSTypeQuery");
    }
    tsParseInOutModifiers(node) {
      this.tsParseModifiers({
        modified: node,
        allowedModifiers: ["in", "out"],
        disallowedModifiers: ["public", "private", "protected", "readonly", "declare", "abstract", "override"],
        errorTemplate: TSErrors.InvalidModifierOnTypeParameter
      });
    }
    tsParseNoneModifiers(node) {
      this.tsParseModifiers({
        modified: node,
        allowedModifiers: [],
        disallowedModifiers: ["in", "out"],
        errorTemplate: TSErrors.InvalidModifierOnTypeParameterPositions
      });
    }
    tsParseTypeParameter() {
      var parseModifiers = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : this.tsParseNoneModifiers.bind(this);
      var node = this.startNode();
      parseModifiers(node);
      node.name = this.tsParseTypeParameterName();
      node.constraint = this.tsEatThenParseType(81);
      node.default = this.tsEatThenParseType(29);
      return this.finishNode(node, "TSTypeParameter");
    }
    tsTryParseTypeParameters(parseModifiers) {
      if (this.match(47)) {
        return this.tsParseTypeParameters(parseModifiers);
      }
    }
    tsParseTypeParameters(parseModifiers) {
      var node = this.startNode();
      if (this.match(47) || this.match(140)) {
        this.next();
      } else {
        this.unexpected();
      }
      var refTrailingCommaPos = {
        value: -1
      };
      node.params = this.tsParseBracketedList("TypeParametersOrArguments", this.tsParseTypeParameter.bind(this, parseModifiers), false, true, refTrailingCommaPos);
      if (node.params.length === 0) {
        this.raise(TSErrors.EmptyTypeParameters, {
          at: node
        });
      }
      if (refTrailingCommaPos.value !== -1) {
        this.addExtra(node, "trailingComma", refTrailingCommaPos.value);
      }
      return this.finishNode(node, "TSTypeParameterDeclaration");
    }
    tsFillSignature(returnToken, signature) {
      var returnTokenRequired = returnToken === 19;
      var paramsKey = "parameters";
      var returnTypeKey = "typeAnnotation";
      signature.typeParameters = this.tsTryParseTypeParameters();
      this.expect(10);
      signature[paramsKey] = this.tsParseBindingListForSignature();
      if (returnTokenRequired) {
        signature[returnTypeKey] = this.tsParseTypeOrTypePredicateAnnotation(returnToken);
      } else if (this.match(returnToken)) {
        signature[returnTypeKey] = this.tsParseTypeOrTypePredicateAnnotation(returnToken);
      }
    }
    tsParseBindingListForSignature() {
      return super.parseBindingList(11, 41).map(pattern => {
        if (pattern.type !== "Identifier" && pattern.type !== "RestElement" && pattern.type !== "ObjectPattern" && pattern.type !== "ArrayPattern") {
          this.raise(TSErrors.UnsupportedSignatureParameterKind, {
            at: pattern,
            type: pattern.type
          });
        }
        return pattern;
      });
    }
    tsParseTypeMemberSemicolon() {
      if (!this.eat(12) && !this.isLineTerminator()) {
        this.expect(13);
      }
    }
    tsParseSignatureMember(kind, node) {
      this.tsFillSignature(14, node);
      this.tsParseTypeMemberSemicolon();
      return this.finishNode(node, kind);
    }
    tsIsUnambiguouslyIndexSignature() {
      this.next();
      if (tokenIsIdentifier(this.state.type)) {
        this.next();
        return this.match(14);
      }
      return false;
    }
    tsTryParseIndexSignature(node) {
      if (!(this.match(0) && this.tsLookAhead(this.tsIsUnambiguouslyIndexSignature.bind(this)))) {
        return undefined;
      }
      this.expect(0);
      var id = this.parseIdentifier();
      id.typeAnnotation = this.tsParseTypeAnnotation();
      this.resetEndLocation(id);
      this.expect(3);
      node.parameters = [id];
      var type = this.tsTryParseTypeAnnotation();
      if (type) node.typeAnnotation = type;
      this.tsParseTypeMemberSemicolon();
      return this.finishNode(node, "TSIndexSignature");
    }
    tsParsePropertyOrMethodSignature(node, readonly) {
      if (this.eat(17)) node.optional = true;
      var nodeAny = node;
      if (this.match(10) || this.match(47)) {
        if (readonly) {
          this.raise(TSErrors.ReadonlyForMethodSignature, {
            at: node
          });
        }
        var method = nodeAny;
        if (method.kind && this.match(47)) {
          this.raise(TSErrors.AccesorCannotHaveTypeParameters, {
            at: this.state.curPosition()
          });
        }
        this.tsFillSignature(14, method);
        this.tsParseTypeMemberSemicolon();
        var paramsKey = "parameters";
        var returnTypeKey = "typeAnnotation";
        if (method.kind === "get") {
          if (method[paramsKey].length > 0) {
            this.raise(Errors.BadGetterArity, {
              at: this.state.curPosition()
            });
            if (this.isThisParam(method[paramsKey][0])) {
              this.raise(TSErrors.AccesorCannotDeclareThisParameter, {
                at: this.state.curPosition()
              });
            }
          }
        } else if (method.kind === "set") {
          if (method[paramsKey].length !== 1) {
            this.raise(Errors.BadSetterArity, {
              at: this.state.curPosition()
            });
          } else {
            var firstParameter = method[paramsKey][0];
            if (this.isThisParam(firstParameter)) {
              this.raise(TSErrors.AccesorCannotDeclareThisParameter, {
                at: this.state.curPosition()
              });
            }
            if (firstParameter.type === "Identifier" && firstParameter.optional) {
              this.raise(TSErrors.SetAccesorCannotHaveOptionalParameter, {
                at: this.state.curPosition()
              });
            }
            if (firstParameter.type === "RestElement") {
              this.raise(TSErrors.SetAccesorCannotHaveRestParameter, {
                at: this.state.curPosition()
              });
            }
          }
          if (method[returnTypeKey]) {
            this.raise(TSErrors.SetAccesorCannotHaveReturnType, {
              at: method[returnTypeKey]
            });
          }
        } else {
          method.kind = "method";
        }
        return this.finishNode(method, "TSMethodSignature");
      } else {
        var property = nodeAny;
        if (readonly) property.readonly = true;
        var type = this.tsTryParseTypeAnnotation();
        if (type) property.typeAnnotation = type;
        this.tsParseTypeMemberSemicolon();
        return this.finishNode(property, "TSPropertySignature");
      }
    }
    tsParseTypeMember() {
      var node = this.startNode();
      if (this.match(10) || this.match(47)) {
        return this.tsParseSignatureMember("TSCallSignatureDeclaration", node);
      }
      if (this.match(77)) {
        var id = this.startNode();
        this.next();
        if (this.match(10) || this.match(47)) {
          return this.tsParseSignatureMember("TSConstructSignatureDeclaration", node);
        } else {
          node.key = this.createIdentifier(id, "new");
          return this.tsParsePropertyOrMethodSignature(node, false);
        }
      }
      this.tsParseModifiers({
        modified: node,
        allowedModifiers: ["readonly"],
        disallowedModifiers: ["declare", "abstract", "private", "protected", "public", "static", "override"]
      });
      var idx = this.tsTryParseIndexSignature(node);
      if (idx) {
        return idx;
      }
      super.parsePropertyName(node);
      if (!node.computed && node.key.type === "Identifier" && (node.key.name === "get" || node.key.name === "set") && this.tsTokenCanFollowModifier()) {
        node.kind = node.key.name;
        super.parsePropertyName(node);
      }
      return this.tsParsePropertyOrMethodSignature(node, !!node.readonly);
    }
    tsParseTypeLiteral() {
      var node = this.startNode();
      node.members = this.tsParseObjectTypeMembers();
      return this.finishNode(node, "TSTypeLiteral");
    }
    tsParseObjectTypeMembers() {
      this.expect(5);
      var members = this.tsParseList("TypeMembers", this.tsParseTypeMember.bind(this));
      this.expect(8);
      return members;
    }
    tsIsStartOfMappedType() {
      this.next();
      if (this.eat(53)) {
        return this.isContextual(120);
      }
      if (this.isContextual(120)) {
        this.next();
      }
      if (!this.match(0)) {
        return false;
      }
      this.next();
      if (!this.tsIsIdentifier()) {
        return false;
      }
      this.next();
      return this.match(58);
    }
    tsParseMappedTypeParameter() {
      var node = this.startNode();
      node.name = this.tsParseTypeParameterName();
      node.constraint = this.tsExpectThenParseType(58);
      return this.finishNode(node, "TSTypeParameter");
    }
    tsParseMappedType() {
      var node = this.startNode();
      this.expect(5);
      if (this.match(53)) {
        node.readonly = this.state.value;
        this.next();
        this.expectContextual(120);
      } else if (this.eatContextual(120)) {
        node.readonly = true;
      }
      this.expect(0);
      node.typeParameter = this.tsParseMappedTypeParameter();
      node.nameType = this.eatContextual(93) ? this.tsParseType() : null;
      this.expect(3);
      if (this.match(53)) {
        node.optional = this.state.value;
        this.next();
        this.expect(17);
      } else if (this.eat(17)) {
        node.optional = true;
      }
      node.typeAnnotation = this.tsTryParseType();
      this.semicolon();
      this.expect(8);
      return this.finishNode(node, "TSMappedType");
    }
    tsParseTupleType() {
      var node = this.startNode();
      node.elementTypes = this.tsParseBracketedList("TupleElementTypes", this.tsParseTupleElementType.bind(this), true, false);
      var seenOptionalElement = false;
      var labeledElements = null;
      node.elementTypes.forEach(elementNode => {
        var _labeledElements;
        var {
          type
        } = elementNode;
        if (seenOptionalElement && type !== "TSRestType" && type !== "TSOptionalType" && !(type === "TSNamedTupleMember" && elementNode.optional)) {
          this.raise(TSErrors.OptionalTypeBeforeRequired, {
            at: elementNode
          });
        }
        seenOptionalElement || (seenOptionalElement = type === "TSNamedTupleMember" && elementNode.optional || type === "TSOptionalType");
        var checkType = type;
        if (type === "TSRestType") {
          elementNode = elementNode.typeAnnotation;
          checkType = elementNode.type;
        }
        var isLabeled = checkType === "TSNamedTupleMember";
        (_labeledElements = labeledElements) != null ? _labeledElements : labeledElements = isLabeled;
        if (labeledElements !== isLabeled) {
          this.raise(TSErrors.MixedLabeledAndUnlabeledElements, {
            at: elementNode
          });
        }
      });
      return this.finishNode(node, "TSTupleType");
    }
    tsParseTupleElementType() {
      var {
        startLoc
      } = this.state;
      var rest = this.eat(21);
      var type = this.tsParseType();
      var optional = this.eat(17);
      var labeled = this.eat(14);
      if (labeled) {
        var labeledNode = this.startNodeAtNode(type);
        labeledNode.optional = optional;
        if (type.type === "TSTypeReference" && !type.typeParameters && type.typeName.type === "Identifier") {
          labeledNode.label = type.typeName;
        } else {
          this.raise(TSErrors.InvalidTupleMemberLabel, {
            at: type
          });
          labeledNode.label = type;
        }
        labeledNode.elementType = this.tsParseType();
        type = this.finishNode(labeledNode, "TSNamedTupleMember");
      } else if (optional) {
        var optionalTypeNode = this.startNodeAtNode(type);
        optionalTypeNode.typeAnnotation = type;
        type = this.finishNode(optionalTypeNode, "TSOptionalType");
      }
      if (rest) {
        var restNode = this.startNodeAt(startLoc);
        restNode.typeAnnotation = type;
        type = this.finishNode(restNode, "TSRestType");
      }
      return type;
    }
    tsParseParenthesizedType() {
      var node = this.startNode();
      this.expect(10);
      node.typeAnnotation = this.tsParseType();
      this.expect(11);
      return this.finishNode(node, "TSParenthesizedType");
    }
    tsParseFunctionOrConstructorType(type, abstract) {
      var node = this.startNode();
      if (type === "TSConstructorType") {
        node.abstract = !!abstract;
        if (abstract) this.next();
        this.next();
      }
      this.tsInAllowConditionalTypesContext(() => this.tsFillSignature(19, node));
      return this.finishNode(node, type);
    }
    tsParseLiteralTypeNode() {
      var node = this.startNode();
      node.literal = (() => {
        switch (this.state.type) {
          case 132:
          case 133:
          case 131:
          case 85:
          case 86:
            return super.parseExprAtom();
          default:
            throw this.unexpected();
        }
      })();
      return this.finishNode(node, "TSLiteralType");
    }
    tsParseTemplateLiteralType() {
      var node = this.startNode();
      node.literal = super.parseTemplate(false);
      return this.finishNode(node, "TSLiteralType");
    }
    parseTemplateSubstitution() {
      if (this.state.inType) return this.tsParseType();
      return super.parseTemplateSubstitution();
    }
    tsParseThisTypeOrThisTypePredicate() {
      var thisKeyword = this.tsParseThisTypeNode();
      if (this.isContextual(114) && !this.hasPrecedingLineBreak()) {
        return this.tsParseThisTypePredicate(thisKeyword);
      } else {
        return thisKeyword;
      }
    }
    tsParseNonArrayType() {
      switch (this.state.type) {
        case 131:
        case 132:
        case 133:
        case 85:
        case 86:
          return this.tsParseLiteralTypeNode();
        case 53:
          if (this.state.value === "-") {
            var node = this.startNode();
            var nextToken = this.lookahead();
            if (nextToken.type !== 132 && nextToken.type !== 133) {
              throw this.unexpected();
            }
            node.literal = this.parseMaybeUnary();
            return this.finishNode(node, "TSLiteralType");
          }
          break;
        case 78:
          return this.tsParseThisTypeOrThisTypePredicate();
        case 87:
          return this.tsParseTypeQuery();
        case 83:
          return this.tsParseImportType();
        case 5:
          return this.tsLookAhead(this.tsIsStartOfMappedType.bind(this)) ? this.tsParseMappedType() : this.tsParseTypeLiteral();
        case 0:
          return this.tsParseTupleType();
        case 10:
          return this.tsParseParenthesizedType();
        case 25:
        case 24:
          return this.tsParseTemplateLiteralType();
        default:
          {
            var {
              type
            } = this.state;
            if (tokenIsIdentifier(type) || type === 88 || type === 84) {
              var nodeType = type === 88 ? "TSVoidKeyword" : type === 84 ? "TSNullKeyword" : keywordTypeFromName(this.state.value);
              if (nodeType !== undefined && this.lookaheadCharCode() !== 46) {
                var _node6 = this.startNode();
                this.next();
                return this.finishNode(_node6, nodeType);
              }
              return this.tsParseTypeReference();
            }
          }
      }
      throw this.unexpected();
    }
    tsParseArrayTypeOrHigher() {
      var type = this.tsParseNonArrayType();
      while (!this.hasPrecedingLineBreak() && this.eat(0)) {
        if (this.match(3)) {
          var node = this.startNodeAtNode(type);
          node.elementType = type;
          this.expect(3);
          type = this.finishNode(node, "TSArrayType");
        } else {
          var _node7 = this.startNodeAtNode(type);
          _node7.objectType = type;
          _node7.indexType = this.tsParseType();
          this.expect(3);
          type = this.finishNode(_node7, "TSIndexedAccessType");
        }
      }
      return type;
    }
    tsParseTypeOperator() {
      var node = this.startNode();
      var operator = this.state.value;
      this.next();
      node.operator = operator;
      node.typeAnnotation = this.tsParseTypeOperatorOrHigher();
      if (operator === "readonly") {
        this.tsCheckTypeAnnotationForReadOnly(node);
      }
      return this.finishNode(node, "TSTypeOperator");
    }
    tsCheckTypeAnnotationForReadOnly(node) {
      switch (node.typeAnnotation.type) {
        case "TSTupleType":
        case "TSArrayType":
          return;
        default:
          this.raise(TSErrors.UnexpectedReadonly, {
            at: node
          });
      }
    }
    tsParseInferType() {
      var node = this.startNode();
      this.expectContextual(113);
      var typeParameter = this.startNode();
      typeParameter.name = this.tsParseTypeParameterName();
      typeParameter.constraint = this.tsTryParse(() => this.tsParseConstraintForInferType());
      node.typeParameter = this.finishNode(typeParameter, "TSTypeParameter");
      return this.finishNode(node, "TSInferType");
    }
    tsParseConstraintForInferType() {
      if (this.eat(81)) {
        var constraint = this.tsInDisallowConditionalTypesContext(() => this.tsParseType());
        if (this.state.inDisallowConditionalTypesContext || !this.match(17)) {
          return constraint;
        }
      }
    }
    tsParseTypeOperatorOrHigher() {
      var isTypeOperator = tokenIsTSTypeOperator(this.state.type) && !this.state.containsEsc;
      return isTypeOperator ? this.tsParseTypeOperator() : this.isContextual(113) ? this.tsParseInferType() : this.tsInAllowConditionalTypesContext(() => this.tsParseArrayTypeOrHigher());
    }
    tsParseUnionOrIntersectionType(kind, parseConstituentType, operator) {
      var node = this.startNode();
      var hasLeadingOperator = this.eat(operator);
      var types = [];
      do {
        types.push(parseConstituentType());
      } while (this.eat(operator));
      if (types.length === 1 && !hasLeadingOperator) {
        return types[0];
      }
      node.types = types;
      return this.finishNode(node, kind);
    }
    tsParseIntersectionTypeOrHigher() {
      return this.tsParseUnionOrIntersectionType("TSIntersectionType", this.tsParseTypeOperatorOrHigher.bind(this), 45);
    }
    tsParseUnionTypeOrHigher() {
      return this.tsParseUnionOrIntersectionType("TSUnionType", this.tsParseIntersectionTypeOrHigher.bind(this), 43);
    }
    tsIsStartOfFunctionType() {
      if (this.match(47)) {
        return true;
      }
      return this.match(10) && this.tsLookAhead(this.tsIsUnambiguouslyStartOfFunctionType.bind(this));
    }
    tsSkipParameterStart() {
      if (tokenIsIdentifier(this.state.type) || this.match(78)) {
        this.next();
        return true;
      }
      if (this.match(5)) {
        var {
          errors
        } = this.state;
        var previousErrorCount = errors.length;
        try {
          this.parseObjectLike(8, true);
          return errors.length === previousErrorCount;
        } catch (_unused) {
          return false;
        }
      }
      if (this.match(0)) {
        this.next();
        var {
          errors: _errors
        } = this.state;
        var _previousErrorCount = _errors.length;
        try {
          super.parseBindingList(3, 93, true);
          return _errors.length === _previousErrorCount;
        } catch (_unused2) {
          return false;
        }
      }
      return false;
    }
    tsIsUnambiguouslyStartOfFunctionType() {
      this.next();
      if (this.match(11) || this.match(21)) {
        return true;
      }
      if (this.tsSkipParameterStart()) {
        if (this.match(14) || this.match(12) || this.match(17) || this.match(29)) {
          return true;
        }
        if (this.match(11)) {
          this.next();
          if (this.match(19)) {
            return true;
          }
        }
      }
      return false;
    }
    tsParseTypeOrTypePredicateAnnotation(returnToken) {
      return this.tsInType(() => {
        var t = this.startNode();
        this.expect(returnToken);
        var node = this.startNode();
        var asserts = !!this.tsTryParse(this.tsParseTypePredicateAsserts.bind(this));
        if (asserts && this.match(78)) {
          var thisTypePredicate = this.tsParseThisTypeOrThisTypePredicate();
          if (thisTypePredicate.type === "TSThisType") {
            node.parameterName = thisTypePredicate;
            node.asserts = true;
            node.typeAnnotation = null;
            thisTypePredicate = this.finishNode(node, "TSTypePredicate");
          } else {
            this.resetStartLocationFromNode(thisTypePredicate, node);
            thisTypePredicate.asserts = true;
          }
          t.typeAnnotation = thisTypePredicate;
          return this.finishNode(t, "TSTypeAnnotation");
        }
        var typePredicateVariable = this.tsIsIdentifier() && this.tsTryParse(this.tsParseTypePredicatePrefix.bind(this));
        if (!typePredicateVariable) {
          if (!asserts) {
            return this.tsParseTypeAnnotation(false, t);
          }
          node.parameterName = this.parseIdentifier();
          node.asserts = asserts;
          node.typeAnnotation = null;
          t.typeAnnotation = this.finishNode(node, "TSTypePredicate");
          return this.finishNode(t, "TSTypeAnnotation");
        }
        var type = this.tsParseTypeAnnotation(false);
        node.parameterName = typePredicateVariable;
        node.typeAnnotation = type;
        node.asserts = asserts;
        t.typeAnnotation = this.finishNode(node, "TSTypePredicate");
        return this.finishNode(t, "TSTypeAnnotation");
      });
    }
    tsTryParseTypeOrTypePredicateAnnotation() {
      return this.match(14) ? this.tsParseTypeOrTypePredicateAnnotation(14) : undefined;
    }
    tsTryParseTypeAnnotation() {
      return this.match(14) ? this.tsParseTypeAnnotation() : undefined;
    }
    tsTryParseType() {
      return this.tsEatThenParseType(14);
    }
    tsParseTypePredicatePrefix() {
      var id = this.parseIdentifier();
      if (this.isContextual(114) && !this.hasPrecedingLineBreak()) {
        this.next();
        return id;
      }
    }
    tsParseTypePredicateAsserts() {
      if (this.state.type !== 107) {
        return false;
      }
      var containsEsc = this.state.containsEsc;
      this.next();
      if (!tokenIsIdentifier(this.state.type) && !this.match(78)) {
        return false;
      }
      if (containsEsc) {
        this.raise(Errors.InvalidEscapedReservedWord, {
          at: this.state.lastTokStartLoc,
          reservedWord: "asserts"
        });
      }
      return true;
    }
    tsParseTypeAnnotation() {
      var eatColon = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;
      var t = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : this.startNode();
      this.tsInType(() => {
        if (eatColon) this.expect(14);
        t.typeAnnotation = this.tsParseType();
      });
      return this.finishNode(t, "TSTypeAnnotation");
    }
    tsParseType() {
      assert(this.state.inType);
      var type = this.tsParseNonConditionalType();
      if (this.state.inDisallowConditionalTypesContext || this.hasPrecedingLineBreak() || !this.eat(81)) {
        return type;
      }
      var node = this.startNodeAtNode(type);
      node.checkType = type;
      node.extendsType = this.tsInDisallowConditionalTypesContext(() => this.tsParseNonConditionalType());
      this.expect(17);
      node.trueType = this.tsInAllowConditionalTypesContext(() => this.tsParseType());
      this.expect(14);
      node.falseType = this.tsInAllowConditionalTypesContext(() => this.tsParseType());
      return this.finishNode(node, "TSConditionalType");
    }
    isAbstractConstructorSignature() {
      return this.isContextual(122) && this.lookahead().type === 77;
    }
    tsParseNonConditionalType() {
      if (this.tsIsStartOfFunctionType()) {
        return this.tsParseFunctionOrConstructorType("TSFunctionType");
      }
      if (this.match(77)) {
        return this.tsParseFunctionOrConstructorType("TSConstructorType");
      } else if (this.isAbstractConstructorSignature()) {
        return this.tsParseFunctionOrConstructorType("TSConstructorType", true);
      }
      return this.tsParseUnionTypeOrHigher();
    }
    tsParseTypeAssertion() {
      if (this.getPluginOption("typescript", "disallowAmbiguousJSXLike")) {
        this.raise(TSErrors.ReservedTypeAssertion, {
          at: this.state.startLoc
        });
      }
      var node = this.startNode();
      node.typeAnnotation = this.tsInType(() => {
        this.next();
        return this.match(75) ? this.tsParseTypeReference() : this.tsParseType();
      });
      this.expect(48);
      node.expression = this.parseMaybeUnary();
      return this.finishNode(node, "TSTypeAssertion");
    }
    tsParseHeritageClause(token) {
      var originalStartLoc = this.state.startLoc;
      var delimitedList = this.tsParseDelimitedList("HeritageClauseElement", () => {
        var node = this.startNode();
        node.expression = this.tsParseEntityName();
        if (this.match(47)) {
          node.typeParameters = this.tsParseTypeArguments();
        }
        return this.finishNode(node, "TSExpressionWithTypeArguments");
      });
      if (!delimitedList.length) {
        this.raise(TSErrors.EmptyHeritageClauseType, {
          at: originalStartLoc,
          token
        });
      }
      return delimitedList;
    }
    tsParseInterfaceDeclaration(node) {
      var properties = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      if (this.hasFollowingLineBreak()) return null;
      this.expectContextual(127);
      if (properties.declare) node.declare = true;
      if (tokenIsIdentifier(this.state.type)) {
        node.id = this.parseIdentifier();
        this.checkIdentifier(node.id, BIND_TS_INTERFACE);
      } else {
        node.id = null;
        this.raise(TSErrors.MissingInterfaceName, {
          at: this.state.startLoc
        });
      }
      node.typeParameters = this.tsTryParseTypeParameters(this.tsParseInOutModifiers.bind(this));
      if (this.eat(81)) {
        node.extends = this.tsParseHeritageClause("extends");
      }
      var body = this.startNode();
      body.body = this.tsInType(this.tsParseObjectTypeMembers.bind(this));
      node.body = this.finishNode(body, "TSInterfaceBody");
      return this.finishNode(node, "TSInterfaceDeclaration");
    }
    tsParseTypeAliasDeclaration(node) {
      node.id = this.parseIdentifier();
      this.checkIdentifier(node.id, BIND_TS_TYPE);
      node.typeAnnotation = this.tsInType(() => {
        node.typeParameters = this.tsTryParseTypeParameters(this.tsParseInOutModifiers.bind(this));
        this.expect(29);
        if (this.isContextual(112) && this.lookahead().type !== 16) {
          var _node8 = this.startNode();
          this.next();
          return this.finishNode(_node8, "TSIntrinsicKeyword");
        }
        return this.tsParseType();
      });
      this.semicolon();
      return this.finishNode(node, "TSTypeAliasDeclaration");
    }
    tsInNoContext(cb) {
      var oldContext = this.state.context;
      this.state.context = [oldContext[0]];
      try {
        return cb();
      } finally {
        this.state.context = oldContext;
      }
    }
    tsInType(cb) {
      var oldInType = this.state.inType;
      this.state.inType = true;
      try {
        return cb();
      } finally {
        this.state.inType = oldInType;
      }
    }
    tsInDisallowConditionalTypesContext(cb) {
      var oldInDisallowConditionalTypesContext = this.state.inDisallowConditionalTypesContext;
      this.state.inDisallowConditionalTypesContext = true;
      try {
        return cb();
      } finally {
        this.state.inDisallowConditionalTypesContext = oldInDisallowConditionalTypesContext;
      }
    }
    tsInAllowConditionalTypesContext(cb) {
      var oldInDisallowConditionalTypesContext = this.state.inDisallowConditionalTypesContext;
      this.state.inDisallowConditionalTypesContext = false;
      try {
        return cb();
      } finally {
        this.state.inDisallowConditionalTypesContext = oldInDisallowConditionalTypesContext;
      }
    }
    tsEatThenParseType(token) {
      return !this.match(token) ? undefined : this.tsNextThenParseType();
    }
    tsExpectThenParseType(token) {
      return this.tsDoThenParseType(() => this.expect(token));
    }
    tsNextThenParseType() {
      return this.tsDoThenParseType(() => this.next());
    }
    tsDoThenParseType(cb) {
      return this.tsInType(() => {
        cb();
        return this.tsParseType();
      });
    }
    tsParseEnumMember() {
      var node = this.startNode();
      node.id = this.match(131) ? super.parseStringLiteral(this.state.value) : this.parseIdentifier(true);
      if (this.eat(29)) {
        node.initializer = super.parseMaybeAssignAllowIn();
      }
      return this.finishNode(node, "TSEnumMember");
    }
    tsParseEnumDeclaration(node) {
      var properties = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
      if (properties.const) node.const = true;
      if (properties.declare) node.declare = true;
      this.expectContextual(124);
      node.id = this.parseIdentifier();
      this.checkIdentifier(node.id, node.const ? BIND_TS_CONST_ENUM : BIND_TS_ENUM);
      this.expect(5);
      node.members = this.tsParseDelimitedList("EnumMembers", this.tsParseEnumMember.bind(this));
      this.expect(8);
      return this.finishNode(node, "TSEnumDeclaration");
    }
    tsParseModuleBlock() {
      var node = this.startNode();
      this.scope.enter(SCOPE_OTHER);
      this.expect(5);
      super.parseBlockOrModuleBlockBody(node.body = [], undefined, true, 8);
      this.scope.exit();
      return this.finishNode(node, "TSModuleBlock");
    }
    tsParseModuleOrNamespaceDeclaration(node) {
      var nested = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
      node.id = this.parseIdentifier();
      if (!nested) {
        this.checkIdentifier(node.id, BIND_TS_NAMESPACE);
      }
      if (this.eat(16)) {
        var inner = this.startNode();
        this.tsParseModuleOrNamespaceDeclaration(inner, true);
        node.body = inner;
      } else {
        this.scope.enter(SCOPE_TS_MODULE);
        this.prodParam.enter(PARAM);
        node.body = this.tsParseModuleBlock();
        this.prodParam.exit();
        this.scope.exit();
      }
      return this.finishNode(node, "TSModuleDeclaration");
    }
    tsParseAmbientExternalModuleDeclaration(node) {
      if (this.isContextual(110)) {
        node.global = true;
        node.id = this.parseIdentifier();
      } else if (this.match(131)) {
        node.id = super.parseStringLiteral(this.state.value);
      } else {
        this.unexpected();
      }
      if (this.match(5)) {
        this.scope.enter(SCOPE_TS_MODULE);
        this.prodParam.enter(PARAM);
        node.body = this.tsParseModuleBlock();
        this.prodParam.exit();
        this.scope.exit();
      } else {
        this.semicolon();
      }
      return this.finishNode(node, "TSModuleDeclaration");
    }
    tsParseImportEqualsDeclaration(node, isExport) {
      node.isExport = isExport || false;
      node.id = this.parseIdentifier();
      this.checkIdentifier(node.id, BIND_FLAGS_TS_IMPORT);
      this.expect(29);
      var moduleReference = this.tsParseModuleReference();
      if (node.importKind === "type" && moduleReference.type !== "TSExternalModuleReference") {
        this.raise(TSErrors.ImportAliasHasImportType, {
          at: moduleReference
        });
      }
      node.moduleReference = moduleReference;
      this.semicolon();
      return this.finishNode(node, "TSImportEqualsDeclaration");
    }
    tsIsExternalModuleReference() {
      return this.isContextual(117) && this.lookaheadCharCode() === 40;
    }
    tsParseModuleReference() {
      return this.tsIsExternalModuleReference() ? this.tsParseExternalModuleReference() : this.tsParseEntityName(false);
    }
    tsParseExternalModuleReference() {
      var node = this.startNode();
      this.expectContextual(117);
      this.expect(10);
      if (!this.match(131)) {
        throw this.unexpected();
      }
      node.expression = super.parseExprAtom();
      this.expect(11);
      return this.finishNode(node, "TSExternalModuleReference");
    }
    tsLookAhead(f) {
      var state = this.state.clone();
      var res = f();
      this.state = state;
      return res;
    }
    tsTryParseAndCatch(f) {
      var result = this.tryParse(abort => f() || abort());
      if (result.aborted || !result.node) return undefined;
      if (result.error) this.state = result.failState;
      return result.node;
    }
    tsTryParse(f) {
      var state = this.state.clone();
      var result = f();
      if (result !== undefined && result !== false) {
        return result;
      } else {
        this.state = state;
        return undefined;
      }
    }
    tsTryParseDeclare(nany) {
      if (this.isLineTerminator()) {
        return;
      }
      var starttype = this.state.type;
      var kind;
      if (this.isContextual(99)) {
        starttype = 74;
        kind = "let";
      }
      return this.tsInAmbientContext(() => {
        if (starttype === 68) {
          nany.declare = true;
          return super.parseFunctionStatement(nany, false, false);
        }
        if (starttype === 80) {
          nany.declare = true;
          return this.parseClass(nany, true, false);
        }
        if (starttype === 124) {
          return this.tsParseEnumDeclaration(nany, {
            declare: true
          });
        }
        if (starttype === 110) {
          return this.tsParseAmbientExternalModuleDeclaration(nany);
        }
        if (starttype === 75 || starttype === 74) {
          if (!this.match(75) || !this.isLookaheadContextual("enum")) {
            nany.declare = true;
            return this.parseVarStatement(nany, kind || this.state.value, true);
          }
          this.expect(75);
          return this.tsParseEnumDeclaration(nany, {
            const: true,
            declare: true
          });
        }
        if (starttype === 127) {
          var result = this.tsParseInterfaceDeclaration(nany, {
            declare: true
          });
          if (result) return result;
        }
        if (tokenIsIdentifier(starttype)) {
          return this.tsParseDeclaration(nany, this.state.value, true, null);
        }
      });
    }
    tsTryParseExportDeclaration() {
      return this.tsParseDeclaration(this.startNode(), this.state.value, true, null);
    }
    tsParseExpressionStatement(node, expr, decorators) {
      switch (expr.name) {
        case "declare":
          {
            var declaration = this.tsTryParseDeclare(node);
            if (declaration) {
              declaration.declare = true;
              return declaration;
            }
            break;
          }
        case "global":
          if (this.match(5)) {
            this.scope.enter(SCOPE_TS_MODULE);
            this.prodParam.enter(PARAM);
            var mod = node;
            mod.global = true;
            mod.id = expr;
            mod.body = this.tsParseModuleBlock();
            this.scope.exit();
            this.prodParam.exit();
            return this.finishNode(mod, "TSModuleDeclaration");
          }
          break;
        default:
          return this.tsParseDeclaration(node, expr.name, false, decorators);
      }
    }
    tsParseDeclaration(node, value, next, decorators) {
      switch (value) {
        case "abstract":
          if (this.tsCheckLineTerminator(next) && (this.match(80) || tokenIsIdentifier(this.state.type))) {
            return this.tsParseAbstractDeclaration(node, decorators);
          }
          break;
        case "module":
          if (this.tsCheckLineTerminator(next)) {
            if (this.match(131)) {
              return this.tsParseAmbientExternalModuleDeclaration(node);
            } else if (tokenIsIdentifier(this.state.type)) {
              return this.tsParseModuleOrNamespaceDeclaration(node);
            }
          }
          break;
        case "namespace":
          if (this.tsCheckLineTerminator(next) && tokenIsIdentifier(this.state.type)) {
            return this.tsParseModuleOrNamespaceDeclaration(node);
          }
          break;
        case "type":
          if (this.tsCheckLineTerminator(next) && tokenIsIdentifier(this.state.type)) {
            return this.tsParseTypeAliasDeclaration(node);
          }
          break;
      }
    }
    tsCheckLineTerminator(next) {
      if (next) {
        if (this.hasFollowingLineBreak()) return false;
        this.next();
        return true;
      }
      return !this.isLineTerminator();
    }
    tsTryParseGenericAsyncArrowFunction(startLoc) {
      if (!this.match(47)) {
        return undefined;
      }
      var oldMaybeInArrowParameters = this.state.maybeInArrowParameters;
      this.state.maybeInArrowParameters = true;
      var res = this.tsTryParseAndCatch(() => {
        var node = this.startNodeAt(startLoc);
        node.typeParameters = this.tsParseTypeParameters();
        super.parseFunctionParams(node);
        node.returnType = this.tsTryParseTypeOrTypePredicateAnnotation();
        this.expect(19);
        return node;
      });
      this.state.maybeInArrowParameters = oldMaybeInArrowParameters;
      if (!res) {
        return undefined;
      }
      return super.parseArrowExpression(res, null, true);
    }
    tsParseTypeArgumentsInExpression() {
      if (this.reScan_lt() !== 47) {
        return undefined;
      }
      return this.tsParseTypeArguments();
    }
    tsParseTypeArguments() {
      var node = this.startNode();
      node.params = this.tsInType(() => this.tsInNoContext(() => {
        this.expect(47);
        return this.tsParseDelimitedList("TypeParametersOrArguments", this.tsParseType.bind(this));
      }));
      if (node.params.length === 0) {
        this.raise(TSErrors.EmptyTypeArguments, {
          at: node
        });
      }
      this.expect(48);
      return this.finishNode(node, "TSTypeParameterInstantiation");
    }
    tsIsDeclarationStart() {
      return tokenIsTSDeclarationStart(this.state.type);
    }
    isExportDefaultSpecifier() {
      if (this.tsIsDeclarationStart()) return false;
      return super.isExportDefaultSpecifier();
    }
    parseAssignableListItem(allowModifiers, decorators) {
      var startLoc = this.state.startLoc;
      var accessibility;
      var readonly = false;
      var override = false;
      if (allowModifiers !== undefined) {
        var modified = {};
        this.tsParseModifiers({
          modified,
          allowedModifiers: ["public", "private", "protected", "override", "readonly"]
        });
        accessibility = modified.accessibility;
        override = modified.override;
        readonly = modified.readonly;
        if (allowModifiers === false && (accessibility || readonly || override)) {
          this.raise(TSErrors.UnexpectedParameterModifier, {
            at: startLoc
          });
        }
      }
      var left = this.parseMaybeDefault();
      this.parseAssignableListItemTypes(left);
      var elt = this.parseMaybeDefault(left.loc.start, left);
      if (accessibility || readonly || override) {
        var pp = this.startNodeAt(startLoc);
        if (decorators.length) {
          pp.decorators = decorators;
        }
        if (accessibility) pp.accessibility = accessibility;
        if (readonly) pp.readonly = readonly;
        if (override) pp.override = override;
        if (elt.type !== "Identifier" && elt.type !== "AssignmentPattern") {
          this.raise(TSErrors.UnsupportedParameterPropertyKind, {
            at: pp
          });
        }
        pp.parameter = elt;
        return this.finishNode(pp, "TSParameterProperty");
      }
      if (decorators.length) {
        left.decorators = decorators;
      }
      return elt;
    }
    isSimpleParameter(node) {
      return node.type === "TSParameterProperty" && super.isSimpleParameter(node.parameter) || super.isSimpleParameter(node);
    }
    parseFunctionBodyAndFinish(node, type) {
      var isMethod = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
      if (this.match(14)) {
        node.returnType = this.tsParseTypeOrTypePredicateAnnotation(14);
      }
      var bodilessType = type === "FunctionDeclaration" ? "TSDeclareFunction" : type === "ClassMethod" || type === "ClassPrivateMethod" ? "TSDeclareMethod" : undefined;
      if (bodilessType && !this.match(5) && this.isLineTerminator()) {
        return this.finishNode(node, bodilessType);
      }
      if (bodilessType === "TSDeclareFunction" && this.state.isAmbientContext) {
        this.raise(TSErrors.DeclareFunctionHasImplementation, {
          at: node
        });
        if (node.declare) {
          return super.parseFunctionBodyAndFinish(node, bodilessType, isMethod);
        }
      }
      return super.parseFunctionBodyAndFinish(node, type, isMethod);
    }
    registerFunctionStatementId(node) {
      if (!node.body && node.id) {
        this.checkIdentifier(node.id, BIND_TS_AMBIENT);
      } else {
        super.registerFunctionStatementId(node);
      }
    }
    tsCheckForInvalidTypeCasts(items) {
      items.forEach(node => {
        if ((node == null ? void 0 : node.type) === "TSTypeCastExpression") {
          this.raise(TSErrors.UnexpectedTypeAnnotation, {
            at: node.typeAnnotation
          });
        }
      });
    }
    toReferencedList(exprList, isInParens) {
      this.tsCheckForInvalidTypeCasts(exprList);
      return exprList;
    }
    parseArrayLike(close, canBePattern, isTuple, refExpressionErrors) {
      var node = super.parseArrayLike(close, canBePattern, isTuple, refExpressionErrors);
      if (node.type === "ArrayExpression") {
        this.tsCheckForInvalidTypeCasts(node.elements);
      }
      return node;
    }
    parseSubscript(base, startLoc, noCalls, state) {
      if (!this.hasPrecedingLineBreak() && this.match(35)) {
        this.state.canStartJSXElement = false;
        this.next();
        var nonNullExpression = this.startNodeAt(startLoc);
        nonNullExpression.expression = base;
        return this.finishNode(nonNullExpression, "TSNonNullExpression");
      }
      var isOptionalCall = false;
      if (this.match(18) && this.lookaheadCharCode() === 60) {
        if (noCalls) {
          state.stop = true;
          return base;
        }
        state.optionalChainMember = isOptionalCall = true;
        this.next();
      }
      if (this.match(47) || this.match(51)) {
        var missingParenErrorLoc;
        var result = this.tsTryParseAndCatch(() => {
          if (!noCalls && this.atPossibleAsyncArrow(base)) {
            var asyncArrowFn = this.tsTryParseGenericAsyncArrowFunction(startLoc);
            if (asyncArrowFn) {
              return asyncArrowFn;
            }
          }
          var typeArguments = this.tsParseTypeArgumentsInExpression();
          if (!typeArguments) return;
          if (isOptionalCall && !this.match(10)) {
            missingParenErrorLoc = this.state.curPosition();
            return;
          }
          if (tokenIsTemplate(this.state.type)) {
            var _result = super.parseTaggedTemplateExpression(base, startLoc, state);
            _result.typeParameters = typeArguments;
            return _result;
          }
          if (!noCalls && this.eat(10)) {
            var _node9 = this.startNodeAt(startLoc);
            _node9.callee = base;
            _node9.arguments = this.parseCallExpressionArguments(11, false);
            this.tsCheckForInvalidTypeCasts(_node9.arguments);
            _node9.typeParameters = typeArguments;
            if (state.optionalChainMember) {
              _node9.optional = isOptionalCall;
            }
            return this.finishCallExpression(_node9, state.optionalChainMember);
          }
          var tokenType = this.state.type;
          if (tokenType === 48 || tokenType === 52 || tokenType !== 10 && tokenCanStartExpression(tokenType) && !this.hasPrecedingLineBreak()) {
            return;
          }
          var node = this.startNodeAt(startLoc);
          node.expression = base;
          node.typeParameters = typeArguments;
          return this.finishNode(node, "TSInstantiationExpression");
        });
        if (missingParenErrorLoc) {
          this.unexpected(missingParenErrorLoc, 10);
        }
        if (result) {
          if (result.type === "TSInstantiationExpression" && (this.match(16) || this.match(18) && this.lookaheadCharCode() !== 40)) {
            this.raise(TSErrors.InvalidPropertyAccessAfterInstantiationExpression, {
              at: this.state.startLoc
            });
          }
          return result;
        }
      }
      return super.parseSubscript(base, startLoc, noCalls, state);
    }
    parseNewCallee(node) {
      var _callee$extra;
      super.parseNewCallee(node);
      var {
        callee
      } = node;
      if (callee.type === "TSInstantiationExpression" && !((_callee$extra = callee.extra) != null && _callee$extra.parenthesized)) {
        node.typeParameters = callee.typeParameters;
        node.callee = callee.expression;
      }
    }
    parseExprOp(left, leftStartLoc, minPrec) {
      var isSatisfies;
      if (tokenOperatorPrecedence(58) > minPrec && !this.hasPrecedingLineBreak() && (this.isContextual(93) || (isSatisfies = this.isContextual(118)))) {
        var node = this.startNodeAt(leftStartLoc);
        node.expression = left;
        node.typeAnnotation = this.tsInType(() => {
          this.next();
          if (this.match(75)) {
            if (isSatisfies) {
              this.raise(Errors.UnexpectedKeyword, {
                at: this.state.startLoc,
                keyword: "const"
              });
            }
            return this.tsParseTypeReference();
          }
          return this.tsParseType();
        });
        this.finishNode(node, isSatisfies ? "TSSatisfiesExpression" : "TSAsExpression");
        this.reScan_lt_gt();
        return this.parseExprOp(node, leftStartLoc, minPrec);
      }
      return super.parseExprOp(left, leftStartLoc, minPrec);
    }
    checkReservedWord(word, startLoc, checkKeywords, isBinding) {
      if (!this.state.isAmbientContext) {
        super.checkReservedWord(word, startLoc, checkKeywords, isBinding);
      }
    }
    checkImportReflection(node) {
      super.checkImportReflection(node);
      if (node.module && node.importKind !== "value") {
        this.raise(TSErrors.ImportReflectionHasImportType, {
          at: node.specifiers[0].loc.start
        });
      }
    }
    checkDuplicateExports() {}
    parseImport(node) {
      node.importKind = "value";
      if (tokenIsIdentifier(this.state.type) || this.match(55) || this.match(5)) {
        var ahead = this.lookahead();
        if (this.isContextual(128) && ahead.type !== 12 && ahead.type !== 97 && ahead.type !== 29) {
          node.importKind = "type";
          this.next();
          ahead = this.lookahead();
        }
        if (tokenIsIdentifier(this.state.type) && ahead.type === 29) {
          return this.tsParseImportEqualsDeclaration(node);
        }
      }
      var importNode = super.parseImport(node);
      if (importNode.importKind === "type" && importNode.specifiers.length > 1 && importNode.specifiers[0].type === "ImportDefaultSpecifier") {
        this.raise(TSErrors.TypeImportCannotSpecifyDefaultAndNamed, {
          at: importNode
        });
      }
      return importNode;
    }
    parseExport(node, decorators) {
      if (this.match(83)) {
        this.next();
        if (this.isContextual(128) && this.lookaheadCharCode() !== 61) {
          node.importKind = "type";
          this.next();
        } else {
          node.importKind = "value";
        }
        return this.tsParseImportEqualsDeclaration(node, true);
      } else if (this.eat(29)) {
        var assign = node;
        assign.expression = super.parseExpression();
        this.semicolon();
        return this.finishNode(assign, "TSExportAssignment");
      } else if (this.eatContextual(93)) {
        var decl = node;
        this.expectContextual(126);
        decl.id = this.parseIdentifier();
        this.semicolon();
        return this.finishNode(decl, "TSNamespaceExportDeclaration");
      } else {
        if (this.isContextual(128) && this.lookahead().type === 5) {
          this.next();
          node.exportKind = "type";
        } else {
          node.exportKind = "value";
        }
        return super.parseExport(node, decorators);
      }
    }
    isAbstractClass() {
      return this.isContextual(122) && this.lookahead().type === 80;
    }
    parseExportDefaultExpression() {
      if (this.isAbstractClass()) {
        var cls = this.startNode();
        this.next();
        cls.abstract = true;
        return this.parseClass(cls, true, true);
      }
      if (this.match(127)) {
        var result = this.tsParseInterfaceDeclaration(this.startNode());
        if (result) return result;
      }
      return super.parseExportDefaultExpression();
    }
    parseVarStatement(node, kind) {
      var allowMissingInitializer = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
      var {
        isAmbientContext
      } = this.state;
      var declaration = super.parseVarStatement(node, kind, allowMissingInitializer || isAmbientContext);
      if (!isAmbientContext) return declaration;
      for (var {
        id,
        init
      } of declaration.declarations) {
        if (!init) continue;
        if (kind !== "const" || !!id.typeAnnotation) {
          this.raise(TSErrors.InitializerNotAllowedInAmbientContext, {
            at: init
          });
        } else if (init.type !== "StringLiteral" && init.type !== "BooleanLiteral" && init.type !== "NumericLiteral" && init.type !== "BigIntLiteral" && (init.type !== "TemplateLiteral" || init.expressions.length > 0) && !isPossiblyLiteralEnum(init)) {
          this.raise(TSErrors.ConstInitiailizerMustBeStringOrNumericLiteralOrLiteralEnumReference, {
            at: init
          });
        }
      }
      return declaration;
    }
    parseStatementContent(flags, decorators) {
      if (this.match(75) && this.isLookaheadContextual("enum")) {
        var node = this.startNode();
        this.expect(75);
        return this.tsParseEnumDeclaration(node, {
          const: true
        });
      }
      if (this.isContextual(124)) {
        return this.tsParseEnumDeclaration(this.startNode());
      }
      if (this.isContextual(127)) {
        var result = this.tsParseInterfaceDeclaration(this.startNode());
        if (result) return result;
      }
      return super.parseStatementContent(flags, decorators);
    }
    parseAccessModifier() {
      return this.tsParseModifier(["public", "protected", "private"]);
    }
    tsHasSomeModifiers(member, modifiers) {
      return modifiers.some(modifier => {
        if (tsIsAccessModifier(modifier)) {
          return member.accessibility === modifier;
        }
        return !!member[modifier];
      });
    }
    tsIsStartOfStaticBlocks() {
      return this.isContextual(104) && this.lookaheadCharCode() === 123;
    }
    parseClassMember(classBody, member, state) {
      var modifiers = ["declare", "private", "public", "protected", "override", "abstract", "readonly", "static"];
      this.tsParseModifiers({
        modified: member,
        allowedModifiers: modifiers,
        disallowedModifiers: ["in", "out"],
        stopOnStartOfClassStaticBlock: true,
        errorTemplate: TSErrors.InvalidModifierOnTypeParameterPositions
      });
      var callParseClassMemberWithIsStatic = () => {
        if (this.tsIsStartOfStaticBlocks()) {
          this.next();
          this.next();
          if (this.tsHasSomeModifiers(member, modifiers)) {
            this.raise(TSErrors.StaticBlockCannotHaveModifier, {
              at: this.state.curPosition()
            });
          }
          super.parseClassStaticBlock(classBody, member);
        } else {
          this.parseClassMemberWithIsStatic(classBody, member, state, !!member.static);
        }
      };
      if (member.declare) {
        this.tsInAmbientContext(callParseClassMemberWithIsStatic);
      } else {
        callParseClassMemberWithIsStatic();
      }
    }
    parseClassMemberWithIsStatic(classBody, member, state, isStatic) {
      var idx = this.tsTryParseIndexSignature(member);
      if (idx) {
        classBody.body.push(idx);
        if (member.abstract) {
          this.raise(TSErrors.IndexSignatureHasAbstract, {
            at: member
          });
        }
        if (member.accessibility) {
          this.raise(TSErrors.IndexSignatureHasAccessibility, {
            at: member,
            modifier: member.accessibility
          });
        }
        if (member.declare) {
          this.raise(TSErrors.IndexSignatureHasDeclare, {
            at: member
          });
        }
        if (member.override) {
          this.raise(TSErrors.IndexSignatureHasOverride, {
            at: member
          });
        }
        return;
      }
      if (!this.state.inAbstractClass && member.abstract) {
        this.raise(TSErrors.NonAbstractClassHasAbstractMethod, {
          at: member
        });
      }
      if (member.override) {
        if (!state.hadSuperClass) {
          this.raise(TSErrors.OverrideNotInSubClass, {
            at: member
          });
        }
      }
      super.parseClassMemberWithIsStatic(classBody, member, state, isStatic);
    }
    parsePostMemberNameModifiers(methodOrProp) {
      var optional = this.eat(17);
      if (optional) methodOrProp.optional = true;
      if (methodOrProp.readonly && this.match(10)) {
        this.raise(TSErrors.ClassMethodHasReadonly, {
          at: methodOrProp
        });
      }
      if (methodOrProp.declare && this.match(10)) {
        this.raise(TSErrors.ClassMethodHasDeclare, {
          at: methodOrProp
        });
      }
    }
    parseExpressionStatement(node, expr, decorators) {
      var decl = expr.type === "Identifier" ? this.tsParseExpressionStatement(node, expr, decorators) : undefined;
      return decl || super.parseExpressionStatement(node, expr, decorators);
    }
    shouldParseExportDeclaration() {
      if (this.tsIsDeclarationStart()) return true;
      return super.shouldParseExportDeclaration();
    }
    parseConditional(expr, startLoc, refExpressionErrors) {
      if (!this.state.maybeInArrowParameters || !this.match(17)) {
        return super.parseConditional(expr, startLoc, refExpressionErrors);
      }
      var result = this.tryParse(() => super.parseConditional(expr, startLoc));
      if (!result.node) {
        if (result.error) {
          super.setOptionalParametersError(refExpressionErrors, result.error);
        }
        return expr;
      }
      if (result.error) this.state = result.failState;
      return result.node;
    }
    parseParenItem(node, startLoc) {
      node = super.parseParenItem(node, startLoc);
      if (this.eat(17)) {
        node.optional = true;
        this.resetEndLocation(node);
      }
      if (this.match(14)) {
        var typeCastNode = this.startNodeAt(startLoc);
        typeCastNode.expression = node;
        typeCastNode.typeAnnotation = this.tsParseTypeAnnotation();
        return this.finishNode(typeCastNode, "TSTypeCastExpression");
      }
      return node;
    }
    parseExportDeclaration(node) {
      if (!this.state.isAmbientContext && this.isContextual(123)) {
        return this.tsInAmbientContext(() => this.parseExportDeclaration(node));
      }
      var startLoc = this.state.startLoc;
      var isDeclare = this.eatContextual(123);
      if (isDeclare && (this.isContextual(123) || !this.shouldParseExportDeclaration())) {
        throw this.raise(TSErrors.ExpectedAmbientAfterExportDeclare, {
          at: this.state.startLoc
        });
      }
      var isIdentifier = tokenIsIdentifier(this.state.type);
      var declaration = isIdentifier && this.tsTryParseExportDeclaration() || super.parseExportDeclaration(node);
      if (!declaration) return null;
      if (declaration.type === "TSInterfaceDeclaration" || declaration.type === "TSTypeAliasDeclaration" || isDeclare) {
        node.exportKind = "type";
      }
      if (isDeclare) {
        this.resetStartLocation(declaration, startLoc);
        declaration.declare = true;
      }
      return declaration;
    }
    parseClassId(node, isStatement, optionalId, bindingType) {
      if ((!isStatement || optionalId) && this.isContextual(111)) {
        return;
      }
      super.parseClassId(node, isStatement, optionalId, node.declare ? BIND_TS_AMBIENT : BIND_CLASS);
      var typeParameters = this.tsTryParseTypeParameters(this.tsParseInOutModifiers.bind(this));
      if (typeParameters) node.typeParameters = typeParameters;
    }
    parseClassPropertyAnnotation(node) {
      if (!node.optional && this.eat(35)) {
        node.definite = true;
      }
      var type = this.tsTryParseTypeAnnotation();
      if (type) node.typeAnnotation = type;
    }
    parseClassProperty(node) {
      this.parseClassPropertyAnnotation(node);
      if (this.state.isAmbientContext && !(node.readonly && !node.typeAnnotation) && this.match(29)) {
        this.raise(TSErrors.DeclareClassFieldHasInitializer, {
          at: this.state.startLoc
        });
      }
      if (node.abstract && this.match(29)) {
        var {
          key
        } = node;
        this.raise(TSErrors.AbstractPropertyHasInitializer, {
          at: this.state.startLoc,
          propertyName: key.type === "Identifier" && !node.computed ? key.name : "[".concat(this.input.slice(key.start, key.end), "]")
        });
      }
      return super.parseClassProperty(node);
    }
    parseClassPrivateProperty(node) {
      if (node.abstract) {
        this.raise(TSErrors.PrivateElementHasAbstract, {
          at: node
        });
      }
      if (node.accessibility) {
        this.raise(TSErrors.PrivateElementHasAccessibility, {
          at: node,
          modifier: node.accessibility
        });
      }
      this.parseClassPropertyAnnotation(node);
      return super.parseClassPrivateProperty(node);
    }
    pushClassMethod(classBody, method, isGenerator, isAsync, isConstructor, allowsDirectSuper) {
      var typeParameters = this.tsTryParseTypeParameters();
      if (typeParameters && isConstructor) {
        this.raise(TSErrors.ConstructorHasTypeParameters, {
          at: typeParameters
        });
      }
      var {
        declare = false,
        kind
      } = method;
      if (declare && (kind === "get" || kind === "set")) {
        this.raise(TSErrors.DeclareAccessor, {
          at: method,
          kind
        });
      }
      if (typeParameters) method.typeParameters = typeParameters;
      super.pushClassMethod(classBody, method, isGenerator, isAsync, isConstructor, allowsDirectSuper);
    }
    pushClassPrivateMethod(classBody, method, isGenerator, isAsync) {
      var typeParameters = this.tsTryParseTypeParameters();
      if (typeParameters) method.typeParameters = typeParameters;
      super.pushClassPrivateMethod(classBody, method, isGenerator, isAsync);
    }
    declareClassPrivateMethodInScope(node, kind) {
      if (node.type === "TSDeclareMethod") return;
      if (node.type === "MethodDefinition" && !node.value.body) return;
      super.declareClassPrivateMethodInScope(node, kind);
    }
    parseClassSuper(node) {
      super.parseClassSuper(node);
      if (node.superClass && (this.match(47) || this.match(51))) {
        node.superTypeParameters = this.tsParseTypeArgumentsInExpression();
      }
      if (this.eatContextual(111)) {
        node.implements = this.tsParseHeritageClause("implements");
      }
    }
    parseObjPropValue(prop, startLoc, isGenerator, isAsync, isPattern, isAccessor, refExpressionErrors) {
      var typeParameters = this.tsTryParseTypeParameters();
      if (typeParameters) prop.typeParameters = typeParameters;
      return super.parseObjPropValue(prop, startLoc, isGenerator, isAsync, isPattern, isAccessor, refExpressionErrors);
    }
    parseFunctionParams(node, allowModifiers) {
      var typeParameters = this.tsTryParseTypeParameters();
      if (typeParameters) node.typeParameters = typeParameters;
      super.parseFunctionParams(node, allowModifiers);
    }
    parseVarId(decl, kind) {
      super.parseVarId(decl, kind);
      if (decl.id.type === "Identifier" && !this.hasPrecedingLineBreak() && this.eat(35)) {
        decl.definite = true;
      }
      var type = this.tsTryParseTypeAnnotation();
      if (type) {
        decl.id.typeAnnotation = type;
        this.resetEndLocation(decl.id);
      }
    }
    parseAsyncArrowFromCallExpression(node, call) {
      if (this.match(14)) {
        node.returnType = this.tsParseTypeAnnotation();
      }
      return super.parseAsyncArrowFromCallExpression(node, call);
    }
    parseMaybeAssign(refExpressionErrors, afterLeftParse) {
      var _jsx, _jsx2, _typeCast, _jsx3, _typeCast2, _jsx4, _typeCast3;
      var state;
      var jsx;
      var typeCast;
      if (this.hasPlugin("jsx") && (this.match(140) || this.match(47))) {
        state = this.state.clone();
        jsx = this.tryParse(() => super.parseMaybeAssign(refExpressionErrors, afterLeftParse), state);
        if (!jsx.error) return jsx.node;
        var {
          context
        } = this.state;
        var currentContext = context[context.length - 1];
        if (currentContext === types.j_oTag || currentContext === types.j_expr) {
          context.pop();
        }
      }
      if (!((_jsx = jsx) != null && _jsx.error) && !this.match(47)) {
        return super.parseMaybeAssign(refExpressionErrors, afterLeftParse);
      }
      if (!state || state === this.state) state = this.state.clone();
      var typeParameters;
      var arrow = this.tryParse(abort => {
        var _expr$extra, _typeParameters;
        typeParameters = this.tsParseTypeParameters();
        var expr = super.parseMaybeAssign(refExpressionErrors, afterLeftParse);
        if (expr.type !== "ArrowFunctionExpression" || (_expr$extra = expr.extra) != null && _expr$extra.parenthesized) {
          abort();
        }
        if (((_typeParameters = typeParameters) == null ? void 0 : _typeParameters.params.length) !== 0) {
          this.resetStartLocationFromNode(expr, typeParameters);
        }
        expr.typeParameters = typeParameters;
        return expr;
      }, state);
      if (!arrow.error && !arrow.aborted) {
        if (typeParameters) this.reportReservedArrowTypeParam(typeParameters);
        return arrow.node;
      }
      if (!jsx) {
        assert(!this.hasPlugin("jsx"));
        typeCast = this.tryParse(() => super.parseMaybeAssign(refExpressionErrors, afterLeftParse), state);
        if (!typeCast.error) return typeCast.node;
      }
      if ((_jsx2 = jsx) != null && _jsx2.node) {
        this.state = jsx.failState;
        return jsx.node;
      }
      if (arrow.node) {
        this.state = arrow.failState;
        if (typeParameters) this.reportReservedArrowTypeParam(typeParameters);
        return arrow.node;
      }
      if ((_typeCast = typeCast) != null && _typeCast.node) {
        this.state = typeCast.failState;
        return typeCast.node;
      }
      if ((_jsx3 = jsx) != null && _jsx3.thrown) throw jsx.error;
      if (arrow.thrown) throw arrow.error;
      if ((_typeCast2 = typeCast) != null && _typeCast2.thrown) throw typeCast.error;
      throw ((_jsx4 = jsx) == null ? void 0 : _jsx4.error) || arrow.error || ((_typeCast3 = typeCast) == null ? void 0 : _typeCast3.error);
    }
    reportReservedArrowTypeParam(node) {
      var _node$extra;
      if (node.params.length === 1 && !((_node$extra = node.extra) != null && _node$extra.trailingComma) && this.getPluginOption("typescript", "disallowAmbiguousJSXLike")) {
        this.raise(TSErrors.ReservedArrowTypeParam, {
          at: node
        });
      }
    }
    parseMaybeUnary(refExpressionErrors, sawUnary) {
      if (!this.hasPlugin("jsx") && this.match(47)) {
        return this.tsParseTypeAssertion();
      } else {
        return super.parseMaybeUnary(refExpressionErrors, sawUnary);
      }
    }
    parseArrow(node) {
      if (this.match(14)) {
        var result = this.tryParse(abort => {
          var returnType = this.tsParseTypeOrTypePredicateAnnotation(14);
          if (this.canInsertSemicolon() || !this.match(19)) abort();
          return returnType;
        });
        if (result.aborted) return;
        if (!result.thrown) {
          if (result.error) this.state = result.failState;
          node.returnType = result.node;
        }
      }
      return super.parseArrow(node);
    }
    parseAssignableListItemTypes(param) {
      if (this.eat(17)) {
        if (param.type !== "Identifier" && !this.state.isAmbientContext && !this.state.inType) {
          this.raise(TSErrors.PatternIsOptional, {
            at: param
          });
        }
        param.optional = true;
      }
      var type = this.tsTryParseTypeAnnotation();
      if (type) param.typeAnnotation = type;
      this.resetEndLocation(param);
      return param;
    }
    isAssignable(node, isBinding) {
      switch (node.type) {
        case "TSTypeCastExpression":
          return this.isAssignable(node.expression, isBinding);
        case "TSParameterProperty":
          return true;
        default:
          return super.isAssignable(node, isBinding);
      }
    }
    toAssignable(node) {
      var isLHS = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
      switch (node.type) {
        case "ParenthesizedExpression":
          this.toAssignableParenthesizedExpression(node, isLHS);
          break;
        case "TSAsExpression":
        case "TSSatisfiesExpression":
        case "TSNonNullExpression":
        case "TSTypeAssertion":
          if (isLHS) {
            this.expressionScope.recordArrowParemeterBindingError(TSErrors.UnexpectedTypeCastInParameter, {
              at: node
            });
          } else {
            this.raise(TSErrors.UnexpectedTypeCastInParameter, {
              at: node
            });
          }
          this.toAssignable(node.expression, isLHS);
          break;
        case "AssignmentExpression":
          if (!isLHS && node.left.type === "TSTypeCastExpression") {
            node.left = this.typeCastToParameter(node.left);
          }
        default:
          super.toAssignable(node, isLHS);
      }
    }
    toAssignableParenthesizedExpression(node, isLHS) {
      switch (node.expression.type) {
        case "TSAsExpression":
        case "TSSatisfiesExpression":
        case "TSNonNullExpression":
        case "TSTypeAssertion":
        case "ParenthesizedExpression":
          this.toAssignable(node.expression, isLHS);
          break;
        default:
          super.toAssignable(node, isLHS);
      }
    }
    checkToRestConversion(node, allowPattern) {
      switch (node.type) {
        case "TSAsExpression":
        case "TSSatisfiesExpression":
        case "TSTypeAssertion":
        case "TSNonNullExpression":
          this.checkToRestConversion(node.expression, false);
          break;
        default:
          super.checkToRestConversion(node, allowPattern);
      }
    }
    isValidLVal(type, isUnparenthesizedInAssign, binding) {
      return getOwn$1({
        TSTypeCastExpression: true,
        TSParameterProperty: "parameter",
        TSNonNullExpression: "expression",
        TSAsExpression: (binding !== BIND_NONE || !isUnparenthesizedInAssign) && ["expression", true],
        TSSatisfiesExpression: (binding !== BIND_NONE || !isUnparenthesizedInAssign) && ["expression", true],
        TSTypeAssertion: (binding !== BIND_NONE || !isUnparenthesizedInAssign) && ["expression", true]
      }, type) || super.isValidLVal(type, isUnparenthesizedInAssign, binding);
    }
    parseBindingAtom() {
      switch (this.state.type) {
        case 78:
          return this.parseIdentifier(true);
        default:
          return super.parseBindingAtom();
      }
    }
    parseMaybeDecoratorArguments(expr) {
      if (this.match(47) || this.match(51)) {
        var typeArguments = this.tsParseTypeArgumentsInExpression();
        if (this.match(10)) {
          var call = super.parseMaybeDecoratorArguments(expr);
          call.typeParameters = typeArguments;
          return call;
        }
        this.unexpected(null, 10);
      }
      return super.parseMaybeDecoratorArguments(expr);
    }
    checkCommaAfterRest(close) {
      if (this.state.isAmbientContext && this.match(12) && this.lookaheadCharCode() === close) {
        this.next();
        return false;
      } else {
        return super.checkCommaAfterRest(close);
      }
    }
    isClassMethod() {
      return this.match(47) || super.isClassMethod();
    }
    isClassProperty() {
      return this.match(35) || this.match(14) || super.isClassProperty();
    }
    parseMaybeDefault(startLoc, left) {
      var node = super.parseMaybeDefault(startLoc, left);
      if (node.type === "AssignmentPattern" && node.typeAnnotation && node.right.start < node.typeAnnotation.start) {
        this.raise(TSErrors.TypeAnnotationAfterAssign, {
          at: node.typeAnnotation
        });
      }
      return node;
    }
    getTokenFromCode(code) {
      if (this.state.inType) {
        if (code === 62) {
          return this.finishOp(48, 1);
        }
        if (code === 60) {
          return this.finishOp(47, 1);
        }
      }
      return super.getTokenFromCode(code);
    }
    reScan_lt_gt() {
      var {
        type
      } = this.state;
      if (type === 47) {
        this.state.pos -= 1;
        this.readToken_lt();
      } else if (type === 48) {
        this.state.pos -= 1;
        this.readToken_gt();
      }
    }
    reScan_lt() {
      var {
        type
      } = this.state;
      if (type === 51) {
        this.state.pos -= 2;
        this.finishOp(47, 1);
        return 47;
      }
      return type;
    }
    toAssignableList(exprList, trailingCommaLoc, isLHS) {
      for (var i = 0; i < exprList.length; i++) {
        var expr = exprList[i];
        if ((expr == null ? void 0 : expr.type) === "TSTypeCastExpression") {
          exprList[i] = this.typeCastToParameter(expr);
        }
      }
      super.toAssignableList(exprList, trailingCommaLoc, isLHS);
    }
    typeCastToParameter(node) {
      node.expression.typeAnnotation = node.typeAnnotation;
      this.resetEndLocation(node.expression, node.typeAnnotation.loc.end);
      return node.expression;
    }
    shouldParseArrow(params) {
      if (this.match(14)) {
        return params.every(expr => this.isAssignable(expr, true));
      }
      return super.shouldParseArrow(params);
    }
    shouldParseAsyncArrow() {
      return this.match(14) || super.shouldParseAsyncArrow();
    }
    canHaveLeadingDecorator() {
      return super.canHaveLeadingDecorator() || this.isAbstractClass();
    }
    jsxParseOpeningElementAfterName(node) {
      if (this.match(47) || this.match(51)) {
        var typeArguments = this.tsTryParseAndCatch(() => this.tsParseTypeArgumentsInExpression());
        if (typeArguments) node.typeParameters = typeArguments;
      }
      return super.jsxParseOpeningElementAfterName(node);
    }
    getGetterSetterExpectedParamCount(method) {
      var baseCount = super.getGetterSetterExpectedParamCount(method);
      var params = this.getObjectOrClassMethodParams(method);
      var firstParam = params[0];
      var hasContextParam = firstParam && this.isThisParam(firstParam);
      return hasContextParam ? baseCount + 1 : baseCount;
    }
    parseCatchClauseParam() {
      var param = super.parseCatchClauseParam();
      var type = this.tsTryParseTypeAnnotation();
      if (type) {
        param.typeAnnotation = type;
        this.resetEndLocation(param);
      }
      return param;
    }
    tsInAmbientContext(cb) {
      var oldIsAmbientContext = this.state.isAmbientContext;
      this.state.isAmbientContext = true;
      try {
        return cb();
      } finally {
        this.state.isAmbientContext = oldIsAmbientContext;
      }
    }
    parseClass(node, isStatement, optionalId) {
      var oldInAbstractClass = this.state.inAbstractClass;
      this.state.inAbstractClass = !!node.abstract;
      try {
        return super.parseClass(node, isStatement, optionalId);
      } finally {
        this.state.inAbstractClass = oldInAbstractClass;
      }
    }
    tsParseAbstractDeclaration(node, decorators) {
      if (this.match(80)) {
        node.abstract = true;
        return this.maybeTakeDecorators(decorators, this.parseClass(node, true, false));
      } else if (this.isContextual(127)) {
        if (!this.hasFollowingLineBreak()) {
          node.abstract = true;
          this.raise(TSErrors.NonClassMethodPropertyHasAbstractModifer, {
            at: node
          });
          return this.tsParseInterfaceDeclaration(node);
        }
      } else {
        this.unexpected(null, 80);
      }
    }
    parseMethod(node, isGenerator, isAsync, isConstructor, allowDirectSuper, type, inClassScope) {
      var method = super.parseMethod(node, isGenerator, isAsync, isConstructor, allowDirectSuper, type, inClassScope);
      if (method.abstract) {
        var hasBody = this.hasPlugin("estree") ? !!method.value.body : !!method.body;
        if (hasBody) {
          var {
            key
          } = method;
          this.raise(TSErrors.AbstractMethodHasImplementation, {
            at: method,
            methodName: key.type === "Identifier" && !method.computed ? key.name : "[".concat(this.input.slice(key.start, key.end), "]")
          });
        }
      }
      return method;
    }
    tsParseTypeParameterName() {
      var typeName = this.parseIdentifier();
      return typeName.name;
    }
    shouldParseAsAmbientContext() {
      return !!this.getPluginOption("typescript", "dts");
    }
    parse() {
      if (this.shouldParseAsAmbientContext()) {
        this.state.isAmbientContext = true;
      }
      return super.parse();
    }
    getExpression() {
      if (this.shouldParseAsAmbientContext()) {
        this.state.isAmbientContext = true;
      }
      return super.getExpression();
    }
    parseExportSpecifier(node, isString, isInTypeExport, isMaybeTypeOnly) {
      if (!isString && isMaybeTypeOnly) {
        this.parseTypeOnlyImportExportSpecifier(node, false, isInTypeExport);
        return this.finishNode(node, "ExportSpecifier");
      }
      node.exportKind = "value";
      return super.parseExportSpecifier(node, isString, isInTypeExport, isMaybeTypeOnly);
    }
    parseImportSpecifier(specifier, importedIsString, isInTypeOnlyImport, isMaybeTypeOnly, bindingType) {
      if (!importedIsString && isMaybeTypeOnly) {
        this.parseTypeOnlyImportExportSpecifier(specifier, true, isInTypeOnlyImport);
        return this.finishNode(specifier, "ImportSpecifier");
      }
      specifier.importKind = "value";
      return super.parseImportSpecifier(specifier, importedIsString, isInTypeOnlyImport, isMaybeTypeOnly, isInTypeOnlyImport ? BIND_TS_TYPE_IMPORT : BIND_FLAGS_TS_IMPORT);
    }
    parseTypeOnlyImportExportSpecifier(node, isImport, isInTypeOnlyImportExport) {
      var leftOfAsKey = isImport ? "imported" : "local";
      var rightOfAsKey = isImport ? "local" : "exported";
      var leftOfAs = node[leftOfAsKey];
      var rightOfAs;
      var hasTypeSpecifier = false;
      var canParseAsKeyword = true;
      var loc = leftOfAs.loc.start;
      if (this.isContextual(93)) {
        var firstAs = this.parseIdentifier();
        if (this.isContextual(93)) {
          var secondAs = this.parseIdentifier();
          if (tokenIsKeywordOrIdentifier(this.state.type)) {
            hasTypeSpecifier = true;
            leftOfAs = firstAs;
            rightOfAs = isImport ? this.parseIdentifier() : this.parseModuleExportName();
            canParseAsKeyword = false;
          } else {
            rightOfAs = secondAs;
            canParseAsKeyword = false;
          }
        } else if (tokenIsKeywordOrIdentifier(this.state.type)) {
          canParseAsKeyword = false;
          rightOfAs = isImport ? this.parseIdentifier() : this.parseModuleExportName();
        } else {
          hasTypeSpecifier = true;
          leftOfAs = firstAs;
        }
      } else if (tokenIsKeywordOrIdentifier(this.state.type)) {
        hasTypeSpecifier = true;
        if (isImport) {
          leftOfAs = this.parseIdentifier(true);
          if (!this.isContextual(93)) {
            this.checkReservedWord(leftOfAs.name, leftOfAs.loc.start, true, true);
          }
        } else {
          leftOfAs = this.parseModuleExportName();
        }
      }
      if (hasTypeSpecifier && isInTypeOnlyImportExport) {
        this.raise(isImport ? TSErrors.TypeModifierIsUsedInTypeImports : TSErrors.TypeModifierIsUsedInTypeExports, {
          at: loc
        });
      }
      node[leftOfAsKey] = leftOfAs;
      node[rightOfAsKey] = rightOfAs;
      var kindKey = isImport ? "importKind" : "exportKind";
      node[kindKey] = hasTypeSpecifier ? "type" : "value";
      if (canParseAsKeyword && this.eatContextual(93)) {
        node[rightOfAsKey] = isImport ? this.parseIdentifier() : this.parseModuleExportName();
      }
      if (!node[rightOfAsKey]) {
        node[rightOfAsKey] = cloneIdentifier(node[leftOfAsKey]);
      }
      if (isImport) {
        this.checkIdentifier(node[rightOfAsKey], hasTypeSpecifier ? BIND_TS_TYPE_IMPORT : BIND_FLAGS_TS_IMPORT);
      }
    }
  };
  function isPossiblyLiteralEnum(expression) {
    if (expression.type !== "MemberExpression") return false;
    var {
      computed,
      property
    } = expression;
    if (computed && property.type !== "StringLiteral" && (property.type !== "TemplateLiteral" || property.expressions.length > 0)) {
      return false;
    }
    return isUncomputedMemberExpressionChain(expression.object);
  }
  function isUncomputedMemberExpressionChain(expression) {
    if (expression.type === "Identifier") return true;
    if (expression.type !== "MemberExpression") return false;
    if (expression.computed) return false;
    return isUncomputedMemberExpressionChain(expression.object);
  }
  var PlaceholderErrors = ParseErrorEnum(_templateObject5 || (_templateObject5 = _taggedTemplateLiteral__default["default"](["placeholders"])))({
    ClassNameIsRequired: "A class name is required.",
    UnexpectedSpace: "Unexpected space in placeholder."
  });
  var placeholders = superClass => class PlaceholdersParserMixin extends superClass {
    parsePlaceholder(expectedNode) {
      if (this.match(142)) {
        var node = this.startNode();
        this.next();
        this.assertNoSpace();
        node.name = super.parseIdentifier(true);
        this.assertNoSpace();
        this.expect(142);
        return this.finishPlaceholder(node, expectedNode);
      }
    }
    finishPlaceholder(node, expectedNode) {
      var isFinished = !!(node.expectedNode && node.type === "Placeholder");
      node.expectedNode = expectedNode;
      return isFinished ? node : this.finishNode(node, "Placeholder");
    }
    getTokenFromCode(code) {
      if (code === 37 && this.input.charCodeAt(this.state.pos + 1) === 37) {
        return this.finishOp(142, 2);
      }
      return super.getTokenFromCode(code);
    }
    parseExprAtom(refExpressionErrors) {
      return this.parsePlaceholder("Expression") || super.parseExprAtom(refExpressionErrors);
    }
    parseIdentifier(liberal) {
      return this.parsePlaceholder("Identifier") || super.parseIdentifier(liberal);
    }
    checkReservedWord(word, startLoc, checkKeywords, isBinding) {
      if (word !== undefined) {
        super.checkReservedWord(word, startLoc, checkKeywords, isBinding);
      }
    }
    parseBindingAtom() {
      return this.parsePlaceholder("Pattern") || super.parseBindingAtom();
    }
    isValidLVal(type, isParenthesized, binding) {
      return type === "Placeholder" || super.isValidLVal(type, isParenthesized, binding);
    }
    toAssignable(node, isLHS) {
      if (node && node.type === "Placeholder" && node.expectedNode === "Expression") {
        node.expectedNode = "Pattern";
      } else {
        super.toAssignable(node, isLHS);
      }
    }
    chStartsBindingIdentifier(ch, pos) {
      if (super.chStartsBindingIdentifier(ch, pos)) {
        return true;
      }
      var nextToken = this.lookahead();
      if (nextToken.type === 142) {
        return true;
      }
      return false;
    }
    verifyBreakContinue(node, isBreak) {
      if (node.label && node.label.type === "Placeholder") return;
      super.verifyBreakContinue(node, isBreak);
    }
    parseExpressionStatement(node, expr) {
      if (expr.type !== "Placeholder" || expr.extra && expr.extra.parenthesized) {
        return super.parseExpressionStatement(node, expr);
      }
      if (this.match(14)) {
        var stmt = node;
        stmt.label = this.finishPlaceholder(expr, "Identifier");
        this.next();
        stmt.body = super.parseStatementOrFunctionDeclaration(false);
        return this.finishNode(stmt, "LabeledStatement");
      }
      this.semicolon();
      node.name = expr.name;
      return this.finishPlaceholder(node, "Statement");
    }
    parseBlock(allowDirectives, createNewLexicalScope, afterBlockParse) {
      return this.parsePlaceholder("BlockStatement") || super.parseBlock(allowDirectives, createNewLexicalScope, afterBlockParse);
    }
    parseFunctionId(requireId) {
      return this.parsePlaceholder("Identifier") || super.parseFunctionId(requireId);
    }
    parseClass(node, isStatement, optionalId) {
      var type = isStatement ? "ClassDeclaration" : "ClassExpression";
      this.next();
      var oldStrict = this.state.strict;
      var placeholder = this.parsePlaceholder("Identifier");
      if (placeholder) {
        if (this.match(81) || this.match(142) || this.match(5)) {
          node.id = placeholder;
        } else if (optionalId || !isStatement) {
          node.id = null;
          node.body = this.finishPlaceholder(placeholder, "ClassBody");
          return this.finishNode(node, type);
        } else {
          throw this.raise(PlaceholderErrors.ClassNameIsRequired, {
            at: this.state.startLoc
          });
        }
      } else {
        this.parseClassId(node, isStatement, optionalId);
      }
      super.parseClassSuper(node);
      node.body = this.parsePlaceholder("ClassBody") || super.parseClassBody(!!node.superClass, oldStrict);
      return this.finishNode(node, type);
    }
    parseExport(node, decorators) {
      var placeholder = this.parsePlaceholder("Identifier");
      if (!placeholder) return super.parseExport(node, decorators);
      if (!this.isContextual(97) && !this.match(12)) {
        node.specifiers = [];
        node.source = null;
        node.declaration = this.finishPlaceholder(placeholder, "Declaration");
        return this.finishNode(node, "ExportNamedDeclaration");
      }
      this.expectPlugin("exportDefaultFrom");
      var specifier = this.startNode();
      specifier.exported = placeholder;
      node.specifiers = [this.finishNode(specifier, "ExportDefaultSpecifier")];
      return super.parseExport(node, decorators);
    }
    isExportDefaultSpecifier() {
      if (this.match(65)) {
        var next = this.nextTokenStart();
        if (this.isUnparsedContextual(next, "from")) {
          if (this.input.startsWith(tokenLabelName(142), this.nextTokenStartSince(next + 4))) {
            return true;
          }
        }
      }
      return super.isExportDefaultSpecifier();
    }
    maybeParseExportDefaultSpecifier(node) {
      if (node.specifiers && node.specifiers.length > 0) {
        return true;
      }
      return super.maybeParseExportDefaultSpecifier(node);
    }
    checkExport(node) {
      var {
        specifiers
      } = node;
      if (specifiers != null && specifiers.length) {
        node.specifiers = specifiers.filter(node => node.exported.type === "Placeholder");
      }
      super.checkExport(node);
      node.specifiers = specifiers;
    }
    parseImport(node) {
      var placeholder = this.parsePlaceholder("Identifier");
      if (!placeholder) return super.parseImport(node);
      node.specifiers = [];
      if (!this.isContextual(97) && !this.match(12)) {
        node.source = this.finishPlaceholder(placeholder, "StringLiteral");
        this.semicolon();
        return this.finishNode(node, "ImportDeclaration");
      }
      var specifier = this.startNodeAtNode(placeholder);
      specifier.local = placeholder;
      node.specifiers.push(this.finishNode(specifier, "ImportDefaultSpecifier"));
      if (this.eat(12)) {
        var hasStarImport = this.maybeParseStarImportSpecifier(node);
        if (!hasStarImport) this.parseNamedImportSpecifiers(node);
      }
      this.expectContextual(97);
      node.source = this.parseImportSource();
      this.semicolon();
      return this.finishNode(node, "ImportDeclaration");
    }
    parseImportSource() {
      return this.parsePlaceholder("StringLiteral") || super.parseImportSource();
    }
    assertNoSpace() {
      if (this.state.start > this.state.lastTokEndLoc.index) {
        this.raise(PlaceholderErrors.UnexpectedSpace, {
          at: this.state.lastTokEndLoc
        });
      }
    }
  };
  var v8intrinsic = superClass => class V8IntrinsicMixin extends superClass {
    parseV8Intrinsic() {
      if (this.match(54)) {
        var v8IntrinsicStartLoc = this.state.startLoc;
        var node = this.startNode();
        this.next();
        if (tokenIsIdentifier(this.state.type)) {
          var name = this.parseIdentifierName();
          var identifier = this.createIdentifier(node, name);
          identifier.type = "V8IntrinsicIdentifier";
          if (this.match(10)) {
            return identifier;
          }
        }
        this.unexpected(v8IntrinsicStartLoc);
      }
    }
    parseExprAtom(refExpressionErrors) {
      return this.parseV8Intrinsic() || super.parseExprAtom(refExpressionErrors);
    }
  };
  function hasPlugin(plugins, expectedConfig) {
    var [expectedName, expectedOptions] = typeof expectedConfig === "string" ? [expectedConfig, {}] : expectedConfig;
    var expectedKeys = Object.keys(expectedOptions);
    var expectedOptionsIsEmpty = expectedKeys.length === 0;
    return plugins.some(p => {
      if (typeof p === "string") {
        return expectedOptionsIsEmpty && p === expectedName;
      } else {
        var [pluginName, pluginOptions] = p;
        if (pluginName !== expectedName) {
          return false;
        }
        for (var key of expectedKeys) {
          if (pluginOptions[key] !== expectedOptions[key]) {
            return false;
          }
        }
        return true;
      }
    });
  }
  function getPluginOption(plugins, name, option) {
    var plugin = plugins.find(plugin => {
      if (Array.isArray(plugin)) {
        return plugin[0] === name;
      } else {
        return plugin === name;
      }
    });
    if (plugin && Array.isArray(plugin) && plugin.length > 1) {
      return plugin[1][option];
    }
    return null;
  }
  var PIPELINE_PROPOSALS = ["minimal", "fsharp", "hack", "smart"];
  var TOPIC_TOKENS = ["^^", "@@", "^", "%", "#"];
  var RECORD_AND_TUPLE_SYNTAX_TYPES = ["hash", "bar"];
  function validatePlugins(plugins) {
    if (hasPlugin(plugins, "decorators")) {
      if (hasPlugin(plugins, "decorators-legacy")) {
        throw new Error("Cannot use the decorators and decorators-legacy plugin together");
      }
      var decoratorsBeforeExport = getPluginOption(plugins, "decorators", "decoratorsBeforeExport");
      if (decoratorsBeforeExport != null && typeof decoratorsBeforeExport !== "boolean") {
        throw new Error("'decoratorsBeforeExport' must be a boolean.");
      }
      var allowCallParenthesized = getPluginOption(plugins, "decorators", "allowCallParenthesized");
      if (allowCallParenthesized != null && typeof allowCallParenthesized !== "boolean") {
        throw new Error("'allowCallParenthesized' must be a boolean.");
      }
    }
    if (hasPlugin(plugins, "flow") && hasPlugin(plugins, "typescript")) {
      throw new Error("Cannot combine flow and typescript plugins.");
    }
    if (hasPlugin(plugins, "placeholders") && hasPlugin(plugins, "v8intrinsic")) {
      throw new Error("Cannot combine placeholders and v8intrinsic plugins.");
    }
    if (hasPlugin(plugins, "pipelineOperator")) {
      var proposal = getPluginOption(plugins, "pipelineOperator", "proposal");
      if (!PIPELINE_PROPOSALS.includes(proposal)) {
        var proposalList = PIPELINE_PROPOSALS.map(p => "\"".concat(p, "\"")).join(", ");
        throw new Error("\"pipelineOperator\" requires \"proposal\" option whose value must be one of: ".concat(proposalList, "."));
      }
      var tupleSyntaxIsHash = hasPlugin(plugins, ["recordAndTuple", {
        syntaxType: "hash"
      }]);
      if (proposal === "hack") {
        if (hasPlugin(plugins, "placeholders")) {
          throw new Error("Cannot combine placeholders plugin and Hack-style pipes.");
        }
        if (hasPlugin(plugins, "v8intrinsic")) {
          throw new Error("Cannot combine v8intrinsic plugin and Hack-style pipes.");
        }
        var topicToken = getPluginOption(plugins, "pipelineOperator", "topicToken");
        if (!TOPIC_TOKENS.includes(topicToken)) {
          var tokenList = TOPIC_TOKENS.map(t => "\"".concat(t, "\"")).join(", ");
          throw new Error("\"pipelineOperator\" in \"proposal\": \"hack\" mode also requires a \"topicToken\" option whose value must be one of: ".concat(tokenList, "."));
        }
        if (topicToken === "#" && tupleSyntaxIsHash) {
          throw new Error('Plugin conflict between `["pipelineOperator", { proposal: "hack", topicToken: "#" }]` and `["recordAndtuple", { syntaxType: "hash"}]`.');
        }
      } else if (proposal === "smart" && tupleSyntaxIsHash) {
        throw new Error('Plugin conflict between `["pipelineOperator", { proposal: "smart" }]` and `["recordAndtuple", { syntaxType: "hash"}]`.');
      }
    }
    if (hasPlugin(plugins, "moduleAttributes")) {
      {
        if (hasPlugin(plugins, "importAssertions")) {
          throw new Error("Cannot combine importAssertions and moduleAttributes plugins.");
        }
        var moduleAttributesVersionPluginOption = getPluginOption(plugins, "moduleAttributes", "version");
        if (moduleAttributesVersionPluginOption !== "may-2020") {
          throw new Error("The 'moduleAttributes' plugin requires a 'version' option," + " representing the last proposal update. Currently, the" + " only supported value is 'may-2020'.");
        }
      }
    }
    if (hasPlugin(plugins, "recordAndTuple") && getPluginOption(plugins, "recordAndTuple", "syntaxType") != null && !RECORD_AND_TUPLE_SYNTAX_TYPES.includes(getPluginOption(plugins, "recordAndTuple", "syntaxType"))) {
      throw new Error("The 'syntaxType' option of the 'recordAndTuple' plugin must be one of: " + RECORD_AND_TUPLE_SYNTAX_TYPES.map(p => "'".concat(p, "'")).join(", "));
    }
    if (hasPlugin(plugins, "asyncDoExpressions") && !hasPlugin(plugins, "doExpressions")) {
      var error = new Error("'asyncDoExpressions' requires 'doExpressions', please add 'doExpressions' to parser plugins.");
      error.missingPlugins = "doExpressions";
      throw error;
    }
  }
  var mixinPlugins = {
    estree,
    jsx,
    flow,
    typescript,
    v8intrinsic,
    placeholders
  };
  var mixinPluginNames = Object.keys(mixinPlugins);
  var defaultOptions = {
    sourceType: "script",
    sourceFilename: undefined,
    startColumn: 0,
    startLine: 1,
    allowAwaitOutsideFunction: false,
    allowReturnOutsideFunction: false,
    allowImportExportEverywhere: false,
    allowSuperOutsideMethod: false,
    allowUndeclaredExports: false,
    plugins: [],
    strictMode: null,
    ranges: false,
    tokens: false,
    createParenthesizedExpressions: false,
    errorRecovery: false,
    attachComment: true
  };
  function getOptions(opts) {
    var options = {};
    for (var key of Object.keys(defaultOptions)) {
      options[key] = opts && opts[key] != null ? opts[key] : defaultOptions[key];
    }
    return options;
  }
  var getOwn = (object, key) => Object.hasOwnProperty.call(object, key) && object[key];
  var unwrapParenthesizedExpression = node => {
    return node.type === "ParenthesizedExpression" ? unwrapParenthesizedExpression(node.expression) : node;
  };
  class LValParser extends NodeUtils {
    toAssignable(node) {
      var isLHS = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
      var _node$extra, _node$extra3;
      var parenthesized = undefined;
      if (node.type === "ParenthesizedExpression" || (_node$extra = node.extra) != null && _node$extra.parenthesized) {
        parenthesized = unwrapParenthesizedExpression(node);
        if (isLHS) {
          if (parenthesized.type === "Identifier") {
            this.expressionScope.recordArrowParemeterBindingError(Errors.InvalidParenthesizedAssignment, {
              at: node
            });
          } else if (parenthesized.type !== "MemberExpression") {
            this.raise(Errors.InvalidParenthesizedAssignment, {
              at: node
            });
          }
        } else {
          this.raise(Errors.InvalidParenthesizedAssignment, {
            at: node
          });
        }
      }
      switch (node.type) {
        case "Identifier":
        case "ObjectPattern":
        case "ArrayPattern":
        case "AssignmentPattern":
        case "RestElement":
          break;
        case "ObjectExpression":
          node.type = "ObjectPattern";
          for (var i = 0, length = node.properties.length, last = length - 1; i < length; i++) {
            var _node$extra2;
            var prop = node.properties[i];
            var isLast = i === last;
            this.toAssignableObjectExpressionProp(prop, isLast, isLHS);
            if (isLast && prop.type === "RestElement" && (_node$extra2 = node.extra) != null && _node$extra2.trailingCommaLoc) {
              this.raise(Errors.RestTrailingComma, {
                at: node.extra.trailingCommaLoc
              });
            }
          }
          break;
        case "ObjectProperty":
          {
            var {
              key,
              value
            } = node;
            if (this.isPrivateName(key)) {
              this.classScope.usePrivateName(this.getPrivateNameSV(key), key.loc.start);
            }
            this.toAssignable(value, isLHS);
            break;
          }
        case "SpreadElement":
          {
            throw new Error("Internal @babel/parser error (this is a bug, please report it)." + " SpreadElement should be converted by .toAssignable's caller.");
          }
        case "ArrayExpression":
          node.type = "ArrayPattern";
          this.toAssignableList(node.elements, (_node$extra3 = node.extra) == null ? void 0 : _node$extra3.trailingCommaLoc, isLHS);
          break;
        case "AssignmentExpression":
          if (node.operator !== "=") {
            this.raise(Errors.MissingEqInAssignment, {
              at: node.left.loc.end
            });
          }
          node.type = "AssignmentPattern";
          delete node.operator;
          this.toAssignable(node.left, isLHS);
          break;
        case "ParenthesizedExpression":
          this.toAssignable(parenthesized, isLHS);
          break;
      }
    }
    toAssignableObjectExpressionProp(prop, isLast, isLHS) {
      if (prop.type === "ObjectMethod") {
        this.raise(prop.kind === "get" || prop.kind === "set" ? Errors.PatternHasAccessor : Errors.PatternHasMethod, {
          at: prop.key
        });
      } else if (prop.type === "SpreadElement") {
        prop.type = "RestElement";
        var arg = prop.argument;
        this.checkToRestConversion(arg, false);
        this.toAssignable(arg, isLHS);
        if (!isLast) {
          this.raise(Errors.RestTrailingComma, {
            at: prop
          });
        }
      } else {
        this.toAssignable(prop, isLHS);
      }
    }
    toAssignableList(exprList, trailingCommaLoc, isLHS) {
      var end = exprList.length - 1;
      for (var i = 0; i <= end; i++) {
        var elt = exprList[i];
        if (!elt) continue;
        if (elt.type === "SpreadElement") {
          elt.type = "RestElement";
          var arg = elt.argument;
          this.checkToRestConversion(arg, true);
          this.toAssignable(arg, isLHS);
        } else {
          this.toAssignable(elt, isLHS);
        }
        if (elt.type === "RestElement") {
          if (i < end) {
            this.raise(Errors.RestTrailingComma, {
              at: elt
            });
          } else if (trailingCommaLoc) {
            this.raise(Errors.RestTrailingComma, {
              at: trailingCommaLoc
            });
          }
        }
      }
    }
    isAssignable(node, isBinding) {
      switch (node.type) {
        case "Identifier":
        case "ObjectPattern":
        case "ArrayPattern":
        case "AssignmentPattern":
        case "RestElement":
          return true;
        case "ObjectExpression":
          {
            var last = node.properties.length - 1;
            return node.properties.every((prop, i) => {
              return prop.type !== "ObjectMethod" && (i === last || prop.type !== "SpreadElement") && this.isAssignable(prop);
            });
          }
        case "ObjectProperty":
          return this.isAssignable(node.value);
        case "SpreadElement":
          return this.isAssignable(node.argument);
        case "ArrayExpression":
          return node.elements.every(element => element === null || this.isAssignable(element));
        case "AssignmentExpression":
          return node.operator === "=";
        case "ParenthesizedExpression":
          return this.isAssignable(node.expression);
        case "MemberExpression":
        case "OptionalMemberExpression":
          return !isBinding;
        default:
          return false;
      }
    }
    toReferencedList(exprList, isParenthesizedExpr) {
      return exprList;
    }
    toReferencedListDeep(exprList, isParenthesizedExpr) {
      this.toReferencedList(exprList, isParenthesizedExpr);
      for (var expr of exprList) {
        if ((expr == null ? void 0 : expr.type) === "ArrayExpression") {
          this.toReferencedListDeep(expr.elements);
        }
      }
    }
    parseSpread(refExpressionErrors) {
      var node = this.startNode();
      this.next();
      node.argument = this.parseMaybeAssignAllowIn(refExpressionErrors, undefined);
      return this.finishNode(node, "SpreadElement");
    }
    parseRestBinding() {
      var node = this.startNode();
      this.next();
      node.argument = this.parseBindingAtom();
      return this.finishNode(node, "RestElement");
    }
    parseBindingAtom() {
      switch (this.state.type) {
        case 0:
          {
            var node = this.startNode();
            this.next();
            node.elements = this.parseBindingList(3, 93, true);
            return this.finishNode(node, "ArrayPattern");
          }
        case 5:
          return this.parseObjectLike(8, true);
      }
      return this.parseIdentifier();
    }
    parseBindingList(close, closeCharCode, allowEmpty, allowModifiers) {
      var elts = [];
      var first = true;
      while (!this.eat(close)) {
        if (first) {
          first = false;
        } else {
          this.expect(12);
        }
        if (allowEmpty && this.match(12)) {
          elts.push(null);
        } else if (this.eat(close)) {
          break;
        } else if (this.match(21)) {
          elts.push(this.parseAssignableListItemTypes(this.parseRestBinding()));
          if (!this.checkCommaAfterRest(closeCharCode)) {
            this.expect(close);
            break;
          }
        } else {
          var decorators = [];
          if (this.match(26) && this.hasPlugin("decorators")) {
            this.raise(Errors.UnsupportedParameterDecorator, {
              at: this.state.startLoc
            });
          }
          while (this.match(26)) {
            decorators.push(this.parseDecorator());
          }
          elts.push(this.parseAssignableListItem(allowModifiers, decorators));
        }
      }
      return elts;
    }
    parseBindingRestProperty(prop) {
      this.next();
      prop.argument = this.parseIdentifier();
      this.checkCommaAfterRest(125);
      return this.finishNode(prop, "RestElement");
    }
    parseBindingProperty() {
      var prop = this.startNode();
      var {
        type,
        startLoc
      } = this.state;
      if (type === 21) {
        return this.parseBindingRestProperty(prop);
      } else if (type === 136) {
        this.expectPlugin("destructuringPrivate", startLoc);
        this.classScope.usePrivateName(this.state.value, startLoc);
        prop.key = this.parsePrivateName();
      } else {
        this.parsePropertyName(prop);
      }
      prop.method = false;
      return this.parseObjPropValue(prop, startLoc, false, false, true, false);
    }
    parseAssignableListItem(allowModifiers, decorators) {
      var left = this.parseMaybeDefault();
      this.parseAssignableListItemTypes(left);
      var elt = this.parseMaybeDefault(left.loc.start, left);
      if (decorators.length) {
        left.decorators = decorators;
      }
      return elt;
    }
    parseAssignableListItemTypes(param) {
      return param;
    }
    parseMaybeDefault(startLoc, left) {
      var _startLoc, _left;
      (_startLoc = startLoc) != null ? _startLoc : startLoc = this.state.startLoc;
      left = (_left = left) != null ? _left : this.parseBindingAtom();
      if (!this.eat(29)) return left;
      var node = this.startNodeAt(startLoc);
      node.left = left;
      node.right = this.parseMaybeAssignAllowIn();
      return this.finishNode(node, "AssignmentPattern");
    }
    isValidLVal(type, isUnparenthesizedInAssign, binding) {
      return getOwn({
        AssignmentPattern: "left",
        RestElement: "argument",
        ObjectProperty: "value",
        ParenthesizedExpression: "expression",
        ArrayPattern: "elements",
        ObjectPattern: "properties"
      }, type);
    }
    checkLVal(expression, _ref88) {
      var {
        in: ancestor,
        binding = BIND_NONE,
        checkClashes = false,
        strictModeChanged = false,
        allowingSloppyLetBinding = !(binding & BIND_SCOPE_LEXICAL),
        hasParenthesizedAncestor = false
      } = _ref88;
      var _expression$extra;
      var type = expression.type;
      if (this.isObjectMethod(expression)) return;
      if (type === "MemberExpression") {
        if (binding !== BIND_NONE) {
          this.raise(Errors.InvalidPropertyBindingPattern, {
            at: expression
          });
        }
        return;
      }
      if (expression.type === "Identifier") {
        this.checkIdentifier(expression, binding, strictModeChanged, allowingSloppyLetBinding);
        var {
          name
        } = expression;
        if (checkClashes) {
          if (checkClashes.has(name)) {
            this.raise(Errors.ParamDupe, {
              at: expression
            });
          } else {
            checkClashes.add(name);
          }
        }
        return;
      }
      var validity = this.isValidLVal(expression.type, !(hasParenthesizedAncestor || (_expression$extra = expression.extra) != null && _expression$extra.parenthesized) && ancestor.type === "AssignmentExpression", binding);
      if (validity === true) return;
      if (validity === false) {
        var ParseErrorClass = binding === BIND_NONE ? Errors.InvalidLhs : Errors.InvalidLhsBinding;
        this.raise(ParseErrorClass, {
          at: expression,
          ancestor: ancestor.type === "UpdateExpression" ? {
            type: "UpdateExpression",
            prefix: ancestor.prefix
          } : {
            type: ancestor.type
          }
        });
        return;
      }
      var [key, isParenthesizedExpression] = Array.isArray(validity) ? validity : [validity, type === "ParenthesizedExpression"];
      var nextAncestor = expression.type === "ArrayPattern" || expression.type === "ObjectPattern" || expression.type === "ParenthesizedExpression" ? expression : ancestor;
      for (var child of [].concat(expression[key])) {
        if (child) {
          this.checkLVal(child, {
            in: nextAncestor,
            binding,
            checkClashes,
            allowingSloppyLetBinding,
            strictModeChanged,
            hasParenthesizedAncestor: isParenthesizedExpression
          });
        }
      }
    }
    checkIdentifier(at, bindingType) {
      var strictModeChanged = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
      var allowLetBinding = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : !(bindingType & BIND_SCOPE_LEXICAL);
      if (this.state.strict && (strictModeChanged ? isStrictBindReservedWord(at.name, this.inModule) : isStrictBindOnlyReservedWord(at.name))) {
        if (bindingType === BIND_NONE) {
          this.raise(Errors.StrictEvalArguments, {
            at,
            referenceName: at.name
          });
        } else {
          this.raise(Errors.StrictEvalArgumentsBinding, {
            at,
            bindingName: at.name
          });
        }
      }
      if (!allowLetBinding && at.name === "let") {
        this.raise(Errors.LetInLexicalBinding, {
          at
        });
      }
      if (!(bindingType & BIND_NONE)) {
        this.declareNameFromIdentifier(at, bindingType);
      }
    }
    declareNameFromIdentifier(identifier, binding) {
      this.scope.declareName(identifier.name, binding, identifier.loc.start);
    }
    checkToRestConversion(node, allowPattern) {
      switch (node.type) {
        case "ParenthesizedExpression":
          this.checkToRestConversion(node.expression, allowPattern);
          break;
        case "Identifier":
        case "MemberExpression":
          break;
        case "ArrayExpression":
        case "ObjectExpression":
          if (allowPattern) break;
        default:
          this.raise(Errors.InvalidRestAssignmentPattern, {
            at: node
          });
      }
    }
    checkCommaAfterRest(close) {
      if (!this.match(12)) {
        return false;
      }
      this.raise(this.lookaheadCharCode() === close ? Errors.RestTrailingComma : Errors.ElementAfterRest, {
        at: this.state.startLoc
      });
      return true;
    }
  }
  class ExpressionParser extends LValParser {
    checkProto(prop, isRecord, protoRef, refExpressionErrors) {
      if (prop.type === "SpreadElement" || this.isObjectMethod(prop) || prop.computed || prop.shorthand) {
        return;
      }
      var key = prop.key;
      var name = key.type === "Identifier" ? key.name : key.value;
      if (name === "__proto__") {
        if (isRecord) {
          this.raise(Errors.RecordNoProto, {
            at: key
          });
          return;
        }
        if (protoRef.used) {
          if (refExpressionErrors) {
            if (refExpressionErrors.doubleProtoLoc === null) {
              refExpressionErrors.doubleProtoLoc = key.loc.start;
            }
          } else {
            this.raise(Errors.DuplicateProto, {
              at: key
            });
          }
        }
        protoRef.used = true;
      }
    }
    shouldExitDescending(expr, potentialArrowAt) {
      return expr.type === "ArrowFunctionExpression" && expr.start === potentialArrowAt;
    }
    getExpression() {
      this.enterInitialScopes();
      this.nextToken();
      var expr = this.parseExpression();
      if (!this.match(137)) {
        this.unexpected();
      }
      this.finalizeRemainingComments();
      expr.comments = this.state.comments;
      expr.errors = this.state.errors;
      if (this.options.tokens) {
        expr.tokens = this.tokens;
      }
      return expr;
    }
    parseExpression(disallowIn, refExpressionErrors) {
      if (disallowIn) {
        return this.disallowInAnd(() => this.parseExpressionBase(refExpressionErrors));
      }
      return this.allowInAnd(() => this.parseExpressionBase(refExpressionErrors));
    }
    parseExpressionBase(refExpressionErrors) {
      var startLoc = this.state.startLoc;
      var expr = this.parseMaybeAssign(refExpressionErrors);
      if (this.match(12)) {
        var node = this.startNodeAt(startLoc);
        node.expressions = [expr];
        while (this.eat(12)) {
          node.expressions.push(this.parseMaybeAssign(refExpressionErrors));
        }
        this.toReferencedList(node.expressions);
        return this.finishNode(node, "SequenceExpression");
      }
      return expr;
    }
    parseMaybeAssignDisallowIn(refExpressionErrors, afterLeftParse) {
      return this.disallowInAnd(() => this.parseMaybeAssign(refExpressionErrors, afterLeftParse));
    }
    parseMaybeAssignAllowIn(refExpressionErrors, afterLeftParse) {
      return this.allowInAnd(() => this.parseMaybeAssign(refExpressionErrors, afterLeftParse));
    }
    setOptionalParametersError(refExpressionErrors, resultError) {
      var _resultError$loc;
      refExpressionErrors.optionalParametersLoc = (_resultError$loc = resultError == null ? void 0 : resultError.loc) != null ? _resultError$loc : this.state.startLoc;
    }
    parseMaybeAssign(refExpressionErrors, afterLeftParse) {
      var startLoc = this.state.startLoc;
      if (this.isContextual(106)) {
        if (this.prodParam.hasYield) {
          var _left2 = this.parseYield();
          if (afterLeftParse) {
            _left2 = afterLeftParse.call(this, _left2, startLoc);
          }
          return _left2;
        }
      }
      var ownExpressionErrors;
      if (refExpressionErrors) {
        ownExpressionErrors = false;
      } else {
        refExpressionErrors = new ExpressionErrors();
        ownExpressionErrors = true;
      }
      var {
        type
      } = this.state;
      if (type === 10 || tokenIsIdentifier(type)) {
        this.state.potentialArrowAt = this.state.start;
      }
      var left = this.parseMaybeConditional(refExpressionErrors);
      if (afterLeftParse) {
        left = afterLeftParse.call(this, left, startLoc);
      }
      if (tokenIsAssignment(this.state.type)) {
        var node = this.startNodeAt(startLoc);
        var operator = this.state.value;
        node.operator = operator;
        if (this.match(29)) {
          this.toAssignable(left, true);
          node.left = left;
          var startIndex = startLoc.index;
          if (refExpressionErrors.doubleProtoLoc != null && refExpressionErrors.doubleProtoLoc.index >= startIndex) {
            refExpressionErrors.doubleProtoLoc = null;
          }
          if (refExpressionErrors.shorthandAssignLoc != null && refExpressionErrors.shorthandAssignLoc.index >= startIndex) {
            refExpressionErrors.shorthandAssignLoc = null;
          }
          if (refExpressionErrors.privateKeyLoc != null && refExpressionErrors.privateKeyLoc.index >= startIndex) {
            this.checkDestructuringPrivate(refExpressionErrors);
            refExpressionErrors.privateKeyLoc = null;
          }
        } else {
          node.left = left;
        }
        this.next();
        node.right = this.parseMaybeAssign();
        this.checkLVal(left, {
          in: this.finishNode(node, "AssignmentExpression")
        });
        return node;
      } else if (ownExpressionErrors) {
        this.checkExpressionErrors(refExpressionErrors, true);
      }
      return left;
    }
    parseMaybeConditional(refExpressionErrors) {
      var startLoc = this.state.startLoc;
      var potentialArrowAt = this.state.potentialArrowAt;
      var expr = this.parseExprOps(refExpressionErrors);
      if (this.shouldExitDescending(expr, potentialArrowAt)) {
        return expr;
      }
      return this.parseConditional(expr, startLoc, refExpressionErrors);
    }
    parseConditional(expr, startLoc, refExpressionErrors) {
      if (this.eat(17)) {
        var node = this.startNodeAt(startLoc);
        node.test = expr;
        node.consequent = this.parseMaybeAssignAllowIn();
        this.expect(14);
        node.alternate = this.parseMaybeAssign();
        return this.finishNode(node, "ConditionalExpression");
      }
      return expr;
    }
    parseMaybeUnaryOrPrivate(refExpressionErrors) {
      return this.match(136) ? this.parsePrivateName() : this.parseMaybeUnary(refExpressionErrors);
    }
    parseExprOps(refExpressionErrors) {
      var startLoc = this.state.startLoc;
      var potentialArrowAt = this.state.potentialArrowAt;
      var expr = this.parseMaybeUnaryOrPrivate(refExpressionErrors);
      if (this.shouldExitDescending(expr, potentialArrowAt)) {
        return expr;
      }
      return this.parseExprOp(expr, startLoc, -1);
    }
    parseExprOp(left, leftStartLoc, minPrec) {
      if (this.isPrivateName(left)) {
        var value = this.getPrivateNameSV(left);
        if (minPrec >= tokenOperatorPrecedence(58) || !this.prodParam.hasIn || !this.match(58)) {
          this.raise(Errors.PrivateInExpectedIn, {
            at: left,
            identifierName: value
          });
        }
        this.classScope.usePrivateName(value, left.loc.start);
      }
      var op = this.state.type;
      if (tokenIsOperator(op) && (this.prodParam.hasIn || !this.match(58))) {
        var prec = tokenOperatorPrecedence(op);
        if (prec > minPrec) {
          if (op === 39) {
            this.expectPlugin("pipelineOperator");
            if (this.state.inFSharpPipelineDirectBody) {
              return left;
            }
            this.checkPipelineAtInfixOperator(left, leftStartLoc);
          }
          var node = this.startNodeAt(leftStartLoc);
          node.left = left;
          node.operator = this.state.value;
          var logical = op === 41 || op === 42;
          var coalesce = op === 40;
          if (coalesce) {
            prec = tokenOperatorPrecedence(42);
          }
          this.next();
          if (op === 39 && this.hasPlugin(["pipelineOperator", {
            proposal: "minimal"
          }])) {
            if (this.state.type === 96 && this.prodParam.hasAwait) {
              throw this.raise(Errors.UnexpectedAwaitAfterPipelineBody, {
                at: this.state.startLoc
              });
            }
          }
          node.right = this.parseExprOpRightExpr(op, prec);
          var finishedNode = this.finishNode(node, logical || coalesce ? "LogicalExpression" : "BinaryExpression");
          var nextOp = this.state.type;
          if (coalesce && (nextOp === 41 || nextOp === 42) || logical && nextOp === 40) {
            throw this.raise(Errors.MixingCoalesceWithLogical, {
              at: this.state.startLoc
            });
          }
          return this.parseExprOp(finishedNode, leftStartLoc, minPrec);
        }
      }
      return left;
    }
    parseExprOpRightExpr(op, prec) {
      var startLoc = this.state.startLoc;
      switch (op) {
        case 39:
          switch (this.getPluginOption("pipelineOperator", "proposal")) {
            case "hack":
              return this.withTopicBindingContext(() => {
                return this.parseHackPipeBody();
              });
            case "smart":
              return this.withTopicBindingContext(() => {
                if (this.prodParam.hasYield && this.isContextual(106)) {
                  throw this.raise(Errors.PipeBodyIsTighter, {
                    at: this.state.startLoc
                  });
                }
                return this.parseSmartPipelineBodyInStyle(this.parseExprOpBaseRightExpr(op, prec), startLoc);
              });
            case "fsharp":
              return this.withSoloAwaitPermittingContext(() => {
                return this.parseFSharpPipelineBody(prec);
              });
          }
        default:
          return this.parseExprOpBaseRightExpr(op, prec);
      }
    }
    parseExprOpBaseRightExpr(op, prec) {
      var startLoc = this.state.startLoc;
      return this.parseExprOp(this.parseMaybeUnaryOrPrivate(), startLoc, tokenIsRightAssociative(op) ? prec - 1 : prec);
    }
    parseHackPipeBody() {
      var _body$extra;
      var {
        startLoc
      } = this.state;
      var body = this.parseMaybeAssign();
      var requiredParentheses = UnparenthesizedPipeBodyDescriptions.has(body.type);
      if (requiredParentheses && !((_body$extra = body.extra) != null && _body$extra.parenthesized)) {
        this.raise(Errors.PipeUnparenthesizedBody, {
          at: startLoc,
          type: body.type
        });
      }
      if (!this.topicReferenceWasUsedInCurrentContext()) {
        this.raise(Errors.PipeTopicUnused, {
          at: startLoc
        });
      }
      return body;
    }
    checkExponentialAfterUnary(node) {
      if (this.match(57)) {
        this.raise(Errors.UnexpectedTokenUnaryExponentiation, {
          at: node.argument
        });
      }
    }
    parseMaybeUnary(refExpressionErrors, sawUnary) {
      var startLoc = this.state.startLoc;
      var isAwait = this.isContextual(96);
      if (isAwait && this.isAwaitAllowed()) {
        this.next();
        var _expr = this.parseAwait(startLoc);
        if (!sawUnary) this.checkExponentialAfterUnary(_expr);
        return _expr;
      }
      var update = this.match(34);
      var node = this.startNode();
      if (tokenIsPrefix(this.state.type)) {
        node.operator = this.state.value;
        node.prefix = true;
        if (this.match(72)) {
          this.expectPlugin("throwExpressions");
        }
        var isDelete = this.match(89);
        this.next();
        node.argument = this.parseMaybeUnary(null, true);
        this.checkExpressionErrors(refExpressionErrors, true);
        if (this.state.strict && isDelete) {
          var arg = node.argument;
          if (arg.type === "Identifier") {
            this.raise(Errors.StrictDelete, {
              at: node
            });
          } else if (this.hasPropertyAsPrivateName(arg)) {
            this.raise(Errors.DeletePrivateField, {
              at: node
            });
          }
        }
        if (!update) {
          if (!sawUnary) {
            this.checkExponentialAfterUnary(node);
          }
          return this.finishNode(node, "UnaryExpression");
        }
      }
      var expr = this.parseUpdate(node, update, refExpressionErrors);
      if (isAwait) {
        var {
          type
        } = this.state;
        var _startsExpr = this.hasPlugin("v8intrinsic") ? tokenCanStartExpression(type) : tokenCanStartExpression(type) && !this.match(54);
        if (_startsExpr && !this.isAmbiguousAwait()) {
          this.raiseOverwrite(Errors.AwaitNotInAsyncContext, {
            at: startLoc
          });
          return this.parseAwait(startLoc);
        }
      }
      return expr;
    }
    parseUpdate(node, update, refExpressionErrors) {
      if (update) {
        var updateExpressionNode = node;
        this.checkLVal(updateExpressionNode.argument, {
          in: this.finishNode(updateExpressionNode, "UpdateExpression")
        });
        return node;
      }
      var startLoc = this.state.startLoc;
      var expr = this.parseExprSubscripts(refExpressionErrors);
      if (this.checkExpressionErrors(refExpressionErrors, false)) return expr;
      while (tokenIsPostfix(this.state.type) && !this.canInsertSemicolon()) {
        var _node10 = this.startNodeAt(startLoc);
        _node10.operator = this.state.value;
        _node10.prefix = false;
        _node10.argument = expr;
        this.next();
        this.checkLVal(expr, {
          in: expr = this.finishNode(_node10, "UpdateExpression")
        });
      }
      return expr;
    }
    parseExprSubscripts(refExpressionErrors) {
      var startLoc = this.state.startLoc;
      var potentialArrowAt = this.state.potentialArrowAt;
      var expr = this.parseExprAtom(refExpressionErrors);
      if (this.shouldExitDescending(expr, potentialArrowAt)) {
        return expr;
      }
      return this.parseSubscripts(expr, startLoc);
    }
    parseSubscripts(base, startLoc, noCalls) {
      var state = {
        optionalChainMember: false,
        maybeAsyncArrow: this.atPossibleAsyncArrow(base),
        stop: false
      };
      do {
        base = this.parseSubscript(base, startLoc, noCalls, state);
        state.maybeAsyncArrow = false;
      } while (!state.stop);
      return base;
    }
    parseSubscript(base, startLoc, noCalls, state) {
      var {
        type
      } = this.state;
      if (!noCalls && type === 15) {
        return this.parseBind(base, startLoc, noCalls, state);
      } else if (tokenIsTemplate(type)) {
        return this.parseTaggedTemplateExpression(base, startLoc, state);
      }
      var optional = false;
      if (type === 18) {
        if (noCalls && this.lookaheadCharCode() === 40) {
          state.stop = true;
          return base;
        }
        state.optionalChainMember = optional = true;
        this.next();
      }
      if (!noCalls && this.match(10)) {
        return this.parseCoverCallAndAsyncArrowHead(base, startLoc, state, optional);
      } else {
        var computed = this.eat(0);
        if (computed || optional || this.eat(16)) {
          return this.parseMember(base, startLoc, state, computed, optional);
        } else {
          state.stop = true;
          return base;
        }
      }
    }
    parseMember(base, startLoc, state, computed, optional) {
      var node = this.startNodeAt(startLoc);
      node.object = base;
      node.computed = computed;
      if (computed) {
        node.property = this.parseExpression();
        this.expect(3);
      } else if (this.match(136)) {
        if (base.type === "Super") {
          this.raise(Errors.SuperPrivateField, {
            at: startLoc
          });
        }
        this.classScope.usePrivateName(this.state.value, this.state.startLoc);
        node.property = this.parsePrivateName();
      } else {
        node.property = this.parseIdentifier(true);
      }
      if (state.optionalChainMember) {
        node.optional = optional;
        return this.finishNode(node, "OptionalMemberExpression");
      } else {
        return this.finishNode(node, "MemberExpression");
      }
    }
    parseBind(base, startLoc, noCalls, state) {
      var node = this.startNodeAt(startLoc);
      node.object = base;
      this.next();
      node.callee = this.parseNoCallExpr();
      state.stop = true;
      return this.parseSubscripts(this.finishNode(node, "BindExpression"), startLoc, noCalls);
    }
    parseCoverCallAndAsyncArrowHead(base, startLoc, state, optional) {
      var oldMaybeInArrowParameters = this.state.maybeInArrowParameters;
      var refExpressionErrors = null;
      this.state.maybeInArrowParameters = true;
      this.next();
      var node = this.startNodeAt(startLoc);
      node.callee = base;
      var {
        maybeAsyncArrow,
        optionalChainMember
      } = state;
      if (maybeAsyncArrow) {
        this.expressionScope.enter(newAsyncArrowScope());
        refExpressionErrors = new ExpressionErrors();
      }
      if (optionalChainMember) {
        node.optional = optional;
      }
      if (optional) {
        node.arguments = this.parseCallExpressionArguments(11);
      } else {
        node.arguments = this.parseCallExpressionArguments(11, base.type === "Import", base.type !== "Super", node, refExpressionErrors);
      }
      var finishedNode = this.finishCallExpression(node, optionalChainMember);
      if (maybeAsyncArrow && this.shouldParseAsyncArrow() && !optional) {
        state.stop = true;
        this.checkDestructuringPrivate(refExpressionErrors);
        this.expressionScope.validateAsPattern();
        this.expressionScope.exit();
        finishedNode = this.parseAsyncArrowFromCallExpression(this.startNodeAt(startLoc), finishedNode);
      } else {
        if (maybeAsyncArrow) {
          this.checkExpressionErrors(refExpressionErrors, true);
          this.expressionScope.exit();
        }
        this.toReferencedArguments(finishedNode);
      }
      this.state.maybeInArrowParameters = oldMaybeInArrowParameters;
      return finishedNode;
    }
    toReferencedArguments(node, isParenthesizedExpr) {
      this.toReferencedListDeep(node.arguments, isParenthesizedExpr);
    }
    parseTaggedTemplateExpression(base, startLoc, state) {
      var node = this.startNodeAt(startLoc);
      node.tag = base;
      node.quasi = this.parseTemplate(true);
      if (state.optionalChainMember) {
        this.raise(Errors.OptionalChainingNoTemplate, {
          at: startLoc
        });
      }
      return this.finishNode(node, "TaggedTemplateExpression");
    }
    atPossibleAsyncArrow(base) {
      return base.type === "Identifier" && base.name === "async" && this.state.lastTokEndLoc.index === base.end && !this.canInsertSemicolon() && base.end - base.start === 5 && base.start === this.state.potentialArrowAt;
    }
    finishCallExpression(node, optional) {
      if (node.callee.type === "Import") {
        if (node.arguments.length === 2) {
          {
            if (!this.hasPlugin("moduleAttributes")) {
              this.expectPlugin("importAssertions");
            }
          }
        }
        if (node.arguments.length === 0 || node.arguments.length > 2) {
          this.raise(Errors.ImportCallArity, {
            at: node,
            maxArgumentCount: this.hasPlugin("importAssertions") || this.hasPlugin("moduleAttributes") ? 2 : 1
          });
        } else {
          for (var arg of node.arguments) {
            if (arg.type === "SpreadElement") {
              this.raise(Errors.ImportCallSpreadArgument, {
                at: arg
              });
            }
          }
        }
      }
      return this.finishNode(node, optional ? "OptionalCallExpression" : "CallExpression");
    }
    parseCallExpressionArguments(close, dynamicImport, allowPlaceholder, nodeForExtra, refExpressionErrors) {
      var elts = [];
      var first = true;
      var oldInFSharpPipelineDirectBody = this.state.inFSharpPipelineDirectBody;
      this.state.inFSharpPipelineDirectBody = false;
      while (!this.eat(close)) {
        if (first) {
          first = false;
        } else {
          this.expect(12);
          if (this.match(close)) {
            if (dynamicImport && !this.hasPlugin("importAssertions") && !this.hasPlugin("moduleAttributes")) {
              this.raise(Errors.ImportCallArgumentTrailingComma, {
                at: this.state.lastTokStartLoc
              });
            }
            if (nodeForExtra) {
              this.addTrailingCommaExtraToNode(nodeForExtra);
            }
            this.next();
            break;
          }
        }
        elts.push(this.parseExprListItem(false, refExpressionErrors, allowPlaceholder));
      }
      this.state.inFSharpPipelineDirectBody = oldInFSharpPipelineDirectBody;
      return elts;
    }
    shouldParseAsyncArrow() {
      return this.match(19) && !this.canInsertSemicolon();
    }
    parseAsyncArrowFromCallExpression(node, call) {
      var _call$extra;
      this.resetPreviousNodeTrailingComments(call);
      this.expect(19);
      this.parseArrowExpression(node, call.arguments, true, (_call$extra = call.extra) == null ? void 0 : _call$extra.trailingCommaLoc);
      if (call.innerComments) {
        setInnerComments(node, call.innerComments);
      }
      if (call.callee.trailingComments) {
        setInnerComments(node, call.callee.trailingComments);
      }
      return node;
    }
    parseNoCallExpr() {
      var startLoc = this.state.startLoc;
      return this.parseSubscripts(this.parseExprAtom(), startLoc, true);
    }
    parseExprAtom(refExpressionErrors) {
      var node;
      var decorators = null;
      var {
        type
      } = this.state;
      switch (type) {
        case 79:
          return this.parseSuper();
        case 83:
          node = this.startNode();
          this.next();
          if (this.match(16)) {
            return this.parseImportMetaProperty(node);
          }
          if (!this.match(10)) {
            this.raise(Errors.UnsupportedImport, {
              at: this.state.lastTokStartLoc
            });
          }
          return this.finishNode(node, "Import");
        case 78:
          node = this.startNode();
          this.next();
          return this.finishNode(node, "ThisExpression");
        case 90:
          {
            return this.parseDo(this.startNode(), false);
          }
        case 56:
        case 31:
          {
            this.readRegexp();
            return this.parseRegExpLiteral(this.state.value);
          }
        case 132:
          return this.parseNumericLiteral(this.state.value);
        case 133:
          return this.parseBigIntLiteral(this.state.value);
        case 134:
          return this.parseDecimalLiteral(this.state.value);
        case 131:
          return this.parseStringLiteral(this.state.value);
        case 84:
          return this.parseNullLiteral();
        case 85:
          return this.parseBooleanLiteral(true);
        case 86:
          return this.parseBooleanLiteral(false);
        case 10:
          {
            var canBeArrow = this.state.potentialArrowAt === this.state.start;
            return this.parseParenAndDistinguishExpression(canBeArrow);
          }
        case 2:
        case 1:
          {
            return this.parseArrayLike(this.state.type === 2 ? 4 : 3, false, true);
          }
        case 0:
          {
            return this.parseArrayLike(3, true, false, refExpressionErrors);
          }
        case 6:
        case 7:
          {
            return this.parseObjectLike(this.state.type === 6 ? 9 : 8, false, true);
          }
        case 5:
          {
            return this.parseObjectLike(8, false, false, refExpressionErrors);
          }
        case 68:
          return this.parseFunctionOrFunctionSent();
        case 26:
          decorators = this.parseDecorators();
        case 80:
          return this.parseClass(this.maybeTakeDecorators(decorators, this.startNode()), false);
        case 77:
          return this.parseNewOrNewTarget();
        case 25:
        case 24:
          return this.parseTemplate(false);
        case 15:
          {
            node = this.startNode();
            this.next();
            node.object = null;
            var callee = node.callee = this.parseNoCallExpr();
            if (callee.type === "MemberExpression") {
              return this.finishNode(node, "BindExpression");
            } else {
              throw this.raise(Errors.UnsupportedBind, {
                at: callee
              });
            }
          }
        case 136:
          {
            this.raise(Errors.PrivateInExpectedIn, {
              at: this.state.startLoc,
              identifierName: this.state.value
            });
            return this.parsePrivateName();
          }
        case 33:
          {
            return this.parseTopicReferenceThenEqualsSign(54, "%");
          }
        case 32:
          {
            return this.parseTopicReferenceThenEqualsSign(44, "^");
          }
        case 37:
        case 38:
          {
            return this.parseTopicReference("hack");
          }
        case 44:
        case 54:
        case 27:
          {
            var pipeProposal = this.getPluginOption("pipelineOperator", "proposal");
            if (pipeProposal) {
              return this.parseTopicReference(pipeProposal);
            } else {
              throw this.unexpected();
            }
          }
        case 47:
          {
            var lookaheadCh = this.input.codePointAt(this.nextTokenStart());
            if (isIdentifierStart(lookaheadCh) || lookaheadCh === 62) {
              this.expectOnePlugin(["jsx", "flow", "typescript"]);
              break;
            } else {
              throw this.unexpected();
            }
          }
        default:
          if (tokenIsIdentifier(type)) {
            if (this.isContextual(125) && this.lookaheadCharCode() === 123 && !this.hasFollowingLineBreak()) {
              return this.parseModuleExpression();
            }
            var _canBeArrow = this.state.potentialArrowAt === this.state.start;
            var containsEsc = this.state.containsEsc;
            var id = this.parseIdentifier();
            if (!containsEsc && id.name === "async" && !this.canInsertSemicolon()) {
              var {
                type: _type
              } = this.state;
              if (_type === 68) {
                this.resetPreviousNodeTrailingComments(id);
                this.next();
                return this.parseAsyncFunctionExpression(this.startNodeAtNode(id));
              } else if (tokenIsIdentifier(_type)) {
                if (this.lookaheadCharCode() === 61) {
                  return this.parseAsyncArrowUnaryFunction(this.startNodeAtNode(id));
                } else {
                  return id;
                }
              } else if (_type === 90) {
                this.resetPreviousNodeTrailingComments(id);
                return this.parseDo(this.startNodeAtNode(id), true);
              }
            }
            if (_canBeArrow && this.match(19) && !this.canInsertSemicolon()) {
              this.next();
              return this.parseArrowExpression(this.startNodeAtNode(id), [id], false);
            }
            return id;
          } else {
            throw this.unexpected();
          }
      }
    }
    parseTopicReferenceThenEqualsSign(topicTokenType, topicTokenValue) {
      var pipeProposal = this.getPluginOption("pipelineOperator", "proposal");
      if (pipeProposal) {
        this.state.type = topicTokenType;
        this.state.value = topicTokenValue;
        this.state.pos--;
        this.state.end--;
        this.state.endLoc = createPositionWithColumnOffset(this.state.endLoc, -1);
        return this.parseTopicReference(pipeProposal);
      } else {
        throw this.unexpected();
      }
    }
    parseTopicReference(pipeProposal) {
      var node = this.startNode();
      var startLoc = this.state.startLoc;
      var tokenType = this.state.type;
      this.next();
      return this.finishTopicReference(node, startLoc, pipeProposal, tokenType);
    }
    finishTopicReference(node, startLoc, pipeProposal, tokenType) {
      if (this.testTopicReferenceConfiguration(pipeProposal, startLoc, tokenType)) {
        var nodeType = pipeProposal === "smart" ? "PipelinePrimaryTopicReference" : "TopicReference";
        if (!this.topicReferenceIsAllowedInCurrentContext()) {
          this.raise(pipeProposal === "smart" ? Errors.PrimaryTopicNotAllowed : Errors.PipeTopicUnbound, {
            at: startLoc
          });
        }
        this.registerTopicReference();
        return this.finishNode(node, nodeType);
      } else {
        throw this.raise(Errors.PipeTopicUnconfiguredToken, {
          at: startLoc,
          token: tokenLabelName(tokenType)
        });
      }
    }
    testTopicReferenceConfiguration(pipeProposal, startLoc, tokenType) {
      switch (pipeProposal) {
        case "hack":
          {
            return this.hasPlugin(["pipelineOperator", {
              topicToken: tokenLabelName(tokenType)
            }]);
          }
        case "smart":
          return tokenType === 27;
        default:
          throw this.raise(Errors.PipeTopicRequiresHackPipes, {
            at: startLoc
          });
      }
    }
    parseAsyncArrowUnaryFunction(node) {
      this.prodParam.enter(functionFlags(true, this.prodParam.hasYield));
      var params = [this.parseIdentifier()];
      this.prodParam.exit();
      if (this.hasPrecedingLineBreak()) {
        this.raise(Errors.LineTerminatorBeforeArrow, {
          at: this.state.curPosition()
        });
      }
      this.expect(19);
      return this.parseArrowExpression(node, params, true);
    }
    parseDo(node, isAsync) {
      this.expectPlugin("doExpressions");
      if (isAsync) {
        this.expectPlugin("asyncDoExpressions");
      }
      node.async = isAsync;
      this.next();
      var oldLabels = this.state.labels;
      this.state.labels = [];
      if (isAsync) {
        this.prodParam.enter(PARAM_AWAIT);
        node.body = this.parseBlock();
        this.prodParam.exit();
      } else {
        node.body = this.parseBlock();
      }
      this.state.labels = oldLabels;
      return this.finishNode(node, "DoExpression");
    }
    parseSuper() {
      var node = this.startNode();
      this.next();
      if (this.match(10) && !this.scope.allowDirectSuper && !this.options.allowSuperOutsideMethod) {
        this.raise(Errors.SuperNotAllowed, {
          at: node
        });
      } else if (!this.scope.allowSuper && !this.options.allowSuperOutsideMethod) {
        this.raise(Errors.UnexpectedSuper, {
          at: node
        });
      }
      if (!this.match(10) && !this.match(0) && !this.match(16)) {
        this.raise(Errors.UnsupportedSuper, {
          at: node
        });
      }
      return this.finishNode(node, "Super");
    }
    parsePrivateName() {
      var node = this.startNode();
      var id = this.startNodeAt(createPositionWithColumnOffset(this.state.startLoc, 1));
      var name = this.state.value;
      this.next();
      node.id = this.createIdentifier(id, name);
      return this.finishNode(node, "PrivateName");
    }
    parseFunctionOrFunctionSent() {
      var node = this.startNode();
      this.next();
      if (this.prodParam.hasYield && this.match(16)) {
        var meta = this.createIdentifier(this.startNodeAtNode(node), "function");
        this.next();
        if (this.match(102)) {
          this.expectPlugin("functionSent");
        } else if (!this.hasPlugin("functionSent")) {
          this.unexpected();
        }
        return this.parseMetaProperty(node, meta, "sent");
      }
      return this.parseFunction(node);
    }
    parseMetaProperty(node, meta, propertyName) {
      node.meta = meta;
      var containsEsc = this.state.containsEsc;
      node.property = this.parseIdentifier(true);
      if (node.property.name !== propertyName || containsEsc) {
        this.raise(Errors.UnsupportedMetaProperty, {
          at: node.property,
          target: meta.name,
          onlyValidPropertyName: propertyName
        });
      }
      return this.finishNode(node, "MetaProperty");
    }
    parseImportMetaProperty(node) {
      var id = this.createIdentifier(this.startNodeAtNode(node), "import");
      this.next();
      if (this.isContextual(100)) {
        if (!this.inModule) {
          this.raise(Errors.ImportMetaOutsideModule, {
            at: id
          });
        }
        this.sawUnambiguousESM = true;
      }
      return this.parseMetaProperty(node, id, "meta");
    }
    parseLiteralAtNode(value, type, node) {
      this.addExtra(node, "rawValue", value);
      this.addExtra(node, "raw", this.input.slice(node.start, this.state.end));
      node.value = value;
      this.next();
      return this.finishNode(node, type);
    }
    parseLiteral(value, type) {
      var node = this.startNode();
      return this.parseLiteralAtNode(value, type, node);
    }
    parseStringLiteral(value) {
      return this.parseLiteral(value, "StringLiteral");
    }
    parseNumericLiteral(value) {
      return this.parseLiteral(value, "NumericLiteral");
    }
    parseBigIntLiteral(value) {
      return this.parseLiteral(value, "BigIntLiteral");
    }
    parseDecimalLiteral(value) {
      return this.parseLiteral(value, "DecimalLiteral");
    }
    parseRegExpLiteral(value) {
      var node = this.parseLiteral(value.value, "RegExpLiteral");
      node.pattern = value.pattern;
      node.flags = value.flags;
      return node;
    }
    parseBooleanLiteral(value) {
      var node = this.startNode();
      node.value = value;
      this.next();
      return this.finishNode(node, "BooleanLiteral");
    }
    parseNullLiteral() {
      var node = this.startNode();
      this.next();
      return this.finishNode(node, "NullLiteral");
    }
    parseParenAndDistinguishExpression(canBeArrow) {
      var startLoc = this.state.startLoc;
      var val;
      this.next();
      this.expressionScope.enter(newArrowHeadScope());
      var oldMaybeInArrowParameters = this.state.maybeInArrowParameters;
      var oldInFSharpPipelineDirectBody = this.state.inFSharpPipelineDirectBody;
      this.state.maybeInArrowParameters = true;
      this.state.inFSharpPipelineDirectBody = false;
      var innerStartLoc = this.state.startLoc;
      var exprList = [];
      var refExpressionErrors = new ExpressionErrors();
      var first = true;
      var spreadStartLoc;
      var optionalCommaStartLoc;
      while (!this.match(11)) {
        if (first) {
          first = false;
        } else {
          this.expect(12, refExpressionErrors.optionalParametersLoc === null ? null : refExpressionErrors.optionalParametersLoc);
          if (this.match(11)) {
            optionalCommaStartLoc = this.state.startLoc;
            break;
          }
        }
        if (this.match(21)) {
          var spreadNodeStartLoc = this.state.startLoc;
          spreadStartLoc = this.state.startLoc;
          exprList.push(this.parseParenItem(this.parseRestBinding(), spreadNodeStartLoc));
          if (!this.checkCommaAfterRest(41)) {
            break;
          }
        } else {
          exprList.push(this.parseMaybeAssignAllowIn(refExpressionErrors, this.parseParenItem));
        }
      }
      var innerEndLoc = this.state.lastTokEndLoc;
      this.expect(11);
      this.state.maybeInArrowParameters = oldMaybeInArrowParameters;
      this.state.inFSharpPipelineDirectBody = oldInFSharpPipelineDirectBody;
      var arrowNode = this.startNodeAt(startLoc);
      if (canBeArrow && this.shouldParseArrow(exprList) && (arrowNode = this.parseArrow(arrowNode))) {
        this.checkDestructuringPrivate(refExpressionErrors);
        this.expressionScope.validateAsPattern();
        this.expressionScope.exit();
        this.parseArrowExpression(arrowNode, exprList, false);
        return arrowNode;
      }
      this.expressionScope.exit();
      if (!exprList.length) {
        this.unexpected(this.state.lastTokStartLoc);
      }
      if (optionalCommaStartLoc) this.unexpected(optionalCommaStartLoc);
      if (spreadStartLoc) this.unexpected(spreadStartLoc);
      this.checkExpressionErrors(refExpressionErrors, true);
      this.toReferencedListDeep(exprList, true);
      if (exprList.length > 1) {
        val = this.startNodeAt(innerStartLoc);
        val.expressions = exprList;
        this.finishNode(val, "SequenceExpression");
        this.resetEndLocation(val, innerEndLoc);
      } else {
        val = exprList[0];
      }
      return this.wrapParenthesis(startLoc, val);
    }
    wrapParenthesis(startLoc, expression) {
      if (!this.options.createParenthesizedExpressions) {
        this.addExtra(expression, "parenthesized", true);
        this.addExtra(expression, "parenStart", startLoc.index);
        this.takeSurroundingComments(expression, startLoc.index, this.state.lastTokEndLoc.index);
        return expression;
      }
      var parenExpression = this.startNodeAt(startLoc);
      parenExpression.expression = expression;
      return this.finishNode(parenExpression, "ParenthesizedExpression");
    }
    shouldParseArrow(params) {
      return !this.canInsertSemicolon();
    }
    parseArrow(node) {
      if (this.eat(19)) {
        return node;
      }
    }
    parseParenItem(node, startLoc) {
      return node;
    }
    parseNewOrNewTarget() {
      var node = this.startNode();
      this.next();
      if (this.match(16)) {
        var meta = this.createIdentifier(this.startNodeAtNode(node), "new");
        this.next();
        var metaProp = this.parseMetaProperty(node, meta, "target");
        if (!this.scope.inNonArrowFunction && !this.scope.inClass) {
          this.raise(Errors.UnexpectedNewTarget, {
            at: metaProp
          });
        }
        return metaProp;
      }
      return this.parseNew(node);
    }
    parseNew(node) {
      this.parseNewCallee(node);
      if (this.eat(10)) {
        var args = this.parseExprList(11);
        this.toReferencedList(args);
        node.arguments = args;
      } else {
        node.arguments = [];
      }
      return this.finishNode(node, "NewExpression");
    }
    parseNewCallee(node) {
      node.callee = this.parseNoCallExpr();
      if (node.callee.type === "Import") {
        this.raise(Errors.ImportCallNotNewExpression, {
          at: node.callee
        });
      } else if (this.isOptionalChain(node.callee)) {
        this.raise(Errors.OptionalChainingNoNew, {
          at: this.state.lastTokEndLoc
        });
      } else if (this.eat(18)) {
        this.raise(Errors.OptionalChainingNoNew, {
          at: this.state.startLoc
        });
      }
    }
    parseTemplateElement(isTagged) {
      var {
        start,
        startLoc,
        end,
        value
      } = this.state;
      var elemStart = start + 1;
      var elem = this.startNodeAt(createPositionWithColumnOffset(startLoc, 1));
      if (value === null) {
        if (!isTagged) {
          this.raise(Errors.InvalidEscapeSequenceTemplate, {
            at: createPositionWithColumnOffset(this.state.firstInvalidTemplateEscapePos, 1)
          });
        }
      }
      var isTail = this.match(24);
      var endOffset = isTail ? -1 : -2;
      var elemEnd = end + endOffset;
      elem.value = {
        raw: this.input.slice(elemStart, elemEnd).replace(/\r\n?/g, "\n"),
        cooked: value === null ? null : value.slice(1, endOffset)
      };
      elem.tail = isTail;
      this.next();
      var finishedNode = this.finishNode(elem, "TemplateElement");
      this.resetEndLocation(finishedNode, createPositionWithColumnOffset(this.state.lastTokEndLoc, endOffset));
      return finishedNode;
    }
    parseTemplate(isTagged) {
      var node = this.startNode();
      node.expressions = [];
      var curElt = this.parseTemplateElement(isTagged);
      node.quasis = [curElt];
      while (!curElt.tail) {
        node.expressions.push(this.parseTemplateSubstitution());
        this.readTemplateContinuation();
        node.quasis.push(curElt = this.parseTemplateElement(isTagged));
      }
      return this.finishNode(node, "TemplateLiteral");
    }
    parseTemplateSubstitution() {
      return this.parseExpression();
    }
    parseObjectLike(close, isPattern, isRecord, refExpressionErrors) {
      if (isRecord) {
        this.expectPlugin("recordAndTuple");
      }
      var oldInFSharpPipelineDirectBody = this.state.inFSharpPipelineDirectBody;
      this.state.inFSharpPipelineDirectBody = false;
      var propHash = Object.create(null);
      var first = true;
      var node = this.startNode();
      node.properties = [];
      this.next();
      while (!this.match(close)) {
        if (first) {
          first = false;
        } else {
          this.expect(12);
          if (this.match(close)) {
            this.addTrailingCommaExtraToNode(node);
            break;
          }
        }
        var prop = void 0;
        if (isPattern) {
          prop = this.parseBindingProperty();
        } else {
          prop = this.parsePropertyDefinition(refExpressionErrors);
          this.checkProto(prop, isRecord, propHash, refExpressionErrors);
        }
        if (isRecord && !this.isObjectProperty(prop) && prop.type !== "SpreadElement") {
          this.raise(Errors.InvalidRecordProperty, {
            at: prop
          });
        }
        if (prop.shorthand) {
          this.addExtra(prop, "shorthand", true);
        }
        node.properties.push(prop);
      }
      this.next();
      this.state.inFSharpPipelineDirectBody = oldInFSharpPipelineDirectBody;
      var type = "ObjectExpression";
      if (isPattern) {
        type = "ObjectPattern";
      } else if (isRecord) {
        type = "RecordExpression";
      }
      return this.finishNode(node, type);
    }
    addTrailingCommaExtraToNode(node) {
      this.addExtra(node, "trailingComma", this.state.lastTokStart);
      this.addExtra(node, "trailingCommaLoc", this.state.lastTokStartLoc, false);
    }
    maybeAsyncOrAccessorProp(prop) {
      return !prop.computed && prop.key.type === "Identifier" && (this.isLiteralPropertyName() || this.match(0) || this.match(55));
    }
    parsePropertyDefinition(refExpressionErrors) {
      var decorators = [];
      if (this.match(26)) {
        if (this.hasPlugin("decorators")) {
          this.raise(Errors.UnsupportedPropertyDecorator, {
            at: this.state.startLoc
          });
        }
        while (this.match(26)) {
          decorators.push(this.parseDecorator());
        }
      }
      var prop = this.startNode();
      var isAsync = false;
      var isAccessor = false;
      var startLoc;
      if (this.match(21)) {
        if (decorators.length) this.unexpected();
        return this.parseSpread();
      }
      if (decorators.length) {
        prop.decorators = decorators;
        decorators = [];
      }
      prop.method = false;
      if (refExpressionErrors) {
        startLoc = this.state.startLoc;
      }
      var isGenerator = this.eat(55);
      this.parsePropertyNamePrefixOperator(prop);
      var containsEsc = this.state.containsEsc;
      var key = this.parsePropertyName(prop, refExpressionErrors);
      if (!isGenerator && !containsEsc && this.maybeAsyncOrAccessorProp(prop)) {
        var keyName = key.name;
        if (keyName === "async" && !this.hasPrecedingLineBreak()) {
          isAsync = true;
          this.resetPreviousNodeTrailingComments(key);
          isGenerator = this.eat(55);
          this.parsePropertyName(prop);
        }
        if (keyName === "get" || keyName === "set") {
          isAccessor = true;
          this.resetPreviousNodeTrailingComments(key);
          prop.kind = keyName;
          if (this.match(55)) {
            isGenerator = true;
            this.raise(Errors.AccessorIsGenerator, {
              at: this.state.curPosition(),
              kind: keyName
            });
            this.next();
          }
          this.parsePropertyName(prop);
        }
      }
      return this.parseObjPropValue(prop, startLoc, isGenerator, isAsync, false, isAccessor, refExpressionErrors);
    }
    getGetterSetterExpectedParamCount(method) {
      return method.kind === "get" ? 0 : 1;
    }
    getObjectOrClassMethodParams(method) {
      return method.params;
    }
    checkGetterSetterParams(method) {
      var _params;
      var paramCount = this.getGetterSetterExpectedParamCount(method);
      var params = this.getObjectOrClassMethodParams(method);
      if (params.length !== paramCount) {
        this.raise(method.kind === "get" ? Errors.BadGetterArity : Errors.BadSetterArity, {
          at: method
        });
      }
      if (method.kind === "set" && ((_params = params[params.length - 1]) == null ? void 0 : _params.type) === "RestElement") {
        this.raise(Errors.BadSetterRestParameter, {
          at: method
        });
      }
    }
    parseObjectMethod(prop, isGenerator, isAsync, isPattern, isAccessor) {
      if (isAccessor) {
        var finishedProp = this.parseMethod(prop, isGenerator, false, false, false, "ObjectMethod");
        this.checkGetterSetterParams(finishedProp);
        return finishedProp;
      }
      if (isAsync || isGenerator || this.match(10)) {
        if (isPattern) this.unexpected();
        prop.kind = "method";
        prop.method = true;
        return this.parseMethod(prop, isGenerator, isAsync, false, false, "ObjectMethod");
      }
    }
    parseObjectProperty(prop, startLoc, isPattern, refExpressionErrors) {
      prop.shorthand = false;
      if (this.eat(14)) {
        prop.value = isPattern ? this.parseMaybeDefault(this.state.startLoc) : this.parseMaybeAssignAllowIn(refExpressionErrors);
        return this.finishNode(prop, "ObjectProperty");
      }
      if (!prop.computed && prop.key.type === "Identifier") {
        this.checkReservedWord(prop.key.name, prop.key.loc.start, true, false);
        if (isPattern) {
          prop.value = this.parseMaybeDefault(startLoc, cloneIdentifier(prop.key));
        } else if (this.match(29)) {
          var shorthandAssignLoc = this.state.startLoc;
          if (refExpressionErrors != null) {
            if (refExpressionErrors.shorthandAssignLoc === null) {
              refExpressionErrors.shorthandAssignLoc = shorthandAssignLoc;
            }
          } else {
            this.raise(Errors.InvalidCoverInitializedName, {
              at: shorthandAssignLoc
            });
          }
          prop.value = this.parseMaybeDefault(startLoc, cloneIdentifier(prop.key));
        } else {
          prop.value = cloneIdentifier(prop.key);
        }
        prop.shorthand = true;
        return this.finishNode(prop, "ObjectProperty");
      }
    }
    parseObjPropValue(prop, startLoc, isGenerator, isAsync, isPattern, isAccessor, refExpressionErrors) {
      var node = this.parseObjectMethod(prop, isGenerator, isAsync, isPattern, isAccessor) || this.parseObjectProperty(prop, startLoc, isPattern, refExpressionErrors);
      if (!node) this.unexpected();
      return node;
    }
    parsePropertyName(prop, refExpressionErrors) {
      if (this.eat(0)) {
        prop.computed = true;
        prop.key = this.parseMaybeAssignAllowIn();
        this.expect(3);
      } else {
        var {
          type,
          value
        } = this.state;
        var key;
        if (tokenIsKeywordOrIdentifier(type)) {
          key = this.parseIdentifier(true);
        } else {
          switch (type) {
            case 132:
              key = this.parseNumericLiteral(value);
              break;
            case 131:
              key = this.parseStringLiteral(value);
              break;
            case 133:
              key = this.parseBigIntLiteral(value);
              break;
            case 134:
              key = this.parseDecimalLiteral(value);
              break;
            case 136:
              {
                var privateKeyLoc = this.state.startLoc;
                if (refExpressionErrors != null) {
                  if (refExpressionErrors.privateKeyLoc === null) {
                    refExpressionErrors.privateKeyLoc = privateKeyLoc;
                  }
                } else {
                  this.raise(Errors.UnexpectedPrivateField, {
                    at: privateKeyLoc
                  });
                }
                key = this.parsePrivateName();
                break;
              }
            default:
              throw this.unexpected();
          }
        }
        prop.key = key;
        if (type !== 136) {
          prop.computed = false;
        }
      }
      return prop.key;
    }
    initFunction(node, isAsync) {
      node.id = null;
      node.generator = false;
      node.async = isAsync;
    }
    parseMethod(node, isGenerator, isAsync, isConstructor, allowDirectSuper, type) {
      var inClassScope = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : false;
      this.initFunction(node, isAsync);
      node.generator = isGenerator;
      var allowModifiers = isConstructor;
      this.scope.enter(SCOPE_FUNCTION | SCOPE_SUPER | (inClassScope ? SCOPE_CLASS : 0) | (allowDirectSuper ? SCOPE_DIRECT_SUPER : 0));
      this.prodParam.enter(functionFlags(isAsync, node.generator));
      this.parseFunctionParams(node, allowModifiers);
      var finishedNode = this.parseFunctionBodyAndFinish(node, type, true);
      this.prodParam.exit();
      this.scope.exit();
      return finishedNode;
    }
    parseArrayLike(close, canBePattern, isTuple, refExpressionErrors) {
      if (isTuple) {
        this.expectPlugin("recordAndTuple");
      }
      var oldInFSharpPipelineDirectBody = this.state.inFSharpPipelineDirectBody;
      this.state.inFSharpPipelineDirectBody = false;
      var node = this.startNode();
      this.next();
      node.elements = this.parseExprList(close, !isTuple, refExpressionErrors, node);
      this.state.inFSharpPipelineDirectBody = oldInFSharpPipelineDirectBody;
      return this.finishNode(node, isTuple ? "TupleExpression" : "ArrayExpression");
    }
    parseArrowExpression(node, params, isAsync, trailingCommaLoc) {
      this.scope.enter(SCOPE_FUNCTION | SCOPE_ARROW);
      var flags = functionFlags(isAsync, false);
      if (!this.match(5) && this.prodParam.hasIn) {
        flags |= PARAM_IN;
      }
      this.prodParam.enter(flags);
      this.initFunction(node, isAsync);
      var oldMaybeInArrowParameters = this.state.maybeInArrowParameters;
      if (params) {
        this.state.maybeInArrowParameters = true;
        this.setArrowFunctionParameters(node, params, trailingCommaLoc);
      }
      this.state.maybeInArrowParameters = false;
      this.parseFunctionBody(node, true);
      this.prodParam.exit();
      this.scope.exit();
      this.state.maybeInArrowParameters = oldMaybeInArrowParameters;
      return this.finishNode(node, "ArrowFunctionExpression");
    }
    setArrowFunctionParameters(node, params, trailingCommaLoc) {
      this.toAssignableList(params, trailingCommaLoc, false);
      node.params = params;
    }
    parseFunctionBodyAndFinish(node, type) {
      var isMethod = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
      this.parseFunctionBody(node, false, isMethod);
      return this.finishNode(node, type);
    }
    parseFunctionBody(node, allowExpression) {
      var isMethod = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
      var isExpression = allowExpression && !this.match(5);
      this.expressionScope.enter(newExpressionScope());
      if (isExpression) {
        node.body = this.parseMaybeAssign();
        this.checkParams(node, false, allowExpression, false);
      } else {
        var oldStrict = this.state.strict;
        var oldLabels = this.state.labels;
        this.state.labels = [];
        this.prodParam.enter(this.prodParam.currentFlags() | PARAM_RETURN);
        node.body = this.parseBlock(true, false, hasStrictModeDirective => {
          var nonSimple = !this.isSimpleParamList(node.params);
          if (hasStrictModeDirective && nonSimple) {
            this.raise(Errors.IllegalLanguageModeDirective, {
              at: (node.kind === "method" || node.kind === "constructor") && !!node.key ? node.key.loc.end : node
            });
          }
          var strictModeChanged = !oldStrict && this.state.strict;
          this.checkParams(node, !this.state.strict && !allowExpression && !isMethod && !nonSimple, allowExpression, strictModeChanged);
          if (this.state.strict && node.id) {
            this.checkIdentifier(node.id, BIND_OUTSIDE, strictModeChanged);
          }
        });
        this.prodParam.exit();
        this.state.labels = oldLabels;
      }
      this.expressionScope.exit();
    }
    isSimpleParameter(node) {
      return node.type === "Identifier";
    }
    isSimpleParamList(params) {
      for (var i = 0, len = params.length; i < len; i++) {
        if (!this.isSimpleParameter(params[i])) return false;
      }
      return true;
    }
    checkParams(node, allowDuplicates, isArrowFunction) {
      var strictModeChanged = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : true;
      var checkClashes = !allowDuplicates && new Set();
      var formalParameters = {
        type: "FormalParameters"
      };
      for (var param of node.params) {
        this.checkLVal(param, {
          in: formalParameters,
          binding: BIND_VAR,
          checkClashes,
          strictModeChanged
        });
      }
    }
    parseExprList(close, allowEmpty, refExpressionErrors, nodeForExtra) {
      var elts = [];
      var first = true;
      while (!this.eat(close)) {
        if (first) {
          first = false;
        } else {
          this.expect(12);
          if (this.match(close)) {
            if (nodeForExtra) {
              this.addTrailingCommaExtraToNode(nodeForExtra);
            }
            this.next();
            break;
          }
        }
        elts.push(this.parseExprListItem(allowEmpty, refExpressionErrors));
      }
      return elts;
    }
    parseExprListItem(allowEmpty, refExpressionErrors, allowPlaceholder) {
      var elt;
      if (this.match(12)) {
        if (!allowEmpty) {
          this.raise(Errors.UnexpectedToken, {
            at: this.state.curPosition(),
            unexpected: ","
          });
        }
        elt = null;
      } else if (this.match(21)) {
        var spreadNodeStartLoc = this.state.startLoc;
        elt = this.parseParenItem(this.parseSpread(refExpressionErrors), spreadNodeStartLoc);
      } else if (this.match(17)) {
        this.expectPlugin("partialApplication");
        if (!allowPlaceholder) {
          this.raise(Errors.UnexpectedArgumentPlaceholder, {
            at: this.state.startLoc
          });
        }
        var node = this.startNode();
        this.next();
        elt = this.finishNode(node, "ArgumentPlaceholder");
      } else {
        elt = this.parseMaybeAssignAllowIn(refExpressionErrors, this.parseParenItem);
      }
      return elt;
    }
    parseIdentifier(liberal) {
      var node = this.startNode();
      var name = this.parseIdentifierName(liberal);
      return this.createIdentifier(node, name);
    }
    createIdentifier(node, name) {
      node.name = name;
      node.loc.identifierName = name;
      return this.finishNode(node, "Identifier");
    }
    parseIdentifierName(liberal) {
      var name;
      var {
        startLoc,
        type
      } = this.state;
      if (tokenIsKeywordOrIdentifier(type)) {
        name = this.state.value;
      } else {
        throw this.unexpected();
      }
      var tokenIsKeyword = tokenKeywordOrIdentifierIsKeyword(type);
      if (liberal) {
        if (tokenIsKeyword) {
          this.replaceToken(130);
        }
      } else {
        this.checkReservedWord(name, startLoc, tokenIsKeyword, false);
      }
      this.next();
      return name;
    }
    checkReservedWord(word, startLoc, checkKeywords, isBinding) {
      if (word.length > 10) {
        return;
      }
      if (!canBeReservedWord(word)) {
        return;
      }
      if (word === "yield") {
        if (this.prodParam.hasYield) {
          this.raise(Errors.YieldBindingIdentifier, {
            at: startLoc
          });
          return;
        }
      } else if (word === "await") {
        if (this.prodParam.hasAwait) {
          this.raise(Errors.AwaitBindingIdentifier, {
            at: startLoc
          });
          return;
        }
        if (this.scope.inStaticBlock) {
          this.raise(Errors.AwaitBindingIdentifierInStaticBlock, {
            at: startLoc
          });
          return;
        }
        this.expressionScope.recordAsyncArrowParametersError({
          at: startLoc
        });
      } else if (word === "arguments") {
        if (this.scope.inClassAndNotInNonArrowFunction) {
          this.raise(Errors.ArgumentsInClass, {
            at: startLoc
          });
          return;
        }
      }
      if (checkKeywords && isKeyword(word)) {
        this.raise(Errors.UnexpectedKeyword, {
          at: startLoc,
          keyword: word
        });
        return;
      }
      var reservedTest = !this.state.strict ? isReservedWord : isBinding ? isStrictBindReservedWord : isStrictReservedWord;
      if (reservedTest(word, this.inModule)) {
        this.raise(Errors.UnexpectedReservedWord, {
          at: startLoc,
          reservedWord: word
        });
      }
    }
    isAwaitAllowed() {
      if (this.prodParam.hasAwait) return true;
      if (this.options.allowAwaitOutsideFunction && !this.scope.inFunction) {
        return true;
      }
      return false;
    }
    parseAwait(startLoc) {
      var node = this.startNodeAt(startLoc);
      this.expressionScope.recordParameterInitializerError(Errors.AwaitExpressionFormalParameter, {
        at: node
      });
      if (this.eat(55)) {
        this.raise(Errors.ObsoleteAwaitStar, {
          at: node
        });
      }
      if (!this.scope.inFunction && !this.options.allowAwaitOutsideFunction) {
        if (this.isAmbiguousAwait()) {
          this.ambiguousScriptDifferentAst = true;
        } else {
          this.sawUnambiguousESM = true;
        }
      }
      if (!this.state.soloAwait) {
        node.argument = this.parseMaybeUnary(null, true);
      }
      return this.finishNode(node, "AwaitExpression");
    }
    isAmbiguousAwait() {
      if (this.hasPrecedingLineBreak()) return true;
      var {
        type
      } = this.state;
      return type === 53 || type === 10 || type === 0 || tokenIsTemplate(type) || type === 101 && !this.state.containsEsc || type === 135 || type === 56 || this.hasPlugin("v8intrinsic") && type === 54;
    }
    parseYield() {
      var node = this.startNode();
      this.expressionScope.recordParameterInitializerError(Errors.YieldInParameter, {
        at: node
      });
      this.next();
      var delegating = false;
      var argument = null;
      if (!this.hasPrecedingLineBreak()) {
        delegating = this.eat(55);
        switch (this.state.type) {
          case 13:
          case 137:
          case 8:
          case 11:
          case 3:
          case 9:
          case 14:
          case 12:
            if (!delegating) break;
          default:
            argument = this.parseMaybeAssign();
        }
      }
      node.delegate = delegating;
      node.argument = argument;
      return this.finishNode(node, "YieldExpression");
    }
    checkPipelineAtInfixOperator(left, leftStartLoc) {
      if (this.hasPlugin(["pipelineOperator", {
        proposal: "smart"
      }])) {
        if (left.type === "SequenceExpression") {
          this.raise(Errors.PipelineHeadSequenceExpression, {
            at: leftStartLoc
          });
        }
      }
    }
    parseSmartPipelineBodyInStyle(childExpr, startLoc) {
      if (this.isSimpleReference(childExpr)) {
        var bodyNode = this.startNodeAt(startLoc);
        bodyNode.callee = childExpr;
        return this.finishNode(bodyNode, "PipelineBareFunction");
      } else {
        var _bodyNode2 = this.startNodeAt(startLoc);
        this.checkSmartPipeTopicBodyEarlyErrors(startLoc);
        _bodyNode2.expression = childExpr;
        return this.finishNode(_bodyNode2, "PipelineTopicExpression");
      }
    }
    isSimpleReference(expression) {
      switch (expression.type) {
        case "MemberExpression":
          return !expression.computed && this.isSimpleReference(expression.object);
        case "Identifier":
          return true;
        default:
          return false;
      }
    }
    checkSmartPipeTopicBodyEarlyErrors(startLoc) {
      if (this.match(19)) {
        throw this.raise(Errors.PipelineBodyNoArrow, {
          at: this.state.startLoc
        });
      }
      if (!this.topicReferenceWasUsedInCurrentContext()) {
        this.raise(Errors.PipelineTopicUnused, {
          at: startLoc
        });
      }
    }
    withTopicBindingContext(callback) {
      var outerContextTopicState = this.state.topicContext;
      this.state.topicContext = {
        maxNumOfResolvableTopics: 1,
        maxTopicIndex: null
      };
      try {
        return callback();
      } finally {
        this.state.topicContext = outerContextTopicState;
      }
    }
    withSmartMixTopicForbiddingContext(callback) {
      if (this.hasPlugin(["pipelineOperator", {
        proposal: "smart"
      }])) {
        var outerContextTopicState = this.state.topicContext;
        this.state.topicContext = {
          maxNumOfResolvableTopics: 0,
          maxTopicIndex: null
        };
        try {
          return callback();
        } finally {
          this.state.topicContext = outerContextTopicState;
        }
      } else {
        return callback();
      }
    }
    withSoloAwaitPermittingContext(callback) {
      var outerContextSoloAwaitState = this.state.soloAwait;
      this.state.soloAwait = true;
      try {
        return callback();
      } finally {
        this.state.soloAwait = outerContextSoloAwaitState;
      }
    }
    allowInAnd(callback) {
      var flags = this.prodParam.currentFlags();
      var prodParamToSet = PARAM_IN & ~flags;
      if (prodParamToSet) {
        this.prodParam.enter(flags | PARAM_IN);
        try {
          return callback();
        } finally {
          this.prodParam.exit();
        }
      }
      return callback();
    }
    disallowInAnd(callback) {
      var flags = this.prodParam.currentFlags();
      var prodParamToClear = PARAM_IN & flags;
      if (prodParamToClear) {
        this.prodParam.enter(flags & ~PARAM_IN);
        try {
          return callback();
        } finally {
          this.prodParam.exit();
        }
      }
      return callback();
    }
    registerTopicReference() {
      this.state.topicContext.maxTopicIndex = 0;
    }
    topicReferenceIsAllowedInCurrentContext() {
      return this.state.topicContext.maxNumOfResolvableTopics >= 1;
    }
    topicReferenceWasUsedInCurrentContext() {
      return this.state.topicContext.maxTopicIndex != null && this.state.topicContext.maxTopicIndex >= 0;
    }
    parseFSharpPipelineBody(prec) {
      var startLoc = this.state.startLoc;
      this.state.potentialArrowAt = this.state.start;
      var oldInFSharpPipelineDirectBody = this.state.inFSharpPipelineDirectBody;
      this.state.inFSharpPipelineDirectBody = true;
      var ret = this.parseExprOp(this.parseMaybeUnaryOrPrivate(), startLoc, prec);
      this.state.inFSharpPipelineDirectBody = oldInFSharpPipelineDirectBody;
      return ret;
    }
    parseModuleExpression() {
      this.expectPlugin("moduleBlocks");
      var node = this.startNode();
      this.next();
      if (!this.match(5)) {
        this.unexpected(null, 5);
      }
      var program = this.startNodeAt(this.state.endLoc);
      this.next();
      var revertScopes = this.initializeScopes(true);
      this.enterInitialScopes();
      try {
        node.body = this.parseProgram(program, 8, "module");
      } finally {
        revertScopes();
      }
      return this.finishNode(node, "ModuleExpression");
    }
    parsePropertyNamePrefixOperator(prop) {}
  }
  var loopLabel = {
      kind: "loop"
    },
    switchLabel = {
      kind: "switch"
    };
  var ParseFunctionFlag = {
    Expression: 0,
    Declaration: 1,
    HangingDeclaration: 2,
    NullableId: 4,
    Async: 8
  };
  var ParseStatementFlag = {
    StatementOnly: 0,
    AllowImportExport: 1,
    AllowDeclaration: 2,
    AllowFunctionDeclaration: 4,
    AllowLabeledFunction: 8
  };
  var loneSurrogate = /(?:[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])/;
  var keywordRelationalOperator = /in(?:stanceof)?/y;
  function babel7CompatTokens(tokens, input) {
    for (var i = 0; i < tokens.length; i++) {
      var token = tokens[i];
      var {
        type
      } = token;
      if (typeof type === "number") {
        {
          if (type === 136) {
            var {
              loc,
              start,
              value,
              end
            } = token;
            var hashEndPos = start + 1;
            var hashEndLoc = createPositionWithColumnOffset(loc.start, 1);
            tokens.splice(i, 1, new Token({
              type: getExportedToken(27),
              value: "#",
              start: start,
              end: hashEndPos,
              startLoc: loc.start,
              endLoc: hashEndLoc
            }), new Token({
              type: getExportedToken(130),
              value: value,
              start: hashEndPos,
              end: end,
              startLoc: hashEndLoc,
              endLoc: loc.end
            }));
            i++;
            continue;
          }
          if (tokenIsTemplate(type)) {
            var {
              loc: _loc,
              start: _start,
              value: _value,
              end: _end
            } = token;
            var backquoteEnd = _start + 1;
            var backquoteEndLoc = createPositionWithColumnOffset(_loc.start, 1);
            var startToken = void 0;
            if (input.charCodeAt(_start) === 96) {
              startToken = new Token({
                type: getExportedToken(22),
                value: "`",
                start: _start,
                end: backquoteEnd,
                startLoc: _loc.start,
                endLoc: backquoteEndLoc
              });
            } else {
              startToken = new Token({
                type: getExportedToken(8),
                value: "}",
                start: _start,
                end: backquoteEnd,
                startLoc: _loc.start,
                endLoc: backquoteEndLoc
              });
            }
            var templateValue = void 0,
              templateElementEnd = void 0,
              templateElementEndLoc = void 0,
              endToken = void 0;
            if (type === 24) {
              templateElementEnd = _end - 1;
              templateElementEndLoc = createPositionWithColumnOffset(_loc.end, -1);
              templateValue = _value === null ? null : _value.slice(1, -1);
              endToken = new Token({
                type: getExportedToken(22),
                value: "`",
                start: templateElementEnd,
                end: _end,
                startLoc: templateElementEndLoc,
                endLoc: _loc.end
              });
            } else {
              templateElementEnd = _end - 2;
              templateElementEndLoc = createPositionWithColumnOffset(_loc.end, -2);
              templateValue = _value === null ? null : _value.slice(1, -2);
              endToken = new Token({
                type: getExportedToken(23),
                value: "${",
                start: templateElementEnd,
                end: _end,
                startLoc: templateElementEndLoc,
                endLoc: _loc.end
              });
            }
            tokens.splice(i, 1, startToken, new Token({
              type: getExportedToken(20),
              value: templateValue,
              start: backquoteEnd,
              end: templateElementEnd,
              startLoc: backquoteEndLoc,
              endLoc: templateElementEndLoc
            }), endToken);
            i += 2;
            continue;
          }
        }
        token.type = getExportedToken(type);
      }
    }
    return tokens;
  }
  class StatementParser extends ExpressionParser {
    parseTopLevel(file, program) {
      file.program = this.parseProgram(program);
      file.comments = this.state.comments;
      if (this.options.tokens) {
        file.tokens = babel7CompatTokens(this.tokens, this.input);
      }
      return this.finishNode(file, "File");
    }
    parseProgram(program) {
      var end = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 137;
      var sourceType = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : this.options.sourceType;
      program.sourceType = sourceType;
      program.interpreter = this.parseInterpreterDirective();
      this.parseBlockBody(program, true, true, end);
      if (this.inModule && !this.options.allowUndeclaredExports && this.scope.undefinedExports.size > 0) {
        for (var [localName, at] of Array.from(this.scope.undefinedExports)) {
          this.raise(Errors.ModuleExportUndefined, {
            at,
            localName
          });
        }
      }
      var finishedProgram;
      if (end === 137) {
        finishedProgram = this.finishNode(program, "Program");
      } else {
        finishedProgram = this.finishNodeAt(program, "Program", createPositionWithColumnOffset(this.state.startLoc, -1));
      }
      return finishedProgram;
    }
    stmtToDirective(stmt) {
      var directive = stmt;
      directive.type = "Directive";
      directive.value = directive.expression;
      delete directive.expression;
      var directiveLiteral = directive.value;
      var expressionValue = directiveLiteral.value;
      var raw = this.input.slice(directiveLiteral.start, directiveLiteral.end);
      var val = directiveLiteral.value = raw.slice(1, -1);
      this.addExtra(directiveLiteral, "raw", raw);
      this.addExtra(directiveLiteral, "rawValue", val);
      this.addExtra(directiveLiteral, "expressionValue", expressionValue);
      directiveLiteral.type = "DirectiveLiteral";
      return directive;
    }
    parseInterpreterDirective() {
      if (!this.match(28)) {
        return null;
      }
      var node = this.startNode();
      node.value = this.state.value;
      this.next();
      return this.finishNode(node, "InterpreterDirective");
    }
    isLet() {
      if (!this.isContextual(99)) {
        return false;
      }
      return this.hasFollowingBindingAtom();
    }
    chStartsBindingIdentifier(ch, pos) {
      if (isIdentifierStart(ch)) {
        keywordRelationalOperator.lastIndex = pos;
        if (keywordRelationalOperator.test(this.input)) {
          var endCh = this.codePointAtPos(keywordRelationalOperator.lastIndex);
          if (!isIdentifierChar(endCh) && endCh !== 92) {
            return false;
          }
        }
        return true;
      } else if (ch === 92) {
        return true;
      } else {
        return false;
      }
    }
    chStartsBindingPattern(ch) {
      return ch === 91 || ch === 123;
    }
    hasFollowingBindingAtom() {
      var next = this.nextTokenStart();
      var nextCh = this.codePointAtPos(next);
      return this.chStartsBindingPattern(nextCh) || this.chStartsBindingIdentifier(nextCh, next);
    }
    hasFollowingBindingIdentifier() {
      var next = this.nextTokenStart();
      var nextCh = this.codePointAtPos(next);
      return this.chStartsBindingIdentifier(nextCh, next);
    }
    startsUsingForOf() {
      var lookahead = this.lookahead();
      if (lookahead.type === 101 && !lookahead.containsEsc) {
        return false;
      } else {
        this.expectPlugin("explicitResourceManagement");
        return true;
      }
    }
    parseModuleItem() {
      return this.parseStatementLike(ParseStatementFlag.AllowImportExport | ParseStatementFlag.AllowDeclaration | ParseStatementFlag.AllowFunctionDeclaration | ParseStatementFlag.AllowLabeledFunction);
    }
    parseStatementListItem() {
      return this.parseStatementLike(ParseStatementFlag.AllowDeclaration | ParseStatementFlag.AllowFunctionDeclaration | ParseStatementFlag.AllowLabeledFunction);
    }
    parseStatementOrFunctionDeclaration(disallowLabeledFunction) {
      return this.parseStatementLike(ParseStatementFlag.AllowFunctionDeclaration | (disallowLabeledFunction ? 0 : ParseStatementFlag.AllowLabeledFunction));
    }
    parseStatement() {
      return this.parseStatementLike(ParseStatementFlag.StatementOnly);
    }
    parseStatementLike(flags) {
      var decorators = null;
      if (this.match(26)) {
        decorators = this.parseDecorators(true);
      }
      return this.parseStatementContent(flags, decorators);
    }
    parseStatementContent(flags, decorators) {
      var starttype = this.state.type;
      var node = this.startNode();
      var allowDeclaration = !!(flags & ParseStatementFlag.AllowDeclaration);
      var allowFunctionDeclaration = !!(flags & ParseStatementFlag.AllowFunctionDeclaration);
      var topLevel = flags & ParseStatementFlag.AllowImportExport;
      switch (starttype) {
        case 60:
          return this.parseBreakContinueStatement(node, true);
        case 63:
          return this.parseBreakContinueStatement(node, false);
        case 64:
          return this.parseDebuggerStatement(node);
        case 90:
          return this.parseDoWhileStatement(node);
        case 91:
          return this.parseForStatement(node);
        case 68:
          if (this.lookaheadCharCode() === 46) break;
          if (!allowDeclaration) {
            if (this.state.strict) {
              this.raise(Errors.StrictFunction, {
                at: this.state.startLoc
              });
            } else if (!allowFunctionDeclaration) {
              this.raise(Errors.SloppyFunction, {
                at: this.state.startLoc
              });
            }
          }
          return this.parseFunctionStatement(node, false, !allowDeclaration && allowFunctionDeclaration);
        case 80:
          if (!allowDeclaration) this.unexpected();
          return this.parseClass(this.maybeTakeDecorators(decorators, node), true);
        case 69:
          return this.parseIfStatement(node);
        case 70:
          return this.parseReturnStatement(node);
        case 71:
          return this.parseSwitchStatement(node);
        case 72:
          return this.parseThrowStatement(node);
        case 73:
          return this.parseTryStatement(node);
        case 105:
          if (this.hasFollowingLineBreak() || this.state.containsEsc || !this.hasFollowingBindingIdentifier()) {
            break;
          }
          this.expectPlugin("explicitResourceManagement");
          if (!this.scope.inModule && this.scope.inTopLevel) {
            this.raise(Errors.UnexpectedUsingDeclaration, {
              at: this.state.startLoc
            });
          } else if (!allowDeclaration) {
            this.raise(Errors.UnexpectedLexicalDeclaration, {
              at: this.state.startLoc
            });
          }
          return this.parseVarStatement(node, "using");
        case 99:
          {
            if (this.state.containsEsc) {
              break;
            }
            var next = this.nextTokenStart();
            var nextCh = this.codePointAtPos(next);
            if (nextCh !== 91) {
              if (!allowDeclaration && this.hasFollowingLineBreak()) break;
              if (!this.chStartsBindingIdentifier(nextCh, next) && nextCh !== 123) {
                break;
              }
            }
          }
        case 75:
          {
            if (!allowDeclaration) {
              this.raise(Errors.UnexpectedLexicalDeclaration, {
                at: this.state.startLoc
              });
            }
          }
        case 74:
          {
            var kind = this.state.value;
            return this.parseVarStatement(node, kind);
          }
        case 92:
          return this.parseWhileStatement(node);
        case 76:
          return this.parseWithStatement(node);
        case 5:
          return this.parseBlock();
        case 13:
          return this.parseEmptyStatement(node);
        case 83:
          {
            var nextTokenCharCode = this.lookaheadCharCode();
            if (nextTokenCharCode === 40 || nextTokenCharCode === 46) {
              break;
            }
          }
        case 82:
          {
            if (!this.options.allowImportExportEverywhere && !topLevel) {
              this.raise(Errors.UnexpectedImportExport, {
                at: this.state.startLoc
              });
            }
            this.next();
            var result;
            if (starttype === 83) {
              result = this.parseImport(node);
              if (result.type === "ImportDeclaration" && (!result.importKind || result.importKind === "value")) {
                this.sawUnambiguousESM = true;
              }
            } else {
              result = this.parseExport(node, decorators);
              if (result.type === "ExportNamedDeclaration" && (!result.exportKind || result.exportKind === "value") || result.type === "ExportAllDeclaration" && (!result.exportKind || result.exportKind === "value") || result.type === "ExportDefaultDeclaration") {
                this.sawUnambiguousESM = true;
              }
            }
            this.assertModuleNodeAllowed(result);
            return result;
          }
        default:
          {
            if (this.isAsyncFunction()) {
              if (!allowDeclaration) {
                this.raise(Errors.AsyncFunctionInSingleStatementContext, {
                  at: this.state.startLoc
                });
              }
              this.next();
              return this.parseFunctionStatement(node, true, !allowDeclaration && allowFunctionDeclaration);
            }
          }
      }
      var maybeName = this.state.value;
      var expr = this.parseExpression();
      if (tokenIsIdentifier(starttype) && expr.type === "Identifier" && this.eat(14)) {
        return this.parseLabeledStatement(node, maybeName, expr, flags);
      } else {
        return this.parseExpressionStatement(node, expr, decorators);
      }
    }
    assertModuleNodeAllowed(node) {
      if (!this.options.allowImportExportEverywhere && !this.inModule) {
        this.raise(Errors.ImportOutsideModule, {
          at: node
        });
      }
    }
    decoratorsEnabledBeforeExport() {
      if (this.hasPlugin("decorators-legacy")) return true;
      return this.hasPlugin("decorators") && !!this.getPluginOption("decorators", "decoratorsBeforeExport");
    }
    maybeTakeDecorators(maybeDecorators, classNode, exportNode) {
      if (maybeDecorators) {
        classNode.decorators = maybeDecorators;
        this.resetStartLocationFromNode(classNode, maybeDecorators[0]);
        if (exportNode) this.resetStartLocationFromNode(exportNode, classNode);
      }
      return classNode;
    }
    canHaveLeadingDecorator() {
      return this.match(80);
    }
    parseDecorators(allowExport) {
      var decorators = [];
      do {
        decorators.push(this.parseDecorator());
      } while (this.match(26));
      if (this.match(82)) {
        if (!allowExport) {
          this.unexpected();
        }
        if (!this.decoratorsEnabledBeforeExport()) {
          this.raise(Errors.DecoratorExportClass, {
            at: this.state.startLoc
          });
        }
      } else if (!this.canHaveLeadingDecorator()) {
        throw this.raise(Errors.UnexpectedLeadingDecorator, {
          at: this.state.startLoc
        });
      }
      return decorators;
    }
    parseDecorator() {
      this.expectOnePlugin(["decorators", "decorators-legacy"]);
      var node = this.startNode();
      this.next();
      if (this.hasPlugin("decorators")) {
        var startLoc = this.state.startLoc;
        var expr;
        if (this.match(10)) {
          var _startLoc2 = this.state.startLoc;
          this.next();
          expr = this.parseExpression();
          this.expect(11);
          expr = this.wrapParenthesis(_startLoc2, expr);
          var paramsStartLoc = this.state.startLoc;
          node.expression = this.parseMaybeDecoratorArguments(expr);
          if (this.getPluginOption("decorators", "allowCallParenthesized") === false && node.expression !== expr) {
            this.raise(Errors.DecoratorArgumentsOutsideParentheses, {
              at: paramsStartLoc
            });
          }
        } else {
          expr = this.parseIdentifier(false);
          while (this.eat(16)) {
            var _node11 = this.startNodeAt(startLoc);
            _node11.object = expr;
            if (this.match(136)) {
              this.classScope.usePrivateName(this.state.value, this.state.startLoc);
              _node11.property = this.parsePrivateName();
            } else {
              _node11.property = this.parseIdentifier(true);
            }
            _node11.computed = false;
            expr = this.finishNode(_node11, "MemberExpression");
          }
          node.expression = this.parseMaybeDecoratorArguments(expr);
        }
      } else {
        node.expression = this.parseExprSubscripts();
      }
      return this.finishNode(node, "Decorator");
    }
    parseMaybeDecoratorArguments(expr) {
      if (this.eat(10)) {
        var node = this.startNodeAtNode(expr);
        node.callee = expr;
        node.arguments = this.parseCallExpressionArguments(11, false);
        this.toReferencedList(node.arguments);
        return this.finishNode(node, "CallExpression");
      }
      return expr;
    }
    parseBreakContinueStatement(node, isBreak) {
      this.next();
      if (this.isLineTerminator()) {
        node.label = null;
      } else {
        node.label = this.parseIdentifier();
        this.semicolon();
      }
      this.verifyBreakContinue(node, isBreak);
      return this.finishNode(node, isBreak ? "BreakStatement" : "ContinueStatement");
    }
    verifyBreakContinue(node, isBreak) {
      var i;
      for (i = 0; i < this.state.labels.length; ++i) {
        var lab = this.state.labels[i];
        if (node.label == null || lab.name === node.label.name) {
          if (lab.kind != null && (isBreak || lab.kind === "loop")) break;
          if (node.label && isBreak) break;
        }
      }
      if (i === this.state.labels.length) {
        var type = isBreak ? "BreakStatement" : "ContinueStatement";
        this.raise(Errors.IllegalBreakContinue, {
          at: node,
          type
        });
      }
    }
    parseDebuggerStatement(node) {
      this.next();
      this.semicolon();
      return this.finishNode(node, "DebuggerStatement");
    }
    parseHeaderExpression() {
      this.expect(10);
      var val = this.parseExpression();
      this.expect(11);
      return val;
    }
    parseDoWhileStatement(node) {
      this.next();
      this.state.labels.push(loopLabel);
      node.body = this.withSmartMixTopicForbiddingContext(() => this.parseStatement());
      this.state.labels.pop();
      this.expect(92);
      node.test = this.parseHeaderExpression();
      this.eat(13);
      return this.finishNode(node, "DoWhileStatement");
    }
    parseForStatement(node) {
      this.next();
      this.state.labels.push(loopLabel);
      var awaitAt = null;
      if (this.isAwaitAllowed() && this.eatContextual(96)) {
        awaitAt = this.state.lastTokStartLoc;
      }
      this.scope.enter(SCOPE_OTHER);
      this.expect(10);
      if (this.match(13)) {
        if (awaitAt !== null) {
          this.unexpected(awaitAt);
        }
        return this.parseFor(node, null);
      }
      var startsWithLet = this.isContextual(99);
      var startsWithUsing = this.isContextual(105) && !this.hasFollowingLineBreak();
      var isLetOrUsing = startsWithLet && this.hasFollowingBindingAtom() || startsWithUsing && this.hasFollowingBindingIdentifier() && this.startsUsingForOf();
      if (this.match(74) || this.match(75) || isLetOrUsing) {
        var initNode = this.startNode();
        var kind = this.state.value;
        this.next();
        this.parseVar(initNode, true, kind);
        var _init = this.finishNode(initNode, "VariableDeclaration");
        var isForIn = this.match(58);
        if (isForIn && startsWithUsing) {
          this.raise(Errors.ForInUsing, {
            at: _init
          });
        }
        if ((isForIn || this.isContextual(101)) && _init.declarations.length === 1) {
          return this.parseForIn(node, _init, awaitAt);
        }
        if (awaitAt !== null) {
          this.unexpected(awaitAt);
        }
        return this.parseFor(node, _init);
      }
      var startsWithAsync = this.isContextual(95);
      var refExpressionErrors = new ExpressionErrors();
      var init = this.parseExpression(true, refExpressionErrors);
      var isForOf = this.isContextual(101);
      if (isForOf) {
        if (startsWithLet) {
          this.raise(Errors.ForOfLet, {
            at: init
          });
        }
        if (awaitAt === null && startsWithAsync && init.type === "Identifier") {
          this.raise(Errors.ForOfAsync, {
            at: init
          });
        }
      }
      if (isForOf || this.match(58)) {
        this.checkDestructuringPrivate(refExpressionErrors);
        this.toAssignable(init, true);
        var type = isForOf ? "ForOfStatement" : "ForInStatement";
        this.checkLVal(init, {
          in: {
            type
          }
        });
        return this.parseForIn(node, init, awaitAt);
      } else {
        this.checkExpressionErrors(refExpressionErrors, true);
      }
      if (awaitAt !== null) {
        this.unexpected(awaitAt);
      }
      return this.parseFor(node, init);
    }
    parseFunctionStatement(node, isAsync, isHangingDeclaration) {
      this.next();
      return this.parseFunction(node, ParseFunctionFlag.Declaration | (isHangingDeclaration ? ParseFunctionFlag.HangingDeclaration : 0) | (isAsync ? ParseFunctionFlag.Async : 0));
    }
    parseIfStatement(node) {
      this.next();
      node.test = this.parseHeaderExpression();
      node.consequent = this.parseStatementOrFunctionDeclaration(true);
      node.alternate = this.eat(66) ? this.parseStatementOrFunctionDeclaration(true) : null;
      return this.finishNode(node, "IfStatement");
    }
    parseReturnStatement(node) {
      if (!this.prodParam.hasReturn && !this.options.allowReturnOutsideFunction) {
        this.raise(Errors.IllegalReturn, {
          at: this.state.startLoc
        });
      }
      this.next();
      if (this.isLineTerminator()) {
        node.argument = null;
      } else {
        node.argument = this.parseExpression();
        this.semicolon();
      }
      return this.finishNode(node, "ReturnStatement");
    }
    parseSwitchStatement(node) {
      this.next();
      node.discriminant = this.parseHeaderExpression();
      var cases = node.cases = [];
      this.expect(5);
      this.state.labels.push(switchLabel);
      this.scope.enter(SCOPE_OTHER);
      var cur;
      for (var sawDefault; !this.match(8);) {
        if (this.match(61) || this.match(65)) {
          var isCase = this.match(61);
          if (cur) this.finishNode(cur, "SwitchCase");
          cases.push(cur = this.startNode());
          cur.consequent = [];
          this.next();
          if (isCase) {
            cur.test = this.parseExpression();
          } else {
            if (sawDefault) {
              this.raise(Errors.MultipleDefaultsInSwitch, {
                at: this.state.lastTokStartLoc
              });
            }
            sawDefault = true;
            cur.test = null;
          }
          this.expect(14);
        } else {
          if (cur) {
            cur.consequent.push(this.parseStatementListItem());
          } else {
            this.unexpected();
          }
        }
      }
      this.scope.exit();
      if (cur) this.finishNode(cur, "SwitchCase");
      this.next();
      this.state.labels.pop();
      return this.finishNode(node, "SwitchStatement");
    }
    parseThrowStatement(node) {
      this.next();
      if (this.hasPrecedingLineBreak()) {
        this.raise(Errors.NewlineAfterThrow, {
          at: this.state.lastTokEndLoc
        });
      }
      node.argument = this.parseExpression();
      this.semicolon();
      return this.finishNode(node, "ThrowStatement");
    }
    parseCatchClauseParam() {
      var param = this.parseBindingAtom();
      var simple = param.type === "Identifier";
      this.scope.enter(simple ? SCOPE_SIMPLE_CATCH : 0);
      this.checkLVal(param, {
        in: {
          type: "CatchClause"
        },
        binding: BIND_LEXICAL,
        allowingSloppyLetBinding: true
      });
      return param;
    }
    parseTryStatement(node) {
      this.next();
      node.block = this.parseBlock();
      node.handler = null;
      if (this.match(62)) {
        var clause = this.startNode();
        this.next();
        if (this.match(10)) {
          this.expect(10);
          clause.param = this.parseCatchClauseParam();
          this.expect(11);
        } else {
          clause.param = null;
          this.scope.enter(SCOPE_OTHER);
        }
        clause.body = this.withSmartMixTopicForbiddingContext(() => this.parseBlock(false, false));
        this.scope.exit();
        node.handler = this.finishNode(clause, "CatchClause");
      }
      node.finalizer = this.eat(67) ? this.parseBlock() : null;
      if (!node.handler && !node.finalizer) {
        this.raise(Errors.NoCatchOrFinally, {
          at: node
        });
      }
      return this.finishNode(node, "TryStatement");
    }
    parseVarStatement(node, kind) {
      var allowMissingInitializer = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
      this.next();
      this.parseVar(node, false, kind, allowMissingInitializer);
      this.semicolon();
      return this.finishNode(node, "VariableDeclaration");
    }
    parseWhileStatement(node) {
      this.next();
      node.test = this.parseHeaderExpression();
      this.state.labels.push(loopLabel);
      node.body = this.withSmartMixTopicForbiddingContext(() => this.parseStatement());
      this.state.labels.pop();
      return this.finishNode(node, "WhileStatement");
    }
    parseWithStatement(node) {
      if (this.state.strict) {
        this.raise(Errors.StrictWith, {
          at: this.state.startLoc
        });
      }
      this.next();
      node.object = this.parseHeaderExpression();
      node.body = this.withSmartMixTopicForbiddingContext(() => this.parseStatement());
      return this.finishNode(node, "WithStatement");
    }
    parseEmptyStatement(node) {
      this.next();
      return this.finishNode(node, "EmptyStatement");
    }
    parseLabeledStatement(node, maybeName, expr, flags) {
      for (var label of this.state.labels) {
        if (label.name === maybeName) {
          this.raise(Errors.LabelRedeclaration, {
            at: expr,
            labelName: maybeName
          });
        }
      }
      var kind = tokenIsLoop(this.state.type) ? "loop" : this.match(71) ? "switch" : null;
      for (var i = this.state.labels.length - 1; i >= 0; i--) {
        var _label = this.state.labels[i];
        if (_label.statementStart === node.start) {
          _label.statementStart = this.state.start;
          _label.kind = kind;
        } else {
          break;
        }
      }
      this.state.labels.push({
        name: maybeName,
        kind: kind,
        statementStart: this.state.start
      });
      node.body = flags & ParseStatementFlag.AllowLabeledFunction ? this.parseStatementOrFunctionDeclaration(false) : this.parseStatement();
      this.state.labels.pop();
      node.label = expr;
      return this.finishNode(node, "LabeledStatement");
    }
    parseExpressionStatement(node, expr, decorators) {
      node.expression = expr;
      this.semicolon();
      return this.finishNode(node, "ExpressionStatement");
    }
    parseBlock() {
      var allowDirectives = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;
      var createNewLexicalScope = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
      var afterBlockParse = arguments.length > 2 ? arguments[2] : undefined;
      var node = this.startNode();
      if (allowDirectives) {
        this.state.strictErrors.clear();
      }
      this.expect(5);
      if (createNewLexicalScope) {
        this.scope.enter(SCOPE_OTHER);
      }
      this.parseBlockBody(node, allowDirectives, false, 8, afterBlockParse);
      if (createNewLexicalScope) {
        this.scope.exit();
      }
      return this.finishNode(node, "BlockStatement");
    }
    isValidDirective(stmt) {
      return stmt.type === "ExpressionStatement" && stmt.expression.type === "StringLiteral" && !stmt.expression.extra.parenthesized;
    }
    parseBlockBody(node, allowDirectives, topLevel, end, afterBlockParse) {
      var body = node.body = [];
      var directives = node.directives = [];
      this.parseBlockOrModuleBlockBody(body, allowDirectives ? directives : undefined, topLevel, end, afterBlockParse);
    }
    parseBlockOrModuleBlockBody(body, directives, topLevel, end, afterBlockParse) {
      var oldStrict = this.state.strict;
      var hasStrictModeDirective = false;
      var parsedNonDirective = false;
      while (!this.match(end)) {
        var stmt = topLevel ? this.parseModuleItem() : this.parseStatementListItem();
        if (directives && !parsedNonDirective) {
          if (this.isValidDirective(stmt)) {
            var directive = this.stmtToDirective(stmt);
            directives.push(directive);
            if (!hasStrictModeDirective && directive.value.value === "use strict") {
              hasStrictModeDirective = true;
              this.setStrict(true);
            }
            continue;
          }
          parsedNonDirective = true;
          this.state.strictErrors.clear();
        }
        body.push(stmt);
      }
      if (afterBlockParse) {
        afterBlockParse.call(this, hasStrictModeDirective);
      }
      if (!oldStrict) {
        this.setStrict(false);
      }
      this.next();
    }
    parseFor(node, init) {
      node.init = init;
      this.semicolon(false);
      node.test = this.match(13) ? null : this.parseExpression();
      this.semicolon(false);
      node.update = this.match(11) ? null : this.parseExpression();
      this.expect(11);
      node.body = this.withSmartMixTopicForbiddingContext(() => this.parseStatement());
      this.scope.exit();
      this.state.labels.pop();
      return this.finishNode(node, "ForStatement");
    }
    parseForIn(node, init, awaitAt) {
      var isForIn = this.match(58);
      this.next();
      if (isForIn) {
        if (awaitAt !== null) this.unexpected(awaitAt);
      } else {
        node.await = awaitAt !== null;
      }
      if (init.type === "VariableDeclaration" && init.declarations[0].init != null && (!isForIn || this.state.strict || init.kind !== "var" || init.declarations[0].id.type !== "Identifier")) {
        this.raise(Errors.ForInOfLoopInitializer, {
          at: init,
          type: isForIn ? "ForInStatement" : "ForOfStatement"
        });
      }
      if (init.type === "AssignmentPattern") {
        this.raise(Errors.InvalidLhs, {
          at: init,
          ancestor: {
            type: "ForStatement"
          }
        });
      }
      node.left = init;
      node.right = isForIn ? this.parseExpression() : this.parseMaybeAssignAllowIn();
      this.expect(11);
      node.body = this.withSmartMixTopicForbiddingContext(() => this.parseStatement());
      this.scope.exit();
      this.state.labels.pop();
      return this.finishNode(node, isForIn ? "ForInStatement" : "ForOfStatement");
    }
    parseVar(node, isFor, kind) {
      var allowMissingInitializer = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : false;
      var declarations = node.declarations = [];
      node.kind = kind;
      for (;;) {
        var decl = this.startNode();
        this.parseVarId(decl, kind);
        decl.init = !this.eat(29) ? null : isFor ? this.parseMaybeAssignDisallowIn() : this.parseMaybeAssignAllowIn();
        if (decl.init === null && !allowMissingInitializer) {
          if (decl.id.type !== "Identifier" && !(isFor && (this.match(58) || this.isContextual(101)))) {
            this.raise(Errors.DeclarationMissingInitializer, {
              at: this.state.lastTokEndLoc,
              kind: "destructuring"
            });
          } else if (kind === "const" && !(this.match(58) || this.isContextual(101))) {
            this.raise(Errors.DeclarationMissingInitializer, {
              at: this.state.lastTokEndLoc,
              kind: "const"
            });
          }
        }
        declarations.push(this.finishNode(decl, "VariableDeclarator"));
        if (!this.eat(12)) break;
      }
      return node;
    }
    parseVarId(decl, kind) {
      var id = this.parseBindingAtom();
      this.checkLVal(id, {
        in: {
          type: "VariableDeclarator"
        },
        binding: kind === "var" ? BIND_VAR : BIND_LEXICAL
      });
      decl.id = id;
    }
    parseAsyncFunctionExpression(node) {
      return this.parseFunction(node, ParseFunctionFlag.Async);
    }
    parseFunction(node) {
      var flags = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : ParseFunctionFlag.Expression;
      var hangingDeclaration = flags & ParseFunctionFlag.HangingDeclaration;
      var isDeclaration = !!(flags & ParseFunctionFlag.Declaration);
      var requireId = isDeclaration && !(flags & ParseFunctionFlag.NullableId);
      var isAsync = !!(flags & ParseFunctionFlag.Async);
      this.initFunction(node, isAsync);
      if (this.match(55)) {
        if (hangingDeclaration) {
          this.raise(Errors.GeneratorInSingleStatementContext, {
            at: this.state.startLoc
          });
        }
        this.next();
        node.generator = true;
      }
      if (isDeclaration) {
        node.id = this.parseFunctionId(requireId);
      }
      var oldMaybeInArrowParameters = this.state.maybeInArrowParameters;
      this.state.maybeInArrowParameters = false;
      this.scope.enter(SCOPE_FUNCTION);
      this.prodParam.enter(functionFlags(isAsync, node.generator));
      if (!isDeclaration) {
        node.id = this.parseFunctionId();
      }
      this.parseFunctionParams(node, false);
      this.withSmartMixTopicForbiddingContext(() => {
        this.parseFunctionBodyAndFinish(node, isDeclaration ? "FunctionDeclaration" : "FunctionExpression");
      });
      this.prodParam.exit();
      this.scope.exit();
      if (isDeclaration && !hangingDeclaration) {
        this.registerFunctionStatementId(node);
      }
      this.state.maybeInArrowParameters = oldMaybeInArrowParameters;
      return node;
    }
    parseFunctionId(requireId) {
      return requireId || tokenIsIdentifier(this.state.type) ? this.parseIdentifier() : null;
    }
    parseFunctionParams(node, allowModifiers) {
      this.expect(10);
      this.expressionScope.enter(newParameterDeclarationScope());
      node.params = this.parseBindingList(11, 41, false, allowModifiers);
      this.expressionScope.exit();
    }
    registerFunctionStatementId(node) {
      if (!node.id) return;
      this.scope.declareName(node.id.name, this.state.strict || node.generator || node.async ? this.scope.treatFunctionsAsVar ? BIND_VAR : BIND_LEXICAL : BIND_FUNCTION, node.id.loc.start);
    }
    parseClass(node, isStatement, optionalId) {
      this.next();
      var oldStrict = this.state.strict;
      this.state.strict = true;
      this.parseClassId(node, isStatement, optionalId);
      this.parseClassSuper(node);
      node.body = this.parseClassBody(!!node.superClass, oldStrict);
      return this.finishNode(node, isStatement ? "ClassDeclaration" : "ClassExpression");
    }
    isClassProperty() {
      return this.match(29) || this.match(13) || this.match(8);
    }
    isClassMethod() {
      return this.match(10);
    }
    isNonstaticConstructor(method) {
      return !method.computed && !method.static && (method.key.name === "constructor" || method.key.value === "constructor");
    }
    parseClassBody(hadSuperClass, oldStrict) {
      this.classScope.enter();
      var state = {
        hadConstructor: false,
        hadSuperClass
      };
      var decorators = [];
      var classBody = this.startNode();
      classBody.body = [];
      this.expect(5);
      this.withSmartMixTopicForbiddingContext(() => {
        while (!this.match(8)) {
          if (this.eat(13)) {
            if (decorators.length > 0) {
              throw this.raise(Errors.DecoratorSemicolon, {
                at: this.state.lastTokEndLoc
              });
            }
            continue;
          }
          if (this.match(26)) {
            decorators.push(this.parseDecorator());
            continue;
          }
          var member = this.startNode();
          if (decorators.length) {
            member.decorators = decorators;
            this.resetStartLocationFromNode(member, decorators[0]);
            decorators = [];
          }
          this.parseClassMember(classBody, member, state);
          if (member.kind === "constructor" && member.decorators && member.decorators.length > 0) {
            this.raise(Errors.DecoratorConstructor, {
              at: member
            });
          }
        }
      });
      this.state.strict = oldStrict;
      this.next();
      if (decorators.length) {
        throw this.raise(Errors.TrailingDecorator, {
          at: this.state.startLoc
        });
      }
      this.classScope.exit();
      return this.finishNode(classBody, "ClassBody");
    }
    parseClassMemberFromModifier(classBody, member) {
      var key = this.parseIdentifier(true);
      if (this.isClassMethod()) {
        var method = member;
        method.kind = "method";
        method.computed = false;
        method.key = key;
        method.static = false;
        this.pushClassMethod(classBody, method, false, false, false, false);
        return true;
      } else if (this.isClassProperty()) {
        var prop = member;
        prop.computed = false;
        prop.key = key;
        prop.static = false;
        classBody.body.push(this.parseClassProperty(prop));
        return true;
      }
      this.resetPreviousNodeTrailingComments(key);
      return false;
    }
    parseClassMember(classBody, member, state) {
      var isStatic = this.isContextual(104);
      if (isStatic) {
        if (this.parseClassMemberFromModifier(classBody, member)) {
          return;
        }
        if (this.eat(5)) {
          this.parseClassStaticBlock(classBody, member);
          return;
        }
      }
      this.parseClassMemberWithIsStatic(classBody, member, state, isStatic);
    }
    parseClassMemberWithIsStatic(classBody, member, state, isStatic) {
      var publicMethod = member;
      var privateMethod = member;
      var publicProp = member;
      var privateProp = member;
      var accessorProp = member;
      var method = publicMethod;
      var publicMember = publicMethod;
      member.static = isStatic;
      this.parsePropertyNamePrefixOperator(member);
      if (this.eat(55)) {
        method.kind = "method";
        var isPrivateName = this.match(136);
        this.parseClassElementName(method);
        if (isPrivateName) {
          this.pushClassPrivateMethod(classBody, privateMethod, true, false);
          return;
        }
        if (this.isNonstaticConstructor(publicMethod)) {
          this.raise(Errors.ConstructorIsGenerator, {
            at: publicMethod.key
          });
        }
        this.pushClassMethod(classBody, publicMethod, true, false, false, false);
        return;
      }
      var isContextual = tokenIsIdentifier(this.state.type) && !this.state.containsEsc;
      var isPrivate = this.match(136);
      var key = this.parseClassElementName(member);
      var maybeQuestionTokenStartLoc = this.state.startLoc;
      this.parsePostMemberNameModifiers(publicMember);
      if (this.isClassMethod()) {
        method.kind = "method";
        if (isPrivate) {
          this.pushClassPrivateMethod(classBody, privateMethod, false, false);
          return;
        }
        var isConstructor = this.isNonstaticConstructor(publicMethod);
        var allowsDirectSuper = false;
        if (isConstructor) {
          publicMethod.kind = "constructor";
          if (state.hadConstructor && !this.hasPlugin("typescript")) {
            this.raise(Errors.DuplicateConstructor, {
              at: key
            });
          }
          if (isConstructor && this.hasPlugin("typescript") && member.override) {
            this.raise(Errors.OverrideOnConstructor, {
              at: key
            });
          }
          state.hadConstructor = true;
          allowsDirectSuper = state.hadSuperClass;
        }
        this.pushClassMethod(classBody, publicMethod, false, false, isConstructor, allowsDirectSuper);
      } else if (this.isClassProperty()) {
        if (isPrivate) {
          this.pushClassPrivateProperty(classBody, privateProp);
        } else {
          this.pushClassProperty(classBody, publicProp);
        }
      } else if (isContextual && key.name === "async" && !this.isLineTerminator()) {
        this.resetPreviousNodeTrailingComments(key);
        var isGenerator = this.eat(55);
        if (publicMember.optional) {
          this.unexpected(maybeQuestionTokenStartLoc);
        }
        method.kind = "method";
        var _isPrivate = this.match(136);
        this.parseClassElementName(method);
        this.parsePostMemberNameModifiers(publicMember);
        if (_isPrivate) {
          this.pushClassPrivateMethod(classBody, privateMethod, isGenerator, true);
        } else {
          if (this.isNonstaticConstructor(publicMethod)) {
            this.raise(Errors.ConstructorIsAsync, {
              at: publicMethod.key
            });
          }
          this.pushClassMethod(classBody, publicMethod, isGenerator, true, false, false);
        }
      } else if (isContextual && (key.name === "get" || key.name === "set") && !(this.match(55) && this.isLineTerminator())) {
        this.resetPreviousNodeTrailingComments(key);
        method.kind = key.name;
        var _isPrivate2 = this.match(136);
        this.parseClassElementName(publicMethod);
        if (_isPrivate2) {
          this.pushClassPrivateMethod(classBody, privateMethod, false, false);
        } else {
          if (this.isNonstaticConstructor(publicMethod)) {
            this.raise(Errors.ConstructorIsAccessor, {
              at: publicMethod.key
            });
          }
          this.pushClassMethod(classBody, publicMethod, false, false, false, false);
        }
        this.checkGetterSetterParams(publicMethod);
      } else if (isContextual && key.name === "accessor" && !this.isLineTerminator()) {
        this.expectPlugin("decoratorAutoAccessors");
        this.resetPreviousNodeTrailingComments(key);
        var _isPrivate3 = this.match(136);
        this.parseClassElementName(publicProp);
        this.pushClassAccessorProperty(classBody, accessorProp, _isPrivate3);
      } else if (this.isLineTerminator()) {
        if (isPrivate) {
          this.pushClassPrivateProperty(classBody, privateProp);
        } else {
          this.pushClassProperty(classBody, publicProp);
        }
      } else {
        this.unexpected();
      }
    }
    parseClassElementName(member) {
      var {
        type,
        value
      } = this.state;
      if ((type === 130 || type === 131) && member.static && value === "prototype") {
        this.raise(Errors.StaticPrototype, {
          at: this.state.startLoc
        });
      }
      if (type === 136) {
        if (value === "constructor") {
          this.raise(Errors.ConstructorClassPrivateField, {
            at: this.state.startLoc
          });
        }
        var key = this.parsePrivateName();
        member.key = key;
        return key;
      }
      return this.parsePropertyName(member);
    }
    parseClassStaticBlock(classBody, member) {
      var _member$decorators;
      this.scope.enter(SCOPE_CLASS | SCOPE_STATIC_BLOCK | SCOPE_SUPER);
      var oldLabels = this.state.labels;
      this.state.labels = [];
      this.prodParam.enter(PARAM);
      var body = member.body = [];
      this.parseBlockOrModuleBlockBody(body, undefined, false, 8);
      this.prodParam.exit();
      this.scope.exit();
      this.state.labels = oldLabels;
      classBody.body.push(this.finishNode(member, "StaticBlock"));
      if ((_member$decorators = member.decorators) != null && _member$decorators.length) {
        this.raise(Errors.DecoratorStaticBlock, {
          at: member
        });
      }
    }
    pushClassProperty(classBody, prop) {
      if (!prop.computed && (prop.key.name === "constructor" || prop.key.value === "constructor")) {
        this.raise(Errors.ConstructorClassField, {
          at: prop.key
        });
      }
      classBody.body.push(this.parseClassProperty(prop));
    }
    pushClassPrivateProperty(classBody, prop) {
      var node = this.parseClassPrivateProperty(prop);
      classBody.body.push(node);
      this.classScope.declarePrivateName(this.getPrivateNameSV(node.key), CLASS_ELEMENT_OTHER, node.key.loc.start);
    }
    pushClassAccessorProperty(classBody, prop, isPrivate) {
      if (!isPrivate && !prop.computed) {
        var key = prop.key;
        if (key.name === "constructor" || key.value === "constructor") {
          this.raise(Errors.ConstructorClassField, {
            at: key
          });
        }
      }
      var node = this.parseClassAccessorProperty(prop);
      classBody.body.push(node);
      if (isPrivate) {
        this.classScope.declarePrivateName(this.getPrivateNameSV(node.key), CLASS_ELEMENT_OTHER, node.key.loc.start);
      }
    }
    pushClassMethod(classBody, method, isGenerator, isAsync, isConstructor, allowsDirectSuper) {
      classBody.body.push(this.parseMethod(method, isGenerator, isAsync, isConstructor, allowsDirectSuper, "ClassMethod", true));
    }
    pushClassPrivateMethod(classBody, method, isGenerator, isAsync) {
      var node = this.parseMethod(method, isGenerator, isAsync, false, false, "ClassPrivateMethod", true);
      classBody.body.push(node);
      var kind = node.kind === "get" ? node.static ? CLASS_ELEMENT_STATIC_GETTER : CLASS_ELEMENT_INSTANCE_GETTER : node.kind === "set" ? node.static ? CLASS_ELEMENT_STATIC_SETTER : CLASS_ELEMENT_INSTANCE_SETTER : CLASS_ELEMENT_OTHER;
      this.declareClassPrivateMethodInScope(node, kind);
    }
    declareClassPrivateMethodInScope(node, kind) {
      this.classScope.declarePrivateName(this.getPrivateNameSV(node.key), kind, node.key.loc.start);
    }
    parsePostMemberNameModifiers(methodOrProp) {}
    parseClassPrivateProperty(node) {
      this.parseInitializer(node);
      this.semicolon();
      return this.finishNode(node, "ClassPrivateProperty");
    }
    parseClassProperty(node) {
      this.parseInitializer(node);
      this.semicolon();
      return this.finishNode(node, "ClassProperty");
    }
    parseClassAccessorProperty(node) {
      this.parseInitializer(node);
      this.semicolon();
      return this.finishNode(node, "ClassAccessorProperty");
    }
    parseInitializer(node) {
      this.scope.enter(SCOPE_CLASS | SCOPE_SUPER);
      this.expressionScope.enter(newExpressionScope());
      this.prodParam.enter(PARAM);
      node.value = this.eat(29) ? this.parseMaybeAssignAllowIn() : null;
      this.expressionScope.exit();
      this.prodParam.exit();
      this.scope.exit();
    }
    parseClassId(node, isStatement, optionalId) {
      var bindingType = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : BIND_CLASS;
      if (tokenIsIdentifier(this.state.type)) {
        node.id = this.parseIdentifier();
        if (isStatement) {
          this.declareNameFromIdentifier(node.id, bindingType);
        }
      } else {
        if (optionalId || !isStatement) {
          node.id = null;
        } else {
          throw this.raise(Errors.MissingClassName, {
            at: this.state.startLoc
          });
        }
      }
    }
    parseClassSuper(node) {
      node.superClass = this.eat(81) ? this.parseExprSubscripts() : null;
    }
    parseExport(node, decorators) {
      var hasDefault = this.maybeParseExportDefaultSpecifier(node);
      var parseAfterDefault = !hasDefault || this.eat(12);
      var hasStar = parseAfterDefault && this.eatExportStar(node);
      var hasNamespace = hasStar && this.maybeParseExportNamespaceSpecifier(node);
      var parseAfterNamespace = parseAfterDefault && (!hasNamespace || this.eat(12));
      var isFromRequired = hasDefault || hasStar;
      if (hasStar && !hasNamespace) {
        if (hasDefault) this.unexpected();
        if (decorators) {
          throw this.raise(Errors.UnsupportedDecoratorExport, {
            at: node
          });
        }
        this.parseExportFrom(node, true);
        return this.finishNode(node, "ExportAllDeclaration");
      }
      var hasSpecifiers = this.maybeParseExportNamedSpecifiers(node);
      if (hasDefault && parseAfterDefault && !hasStar && !hasSpecifiers || hasNamespace && parseAfterNamespace && !hasSpecifiers) {
        throw this.unexpected(null, 5);
      }
      var hasDeclaration;
      if (isFromRequired || hasSpecifiers) {
        hasDeclaration = false;
        if (decorators) {
          throw this.raise(Errors.UnsupportedDecoratorExport, {
            at: node
          });
        }
        this.parseExportFrom(node, isFromRequired);
      } else {
        hasDeclaration = this.maybeParseExportDeclaration(node);
      }
      if (isFromRequired || hasSpecifiers || hasDeclaration) {
        var _node2$declaration;
        var node2 = node;
        this.checkExport(node2, true, false, !!node2.source);
        if (((_node2$declaration = node2.declaration) == null ? void 0 : _node2$declaration.type) === "ClassDeclaration") {
          this.maybeTakeDecorators(decorators, node2.declaration, node2);
        } else if (decorators) {
          throw this.raise(Errors.UnsupportedDecoratorExport, {
            at: node
          });
        }
        return this.finishNode(node2, "ExportNamedDeclaration");
      }
      if (this.eat(65)) {
        var _node12 = node;
        var decl = this.parseExportDefaultExpression();
        _node12.declaration = decl;
        if (decl.type === "ClassDeclaration") {
          this.maybeTakeDecorators(decorators, decl, _node12);
        } else if (decorators) {
          throw this.raise(Errors.UnsupportedDecoratorExport, {
            at: node
          });
        }
        this.checkExport(_node12, true, true);
        return this.finishNode(_node12, "ExportDefaultDeclaration");
      }
      throw this.unexpected(null, 5);
    }
    eatExportStar(node) {
      return this.eat(55);
    }
    maybeParseExportDefaultSpecifier(node) {
      if (this.isExportDefaultSpecifier()) {
        this.expectPlugin("exportDefaultFrom");
        var specifier = this.startNode();
        specifier.exported = this.parseIdentifier(true);
        node.specifiers = [this.finishNode(specifier, "ExportDefaultSpecifier")];
        return true;
      }
      return false;
    }
    maybeParseExportNamespaceSpecifier(node) {
      if (this.isContextual(93)) {
        if (!node.specifiers) node.specifiers = [];
        var specifier = this.startNodeAt(this.state.lastTokStartLoc);
        this.next();
        specifier.exported = this.parseModuleExportName();
        node.specifiers.push(this.finishNode(specifier, "ExportNamespaceSpecifier"));
        return true;
      }
      return false;
    }
    maybeParseExportNamedSpecifiers(node) {
      if (this.match(5)) {
        if (!node.specifiers) node.specifiers = [];
        var isTypeExport = node.exportKind === "type";
        node.specifiers.push(...this.parseExportSpecifiers(isTypeExport));
        node.source = null;
        node.declaration = null;
        if (this.hasPlugin("importAssertions")) {
          node.assertions = [];
        }
        return true;
      }
      return false;
    }
    maybeParseExportDeclaration(node) {
      if (this.shouldParseExportDeclaration()) {
        node.specifiers = [];
        node.source = null;
        if (this.hasPlugin("importAssertions")) {
          node.assertions = [];
        }
        node.declaration = this.parseExportDeclaration(node);
        return true;
      }
      return false;
    }
    isAsyncFunction() {
      if (!this.isContextual(95)) return false;
      var next = this.nextTokenStart();
      return !lineBreak.test(this.input.slice(this.state.pos, next)) && this.isUnparsedContextual(next, "function");
    }
    parseExportDefaultExpression() {
      var expr = this.startNode();
      if (this.match(68)) {
        this.next();
        return this.parseFunction(expr, ParseFunctionFlag.Declaration | ParseFunctionFlag.NullableId);
      } else if (this.isAsyncFunction()) {
        this.next();
        this.next();
        return this.parseFunction(expr, ParseFunctionFlag.Declaration | ParseFunctionFlag.NullableId | ParseFunctionFlag.Async);
      }
      if (this.match(80)) {
        return this.parseClass(expr, true, true);
      }
      if (this.match(26)) {
        if (this.hasPlugin("decorators") && this.getPluginOption("decorators", "decoratorsBeforeExport")) {
          this.raise(Errors.DecoratorBeforeExport, {
            at: this.state.startLoc
          });
        }
        return this.parseClass(this.maybeTakeDecorators(this.parseDecorators(false), this.startNode()), true, true);
      }
      if (this.match(75) || this.match(74) || this.isLet()) {
        throw this.raise(Errors.UnsupportedDefaultExport, {
          at: this.state.startLoc
        });
      }
      var res = this.parseMaybeAssignAllowIn();
      this.semicolon();
      return res;
    }
    parseExportDeclaration(node) {
      if (this.match(80)) {
        var _node13 = this.parseClass(this.startNode(), true, false);
        return _node13;
      }
      return this.parseStatementListItem();
    }
    isExportDefaultSpecifier() {
      var {
        type
      } = this.state;
      if (tokenIsIdentifier(type)) {
        if (type === 95 && !this.state.containsEsc || type === 99) {
          return false;
        }
        if ((type === 128 || type === 127) && !this.state.containsEsc) {
          var {
            type: nextType
          } = this.lookahead();
          if (tokenIsIdentifier(nextType) && nextType !== 97 || nextType === 5) {
            this.expectOnePlugin(["flow", "typescript"]);
            return false;
          }
        }
      } else if (!this.match(65)) {
        return false;
      }
      var next = this.nextTokenStart();
      var hasFrom = this.isUnparsedContextual(next, "from");
      if (this.input.charCodeAt(next) === 44 || tokenIsIdentifier(this.state.type) && hasFrom) {
        return true;
      }
      if (this.match(65) && hasFrom) {
        var nextAfterFrom = this.input.charCodeAt(this.nextTokenStartSince(next + 4));
        return nextAfterFrom === 34 || nextAfterFrom === 39;
      }
      return false;
    }
    parseExportFrom(node, expect) {
      if (this.eatContextual(97)) {
        node.source = this.parseImportSource();
        this.checkExport(node);
        var assertions = this.maybeParseImportAssertions();
        if (assertions) {
          node.assertions = assertions;
          this.checkJSONModuleImport(node);
        }
      } else if (expect) {
        this.unexpected();
      }
      this.semicolon();
    }
    shouldParseExportDeclaration() {
      var {
        type
      } = this.state;
      if (type === 26) {
        this.expectOnePlugin(["decorators", "decorators-legacy"]);
        if (this.hasPlugin("decorators")) {
          if (this.getPluginOption("decorators", "decoratorsBeforeExport")) {
            throw this.raise(Errors.DecoratorBeforeExport, {
              at: this.state.startLoc
            });
          }
          return true;
        }
      }
      return type === 74 || type === 75 || type === 68 || type === 80 || this.isLet() || this.isAsyncFunction();
    }
    checkExport(node, checkNames, isDefault, isFrom) {
      if (checkNames) {
        if (isDefault) {
          this.checkDuplicateExports(node, "default");
          if (this.hasPlugin("exportDefaultFrom")) {
            var _declaration$extra;
            var declaration = node.declaration;
            if (declaration.type === "Identifier" && declaration.name === "from" && declaration.end - declaration.start === 4 && !((_declaration$extra = declaration.extra) != null && _declaration$extra.parenthesized)) {
              this.raise(Errors.ExportDefaultFromAsIdentifier, {
                at: declaration
              });
            }
          }
        } else if (node.specifiers && node.specifiers.length) {
          for (var specifier of node.specifiers) {
            var {
              exported
            } = specifier;
            var exportName = exported.type === "Identifier" ? exported.name : exported.value;
            this.checkDuplicateExports(specifier, exportName);
            if (!isFrom && specifier.local) {
              var {
                local
              } = specifier;
              if (local.type !== "Identifier") {
                this.raise(Errors.ExportBindingIsString, {
                  at: specifier,
                  localName: local.value,
                  exportName
                });
              } else {
                this.checkReservedWord(local.name, local.loc.start, true, false);
                this.scope.checkLocalExport(local);
              }
            }
          }
        } else if (node.declaration) {
          if (node.declaration.type === "FunctionDeclaration" || node.declaration.type === "ClassDeclaration") {
            var id = node.declaration.id;
            if (!id) throw new Error("Assertion failure");
            this.checkDuplicateExports(node, id.name);
          } else if (node.declaration.type === "VariableDeclaration") {
            for (var _declaration of node.declaration.declarations) {
              this.checkDeclaration(_declaration.id);
            }
          }
        }
      }
    }
    checkDeclaration(node) {
      if (node.type === "Identifier") {
        this.checkDuplicateExports(node, node.name);
      } else if (node.type === "ObjectPattern") {
        for (var prop of node.properties) {
          this.checkDeclaration(prop);
        }
      } else if (node.type === "ArrayPattern") {
        for (var elem of node.elements) {
          if (elem) {
            this.checkDeclaration(elem);
          }
        }
      } else if (node.type === "ObjectProperty") {
        this.checkDeclaration(node.value);
      } else if (node.type === "RestElement") {
        this.checkDeclaration(node.argument);
      } else if (node.type === "AssignmentPattern") {
        this.checkDeclaration(node.left);
      }
    }
    checkDuplicateExports(node, exportName) {
      if (this.exportedIdentifiers.has(exportName)) {
        if (exportName === "default") {
          this.raise(Errors.DuplicateDefaultExport, {
            at: node
          });
        } else {
          this.raise(Errors.DuplicateExport, {
            at: node,
            exportName
          });
        }
      }
      this.exportedIdentifiers.add(exportName);
    }
    parseExportSpecifiers(isInTypeExport) {
      var nodes = [];
      var first = true;
      this.expect(5);
      while (!this.eat(8)) {
        if (first) {
          first = false;
        } else {
          this.expect(12);
          if (this.eat(8)) break;
        }
        var isMaybeTypeOnly = this.isContextual(128);
        var isString = this.match(131);
        var node = this.startNode();
        node.local = this.parseModuleExportName();
        nodes.push(this.parseExportSpecifier(node, isString, isInTypeExport, isMaybeTypeOnly));
      }
      return nodes;
    }
    parseExportSpecifier(node, isString, isInTypeExport, isMaybeTypeOnly) {
      if (this.eatContextual(93)) {
        node.exported = this.parseModuleExportName();
      } else if (isString) {
        node.exported = cloneStringLiteral(node.local);
      } else if (!node.exported) {
        node.exported = cloneIdentifier(node.local);
      }
      return this.finishNode(node, "ExportSpecifier");
    }
    parseModuleExportName() {
      if (this.match(131)) {
        var result = this.parseStringLiteral(this.state.value);
        var surrogate = result.value.match(loneSurrogate);
        if (surrogate) {
          this.raise(Errors.ModuleExportNameHasLoneSurrogate, {
            at: result,
            surrogateCharCode: surrogate[0].charCodeAt(0)
          });
        }
        return result;
      }
      return this.parseIdentifier(true);
    }
    isJSONModuleImport(node) {
      if (node.assertions != null) {
        return node.assertions.some(_ref89 => {
          var {
            key,
            value
          } = _ref89;
          return value.value === "json" && (key.type === "Identifier" ? key.name === "type" : key.value === "type");
        });
      }
      return false;
    }
    checkImportReflection(node) {
      if (node.module) {
        var _node$assertions;
        if (node.specifiers.length !== 1 || node.specifiers[0].type !== "ImportDefaultSpecifier") {
          this.raise(Errors.ImportReflectionNotBinding, {
            at: node.specifiers[0].loc.start
          });
        }
        if (((_node$assertions = node.assertions) == null ? void 0 : _node$assertions.length) > 0) {
          this.raise(Errors.ImportReflectionHasAssertion, {
            at: node.specifiers[0].loc.start
          });
        }
      }
    }
    checkJSONModuleImport(node) {
      if (this.isJSONModuleImport(node) && node.type !== "ExportAllDeclaration") {
        var {
          specifiers
        } = node;
        if (specifiers != null) {
          var nonDefaultNamedSpecifier = specifiers.find(specifier => {
            var imported;
            if (specifier.type === "ExportSpecifier") {
              imported = specifier.local;
            } else if (specifier.type === "ImportSpecifier") {
              imported = specifier.imported;
            }
            if (imported !== undefined) {
              return imported.type === "Identifier" ? imported.name !== "default" : imported.value !== "default";
            }
          });
          if (nonDefaultNamedSpecifier !== undefined) {
            this.raise(Errors.ImportJSONBindingNotDefault, {
              at: nonDefaultNamedSpecifier.loc.start
            });
          }
        }
      }
    }
    parseMaybeImportReflection(node) {
      var isImportReflection = false;
      if (this.isContextual(125)) {
        var lookahead = this.lookahead();
        var nextType = lookahead.type;
        if (tokenIsIdentifier(nextType)) {
          if (nextType !== 97) {
            isImportReflection = true;
          } else {
            var nextNextTokenFirstChar = this.input.charCodeAt(this.nextTokenStartSince(lookahead.end));
            if (nextNextTokenFirstChar === 102) {
              isImportReflection = true;
            }
          }
        } else if (nextType !== 12) {
          isImportReflection = true;
        }
      }
      if (isImportReflection) {
        this.expectPlugin("importReflection");
        this.next();
        node.module = true;
      } else if (this.hasPlugin("importReflection")) {
        node.module = false;
      }
    }
    parseImport(node) {
      node.specifiers = [];
      if (!this.match(131)) {
        this.parseMaybeImportReflection(node);
        var hasDefault = this.maybeParseDefaultImportSpecifier(node);
        var parseNext = !hasDefault || this.eat(12);
        var hasStar = parseNext && this.maybeParseStarImportSpecifier(node);
        if (parseNext && !hasStar) this.parseNamedImportSpecifiers(node);
        this.expectContextual(97);
      }
      node.source = this.parseImportSource();
      var assertions = this.maybeParseImportAssertions();
      if (assertions) {
        node.assertions = assertions;
      } else {
        var attributes = this.maybeParseModuleAttributes();
        if (attributes) {
          node.attributes = attributes;
        }
      }
      this.checkImportReflection(node);
      this.checkJSONModuleImport(node);
      this.semicolon();
      return this.finishNode(node, "ImportDeclaration");
    }
    parseImportSource() {
      if (!this.match(131)) this.unexpected();
      return this.parseExprAtom();
    }
    shouldParseDefaultImport(node) {
      return tokenIsIdentifier(this.state.type);
    }
    parseImportSpecifierLocal(node, specifier, type) {
      specifier.local = this.parseIdentifier();
      node.specifiers.push(this.finishImportSpecifier(specifier, type));
    }
    finishImportSpecifier(specifier, type) {
      var bindingType = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : BIND_LEXICAL;
      this.checkLVal(specifier.local, {
        in: specifier,
        binding: bindingType
      });
      return this.finishNode(specifier, type);
    }
    parseAssertEntries() {
      var attrs = [];
      var attrNames = new Set();
      do {
        if (this.match(8)) {
          break;
        }
        var node = this.startNode();
        var keyName = this.state.value;
        if (attrNames.has(keyName)) {
          this.raise(Errors.ModuleAttributesWithDuplicateKeys, {
            at: this.state.startLoc,
            key: keyName
          });
        }
        attrNames.add(keyName);
        if (this.match(131)) {
          node.key = this.parseStringLiteral(keyName);
        } else {
          node.key = this.parseIdentifier(true);
        }
        this.expect(14);
        if (!this.match(131)) {
          throw this.raise(Errors.ModuleAttributeInvalidValue, {
            at: this.state.startLoc
          });
        }
        node.value = this.parseStringLiteral(this.state.value);
        attrs.push(this.finishNode(node, "ImportAttribute"));
      } while (this.eat(12));
      return attrs;
    }
    maybeParseModuleAttributes() {
      if (this.match(76) && !this.hasPrecedingLineBreak()) {
        this.expectPlugin("moduleAttributes");
        this.next();
      } else {
        if (this.hasPlugin("moduleAttributes")) return [];
        return null;
      }
      var attrs = [];
      var attributes = new Set();
      do {
        var node = this.startNode();
        node.key = this.parseIdentifier(true);
        if (node.key.name !== "type") {
          this.raise(Errors.ModuleAttributeDifferentFromType, {
            at: node.key
          });
        }
        if (attributes.has(node.key.name)) {
          this.raise(Errors.ModuleAttributesWithDuplicateKeys, {
            at: node.key,
            key: node.key.name
          });
        }
        attributes.add(node.key.name);
        this.expect(14);
        if (!this.match(131)) {
          throw this.raise(Errors.ModuleAttributeInvalidValue, {
            at: this.state.startLoc
          });
        }
        node.value = this.parseStringLiteral(this.state.value);
        this.finishNode(node, "ImportAttribute");
        attrs.push(node);
      } while (this.eat(12));
      return attrs;
    }
    maybeParseImportAssertions() {
      if (this.isContextual(94) && !this.hasPrecedingLineBreak()) {
        this.expectPlugin("importAssertions");
        this.next();
      } else {
        if (this.hasPlugin("importAssertions")) return [];
        return null;
      }
      this.eat(5);
      var attrs = this.parseAssertEntries();
      this.eat(8);
      return attrs;
    }
    maybeParseDefaultImportSpecifier(node) {
      if (this.shouldParseDefaultImport(node)) {
        this.parseImportSpecifierLocal(node, this.startNode(), "ImportDefaultSpecifier");
        return true;
      }
      return false;
    }
    maybeParseStarImportSpecifier(node) {
      if (this.match(55)) {
        var specifier = this.startNode();
        this.next();
        this.expectContextual(93);
        this.parseImportSpecifierLocal(node, specifier, "ImportNamespaceSpecifier");
        return true;
      }
      return false;
    }
    parseNamedImportSpecifiers(node) {
      var first = true;
      this.expect(5);
      while (!this.eat(8)) {
        if (first) {
          first = false;
        } else {
          if (this.eat(14)) {
            throw this.raise(Errors.DestructureNamedImport, {
              at: this.state.startLoc
            });
          }
          this.expect(12);
          if (this.eat(8)) break;
        }
        var specifier = this.startNode();
        var importedIsString = this.match(131);
        var isMaybeTypeOnly = this.isContextual(128);
        specifier.imported = this.parseModuleExportName();
        var importSpecifier = this.parseImportSpecifier(specifier, importedIsString, node.importKind === "type" || node.importKind === "typeof", isMaybeTypeOnly, undefined);
        node.specifiers.push(importSpecifier);
      }
    }
    parseImportSpecifier(specifier, importedIsString, isInTypeOnlyImport, isMaybeTypeOnly, bindingType) {
      if (this.eatContextual(93)) {
        specifier.local = this.parseIdentifier();
      } else {
        var {
          imported
        } = specifier;
        if (importedIsString) {
          throw this.raise(Errors.ImportBindingIsString, {
            at: specifier,
            importName: imported.value
          });
        }
        this.checkReservedWord(imported.name, specifier.loc.start, true, true);
        if (!specifier.local) {
          specifier.local = cloneIdentifier(imported);
        }
      }
      return this.finishImportSpecifier(specifier, "ImportSpecifier", bindingType);
    }
    isThisParam(param) {
      return param.type === "Identifier" && param.name === "this";
    }
  }
  class Parser extends StatementParser {
    constructor(options, input) {
      options = getOptions(options);
      super(options, input);
      this.options = options;
      this.initializeScopes();
      this.plugins = pluginsMap(this.options.plugins);
      this.filename = options.sourceFilename;
    }
    getScopeHandler() {
      return ScopeHandler;
    }
    parse() {
      this.enterInitialScopes();
      var file = this.startNode();
      var program = this.startNode();
      this.nextToken();
      file.errors = null;
      this.parseTopLevel(file, program);
      file.errors = this.state.errors;
      return file;
    }
  }
  function pluginsMap(plugins) {
    var pluginMap = new Map();
    for (var plugin of plugins) {
      var [name, options] = Array.isArray(plugin) ? plugin : [plugin, {}];
      if (!pluginMap.has(name)) pluginMap.set(name, options || {});
    }
    return pluginMap;
  }
  function parse$1(input, options) {
    var _options;
    if (((_options = options) == null ? void 0 : _options.sourceType) === "unambiguous") {
      options = Object.assign({}, options);
      try {
        options.sourceType = "module";
        var parser = getParser(options, input);
        var ast = parser.parse();
        if (parser.sawUnambiguousESM) {
          return ast;
        }
        if (parser.ambiguousScriptDifferentAst) {
          try {
            options.sourceType = "script";
            return getParser(options, input).parse();
          } catch (_unused) {}
        } else {
          ast.program.sourceType = "script";
        }
        return ast;
      } catch (moduleError) {
        try {
          options.sourceType = "script";
          return getParser(options, input).parse();
        } catch (_unused2) {}
        throw moduleError;
      }
    } else {
      return getParser(options, input).parse();
    }
  }
  function parseExpression(input, options) {
    var parser = getParser(options, input);
    if (parser.options.strictMode) {
      parser.state.strict = true;
    }
    return parser.getExpression();
  }
  function generateExportedTokenTypes(internalTokenTypes) {
    var tokenTypes = {};
    for (var typeName of Object.keys(internalTokenTypes)) {
      tokenTypes[typeName] = getExportedToken(internalTokenTypes[typeName]);
    }
    return tokenTypes;
  }
  var tokTypes = generateExportedTokenTypes(tt);
  function getParser(options, input) {
    var cls = Parser;
    if (options != null && options.plugins) {
      validatePlugins(options.plugins);
      cls = getParserClass(options.plugins);
    }
    return new cls(options, input);
  }
  var parserClassCache = {};
  function getParserClass(pluginsFromOptions) {
    var pluginList = mixinPluginNames.filter(name => hasPlugin(pluginsFromOptions, name));
    var key = pluginList.join("/");
    var cls = parserClassCache[key];
    if (!cls) {
      cls = Parser;
      for (var plugin of pluginList) {
        cls = mixinPlugins[plugin](cls);
      }
      parserClassCache[key] = cls;
    }
    return cls;
  }
  var parse_1 = lib.parse = parse$1;
  var parseExpression_1 = lib.parseExpression = parseExpression;
  var tokTypes_1 = lib.tokTypes = tokTypes;

  function parseAsEstreeExpression(source) {
    return parseExpression_1(source, {
      plugins: ["estree", ["pipelineOperator", {
        proposal: "minimal"
      }]],
      attachComment: false
    });
  }
  function parseAsEstree(source) {
    var {
      typescript
    } = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var file = parse_1(source, {
      plugins: ["estree", typescript && "typescript"].filter(Boolean),
      strictMode: true,
      attachComment: false
    });
    var body = file.program.body;
    var jsNodes = typescript ? [] : body;
    if (typescript) {
      for (var node of body) {
        if (node.type.startsWith("TS")) {
          if (/Enum|Import|Export/.test(node.type)) {
            throw new SyntaxError("Unsupported TypeScript syntax: ".concat(node.type));
          }
        } else {
          jsNodes.push(node);
        }
      }
    }
    if (jsNodes.length === 0) {
      throw new SyntaxError("Function declaration not found");
    }
    if (jsNodes.length > 1 || jsNodes[0].type !== "FunctionDeclaration") {
      throw new SyntaxError("Expect a single function declaration at top level, but received: ".concat(jsNodes.map(node => "\"".concat(node.type, "\"")).join(", ")));
    }
    return jsNodes[0];
  }
  /** For next-core internal or devtools usage only. */
  function parseForAnalysis(source) {
    var {
      typescript,
      tokens
    } = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    try {
      return parse_1(source, {
        plugins: ["estree", typescript && "typescript"].filter(Boolean),
        strictMode: true,
        attachComment: false,
        // Allow export/import declarations to make analyser handle errors.
        sourceType: "unambiguous",
        tokens
      });
    } catch (e) {
      // Return no errors if parse failed.
      return null;
    }
  }

  function hasOwnProperty(object, property) {
    return Object.prototype.hasOwnProperty.call(object, property);
  }

  // https://tc39.es/ecma262/#sec-execution-contexts
  class AnalysisContext {
    constructor() {
      _defineProperty__default["default"](this, "VariableEnvironment", void 0);
      _defineProperty__default["default"](this, "LexicalEnvironment", void 0);
    }
  }

  // https://tc39.es/ecma262/#sec-environment-records
  class AnalysisEnvironment {
    constructor(outer) {
      _defineProperty__default["default"](this, "OuterEnv", void 0);
      _defineProperty__default["default"](this, "bindingSet", new Set());
      this.OuterEnv = outer;
    }
    HasBinding(name) {
      return this.bindingSet.has(name);
    }
    CreateBinding(name) {
      this.bindingSet.add(name);
    }
  }

  /**
   * Analysis an AST of a storyboard function or an evaluation expression.
   *
   * @param rootAst - The root AST.
   * @param options - Analysis options.
   * @returns A set of global variables the root AST attempts to access.
   */
  function precook(rootAst) {
    var {
      expressionOnly,
      visitors,
      withParent,
      hooks = {}
    } = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var attemptToVisitGlobals = new Set();
    var analysisContextStack = [];
    var rootEnv = new AnalysisEnvironment(null);
    var rootContext = new AnalysisContext();
    rootContext.VariableEnvironment = rootEnv;
    rootContext.LexicalEnvironment = rootEnv;
    analysisContextStack.push(rootContext);
    function getRunningContext() {
      return analysisContextStack[analysisContextStack.length - 1];
    }
    function visit(node) {
      if (hasOwnProperty(visitors, node.type)) {
        visitors[node.type](node);
      }
    }
    function EvaluateChildren(node, keys, parent) {
      for (var key of keys) {
        Evaluate(node[key], parent === null || parent === void 0 ? void 0 : parent.concat({
          node,
          key
        }));
      }
    }
    function Evaluate(node, parent) {
      if (Array.isArray(node)) {
        node.forEach((n, index) => {
          Evaluate(n, parent ? parent.slice(0, -1).concat(_objectSpread__default["default"](_objectSpread__default["default"]({}, parent[parent.length - 1]), {}, {
            index
          })) : parent);
        });
      } else if (node) {
        var _hooks$beforeVisit, _hooks$beforeVisitUnk;
        // `node` maybe `null` in some cases.
        (_hooks$beforeVisit = hooks.beforeVisit) === null || _hooks$beforeVisit === void 0 ? void 0 : _hooks$beforeVisit.call(hooks, node, parent);
        visitors && visit(node);
        // Expressions:
        switch (node.type) {
          case "Identifier":
            if (!ResolveBinding(node.name)) {
              var _hooks$beforeVisitGlo;
              (_hooks$beforeVisitGlo = hooks.beforeVisitGlobal) === null || _hooks$beforeVisitGlo === void 0 ? void 0 : _hooks$beforeVisitGlo.call(hooks, node, parent);
              attemptToVisitGlobals.add(node.name);
            }
            return;
          case "ArrayExpression":
          case "ArrayPattern":
            EvaluateChildren(node, ["elements"], parent);
            return;
          case "ArrowFunctionExpression":
            {
              var env = getRunningContext().LexicalEnvironment;
              var closure = OrdinaryFunctionCreate(node, env);
              CallFunction(closure, parent);
              return;
            }
          case "AssignmentPattern":
          case "BinaryExpression":
          case "LogicalExpression":
            EvaluateChildren(node, ["left", "right"], parent);
            return;
          case "CallExpression":
          case "NewExpression":
            EvaluateChildren(node, ["callee", "arguments"], parent);
            return;
          case "ChainExpression":
            EvaluateChildren(node, ["expression"], parent);
            return;
          case "ConditionalExpression":
            EvaluateChildren(node, ["test", "consequent", "alternate"], parent);
            return;
          case "MemberExpression":
            EvaluateChildren(node, ["object"], parent);
            if (node.computed) {
              EvaluateChildren(node, ["property"], parent);
            }
            return;
          case "ObjectExpression":
          case "ObjectPattern":
            EvaluateChildren(node, ["properties"], parent);
            return;
          case "Property":
            if (node.computed) {
              EvaluateChildren(node, ["key"], parent);
            }
            EvaluateChildren(node, ["value"], parent);
            return;
          case "RestElement":
          case "SpreadElement":
          case "UnaryExpression":
            EvaluateChildren(node, ["argument"], parent);
            return;
          case "SequenceExpression":
          case "TemplateLiteral":
            EvaluateChildren(node, ["expressions"], parent);
            return;
          case "TaggedTemplateExpression":
            EvaluateChildren(node, ["tag", "quasi"], parent);
            return;
          case "Literal":
            return;
        }
        if (!expressionOnly) {
          // Statements and assignments:
          switch (node.type) {
            case "AssignmentExpression":
              EvaluateChildren(node, ["right", "left"], parent);
              return;
            case "BlockStatement":
              {
                if (!node.body.length) {
                  return;
                }
                var runningContext = getRunningContext();
                var oldEnv = runningContext.LexicalEnvironment;
                var blockEnv = new AnalysisEnvironment(oldEnv);
                BlockDeclarationInstantiation(node.body, blockEnv);
                runningContext.LexicalEnvironment = blockEnv;
                EvaluateChildren(node, ["body"], parent);
                runningContext.LexicalEnvironment = oldEnv;
                return;
              }
            case "BreakStatement":
            case "ContinueStatement":
            case "EmptyStatement":
              return;
            case "CatchClause":
              {
                var _runningContext = getRunningContext();
                var _oldEnv = _runningContext.LexicalEnvironment;
                var catchEnv = new AnalysisEnvironment(_oldEnv);
                BoundNamesInstantiation(node.param, catchEnv);
                _runningContext.LexicalEnvironment = catchEnv;
                EvaluateChildren(node, ["param", "body"], parent);
                _runningContext.LexicalEnvironment = _oldEnv;
                return;
              }
            case "DoWhileStatement":
              EvaluateChildren(node, ["body", "test"], parent);
              return;
            case "ExpressionStatement":
            case "TSAsExpression":
              EvaluateChildren(node, ["expression"], parent);
              return;
            case "ForInStatement":
            case "ForOfStatement":
              {
                // ForIn/OfHeadEvaluation
                var lexicalBinding = node.left.type === "VariableDeclaration" && node.left.kind !== "var";
                var _runningContext2 = getRunningContext();
                var _oldEnv2 = _runningContext2.LexicalEnvironment;
                if (lexicalBinding) {
                  var newEnv = new AnalysisEnvironment(_oldEnv2);
                  BoundNamesInstantiation(node.left, newEnv);
                  _runningContext2.LexicalEnvironment = newEnv;
                }
                EvaluateChildren(node, ["right"], parent);
                _runningContext2.LexicalEnvironment = _oldEnv2;

                // ForIn/OfBodyEvaluation
                if (lexicalBinding) {
                  var iterationEnv = new AnalysisEnvironment(_oldEnv2);
                  BoundNamesInstantiation(node.left, iterationEnv);
                  _runningContext2.LexicalEnvironment = iterationEnv;
                }
                EvaluateChildren(node, ["left", "body"], parent);
                _runningContext2.LexicalEnvironment = _oldEnv2;
                return;
              }
            case "ForStatement":
              {
                var _node$init;
                var _lexicalBinding = ((_node$init = node.init) === null || _node$init === void 0 ? void 0 : _node$init.type) === "VariableDeclaration" && node.init.kind !== "var";
                var _runningContext3 = getRunningContext();
                var _oldEnv3 = _runningContext3.LexicalEnvironment;
                if (_lexicalBinding) {
                  var loopEnv = new AnalysisEnvironment(_oldEnv3);
                  BoundNamesInstantiation(node.init, loopEnv);
                  _runningContext3.LexicalEnvironment = loopEnv;
                }
                EvaluateChildren(node, ["init", "test", "body", "update"], parent);
                _runningContext3.LexicalEnvironment = _oldEnv3;
                return;
              }
            case "FunctionDeclaration":
              {
                var [fn] = collectBoundNames(node);
                var _env = getRunningContext().LexicalEnvironment;
                var fo = OrdinaryFunctionCreate(node, _env);
                _env.CreateBinding(fn);
                CallFunction(fo, parent);
                return;
              }
            case "FunctionExpression":
              {
                var _closure = InstantiateOrdinaryFunctionExpression(node);
                CallFunction(_closure, parent);
                return;
              }
            case "IfStatement":
              EvaluateChildren(node, ["test", "consequent", "alternate"], parent);
              return;
            case "ReturnStatement":
            case "ThrowStatement":
            case "UpdateExpression":
              EvaluateChildren(node, ["argument"], parent);
              return;
            case "SwitchCase":
              EvaluateChildren(node, ["test", "consequent"], parent);
              return;
            case "SwitchStatement":
              {
                EvaluateChildren(node, ["discriminant"], parent);
                var _runningContext4 = getRunningContext();
                var _oldEnv4 = _runningContext4.LexicalEnvironment;
                var _blockEnv = new AnalysisEnvironment(_oldEnv4);
                BlockDeclarationInstantiation(node.cases, _blockEnv);
                _runningContext4.LexicalEnvironment = _blockEnv;
                EvaluateChildren(node, ["cases"], parent);
                _runningContext4.LexicalEnvironment = _oldEnv4;
                return;
              }
            case "TryStatement":
              EvaluateChildren(node, ["block", "handler", "finalizer"], parent);
              return;
            case "VariableDeclaration":
              EvaluateChildren(node, ["declarations"], parent);
              return;
            case "VariableDeclarator":
              EvaluateChildren(node, ["id", "init"], parent);
              return;
            case "WhileStatement":
              EvaluateChildren(node, ["test", "body"], parent);
              return;
          }
        }
        var silent = (_hooks$beforeVisitUnk = hooks.beforeVisitUnknown) === null || _hooks$beforeVisitUnk === void 0 ? void 0 : _hooks$beforeVisitUnk.call(hooks, node, parent);
        if (!silent) {
          // eslint-disable-next-line no-console
          console.warn("Unsupported node type `".concat(node.type, "`"));
        }
      }
    }
    function BoundNamesInstantiation(declarations, env) {
      for (var name of collectBoundNames(declarations)) {
        env.CreateBinding(name);
      }
    }
    function ResolveBinding(name) {
      var env = getRunningContext().LexicalEnvironment;
      return GetIdentifierReference(env, name);
    }
    function GetIdentifierReference(env, name) {
      return !!env && (env.HasBinding(name) || GetIdentifierReference(env.OuterEnv, name));
    }
    function BlockDeclarationInstantiation(code, env) {
      var declarations = collectScopedDeclarations(code, {
        var: false,
        topLevel: false
      });
      BoundNamesInstantiation(declarations, env);
    }
    function CallFunction(closure, parent) {
      PrepareOrdinaryCall(closure);
      FunctionDeclarationInstantiation(closure, parent);
      Evaluate(closure.ECMAScriptCode, parent === null || parent === void 0 ? void 0 : parent.concat({
        node: closure.Function,
        key: "body"
      }).concat(closure.Function.body.type === "BlockStatement" ? {
        node: closure.Function.body,
        key: "body"
      } : []));
      analysisContextStack.pop();
    }
    function PrepareOrdinaryCall(F) {
      var calleeContext = new AnalysisContext();
      var localEnv = new AnalysisEnvironment(F.Environment);
      calleeContext.VariableEnvironment = localEnv;
      calleeContext.LexicalEnvironment = localEnv;
      analysisContextStack.push(calleeContext);
    }
    function FunctionDeclarationInstantiation(func, parent) {
      var calleeContext = getRunningContext();
      var code = func.ECMAScriptCode;
      var formals = func.FormalParameters;
      var hasParameterExpressions = containsExpression(formals);
      var varDeclarations = collectScopedDeclarations(code, {
        var: true,
        topLevel: true
      });
      var varNames = collectBoundNames(varDeclarations);
      var env = calleeContext.LexicalEnvironment;
      BoundNamesInstantiation(formals, env);
      Evaluate(formals, parent === null || parent === void 0 ? void 0 : parent.concat({
        node: func.Function,
        key: "params"
      }));
      var varEnv;
      if (!hasParameterExpressions) {
        // NOTE: Only a single Environment Record is needed for the parameters
        // and top-level vars.
        for (var n of varNames) {
          env.CreateBinding(n);
        }
        varEnv = env;
      } else {
        // NOTE: A separate Environment Record is needed to ensure that closures
        // created by expressions in the formal parameter list do not have
        // visibility of declarations in the function body.
        varEnv = new AnalysisEnvironment(env);
        calleeContext.VariableEnvironment = varEnv;
        for (var _n of varNames) {
          varEnv.CreateBinding(_n);
        }
      }
      var lexEnv = varEnv;
      calleeContext.LexicalEnvironment = lexEnv;
      var lexDeclarations = collectScopedDeclarations(code, {
        var: false,
        topLevel: true
      });
      BoundNamesInstantiation(lexDeclarations, lexEnv);
    }
    function InstantiateOrdinaryFunctionExpression(functionExpression) {
      var scope = getRunningContext().LexicalEnvironment;
      if (!functionExpression.id) {
        return OrdinaryFunctionCreate(functionExpression, scope);
      }
      var name = functionExpression.id.name;
      var funcEnv = new AnalysisEnvironment(scope);
      funcEnv.CreateBinding(name);
      return OrdinaryFunctionCreate(functionExpression, funcEnv);
    }
    function OrdinaryFunctionCreate(func, scope) {
      return {
        Function: func,
        FormalParameters: func.params,
        ECMAScriptCode: func.body.type === "BlockStatement" ? func.body.body : func.body,
        Environment: scope
      };
    }
    Evaluate(rootAst, withParent ? [] : undefined);
    return attemptToVisitGlobals;
  }

  /** For next-core internal or devtools usage only. */
  function lint(source) {
    var {
      typescript,
      rules
    } = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var errors = [];
    var file = typeof source === "string" ? parseForAnalysis(source, {
      typescript
    }) : source;
    if (!file) {
      // Return no errors if parse failed.
      return errors;
    }
    var body = file.program.body;
    var jsNodes = typescript ? [] : body;
    if (typescript) {
      for (var node of body) {
        if (node.type.startsWith("TS")) {
          if (/Enum|Import|Export/.test(node.type)) {
            errors.push({
              type: "SyntaxError",
              message: "Unsupported TypeScript syntax: `".concat(node.type, "`"),
              loc: node.loc
            });
          }
        } else {
          jsNodes.push(node);
        }
      }
    }
    var func;
    for (var _node of jsNodes) {
      var isFunctionDeclaration = _node.type === "FunctionDeclaration";
      if (isFunctionDeclaration && !func) {
        func = _node;
      } else {
        errors.push({
          type: "SyntaxError",
          message: isFunctionDeclaration ? "Expect a single function declaration" : "`".concat(_node.type, "` is not allowed in top level"),
          loc: _node.loc
        });
      }
    }
    if (!func) {
      errors.unshift({
        type: "SyntaxError",
        message: "Function declaration not found",
        loc: {
          start: {
            line: 1,
            column: 0
          },
          end: {
            line: 1,
            column: 0
          }
        }
      });
    } else {
      precook(func, {
        hooks: {
          beforeVisit(node) {
            switch (node.type) {
              case "ArrowFunctionExpression":
              case "FunctionDeclaration":
              case "FunctionExpression":
                if (node.async || node.generator) {
                  errors.push({
                    type: "SyntaxError",
                    message: "".concat(node.async ? "Async" : "Generator", " function is not allowed"),
                    loc: node.loc
                  });
                }
                break;
              case "Literal":
                if (node.regex) {
                  if (node.value === null) {
                    errors.push({
                      type: "SyntaxError",
                      message: "Invalid regular expression",
                      loc: node.loc
                    });
                  } else if (node.regex.flags.includes("u")) {
                    errors.push({
                      type: "SyntaxError",
                      message: "Unsupported unicode flag in regular expression",
                      loc: node.loc
                    });
                  }
                }
                break;
              case "ObjectExpression":
                for (var prop of node.properties) {
                  if (prop.type === "Property") {
                    if (prop.kind !== "init") {
                      errors.push({
                        type: "SyntaxError",
                        message: "Unsupported object getter/setter property",
                        loc: prop.loc
                      });
                    } else if (!prop.computed && prop.key.type === "Identifier" && prop.key.name === "__proto__") {
                      errors.push({
                        type: "TypeError",
                        message: "Setting '__proto__' property is not allowed",
                        loc: prop.key.loc
                      });
                    }
                  }
                }
                break;
              case "VariableDeclaration":
                if (node.kind === "var" && rules !== null && rules !== void 0 && rules.noVar) {
                  errors.push({
                    type: "SyntaxError",
                    message: "Var declaration is not recommended, use `let` or `const` instead",
                    loc: {
                      start: node.loc.start,
                      end: {
                        line: node.loc.start.line,
                        // Only decorate the "var".
                        column: node.loc.start.column + 3
                      }
                    }
                  });
                }
                break;
            }
          },
          beforeVisitGlobal(node) {
            if (node.name === "arguments") {
              errors.push({
                type: "SyntaxError",
                message: "Use the rest parameters instead of 'arguments'",
                loc: node.loc
              });
            }
          },
          beforeVisitUnknown(node) {
            errors.push({
              type: "SyntaxError",
              message: "Unsupported syntax: `".concat(node.type, "`"),
              loc: node.loc
            });
            return true;
          }
        }
      });
    }
    return errors;
  }

  var _excluded$1 = ["typescript", "cacheKey"];
  var ASTCache$1 = new WeakMap();
  function precookFunction(source) {
    var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
      {
        typescript,
        cacheKey
      } = _ref,
      restOptions = _objectWithoutProperties__default["default"](_ref, _excluded$1);
    var func = cacheKey ? ASTCache$1.get(cacheKey) : undefined;
    if (!func) {
      func = parseAsEstree(source, {
        typescript
      });
      if (cacheKey) {
        ASTCache$1.set(cacheKey, func);
      }
    }
    var attemptToVisitGlobals = precook(func, restOptions);
    return {
      function: func,
      attemptToVisitGlobals
    };
  }
  function clearFunctionASTCache() {
    ASTCache$1 = new WeakMap();
  }

  var _excluded = ["cache"];
  var ASTCache = new Map();
  // `raw` should always be asserted by `isEvaluable`.
  function preevaluate(raw) {
    var _ref = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {},
      {
        cache
      } = _ref,
      restOptions = _objectWithoutProperties__default["default"](_ref, _excluded);
    var fixes = [];
    var source = raw.replace(/^\s*<%[~=!]?\s|\s%>\s*$/g, m => {
      fixes.push(m);
      return "";
    });
    var expression = cache ? ASTCache.get(source) : undefined;
    if (!expression) {
      expression = parseAsEstreeExpression(source);
      if (cache) {
        ASTCache.set(source, expression);
      }
    }
    var attemptToVisitGlobals = precook(expression, _objectSpread__default["default"](_objectSpread__default["default"]({}, restOptions), {}, {
      expressionOnly: true
    }));
    return {
      expression,
      attemptToVisitGlobals,
      source,
      prefix: fixes[0],
      suffix: fixes[1]
    };
  }
  function isEvaluable(raw) {
    return /^\s*<%[~=]?\s/.test(raw) && /\s%>\s*$/.test(raw);
  }
  function shouldAllowRecursiveEvaluations(raw) {
    return /^\s*<%~\s/.test(raw);
  }
  function isSnippetEvaluation(raw) {
    return /^\s*<%[!@]=?\s/.test(raw) && /\s%>\s*$/.test(raw);
  }
  function isTrackAll(raw) {
    return /^\s*<%=\s/.test(raw) && /\s%>\s*$/.test(raw);
  }
  function clearExpressionASTCache() {
    ASTCache.clear();
  }

  // istanbul ignore file

  /** @deprecated */
  var PrecookVisitor = new Proxy(Object.freeze({}), {
    get() {
      return noop;
    }
  });

  /** @deprecated */
  var PrecookFunctionVisitor = new Proxy(Object.freeze({}), {
    get() {
      return noop;
    }
  });
  function noop() {
    /* noop */
  }

  // Ref https://github.com/lodash/lodash/blob/4.17.11/lodash.js#L11744
  function isObject$1(value) {
    var type = typeof value;
    return value != null && (type == "object" || type == "function");
  }

  function visitStoryboardFunctions(functions, beforeVisitGlobal, options) {
    if (Array.isArray(functions)) {
      for (var fn of functions) {
        if (options !== null && options !== void 0 && options.matchSource && !options.matchSource(fn.source)) {
          continue;
        }
        try {
          precookFunction(fn.source, {
            cacheKey: fn,
            typescript: fn.typescript,
            withParent: true,
            hooks: {
              beforeVisitGlobal
            }
          });
        } catch (error) {
          // eslint-disable-next-line no-console
          console.error("Parse storyboard function \"".concat(fn.name, "\" failed:"), error);
        }
      }
    }
  }
  function visitStoryboardExpressions(data, beforeVisitGlobal,
  // If `options` is a string, it means the *keyword*.
  options) {
    var memo = new WeakSet();
    var {
      matchExpressionString,
      visitNonExpressionString,
      visitObject,
      customIsEvaluable = isEvaluable
    } = typeof options === "string" ? {
      matchExpressionString: v => v.includes(options)
    } : options;
    function visit(value) {
      if (typeof value === "string") {
        if (matchExpressionString(value) && customIsEvaluable(value)) {
          try {
            preevaluate(value, {
              cache: true,
              withParent: true,
              hooks: {
                beforeVisitGlobal
              }
            });
          } catch (error) {
            // eslint-disable-next-line no-console
            console.error("Parse storyboard expression failed:", error);
          }
        } else {
          visitNonExpressionString === null || visitNonExpressionString === void 0 ? void 0 : visitNonExpressionString(value);
        }
      } else if (isObject$1(value)) {
        // Avoid call stack overflow.
        if (memo.has(value)) {
          return;
        }
        memo.add(value);
        visitObject === null || visitObject === void 0 ? void 0 : visitObject(value);
        for (var item of Array.isArray(value) ? value : Object.values(value)) {
          visit(item);
        }
      }
    }
    visit(data);
  }

  var PROCESSORS = "PROCESSORS";
  function scanProcessorsInStoryboard(storyboard) {
    var _storyboard$meta;
    var isUniq = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    return scanProcessorsInAny([storyboard.routes, (_storyboard$meta = storyboard.meta) === null || _storyboard$meta === void 0 ? void 0 : _storyboard$meta.customTemplates], isUniq);
  }
  function scanProcessorsInAny(data) {
    var isUniq = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    var collection = [];
    visitStoryboardExpressions(data, beforeVisitProcessorsFactory(collection), PROCESSORS);
    return isUniq ? lodash.uniq(collection) : collection;
  }
  function beforeVisitProcessorsFactory(collection) {
    return function beforeVisitProcessors(node, parent) {
      if (node.name === PROCESSORS) {
        var memberParent = parent[parent.length - 1];
        var outerMemberParent = parent[parent.length - 2];
        if ((memberParent === null || memberParent === void 0 ? void 0 : memberParent.node.type) === "MemberExpression" && memberParent.key === "object" && !memberParent.node.computed && memberParent.node.property.type === "Identifier" && (outerMemberParent === null || outerMemberParent === void 0 ? void 0 : outerMemberParent.node.type) === "MemberExpression" && outerMemberParent.key === "object" && !outerMemberParent.node.computed && outerMemberParent.node.property.type === "Identifier") {
          collection.push("".concat(memberParent.node.property.name, ".").concat(outerMemberParent.node.property.name));
        }
      }
    };
  }

  /** Parse storyboard as AST. */
  function parseStoryboard(storyboard) {
    var _storyboard$meta, _storyboard$meta2;
    return {
      type: "Root",
      raw: storyboard,
      routes: parseRoutes(storyboard.routes),
      templates: parseTemplates((_storyboard$meta = storyboard.meta) === null || _storyboard$meta === void 0 ? void 0 : _storyboard$meta.customTemplates),
      menus: parseMetaMenus((_storyboard$meta2 = storyboard.meta) === null || _storyboard$meta2 === void 0 ? void 0 : _storyboard$meta2.menus)
    };
  }
  /** Parse storyboard routes as AST. */
  function parseRoutes(routes, options) {
    if (Array.isArray(routes)) {
      return routes.map(route => _objectSpread__default["default"](_objectSpread__default["default"]({
        type: "Route",
        raw: route
      }, options !== null && options !== void 0 && options.routesOnly ? null : {
        context: parseContext(route.context),
        redirect: parseResolvable(route.redirect),
        menu: parseMenu(route.menu),
        providers: parseRouteProviders(route.providers),
        defineResolves: Array.isArray(route.defineResolves) ? route.defineResolves.map(item => parseResolvable(item)).filter(Boolean) : undefined
      }), {}, {
        children: route.type === "routes" ? parseRoutes(route.routes, options) : parseBricks(route.bricks, options)
      }));
    }
    return [];
  }

  /** Parse storyboard templates as AST. */
  function parseTemplates(templates) {
    if (Array.isArray(templates)) {
      return templates.map(parseTemplate);
    }
    return [];
  }

  /** Parse a storyboard template as AST. */
  function parseTemplate(tpl) {
    return {
      type: "Template",
      raw: tpl,
      bricks: parseBricks(tpl.bricks),
      context: parseContext(tpl.state)
    };
  }
  function parseBricks(bricks, options) {
    if (Array.isArray(bricks)) {
      return bricks.map(brick => parseBrick(brick, options));
    }
    return [];
  }

  /** Parse a storyboard brick as AST. */
  function parseBrick(brick, options) {
    return _objectSpread__default["default"](_objectSpread__default["default"]({
      type: "Brick",
      raw: brick,
      isUseBrick: options === null || options === void 0 ? void 0 : options.isUseBrick
    }, options !== null && options !== void 0 && options.routesOnly ? null : _objectSpread__default["default"](_objectSpread__default["default"]({
      if: parseCondition(brick.if),
      events: parseEvents(brick.events),
      lifeCycle: parseLifeCycles(brick.lifeCycle)
    }, parseBrickProperties(brick.properties)), {}, {
      context: parseContext(brick.context)
    })), {}, {
      children: parseSlots(childrenToSlots(brick.children, brick.slots), options)
    });
  }
  function parseCondition(condition) {
    if (isObject(condition)) {
      return {
        type: "ResolvableCondition",
        resolve: parseResolvable(condition)
      };
    }
    return {
      type: "LiteralCondition"
    };
  }
  function parseBrickProperties(props) {
    var useBrick = [];
    var useBackend = [];
    function walkBrickProperties(value) {
      if (Array.isArray(value)) {
        for (var item of value) {
          walkBrickProperties(item);
        }
      } else if (isObject(value)) {
        if (value.useBrick || value.useBackend) {
          var _value$useBackend;
          if (value.useBrick) {
            useBrick.push({
              type: "UseBrickEntry",
              rawContainer: value,
              rawKey: "useBrick",
              children: parseBricks([].concat(value.useBrick), {
                isUseBrick: true
              })
            });
          }
          var provider = (_value$useBackend = value.useBackend) === null || _value$useBackend === void 0 ? void 0 : _value$useBackend.provider;
          if (typeof provider === "string") {
            useBackend.push({
              type: "UseBackendEntry",
              rawContainer: value,
              rawKey: "useBackend",
              children: [parseBrick({
                brick: provider
              })]
            });
          }
        } else {
          for (var _item of Object.values(value)) {
            walkBrickProperties(_item);
          }
        }
      }
    }
    walkBrickProperties(props);
    return {
      useBrick,
      useBackend
    };
  }
  function parseLifeCycles(lifeCycle) {
    if (isObject(lifeCycle)) {
      return Object.entries(lifeCycle).map(_ref => {
        var [name, conf] = _ref;
        switch (name) {
          case "useResolves":
            return {
              type: "ResolveLifeCycle",
              rawContainer: lifeCycle,
              rawKey: name,
              resolves: Array.isArray(conf) ? conf.map(item => parseResolvable(item, true)).filter(Boolean) : undefined
            };
          case "onPageLoad":
          case "onPageLeave":
          case "onAnchorLoad":
          case "onAnchorUnload":
          case "onMessageClose":
          case "onBeforePageLoad":
          case "onBeforePageLeave":
          case "onMount":
          case "onUnmount":
          case "onMediaChange":
            return {
              type: "SimpleLifeCycle",
              name,
              rawContainer: lifeCycle,
              rawKey: name,
              handlers: parseEventHandlers(conf)
            };
          case "onMessage":
          case "onScrollIntoView":
            return {
              type: "ConditionalLifeCycle",
              name,
              events: [].concat(conf).filter(Boolean).map(item => ({
                type: "ConditionalEvent",
                rawContainer: item,
                rawKey: "handlers",
                handlers: parseEventHandlers(item.handlers)
              }))
            };
          default:
            return {
              type: "UnknownLifeCycle"
            };
        }
      });
    }
  }
  function childrenToSlots(children, originalSlots) {
    var newSlots = originalSlots;
    // istanbul ignore next
    if (process.env.NODE_ENV === "development" && children && !Array.isArray(children)) {
      // eslint-disable-next-line no-console
      console.warn("Specified brick children but not array:", "<".concat(typeof children, ">"), children);
    }
    if (Array.isArray(children) && !newSlots) {
      newSlots = {};
      for (var child of children) {
        var _slot;
        var slot = (_slot = child.slot) !== null && _slot !== void 0 ? _slot : "";
        if (!Object.prototype.hasOwnProperty.call(newSlots, slot)) {
          newSlots[slot] = {
            type: "bricks",
            bricks: []
          };
        }
        newSlots[slot].bricks.push(child);
      }
    }
    return newSlots;
  }
  function parseSlots(slots, options) {
    if (isObject(slots)) {
      return Object.entries(slots).map(_ref2 => {
        var [slot, conf] = _ref2;
        return {
          type: "Slot",
          raw: conf,
          slot,
          childrenType: conf.type === "routes" ? "Route" : "Brick",
          children: conf.type === "routes" ? parseRoutes(conf.routes, options) : parseBricks(conf.bricks, options)
        };
      });
    }
    return [];
  }
  function parseEvents(events) {
    if (isObject(events)) {
      return Object.entries(events).map(_ref3 => {
        var [eventType, handlers] = _ref3;
        return {
          type: "Event",
          rawContainer: events,
          rawKey: eventType,
          handlers: parseEventHandlers(handlers)
        };
      });
    }
  }
  function parseContext(contexts) {
    if (Array.isArray(contexts)) {
      return contexts.map(context => ({
        type: "Context",
        raw: context,
        resolve: parseResolvable(context.resolve),
        onChange: parseEventHandlers(context.onChange)
      }));
    }
  }
  function parseMenu(menu) {
    if (menu === false) {
      return {
        type: "FalseMenu"
      };
    }
    if (!menu) {
      return;
    }
    switch (menu.type) {
      case "brick":
        return {
          type: "BrickMenu",
          raw: menu,
          brick: parseBrick(menu)
        };
      case "resolve":
        return {
          type: "ResolvableMenu",
          resolve: parseResolvable(menu.resolve)
        };
      default:
        return {
          type: "StaticMenu"
        };
    }
  }
  function parseResolvable(resolve, isConditional) {
    if (isObject(resolve)) {
      return {
        type: "Resolvable",
        raw: resolve,
        isConditional
      };
    }
  }
  function parseEventHandlers(handlers) {
    return [].concat(handlers).filter(Boolean).map(handler => ({
      type: "EventHandler",
      callback: parseEventCallback(handler.callback),
      then: parseEventHandlers(handler.then),
      else: parseEventHandlers(handler.else),
      raw: handler
    }));
  }
  function parseEventCallback(callback) {
    if (isObject(callback)) {
      return Object.entries(callback).map(_ref4 => {
        var [callbackType, handlers] = _ref4;
        return {
          type: "EventCallback",
          rawContainer: callback,
          rawKey: callbackType,
          handlers: parseEventHandlers(handlers)
        };
      });
    }
  }
  function parseRouteProviders(providers) {
    if (Array.isArray(providers)) {
      return providers.map(provider => parseBrick(typeof provider === "string" ? {
        brick: provider
      } : provider));
    }
  }

  // Ref https://github.com/lodash/lodash/blob/4.17.11/lodash.js#L11744
  function isObject(value) {
    var type = typeof value;
    return value != null && (type == "object" || type == "function");
  }
  function parseMetaMenus(menus) {
    if (Array.isArray(menus)) {
      return menus.map(parseMetaMenu);
    }
    return [];
  }
  function parseMetaMenu(menu) {
    return {
      type: "MetaMenu",
      raw: menu,
      items: parseMetaItems(menu.items)
    };
  }
  function parseMetaItems(menuItems) {
    if (Array.isArray(menuItems)) {
      return menuItems.map(parseMetaItem);
    }
    return [];
  }
  function parseMetaItem(menuItem) {
    return {
      type: "MetaMenuItem",
      raw: menuItem,
      children: parseMetaItems(menuItem.children)
    };
  }

  /** Traverse a storyboard AST. */
  function traverseStoryboard(ast, callback) {
    traverseNode(ast, callback, []);
  }

  /** Traverse any node(s) in storyboard AST. */
  function traverse(nodeOrNodes, callback) {
    if (Array.isArray(nodeOrNodes)) {
      traverseNodes(nodeOrNodes, callback, []);
    } else {
      traverseNode(nodeOrNodes, callback, []);
    }
  }
  function traverseNodes(nodes, callback, path) {
    if (!nodes) {
      return;
    }
    for (var _node of nodes) {
      traverseNode(_node, callback, path);
    }
  }
  function traverseNode(node, callback, path) {
    if (!node) {
      return;
    }
    callback(node, path);
    var childPath = path.concat(node);
    switch (node.type) {
      case "Root":
        traverseNodes(node.routes, callback, childPath);
        traverseNodes(node.templates, callback, childPath);
        traverseNodes(node.menus, callback, childPath);
        break;
      case "Route":
        traverseNodes(node.context, callback, childPath);
        traverseNode(node.redirect, callback, childPath);
        traverseNode(node.menu, callback, childPath);
        traverseNodes(node.providers, callback, childPath);
        traverseNodes(node.defineResolves, callback, childPath);
        traverseNodes(node.children, callback, childPath);
        break;
      case "Template":
        traverseNodes(node.bricks, callback, childPath);
        traverseNodes(node.context, callback, childPath);
        break;
      case "Brick":
        traverseNode(node.if, callback, childPath);
        traverseNodes(node.events, callback, childPath);
        traverseNodes(node.lifeCycle, callback, childPath);
        traverseNodes(node.useBrick, callback, childPath);
        traverseNodes(node.useBackend, callback, childPath);
        traverseNodes(node.context, callback, childPath);
        traverseNodes(node.children, callback, childPath);
        break;
      case "Slot":
      case "UseBrickEntry":
      case "UseBackendEntry":
        traverseNodes(node.children, callback, childPath);
        break;
      case "Context":
        traverseNode(node.resolve, callback, childPath);
        traverseNodes(node.onChange, callback, childPath);
        break;
      case "ResolvableCondition":
      case "ResolvableMenu":
        traverseNode(node.resolve, callback, childPath);
        break;
      case "ResolveLifeCycle":
        traverseNodes(node.resolves, callback, childPath);
        break;
      case "Event":
      case "EventCallback":
      case "SimpleLifeCycle":
      case "ConditionalEvent":
        traverseNodes(node.handlers, callback, childPath);
        break;
      case "EventHandler":
        traverseNodes(node.callback, callback, childPath);
        traverseNodes(node.then, callback, childPath);
        traverseNodes(node.else, callback, childPath);
        break;
      case "ConditionalLifeCycle":
        traverseNodes(node.events, callback, childPath);
        break;
      case "BrickMenu":
        traverseNode(node.brick, callback, childPath);
        break;
      case "MetaMenu":
        traverseNodes(node.items, callback, childPath);
        break;
      case "MetaMenuItem":
        traverseNodes(node.children, callback, childPath);
        break;
      case "Resolvable":
      case "FalseMenu":
      case "StaticMenu":
      case "UnknownLifeCycle":
      case "LiteralCondition":
        break;
      default:
        // istanbul ignore if
        if (process.env.NODE_ENV === "development") {
          // eslint-disable-next-line @typescript-eslint/ban-ts-comment
          // @ts-expect-error
          throw new Error("Unhandled storyboard node type: ".concat(node.type));
        }
    }
  }

  /**
   * Scan bricks and custom apis in storyboard.
   *
   * @param storyboard - Storyboard.
   * @param options - If options is a boolean, it means `isUniq` or `de-duplicate`.
   */
  function scanStoryboard(storyboard) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    var ast = parseStoryboard(storyboard);
    return scanStoryboardAst(ast, options);
  }

  /**
   * Scan bricks and custom apis in storyboard.
   *
   * @param storyboard - Storyboard.
   * @param options - If options is a boolean, it means `isUniq` or `de-duplicate`.
   */
  function scanStoryboardAst(ast) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    var {
      keepDuplicates,
      ignoreBricksInUnusedCustomTemplates
    } = isObject$1(options) ? options : {
      keepDuplicates: !options
    };
    var selfDefined = new Set(["form-renderer.form-renderer"]);
    var collection;
    if (ignoreBricksInUnusedCustomTemplates) {
      collection = collect(ast.routes, keepDuplicates);
      if (Array.isArray(ast.templates)) {
        var tplMap = new Map();
        for (var tpl of ast.templates) {
          tplMap.set(tpl.raw.name, tpl);
        }
        for (var _item of collection) {
          var _tpl = tplMap.get(_item);
          if (_tpl && !selfDefined.has(_item)) {
            selfDefined.add(_item);
            var collectionByTpl = collect(_tpl);
            if (keepDuplicates) {
              collection.push(_item);
              collection.push(...collectionByTpl);
            } else {
              collection.add(_item);
              for (var i of collectionByTpl) {
                collection.add(i);
              }
            }
          }
        }
      }
    } else {
      collection = collect(ast, keepDuplicates, selfDefined);
    }
    if (keepDuplicates) {
      var bricks = [];
      var customApis = [];
      var usedTemplates = [];
      for (var _item2 of collection) {
        if (_item2.includes("@")) {
          customApis.push(_item2);
        } else {
          if (_item2.includes("-")) {
            (selfDefined.has(_item2) ? usedTemplates : bricks).push(_item2);
          }
        }
      }
      return {
        bricks,
        customApis,
        usedTemplates
      };
    } else {
      var _bricks = new Set();
      var _customApis = new Set();
      var _usedTemplates = new Set();
      for (var _item3 of collection) {
        if (_item3.includes("@")) {
          _customApis.add(_item3);
        } else {
          if (_item3.includes("-")) {
            (selfDefined.has(_item3) ? _usedTemplates : _bricks).add(_item3);
          }
        }
      }
      return {
        bricks: [..._bricks],
        customApis: [..._customApis],
        usedTemplates: [..._usedTemplates]
      };
    }
  }
  function collect(nodeOrNodes, keepDuplicates, definedTemplates) {
    var collection;
    var add;
    if (keepDuplicates) {
      collection = [];
      add = item => {
        collection.push(item);
      };
    } else {
      collection = new Set();
      add = item => {
        collection.add(item);
      };
    }
    traverse(nodeOrNodes, node => {
      switch (node.type) {
        case "Brick":
          if (node.raw.brick) {
            add(node.raw.brick);
          }
          break;
        case "Resolvable":
          {
            var _node$raw;
            var useProvider = (_node$raw = node.raw) === null || _node$raw === void 0 ? void 0 : _node$raw.useProvider;
            if (useProvider) {
              add(useProvider);
            }
            break;
          }
        case "EventHandler":
          {
            var _node$raw2;
            var _useProvider = (_node$raw2 = node.raw) === null || _node$raw2 === void 0 ? void 0 : _node$raw2.useProvider;
            if (_useProvider) {
              add(_useProvider);
            }
            break;
          }
        case "Template":
          definedTemplates === null || definedTemplates === void 0 ? void 0 : definedTemplates.add(node.raw.name);
          break;
      }
    });
    return collection;
  }
  function collectBricksInBrickConf(brickConf) {
    var node = parseBrick(brickConf);
    return [...collect(node)];
  }
  function collectBricksByCustomTemplates(customTemplates) {
    var collectionByTpl = new Map();
    var templates = parseTemplates(customTemplates);
    for (var tpl of templates) {
      var collection = collect(tpl, false);
      collectionByTpl.set(tpl.raw.name, [...collection]);
    }
    return collectionByTpl;
  }

  var widgetRegExp = /\.tpl-/;
  function getDllAndDepsOfStoryboard(storyboard, brickPackages, options) {
    var _storyboard$meta;
    var {
      bricks,
      usedTemplates
    } = scanStoryboard(storyboard, options);
    var customTemplates = (_storyboard$meta = storyboard.meta) === null || _storyboard$meta === void 0 ? void 0 : _storyboard$meta.customTemplates;
    var processors = scanProcessorsInAny([storyboard.routes, options !== null && options !== void 0 && options.ignoreBricksInUnusedCustomTemplates ? customTemplates === null || customTemplates === void 0 ? void 0 : customTemplates.filter(tpl => usedTemplates.includes(tpl.name)) : customTemplates]);
    var widgets = bricks.filter(brick => widgetRegExp.test(brick));
    return _objectSpread__default["default"](_objectSpread__default["default"]({}, getDllAndDepsByResource({
      bricks,
      processors
    }, brickPackages)), {}, {
      eager: getDllAndDepsByResource({
        bricks: widgets,
        processors
      }, brickPackages),
      bricks
    });
  }
  function getBrickToPackageMap(brickPackages) {
    if (lodash.isEmpty(brickPackages)) {
      return new Map();
    }
    return brickPackages.reduce((m, item) => {
      if (/^bricks\/.*\/dist\/.*\.js$/.test(item.filePath)) {
        var namespace = item.filePath.split("/")[1];
        m.set(namespace, item);
      } else {
        // eslint-disable-next-line no-console
        console.error("Unexpected brick package file path: \"".concat(item.filePath, "\""));
      }
      return m;
    }, new Map());
  }
  function getDllAndDepsOfBricks(bricks, brickPackages) {
    var dll = new Set();
    var deps = new Set();
    if (bricks.length > 0) {
      var brickMap = getBrickToPackageMap(brickPackages);
      bricks.forEach(brick => {
        // ignore custom template
        // istanbul ignore else
        if (brick.includes(".")) {
          var namespace = brick.split(".")[0];
          var find = brickMap.get(namespace);
          if (find) {
            deps.add(find.filePath);
            if (find.dll) {
              for (var dllName of find.dll) {
                dll.add(dllName);
              }
            }
          } else {
            // eslint-disable-next-line no-console
            console.error("Brick `".concat(brick, "` does not match any brick package"));
          }
        }
      });
    }
    var dllPath = window.DLL_PATH;
    return {
      dll: Array.from(dll).map(dllName => dllPath[dllName]),
      deps: Array.from(deps)
    };
  }
  function getDllAndDepsByResource(_ref, brickPackages) {
    var {
      bricks,
      processors,
      editorBricks
    } = _ref;
    var dll = new Set();
    var deps = new Set();
    var v3Bricks = new Set();
    var v3Processors = new Set();
    if ((bricks === null || bricks === void 0 ? void 0 : bricks.length) > 0 || (processors === null || processors === void 0 ? void 0 : processors.length) > 0 || (editorBricks === null || editorBricks === void 0 ? void 0 : editorBricks.length) > 0) {
      var brickMap = getBrickToPackageMap(brickPackages);
      var v3DefinedBricks = new Set();
      for (var pkg of brickPackages) {
        var {
          id,
          elements
        } = pkg;
        if (id && elements !== null && elements !== void 0 && elements.length) {
          for (var element of elements) {
            v3DefinedBricks.add(element);
          }
        }
      }
      [...(bricks !== null && bricks !== void 0 ? bricks : []).map(n => [n]), ...(processors !== null && processors !== void 0 ? processors : []).map(n => [n, true])].forEach(_ref2 => {
        var [name, isProcessor] = _ref2;
        // ignore custom template
        if (name.includes(".")) {
          var namespace = name.split(".")[0];
          // processor 是 camelCase 格式，转成 brick 的 param-case 格式，统一去判断
          if (isProcessor) {
            namespace = paramCase(namespace);
          }
          var find = brickMap.get(namespace);
          if (find) {
            if (find.id) {
              (isProcessor ? v3Processors : v3Bricks).add(name);
            } else {
              deps.add(find.filePath);
              if (find.dll) {
                for (var dllName of find.dll) {
                  dll.add(dllName);
                }
              }
            }
          } else {
            // eslint-disable-next-line no-console
            console.error("".concat(isProcessor ? "Processor" : "Brick", " `").concat(name, "` does not match any brick package"));
          }
        } else if (!name.startsWith("tpl-") && v3DefinedBricks.has(name)) {
          v3Bricks.add(name);
        }
      });
      editorBricks === null || editorBricks === void 0 ? void 0 : editorBricks.forEach(editor => {
        // ignore custom template editor
        // istanbul ignore else
        if (editor.includes(".")) {
          var namespace = editor.split(".")[0];
          var find = brickMap.get(namespace);
          // There maybe no `editorsJsFilePath`.
          if (find) {
            if (find.editorsJsFilePath) {
              deps.add(find.editorsJsFilePath);
              dll.add("editor-bricks-helper");
            }
          } else {
            // eslint-disable-next-line no-console
            console.error("Editor `".concat(editor, "` does not match any brick package"));
          }
        }
      });
    }
    var dllPath = window.DLL_PATH;
    return {
      dll: Array.from(dll).map(dllName => dllPath[dllName]),
      deps: Array.from(deps),
      v3Bricks: Array.from(v3Bricks),
      v3Processors: Array.from(v3Processors)
    };
  }

  /**
   * Tokenize input string.
   */
  function lexer(str) {
    var tokens = [];
    var i = 0;
    while (i < str.length) {
      var char = str[i];
      if (char === "*" || char === "+" || char === "?") {
        tokens.push({
          type: "MODIFIER",
          index: i,
          value: str[i++]
        });
        continue;
      }
      if (char === "\\") {
        tokens.push({
          type: "ESCAPED_CHAR",
          index: i++,
          value: str[i++]
        });
        continue;
      }
      if (char === "{") {
        tokens.push({
          type: "OPEN",
          index: i,
          value: str[i++]
        });
        continue;
      }
      if (char === "}") {
        tokens.push({
          type: "CLOSE",
          index: i,
          value: str[i++]
        });
        continue;
      }
      if (char === ":") {
        var name = "";
        var j = i + 1;
        while (j < str.length) {
          var code = str.charCodeAt(j);
          if (
          // `0-9`
          code >= 48 && code <= 57 ||
          // `A-Z`
          code >= 65 && code <= 90 ||
          // `a-z`
          code >= 97 && code <= 122 ||
          // `_`
          code === 95) {
            name += str[j++];
            continue;
          }
          break;
        }
        if (!name) throw new TypeError("Missing parameter name at ".concat(i));
        tokens.push({
          type: "NAME",
          index: i,
          value: name
        });
        i = j;
        continue;
      }
      if (char === "(") {
        var count = 1;
        var pattern = "";
        var j = i + 1;
        if (str[j] === "?") {
          throw new TypeError("Pattern cannot start with \"?\" at ".concat(j));
        }
        while (j < str.length) {
          if (str[j] === "\\") {
            pattern += str[j++] + str[j++];
            continue;
          }
          if (str[j] === ")") {
            count--;
            if (count === 0) {
              j++;
              break;
            }
          } else if (str[j] === "(") {
            count++;
            if (str[j + 1] !== "?") {
              throw new TypeError("Capturing groups are not allowed at ".concat(j));
            }
          }
          pattern += str[j++];
        }
        if (count) throw new TypeError("Unbalanced pattern at ".concat(i));
        if (!pattern) throw new TypeError("Missing pattern at ".concat(i));
        tokens.push({
          type: "PATTERN",
          index: i,
          value: pattern
        });
        i = j;
        continue;
      }
      tokens.push({
        type: "CHAR",
        index: i,
        value: str[i++]
      });
    }
    tokens.push({
      type: "END",
      index: i,
      value: ""
    });
    return tokens;
  }
  /**
   * Parse a string for the raw tokens.
   */
  function parse(str, options) {
    if (options === void 0) {
      options = {};
    }
    var tokens = lexer(str);
    var _a = options.prefixes,
      prefixes = _a === void 0 ? "./" : _a;
    var defaultPattern = "[^".concat(escapeString(options.delimiter || "/#?"), "]+?");
    var result = [];
    var key = 0;
    var i = 0;
    var path = "";
    var tryConsume = function (type) {
      if (i < tokens.length && tokens[i].type === type) return tokens[i++].value;
    };
    var mustConsume = function (type) {
      var value = tryConsume(type);
      if (value !== undefined) return value;
      var _a = tokens[i],
        nextType = _a.type,
        index = _a.index;
      throw new TypeError("Unexpected ".concat(nextType, " at ").concat(index, ", expected ").concat(type));
    };
    var consumeText = function () {
      var result = "";
      var value;
      while (value = tryConsume("CHAR") || tryConsume("ESCAPED_CHAR")) {
        result += value;
      }
      return result;
    };
    while (i < tokens.length) {
      var char = tryConsume("CHAR");
      var name = tryConsume("NAME");
      var pattern = tryConsume("PATTERN");
      if (name || pattern) {
        var prefix = char || "";
        if (prefixes.indexOf(prefix) === -1) {
          path += prefix;
          prefix = "";
        }
        if (path) {
          result.push(path);
          path = "";
        }
        result.push({
          name: name || key++,
          prefix: prefix,
          suffix: "",
          pattern: pattern || defaultPattern,
          modifier: tryConsume("MODIFIER") || ""
        });
        continue;
      }
      var value = char || tryConsume("ESCAPED_CHAR");
      if (value) {
        path += value;
        continue;
      }
      if (path) {
        result.push(path);
        path = "";
      }
      var open = tryConsume("OPEN");
      if (open) {
        var prefix = consumeText();
        var name_1 = tryConsume("NAME") || "";
        var pattern_1 = tryConsume("PATTERN") || "";
        var suffix = consumeText();
        mustConsume("CLOSE");
        result.push({
          name: name_1 || (pattern_1 ? key++ : ""),
          pattern: name_1 && !pattern_1 ? defaultPattern : pattern_1,
          prefix: prefix,
          suffix: suffix,
          modifier: tryConsume("MODIFIER") || ""
        });
        continue;
      }
      mustConsume("END");
    }
    return result;
  }
  /**
   * Compile a string to a template function for the path.
   */
  function compile$1(str, options) {
    return tokensToFunction(parse(str, options), options);
  }
  /**
   * Expose a method for transforming tokens into the path function.
   */
  function tokensToFunction(tokens, options) {
    if (options === void 0) {
      options = {};
    }
    var reFlags = flags(options);
    var _a = options.encode,
      encode = _a === void 0 ? function (x) {
        return x;
      } : _a,
      _b = options.validate,
      validate = _b === void 0 ? true : _b;
    // Compile all the tokens into regexps.
    var matches = tokens.map(function (token) {
      if (typeof token === "object") {
        return new RegExp("^(?:".concat(token.pattern, ")$"), reFlags);
      }
    });
    return function (data) {
      var path = "";
      for (var i = 0; i < tokens.length; i++) {
        var token = tokens[i];
        if (typeof token === "string") {
          path += token;
          continue;
        }
        var value = data ? data[token.name] : undefined;
        var optional = token.modifier === "?" || token.modifier === "*";
        var repeat = token.modifier === "*" || token.modifier === "+";
        if (Array.isArray(value)) {
          if (!repeat) {
            throw new TypeError("Expected \"".concat(token.name, "\" to not repeat, but got an array"));
          }
          if (value.length === 0) {
            if (optional) continue;
            throw new TypeError("Expected \"".concat(token.name, "\" to not be empty"));
          }
          for (var j = 0; j < value.length; j++) {
            var segment = encode(value[j], token);
            if (validate && !matches[i].test(segment)) {
              throw new TypeError("Expected all \"".concat(token.name, "\" to match \"").concat(token.pattern, "\", but got \"").concat(segment, "\""));
            }
            path += token.prefix + segment + token.suffix;
          }
          continue;
        }
        if (typeof value === "string" || typeof value === "number") {
          var segment = encode(String(value), token);
          if (validate && !matches[i].test(segment)) {
            throw new TypeError("Expected \"".concat(token.name, "\" to match \"").concat(token.pattern, "\", but got \"").concat(segment, "\""));
          }
          path += token.prefix + segment + token.suffix;
          continue;
        }
        if (optional) continue;
        var typeOfMessage = repeat ? "an array" : "a string";
        throw new TypeError("Expected \"".concat(token.name, "\" to be ").concat(typeOfMessage));
      }
      return path;
    };
  }
  /**
   * Escape a regular expression string.
   */
  function escapeString(str) {
    return str.replace(/([.+*?=^!:${}()[\]|/\\])/g, "\\$1");
  }
  /**
   * Get the flags for a regexp from the options.
   */
  function flags(options) {
    return options && options.sensitive ? "" : "i";
  }
  /**
   * Pull out keys from a regexp.
   */
  function regexpToRegexp(path, keys) {
    if (!keys) return path;
    var groupsRegex = /\((?:\?<(.*?)>)?(?!\?)/g;
    var index = 0;
    var execResult = groupsRegex.exec(path.source);
    while (execResult) {
      keys.push({
        // Use parenthesized substring match if available, index otherwise
        name: execResult[1] || index++,
        prefix: "",
        suffix: "",
        modifier: "",
        pattern: ""
      });
      execResult = groupsRegex.exec(path.source);
    }
    return path;
  }
  /**
   * Transform an array into a regexp.
   */
  function arrayToRegexp(paths, keys, options) {
    var parts = paths.map(function (path) {
      return pathToRegexp(path, keys, options).source;
    });
    return new RegExp("(?:".concat(parts.join("|"), ")"), flags(options));
  }
  /**
   * Create a path regexp from string input.
   */
  function stringToRegexp(path, keys, options) {
    return tokensToRegexp(parse(path, options), keys, options);
  }
  /**
   * Expose a function for taking tokens and returning a RegExp.
   */
  function tokensToRegexp(tokens, keys, options) {
    if (options === void 0) {
      options = {};
    }
    var _a = options.strict,
      strict = _a === void 0 ? false : _a,
      _b = options.start,
      start = _b === void 0 ? true : _b,
      _c = options.end,
      end = _c === void 0 ? true : _c,
      _d = options.encode,
      encode = _d === void 0 ? function (x) {
        return x;
      } : _d,
      _e = options.delimiter,
      delimiter = _e === void 0 ? "/#?" : _e,
      _f = options.endsWith,
      endsWith = _f === void 0 ? "" : _f;
    var endsWithRe = "[".concat(escapeString(endsWith), "]|$");
    var delimiterRe = "[".concat(escapeString(delimiter), "]");
    var route = start ? "^" : "";
    // Iterate over the tokens and create our regexp string.
    for (var _i = 0, tokens_1 = tokens; _i < tokens_1.length; _i++) {
      var token = tokens_1[_i];
      if (typeof token === "string") {
        route += escapeString(encode(token));
      } else {
        var prefix = escapeString(encode(token.prefix));
        var suffix = escapeString(encode(token.suffix));
        if (token.pattern) {
          if (keys) keys.push(token);
          if (prefix || suffix) {
            if (token.modifier === "+" || token.modifier === "*") {
              var mod = token.modifier === "*" ? "?" : "";
              route += "(?:".concat(prefix, "((?:").concat(token.pattern, ")(?:").concat(suffix).concat(prefix, "(?:").concat(token.pattern, "))*)").concat(suffix, ")").concat(mod);
            } else {
              route += "(?:".concat(prefix, "(").concat(token.pattern, ")").concat(suffix, ")").concat(token.modifier);
            }
          } else {
            if (token.modifier === "+" || token.modifier === "*") {
              route += "((?:".concat(token.pattern, ")").concat(token.modifier, ")");
            } else {
              route += "(".concat(token.pattern, ")").concat(token.modifier);
            }
          }
        } else {
          route += "(?:".concat(prefix).concat(suffix, ")").concat(token.modifier);
        }
      }
    }
    if (end) {
      if (!strict) route += "".concat(delimiterRe, "?");
      route += !options.endsWith ? "$" : "(?=".concat(endsWithRe, ")");
    } else {
      var endToken = tokens[tokens.length - 1];
      var isEndDelimited = typeof endToken === "string" ? delimiterRe.indexOf(endToken[endToken.length - 1]) > -1 : endToken === undefined;
      if (!strict) {
        route += "(?:".concat(delimiterRe, "(?=").concat(endsWithRe, "))?");
      }
      if (!isEndDelimited) {
        route += "(?=".concat(delimiterRe, "|").concat(endsWithRe, ")");
      }
    }
    return new RegExp(route, flags(options));
  }
  /**
   * Normalize the given path string, returning a regular expression.
   *
   * An empty array can be passed in for the keys, which will hold the
   * placeholder key descriptions. For example, using `/user/:id`, `keys` will
   * contain `[{ name: 'id', delimiter: '/', optional: false, repeat: false }]`.
   */
  function pathToRegexp(path, keys, options) {
    if (path instanceof RegExp) return regexpToRegexp(path, keys);
    if (Array.isArray(path)) return arrayToRegexp(path, keys, options);
    return stringToRegexp(path, keys, options);
  }

  // Ref https://github.com/ReactTraining/react-router/blob/master/packages/react-router/modules/matchPath.js
  var cache = new Map();
  var cacheLimit = 10000;
  var cacheCount = 0;
  function compilePath(path, options) {
    var cacheKey = "".concat(options.end).concat(options.strict).concat(options.sensitive);
    if (!cache.has(cacheKey)) {
      cache.set(cacheKey, new Map());
    }
    var pathCache = cache.get(cacheKey);
    if (pathCache.has(path)) {
      return pathCache.get(path);
    }
    var keys = [];
    var regexp = pathToRegexp(path, keys, options);
    var result = {
      regexp,
      keys
    };
    if (cacheCount < cacheLimit) {
      pathCache.set(path, result);
      cacheCount++;
    }
    return result;
  }

  /**
   * Public API for matching a URL pathname to a path.
   */
  function matchPath(pathname, options) {
    var {
      path: p,
      exact = false,
      strict = false,
      sensitive = true,
      checkIf,
      getContext
    } = options;
    var paths = Array.isArray(p) ? p : [p];
    return paths.reduce((matched, path) => {
      if (matched) {
        return matched;
      }
      var {
        regexp,
        keys
      } = compilePath(path, {
        end: exact,
        strict,
        sensitive
      });
      var match = regexp.exec(pathname);
      if (!match) {
        return null;
      }
      var [url, ...values] = match;
      var isExact = pathname === url;
      if (exact && !isExact) {
        return null;
      }
      var initialParams = {};
      var result = {
        path,
        // the path used to match
        url: path === "/" && url === "" ? "/" : url,
        // the matched portion of the URL
        isExact,
        // whether or not we matched exactly
        params: keys.reduce((memo, key, index) => {
          memo[key.name] = values[index];
          return memo;
        }, initialParams)
      };
      if (checkIf && !checkIf(getContext(result))) {
        return null;
      }
      return result;
    }, null);
  }
  function toPath(path, pathParams) {
    return compile$1(path)(pathParams);
  }

  function restoreDynamicTemplatesInBrick(brickConf) {
    if (lodash.get(brickConf, ["$$lifeCycle", "useResolves"], []).length > 0) {
      var {
        $$template,
        $$params,
        $$lifeCycle
      } = brickConf;
      var hasIf = hasOwnProperty$1(brickConf, "$$if");
      var rawIf = brickConf.$$if;
      Object.keys(brickConf).forEach(key => {
        delete brickConf[key];
      });
      Object.assign(brickConf, {
        template: $$template,
        params: $$params,
        lifeCycle: $$lifeCycle
      }, hasIf ? {
        if: rawIf
      } : {});
    }
    if (brickConf.slots) {
      Object.values(brickConf.slots).forEach(slotConf => {
        if (slotConf.type === "bricks") {
          restoreDynamicTemplatesInBricks(slotConf.bricks);
        } else {
          restoreDynamicTemplatesInRoutes(slotConf.routes);
        }
      });
    }
  }
  function restoreDynamicTemplatesInBricks(bricks) {
    if (Array.isArray(bricks)) {
      bricks.forEach(restoreDynamicTemplatesInBrick);
    }
  }
  function restoreDynamicTemplatesInRoutes(routes) {
    if (Array.isArray(routes)) {
      routes.forEach(routeConf => {
        if (routeConf.type === "routes") {
          restoreDynamicTemplatesInRoutes(routeConf.routes);
        } else {
          restoreDynamicTemplatesInBricks(routeConf.bricks);
        }
        var menuBrickConf = routeConf.menu;
        if (menuBrickConf && menuBrickConf.type === "brick") {
          restoreDynamicTemplatesInBrick(menuBrickConf);
        }
      });
    }
  }
  function restoreDynamicTemplates(storyboard) {
    restoreDynamicTemplatesInRoutes(storyboard.routes);
  }

  /**
   * Scan bricks in storyboard.
   *
   * @param storyboard - Storyboard.
   * @param options - If options is a boolean, it means `isUniq` or `de-duplicate`.
   * @param collectionOfCustomApi - You can pass an empty array to collect custom api.
   */
  function scanBricksInStoryboard(storyboard) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    return scanStoryboard(storyboard, options).bricks;
  }
  function scanBricksInBrickConf(brickConf) {
    var collection = collectBricksInBrickConf(brickConf);
    var result = collection.filter(item => !item.includes("@") && item.includes("-"));
    return result;
  }

  var PERMISSIONS = "PERMISSIONS";
  var check = "check";
  function scanPermissionActionsInStoryboard(storyboard) {
    var _storyboard$meta;
    var collection = new Set();
    var beforeVisitPermissions = beforeVisitPermissionsFactory(collection);
    var {
      customTemplates,
      functions
    } = (_storyboard$meta = storyboard.meta) !== null && _storyboard$meta !== void 0 ? _storyboard$meta : {};
    visitStoryboardExpressions([storyboard.routes, customTemplates], beforeVisitPermissions, PERMISSIONS);
    visitStoryboardFunctions(functions, beforeVisitPermissions, {
      matchSource: source => source.includes(PERMISSIONS)
    });
    return Array.from(collection);
  }
  function scanPermissionActionsInAny(data) {
    var collection = new Set();
    visitStoryboardExpressions(data, beforeVisitPermissionsFactory(collection), PERMISSIONS);
    return Array.from(collection);
  }
  function beforeVisitPermissionsFactory(collection) {
    return function beforeVisitPermissions(node, parent) {
      if (node.name === PERMISSIONS) {
        var memberParent = parent[parent.length - 1];
        var callParent = parent[parent.length - 2];
        if ((callParent === null || callParent === void 0 ? void 0 : callParent.node.type) === "CallExpression" && (callParent === null || callParent === void 0 ? void 0 : callParent.key) === "callee" && (memberParent === null || memberParent === void 0 ? void 0 : memberParent.node.type) === "MemberExpression" && memberParent.key === "object" && !memberParent.node.computed && memberParent.node.property.type === "Identifier" && memberParent.node.property.name === check) {
          for (var arg of callParent.node.arguments) {
            if (arg.type === "Literal" && typeof arg.value === "string") {
              collection.add(arg.value);
            }
          }
        }
      }
    };
  }

  function scanRouteAliasInStoryboard(storyboard) {
    var collection = new Map();
    var routes = parseRoutes(storyboard.routes, {
      routesOnly: true
    });
    traverse(routes, node => {
      if (node.type === "Route") {
        var alias = node.raw.alias;
        if (alias) {
          if (collection.has(alias)) {
            // eslint-disable-next-line no-console
            console.warn("Duplicated route alias: ".concat(alias));
          }
          collection.set(alias, {
            alias,
            path: node.raw.path
          });
        }
      }
    });
    return collection;
  }

  var I18N = "I18N";
  function scanI18NInStoryboard(storyboard) {
    var _storyboard$meta;
    var collection = new Map();
    var beforeVisitI18n = beforeVisitI18nFactory(collection);
    // Notice: `menus` may contain evaluations of I18N too.
    var {
      customTemplates,
      menus,
      functions
    } = (_storyboard$meta = storyboard.meta) !== null && _storyboard$meta !== void 0 ? _storyboard$meta : {};
    visitStoryboardExpressions([storyboard.routes, customTemplates, menus], beforeVisitI18n, I18N);
    visitStoryboardFunctions(functions, beforeVisitI18n);
    return collection;
  }
  function scanI18NInAny(data) {
    var collection = new Map();
    visitStoryboardExpressions(data, beforeVisitI18nFactory(collection), I18N);
    return collection;
  }
  function beforeVisitI18nFactory(collection) {
    return function beforeVisitI18n(node, parent) {
      if (node.name === I18N) {
        var callParent = parent[parent.length - 1];
        if ((callParent === null || callParent === void 0 ? void 0 : callParent.node.type) === "CallExpression" && callParent.key === "callee") {
          var [keyNode, defaultNode] = callParent.node.arguments;
          if (keyNode && keyNode.type === "Literal" && typeof keyNode.value === "string") {
            var valueSet = collection.get(keyNode.value);
            if (!valueSet) {
              valueSet = new Set();
              collection.set(keyNode.value, valueSet);
            }
            if (defaultNode && defaultNode.type === "Literal" && typeof defaultNode.value === "string") {
              valueSet.add(defaultNode.value);
            }
          }
        }
      }
    };
  }

  var APP = "APP";
  var GET_MENU = "getMenu";
  function scanAppGetMenuInStoryboard(storyboard) {
    var _storyboard$meta;
    var collection = new Set();
    var beforeVisitApp = beforeVisitAppFactory(collection);
    var {
      customTemplates
    } = (_storyboard$meta = storyboard.meta) !== null && _storyboard$meta !== void 0 ? _storyboard$meta : {};
    visitStoryboardExpressions([storyboard.routes, customTemplates], beforeVisitApp, {
      matchExpressionString: matchAppGetMenu
    });
    // `APP` is not available in storyboard functions
    return Array.from(collection);
  }
  function scanAppGetMenuInAny(data) {
    var collection = new Set();
    visitStoryboardExpressions(data, beforeVisitAppFactory(collection), {
      matchExpressionString: matchAppGetMenu
    });
    return Array.from(collection);
  }
  function matchAppGetMenu(source) {
    return source.includes(APP) && source.includes(GET_MENU);
  }
  function beforeVisitAppFactory(collection) {
    return function beforeVisitAPP(node, parent) {
      if (node.name === APP) {
        var memberParent = parent[parent.length - 1];
        var callParent = parent[parent.length - 2];
        if ((callParent === null || callParent === void 0 ? void 0 : callParent.node.type) === "CallExpression" && (callParent === null || callParent === void 0 ? void 0 : callParent.key) === "callee" && (memberParent === null || memberParent === void 0 ? void 0 : memberParent.node.type) === "MemberExpression" && memberParent.key === "object" && !memberParent.node.computed && memberParent.node.property.type === "Identifier" && memberParent.node.property.name === GET_MENU) {
          if (callParent.node.arguments.length === 1) {
            var menuId = callParent.node.arguments[0];
            if (menuId.type === "Literal" && typeof menuId.value === "string") {
              collection.add(menuId.value);
            }
          }
        }
      }
    };
  }

  var LexicalStatus;
  (function (LexicalStatus) {
    LexicalStatus[LexicalStatus["Initial"] = 0] = "Initial";
    LexicalStatus[LexicalStatus["ExpectField"] = 1] = "ExpectField";
    LexicalStatus[LexicalStatus["ExpectOptionalBeginDefault"] = 2] = "ExpectOptionalBeginDefault";
    LexicalStatus[LexicalStatus["ExpectDefaultValue"] = 3] = "ExpectDefaultValue";
    LexicalStatus[LexicalStatus["ExpectOptionalBeginPipe"] = 4] = "ExpectOptionalBeginPipe";
    LexicalStatus[LexicalStatus["ExpectPipeIdentifier"] = 5] = "ExpectPipeIdentifier";
    LexicalStatus[LexicalStatus["ExpectOptionalBeginPipeParameter"] = 6] = "ExpectOptionalBeginPipeParameter";
    LexicalStatus[LexicalStatus["ExpectPipeParameter"] = 7] = "ExpectPipeParameter";
    LexicalStatus[LexicalStatus["ExpectPlaceholderEnd"] = 8] = "ExpectPlaceholderEnd";
  })(LexicalStatus || (LexicalStatus = {}));
  var TokenType;
  (function (TokenType) {
    TokenType["Raw"] = "Raw";
    TokenType["BeginPlaceHolder"] = "BeginPlaceHolder";
    TokenType["Field"] = "Field";
    TokenType["BeginDefault"] = "BeginDefault";
    TokenType["LiteralString"] = "LiteralString";
    TokenType["BeginPipe"] = "BeginPipe";
    TokenType["PipeIdentifier"] = "PipeIdentifier";
    TokenType["BeginPipeParameter"] = "BeginPipeParameter";
    TokenType["EndPlaceHolder"] = "EndPlaceHolder";
    TokenType["JsonValue"] = "JsonValue";
  })(TokenType || (TokenType = {}));
  var JsonValueType;
  (function (JsonValueType) {
    JsonValueType[JsonValueType["Array"] = 0] = "Array";
    JsonValueType[JsonValueType["Object"] = 1] = "Object";
    JsonValueType[JsonValueType["String"] = 2] = "String";
    JsonValueType[JsonValueType["Others"] = 3] = "Others";
  })(JsonValueType || (JsonValueType = {}));

  function getRegExpOfPlaceholder(symbols) {
    return new RegExp("(".concat([].concat(symbols).map(symbol => lodash.escapeRegExp(symbol)).join("|"), ")\\{"));
  }
  function tokenize(raw, symbols) {
    var context = {
      beginPlaceholder: getRegExpOfPlaceholder(symbols),
      raw,
      cursor: 0,
      status: LexicalStatus.Initial,
      tokens: []
    };
    while (context.cursor < raw.length) {
      switch (context.status) {
        case LexicalStatus.Initial:
          eatOptionalRawAndOptionalPlaceholderBegin(context);
          break;
        case LexicalStatus.ExpectField:
          eatWhitespace(context);
          eatField(context);
          break;
        case LexicalStatus.ExpectOptionalBeginDefault:
          eatWhitespace(context);
          eatOptionalDefault(context);
          break;
        case LexicalStatus.ExpectDefaultValue:
          eatWhitespace(context);
          eatDefaultValue(context);
          break;
        case LexicalStatus.ExpectOptionalBeginPipe:
          eatWhitespace(context);
          eatOptionalBeginPipe(context);
          break;
        case LexicalStatus.ExpectPipeIdentifier:
          eatWhitespace(context);
          eatPipeIdentifier(context);
          break;
        case LexicalStatus.ExpectOptionalBeginPipeParameter:
          eatWhitespace(context);
          eatOptionalBeginPipeParameter(context);
          break;
        case LexicalStatus.ExpectPipeParameter:
          eatWhitespace(context);
          eatPipeParameter(context);
          break;
        case LexicalStatus.ExpectPlaceholderEnd:
          eatWhitespace(context);
          eatPlaceholderEnd(context);
          break;
      }
    }
    if (context.status !== LexicalStatus.Initial) {
      throw new Error("Expected a placeholder end '}' at the end");
    }
    return context.tokens;
  }
  function eatOptionalRawAndOptionalPlaceholderBegin(context) {
    var _subRaw$match;
    var subRaw = getSubRaw(context);
    var matchedPlaceholder = (_subRaw$match = subRaw.match(context.beginPlaceholder)) === null || _subRaw$match === void 0 ? void 0 : _subRaw$match[0];
    var subCursor = matchedPlaceholder ? subRaw.indexOf(matchedPlaceholder) : -1;
    if (subCursor >= 0 && subRaw.charAt(subCursor + matchedPlaceholder.length) !== "{") {
      var nextCursor = context.cursor + subCursor;
      if (subCursor > 0) {
        context.tokens.push({
          type: TokenType.Raw,
          value: subRaw.substring(0, subCursor)
        });
      }
      context.tokens.push({
        type: TokenType.BeginPlaceHolder,
        loc: {
          start: nextCursor,
          end: nextCursor + matchedPlaceholder.length
        },
        value: matchedPlaceholder.substring(0, matchedPlaceholder.length - 1)
      });
      context.cursor += subCursor + matchedPlaceholder.length;
      context.status = LexicalStatus.ExpectField;
    } else {
      context.tokens.push({
        type: TokenType.Raw,
        value: subRaw
      });
      context.cursor = context.raw.length;
    }
  }
  function eatWhitespace(context) {
    context.cursor += getSubRaw(context).match(/^[ \r\n\t]*/)[0].length;
  }
  function eatField(context) {
    // Only allow alphanumeric, `_`, `.`, `*`, `[`, `]`, `-` and other non-ascii.
    var [value] = getSubRaw(context).match(/^(?:[\*\x2D\.0-9A-\[\]_a-z\x80-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*/);
    context.tokens.push({
      type: TokenType.Field,
      value
    });
    context.cursor += value.length;
    context.status = LexicalStatus.ExpectOptionalBeginDefault;
  }
  function eatOptionalDefault(context) {
    if (getSubRaw(context).charAt(0) === "=") {
      context.tokens.push({
        type: TokenType.BeginDefault
      });
      context.cursor += 1;
      context.status = LexicalStatus.ExpectDefaultValue;
    } else {
      context.status = LexicalStatus.ExpectOptionalBeginPipe;
    }
  }
  function eatDefaultValue(context) {
    eatJsonValueOrLiteralString(context, LexicalStatus.ExpectOptionalBeginPipe);
  }
  function eatOptionalBeginPipe(context) {
    if (getSubRaw(context).charAt(0) === "|") {
      context.tokens.push({
        type: TokenType.BeginPipe
      });
      context.cursor += 1;
      context.status = LexicalStatus.ExpectPipeIdentifier;
    } else {
      context.status = LexicalStatus.ExpectPlaceholderEnd;
    }
  }
  function eatPipeIdentifier(context) {
    var matches = getSubRaw(context).match(/^[a-zA-Z]\w*/);
    if (!matches) {
      throw new Error("Expected a pipe identifier at index ".concat(context.cursor, " near: ").concat(JSON.stringify(context.raw.substring(context.cursor))));
    }
    var value = matches[0];
    context.tokens.push({
      type: TokenType.PipeIdentifier,
      value
    });
    context.cursor += value.length;
    context.status = LexicalStatus.ExpectOptionalBeginPipeParameter;
  }
  function eatOptionalBeginPipeParameter(context) {
    if (getSubRaw(context).charAt(0) === ":") {
      context.tokens.push({
        type: TokenType.BeginPipeParameter
      });
      context.cursor += 1;
      context.status = LexicalStatus.ExpectPipeParameter;
    } else {
      context.status = LexicalStatus.ExpectOptionalBeginPipe;
    }
  }
  function eatPipeParameter(context) {
    eatJsonValueOrLiteralString(context, LexicalStatus.ExpectOptionalBeginPipeParameter);
  }
  function eatPlaceholderEnd(context) {
    if (getSubRaw(context).charAt(0) === "}") {
      context.tokens.push({
        type: TokenType.EndPlaceHolder,
        loc: {
          start: context.cursor,
          end: context.cursor + 1
        }
      });
      context.cursor += 1;
      context.status = LexicalStatus.Initial;
    } else {
      throw new Error("Expected a placeholder end '}' at index ".concat(context.cursor, " near: ").concat(JSON.stringify(context.raw.substring(context.cursor))));
    }
  }
  var jsonLiteralMap = new Map([["false", false], ["null", null], ["true", true]]);
  function eatJsonValueOrLiteralString(context, nextStatus) {
    var subRaw = getSubRaw(context);
    if (/[0-9[{"]/.test(subRaw.charAt(0)) || /-[0-9]/.test(subRaw.substring(0, 2))) {
      eatJsonValue(context, nextStatus);
    } else {
      // Accept any characters except controls and whitespace.
      // Only allow alphanumeric, `_`, `-` and other non-ascii.
      var [value] = getSubRaw(context).match(/^(?:[\x2D0-9A-Z_a-z\x80-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*/);
      if (jsonLiteralMap.has(value)) {
        context.tokens.push({
          type: TokenType.JsonValue,
          value: jsonLiteralMap.get(value)
        });
      } else {
        context.tokens.push({
          type: TokenType.LiteralString,
          value
        });
      }
      context.cursor += value.length;
      context.status = nextStatus;
    }
  }

  // 我们不需要非常精确地在一段字符串中匹配出一段*完整合法的* JSON value，
  // 而只需要找到一段*可能是完整合法的* JSON value 即可，解析的工作交给 `JSON.parse()`。
  // 由于 JSON 中 object/array/string 的镜像起止符特性，我们尝试去完成这些符号匹配即可。
  function eatJsonValue(context, nextStatus) {
    var subRaw = getSubRaw(context);
    var firstChar = subRaw.charAt(0);
    var valueType = firstChar === "[" ? JsonValueType.Array : firstChar === "{" ? JsonValueType.Object : firstChar === '"' ? JsonValueType.String : JsonValueType.Others;
    var subCursor = 0;
    var objectBracesToMatch = 0;
    var arrayBracketsToMatch = 0;
    var stringQuotesToClose = false;
    var stringBackslashToEscape = false;
    var matched = false;
    while (subCursor < subRaw.length) {
      var char = subRaw.charAt(subCursor);
      if (stringBackslashToEscape) {
        stringBackslashToEscape = false;
      } else if (stringQuotesToClose) {
        if (char === '"') {
          stringQuotesToClose = false;
        } else if (char === "\\") {
          stringBackslashToEscape = true;
        }
      } else {
        switch (char) {
          case "[":
            arrayBracketsToMatch += 1;
            break;
          case "{":
            objectBracesToMatch += 1;
            break;
          case "]":
            arrayBracketsToMatch -= 1;
            break;
          case "}":
            objectBracesToMatch -= 1;
            break;
          case '"':
            stringQuotesToClose = true;
            break;
        }
      }
      subCursor += 1;
      switch (valueType) {
        case JsonValueType.Array:
          matched = !arrayBracketsToMatch;
          break;
        case JsonValueType.Object:
          matched = !objectBracesToMatch;
          break;
        case JsonValueType.String:
          matched = !stringQuotesToClose;
          break;
        default:
          // 对于其它类型，如果下一个字符不再是这些值类型可能的字符时，我们认为 JSON value 完成匹配。
          // 其它可能的值类型：number/boolean/null/undefined。
          matched = subCursor < subRaw.length && /[^a-z0-9E.+-]/.test(subRaw.charAt(subCursor));
      }
      if (matched) {
        break;
      }
    }
    if (!matched) {
      throw new Error("Failed to match a JSON value at index ".concat(context.cursor, " near: ").concat(JSON.stringify(context.raw.substring(context.cursor))));
    }
    context.tokens.push({
      type: TokenType.JsonValue,
      value: JSON.parse(subRaw.substring(0, subCursor))
    });
    context.cursor += subCursor;
    context.status = nextStatus;
  }
  function getSubRaw(context) {
    return context.raw.substring(context.cursor);
  }

  function parseInjectableString(raw, symbols) {
    return parseTokens(tokenize(raw, symbols));
  }
  function parseTokens(tokens) {
    var tree = {
      type: "InjectableString",
      elements: []
    };
    var token;
    function optionalToken(type) {
      if (type === tokens[0].type) {
        token = tokens.shift();
        return true;
      }
      return false;
    }
    function acceptToken(type) {
      token = tokens.shift();
      if (Array.isArray(type) ? !type.includes(token.type) : type !== token.type) {
        throw new Error("Expected token: ".concat(type, ", received token: ").concat(token.type));
      }
    }
    while (tokens.length > 0) {
      if (optionalToken(TokenType.Raw)) {
        tree.elements.push({
          type: "RawString",
          value: token.value
        });
      } else {
        acceptToken(TokenType.BeginPlaceHolder);
        var start = token.loc.start;
        var symbol = token.value;
        acceptToken(TokenType.Field);
        var placeholder = {
          type: "Placeholder",
          symbol,
          field: token.value,
          defaultValue: undefined,
          pipes: [],
          loc: {
            start,
            end: start
          }
        };
        tree.elements.push(placeholder);
        if (optionalToken(TokenType.BeginDefault)) {
          acceptToken([TokenType.JsonValue, TokenType.LiteralString]);
          placeholder.defaultValue = token.value;
        }
        while (optionalToken(TokenType.BeginPipe)) {
          acceptToken(TokenType.PipeIdentifier);
          var pipe = {
            type: "PipeCall",
            identifier: token.value,
            parameters: []
          };
          placeholder.pipes.push(pipe);
          while (optionalToken(TokenType.BeginPipeParameter)) {
            acceptToken([TokenType.JsonValue, TokenType.LiteralString]);
            pipe.parameters.push(token.value);
          }
        }
        acceptToken(TokenType.EndPlaceHolder);
        placeholder.loc.end = token.loc.end;
      }
    }
    return tree;
  }

  function transform(raw, data) {
    return compile(raw, "@", data);
  }
  function inject(raw, context) {
    return compile(raw, "$", undefined, context);
  }
  function transformAndInject(raw, data, context) {
    return compile(raw, ["@", "$"], data, context);
  }
  function compile(raw, symbols, data, context) {
    // const symbols = ["@", "$"];
    if (!isInjectable(raw, symbols)) {
      return raw;
    }
    var transformNode = transformNodeFactory(data);
    var injectNode = injectNodeFactory(context, raw);
    var tree = parseInjectableString(raw, symbols);
    var values = tree.elements.map(node => node.type === "RawString" ? node.value : node.symbol === "$" ? injectNode(node) : transformNode(node));
    return reduceCompiledValues(values);
  }
  function reduceCompiledValues(values) {
    // If the whole string is a placeholder, we should keep the original value.
    if (values.length === 1) {
      return values[0];
    }

    // If an element is `undefined`, `null` or an empty array `[]`, it is converted to an empty string.
    // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/join#Description
    return values.join("");
  }
  function isInjectable(raw, symbols) {
    return getRegExpOfPlaceholder(symbols).test(raw);
  }
  function transformNodeFactory(data) {
    return function transformNode(node) {
      // If meet `@{}`, return `data`.
      var result = node.field ? lodash.get(data, node.field) : data;
      if (result === undefined) {
        result = node.defaultValue;
      }
      return pipes.processPipes(result, node.pipes);
    };
  }
  function injectNodeFactory(context, raw) {
    return function injectNode(node) {
      var _context$overrideApp, _context$overrideApp2, _context$storyboardCo;
      var matches = node.field.match(/^(?:(QUERY(?:_ARRAY)?|EVENT|query|event|APP|HASH|ANCHOR|SYS|FLAGS|CTX)\.)?(.+)$/);
      if (!matches) {
        // Keep the original raw partial when meet a unknown namespace.
        return raw.substring(node.loc.start, node.loc.end);
      }
      var [_full, namespace, subField] = matches;

      // Support namespace with no subfield such as `${ANCHOR}`.
      // But distinguish with match params. E.g. `${query}` is a match param.
      if (!namespace && /^[A-Z_]+$/.test(subField)) {
        namespace = subField;
        subField = "*";
      }
      var result;
      var anchor;
      var SimpleContextMap = {
        HASH: "hash",
        SYS: "sys",
        FLAGS: "flags"
      };
      var contextItem;
      switch (namespace) {
        case "QUERY":
        case "query":
          if (subField === "*") {
            result = context.query;
          } else {
            result = context.query.has(subField) ? context.query.get(subField) : undefined;
          }
          break;
        case "QUERY_ARRAY":
          result = context.query.has(subField) ? context.query.getAll(subField) : undefined;
          break;
        case "EVENT":
        case "event":
          if (context.event === undefined) {
            // Keep the original raw partial when meet a `${EVENT}` in non-event context.
            return raw.substring(node.loc.start, node.loc.end);
          }
          result = subField === "*" ? context.event : lodash.get(context.event, subField);
          break;
        case "APP":
          result = subField === "*" ? (_context$overrideApp = context.overrideApp) !== null && _context$overrideApp !== void 0 ? _context$overrideApp : context.app : lodash.get((_context$overrideApp2 = context.overrideApp) !== null && _context$overrideApp2 !== void 0 ? _context$overrideApp2 : context.app, subField);
          break;
        case "HASH":
        case "SYS":
        case "FLAGS":
          result = subField === "*" ? context[SimpleContextMap[namespace]] : lodash.get(context[SimpleContextMap[namespace]], subField);
          break;
        case "ANCHOR":
          anchor = context.hash ? context.hash.substr(1) : null;
          result = subField === "*" ? anchor : lodash.get(anchor, subField);
          break;
        case "CTX":
          contextItem = (_context$storyboardCo = context.storyboardContext) === null || _context$storyboardCo === void 0 ? void 0 : _context$storyboardCo.get(subField);
          if (contextItem) {
            var _contextItem$brick$el;
            result = contextItem.type === "brick-property" ? (_contextItem$brick$el = contextItem.brick.element) === null || _contextItem$brick$el === void 0 ? void 0 : _contextItem$brick$el[contextItem.prop] : contextItem.value;
          }
          break;
        default:
          if (context.match) {
            result = context.match.params[subField];
          } else {
            // If the context is empty, return the original raw partial.
            return raw.substring(node.loc.start, node.loc.end);
          }
      }
      if (result === undefined) {
        result = node.defaultValue;
      }
      return pipes.processPipes(result, node.pipes);
    };
  }

  // Keep compatibility of these exposed APIs.
  var {
    formatUnitValue: formatValue,
    convertUnitValueByPrecision: convertValueByPrecision
  } = pipes.utils;

  var TRACK_NAMES = ["CTX", "STATE", "FORM_STATE"];

  /**
   * Get tracking CTX for an evaluable expression in `track context` mode.
   *
   * A `track context` mode is an evaluable expression which is a sequence expression
   * starting with the exact literal string expression of "track context".
   *
   * @param raw - A raw string, which must be checked by `isEvaluable` first.
   *
   * @returns
   *
   * Returns used CTXs if `track context` mode is enabled, or returns false if not enabled or
   * no CTX found.
   *
   * @example
   *
   * ```js
   * trackContext('<% "track context", [CTX.hello, CTX.world] %>');
   * // => ["hello", "world"]
   *
   * trackContext('<% [CTX.hello, CTX.world] %>');
   * // => false
   *
   * trackContext('<% "track context", DATA.any %>');
   * // => false
   * ```
   */
  function trackContext(raw) {
    return track(raw, "track context", "CTX");
  }
  function trackState(raw) {
    return track(raw, "track state", "STATE");
  }
  function trackFormState(raw) {
    return track(raw, "track formstate", "FORM_STATE");
  }
  function trackUsedContext(data) {
    return collectContextUsage(data, "CTX").usedContexts;
  }
  function trackUsedState(data) {
    return collectContextUsage(data, "STATE").usedContexts;
  }
  function trackUsedFormState(data) {
    return collectContextUsage(data, "FORM_STATE").usedContexts;
  }
  function track(raw, trackText, variableName) {
    if (raw.includes(trackText)) {
      // const contexts = new Set<string>();
      var usage = {
        usedContexts: [],
        includesComputed: false
      };
      var {
        expression
      } = preevaluate(raw, {
        cache: true,
        withParent: true,
        hooks: {
          beforeVisitGlobal: beforeVisitContextFactory(usage, variableName)
        }
      });
      // const contexts = usage
      var trackCtxExp;
      if (expression.type === "SequenceExpression" && (trackCtxExp = expression.expressions[0]) && trackCtxExp.type === "Literal" && trackCtxExp.value === trackText) {
        if (usage.usedContexts.length > 0) {
          return usage.usedContexts;
        } else {
          // eslint-disable-next-line no-console
          console.warn("You are using \"".concat(trackText, "\" but no `").concat(variableName, "` usage found in your expression: ").concat(JSON.stringify(raw)));
        }
      }
    }
    return false;
  }
  function trackAll(raw) {
    // Do not pre-evaluate a string if it doesn't include track names.
    if (TRACK_NAMES.some(name => raw.includes(name))) {
      var usage = {
        usedContexts: [],
        includesComputed: false
      };
      preevaluate(raw, {
        cache: true,
        withParent: true,
        hooks: {
          beforeVisitGlobal: beforeVisitContextFactory(usage, TRACK_NAMES, true)
        }
      });
      if (usage.usedContexts.length > 0) {
        var result = {
          context: false,
          state: false,
          formState: false
        };
        var keyMap = {
          CTX: "context",
          STATE: "state",
          FORM_STATE: "formState"
        };
        usage.usedContexts.forEach(item => {
          var [key, name] = item.split(".");
          if (!result[keyMap[key]]) {
            result[keyMap[key]] = [];
          }
          result[keyMap[key]].push(name);
        });
        return result;
      } else {
        // eslint-disable-next-line no-console
        console.warn("You are using track all but no \"CTX\" or \"STATE\" or \"FORM_STATE\" usage found in your expression: ".concat(JSON.stringify(raw)));
      }
    }
    return false;
  }
  function beforeVisitContextFactory(usage, variableName) {
    var rememberObjectName = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;
    return function beforeVisitContext(node, parent) {
      if (typeof variableName === "string" ? node.name === variableName : variableName.includes(node.name)) {
        var memberParent = parent[parent.length - 1];
        if ((memberParent === null || memberParent === void 0 ? void 0 : memberParent.node.type) === "MemberExpression" && memberParent.key === "object") {
          var memberNode = memberParent.node;
          var used;
          if (!memberNode.computed && memberNode.property.type === "Identifier") {
            used = memberNode.property.name;
          } else if (memberNode.computed && memberNode.property.type === "Literal" && typeof memberNode.property.value === "string") {
            used = memberNode.property.value;
          } else {
            usage.includesComputed = true;
          }
          if (used !== undefined && !usage.usedContexts.includes(used)) {
            usage.usedContexts.push(rememberObjectName ? "".concat(node.name, ".").concat(used) : used);
          }
        }
      }
    };
  }
  function collectContextUsage(data, variableName) {
    var usage = {
      usedContexts: [],
      includesComputed: false
    };
    visitStoryboardExpressions(data, beforeVisitContextFactory(usage, variableName), variableName);
    return usage;
  }

  function deferResolveContextConcurrently(contextConfs, resolveContext) {
    var keyword = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "CTX";
    var dependencyMap = getDependencyMapOfContext(contextConfs, keyword);
    // There maybe multiple context confs for a specific name, since there are conditional contexts.
    // This is a map of how many pending context confs for each context name.
    var pendingDeps = new Map();
    for (var contextName of Array.from(dependencyMap.keys()).map(contextConf => contextConf.name)) {
      var _pendingDeps$get;
      pendingDeps.set(contextName, ((_pendingDeps$get = pendingDeps.get(contextName)) !== null && _pendingDeps$get !== void 0 ? _pendingDeps$get : 0) + 1);
    }
    var includesComputed = Array.from(dependencyMap.values()).some(stats => stats.includesComputed);
    var processed = new WeakSet();
    var deferredContexts = new Map();
    var pendingContexts = new Map([...new Set(contextConfs.map(contextConf => contextConf.name))].map(contextName => [contextName, new Promise((resolve, reject) => {
      deferredContexts.set(contextName, {
        resolve,
        reject
      });
    })]));
    var wrapResolve = /*#__PURE__*/function () {
      var _ref = _asyncToGenerator__default["default"](function* (contextConf) {
        var _pendingDeps$get2;
        processed.add(contextConf);
        var resolved = yield resolveContext(contextConf);
        dependencyMap.delete(contextConf);
        var left = (_pendingDeps$get2 = pendingDeps.get(contextConf.name)) !== null && _pendingDeps$get2 !== void 0 ? _pendingDeps$get2 : 0;
        if (resolved) {
          deferredContexts.get(contextConf.name).resolve();
          pendingDeps.delete(contextConf.name);
          if (left === 0) {
            throw new Error("Duplicated context defined: ".concat(contextConf.name));
          }
        } else {
          // Assert: left >= 1
          if (left === 1) {
            deferredContexts.get(contextConf.name).resolve();
            pendingDeps.delete(contextConf.name);
          } else {
            pendingDeps.set(contextConf.name, left - 1);
          }
        }
        yield scheduleNext();
      });
      return function wrapResolve(_x) {
        return _ref.apply(this, arguments);
      };
    }();
    var scheduleAsSerial = includesComputed;
    function scheduleNext() {
      return _scheduleNext.apply(this, arguments);
    }
    function _scheduleNext() {
      _scheduleNext = _asyncToGenerator__default["default"](function* () {
        var readyContexts = Array.from(dependencyMap.entries()).filter(predicateNextResolveFactory(pendingDeps, scheduleAsSerial)).map(entry => entry[0]).filter(contextConf => !processed.has(contextConf));
        yield Promise.all(readyContexts.map(wrapResolve));
      });
      return _scheduleNext.apply(this, arguments);
    }
    var pendingResult = scheduleNext().then( /*#__PURE__*/_asyncToGenerator__default["default"](function* () {
      // If there are still contexts left, it implies one of these situations:
      //   - Circular contexts.
      //     Such as: a depends on b, while b depends on a.
      //   - Related contexts are all ignored.
      //     Such as: a depends on b,
      //     while both them are ignore by a falsy result of `if`.
      if (dependencyMap.size > 0) {
        // This will throw if circular contexts detected.
        detectCircularContexts(dependencyMap, keyword);
        scheduleAsSerial = true;
        yield scheduleNext();
      }
      // There maybe ignored contexts which are still not fulfilled.
      // We treat them as RESOLVED.
      for (var deferred of deferredContexts.values()) {
        deferred.resolve();
      }
    })).catch(error => {
      // There maybe contexts left not fulfilled, when an error occurred.
      // We treat them as REJECTED.
      for (var deferred of deferredContexts.values()) {
        deferred.reject(error);
      }
      throw error;
    });
    return {
      pendingResult,
      pendingContexts
    };
  }
  function resolveContextConcurrently(_x2, _x3) {
    return _resolveContextConcurrently.apply(this, arguments);
  }
  function _resolveContextConcurrently() {
    _resolveContextConcurrently = _asyncToGenerator__default["default"](function* (contextConfs, resolveContext) {
      var keyword = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "CTX";
      var dependencyMap = getDependencyMapOfContext(contextConfs, keyword);
      var pendingDeps = new Map();
      for (var contextName of Array.from(dependencyMap.keys()).map(contextConf => contextConf.name)) {
        var _pendingDeps$get5;
        pendingDeps.set(contextName, ((_pendingDeps$get5 = pendingDeps.get(contextName)) !== null && _pendingDeps$get5 !== void 0 ? _pendingDeps$get5 : 0) + 1);
      }
      var includesComputed = Array.from(dependencyMap.values()).some(stats => stats.includesComputed);
      var processed = new WeakSet();
      var wrapResolve = /*#__PURE__*/function () {
        var _ref3 = _asyncToGenerator__default["default"](function* (contextConf) {
          var _pendingDeps$get6;
          processed.add(contextConf);
          var resolved = yield resolveContext(contextConf);
          dependencyMap.delete(contextConf);
          var left = (_pendingDeps$get6 = pendingDeps.get(contextConf.name)) !== null && _pendingDeps$get6 !== void 0 ? _pendingDeps$get6 : 0;
          if (resolved) {
            pendingDeps.delete(contextConf.name);
            if (left === 0) {
              throw new Error("Duplicated context defined: ".concat(contextConf.name));
            }
          } else {
            // Assert: left >= 1
            if (left === 1) {
              pendingDeps.delete(contextConf.name);
            } else {
              pendingDeps.set(contextConf.name, left - 1);
            }
          }
          yield scheduleNext();
        });
        return function wrapResolve(_x4) {
          return _ref3.apply(this, arguments);
        };
      }();
      var scheduleAsSerial = includesComputed;
      function scheduleNext() {
        return _scheduleNext2.apply(this, arguments);
      }
      function _scheduleNext2() {
        _scheduleNext2 = _asyncToGenerator__default["default"](function* () {
          var readyContexts = Array.from(dependencyMap.entries()).filter(predicateNextResolveFactory(pendingDeps, scheduleAsSerial)).map(entry => entry[0]).filter(contextConf => !processed.has(contextConf));
          yield Promise.all(readyContexts.map(wrapResolve));
        });
        return _scheduleNext2.apply(this, arguments);
      }
      yield scheduleNext();

      // If there are still contexts left, it implies one of these situations:
      //   - Circular contexts.
      //     Such as: a depends on b, while b depends on a.
      //   - Related contexts are all ignored.
      //     Such as: a depends on b,
      //     while both them are ignore by a falsy result of `if`.
      if (dependencyMap.size > 0) {
        // This will throw if circular contexts detected.
        detectCircularContexts(dependencyMap, keyword);
        scheduleAsSerial = true;
        yield scheduleNext();
      }
    });
    return _resolveContextConcurrently.apply(this, arguments);
  }
  function syncResolveContextConcurrently(contextConfs, resolveContext) {
    var keyword = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "CTX";
    var dependencyMap = getDependencyMapOfContext(contextConfs, keyword);
    var pendingDeps = new Map();
    for (var contextName of Array.from(dependencyMap.keys()).map(contextConf => contextConf.name)) {
      var _pendingDeps$get3;
      pendingDeps.set(contextName, ((_pendingDeps$get3 = pendingDeps.get(contextName)) !== null && _pendingDeps$get3 !== void 0 ? _pendingDeps$get3 : 0) + 1);
    }
    var includesComputed = Array.from(dependencyMap.values()).some(stats => stats.includesComputed);
    var scheduleAsSerial = includesComputed;
    function scheduleNext() {
      var dep = Array.from(dependencyMap.entries()).find(predicateNextResolveFactory(pendingDeps, scheduleAsSerial));
      if (dep) {
        var _pendingDeps$get4;
        var [_contextConf] = dep;
        var resolved = resolveContext(_contextConf);
        dependencyMap.delete(_contextConf);
        var left = (_pendingDeps$get4 = pendingDeps.get(_contextConf.name)) !== null && _pendingDeps$get4 !== void 0 ? _pendingDeps$get4 : 0;
        if (resolved) {
          pendingDeps.delete(_contextConf.name);
          if (left === 0) {
            throw new Error("Duplicated context defined: ".concat(_contextConf.name));
          }
        } else {
          // Assert: left >= 1
          if (left === 1) {
            pendingDeps.delete(_contextConf.name);
          } else {
            pendingDeps.set(_contextConf.name, left - 1);
          }
        }
        scheduleNext();
      }
    }
    scheduleNext();

    // If there are still contexts left, it implies one of these situations:
    //   - Circular contexts.
    //     Such as: a depends on b, while b depends on a.
    //   - Related contexts are all ignored.
    //     Such as: a depends on b,
    //     while both them are ignore by a falsy result of `if`.
    if (dependencyMap.size > 0) {
      // This will throw if circular contexts detected.
      detectCircularContexts(dependencyMap, keyword);
      scheduleAsSerial = true;
      scheduleNext();
    }
  }
  function predicateNextResolveFactory(pendingDeps, scheduleAsSerial) {
    return (entry, index) =>
    // When contexts contain computed CTX accesses, it implies a dynamic dependency map.
    // So make them process sequentially, keep the same behavior as before.
    scheduleAsSerial ? index === 0 :
    // A context is ready when it has no pending dependencies.
    !entry[1].usedContexts.some(dep => pendingDeps.has(dep));
  }
  function getDependencyMapOfContext(contextConfs) {
    var keyword = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "CTX";
    var depsMap = new Map();
    for (var _contextConf2 of contextConfs) {
      var stats = collectContextUsage(_contextConf2.property ? null : [_contextConf2.if, _contextConf2.value, _contextConf2.resolve], keyword);
      depsMap.set(_contextConf2, stats);
    }
    return depsMap;
  }
  function detectCircularContexts(dependencyMap, keyword) {
    var duplicatedMap = new Map(dependencyMap);
    var pendingDeps = new Set(Array.from(duplicatedMap.keys()).map(contextConf => contextConf.name));
    var next = () => {
      var processedAtLeastOne = false;
      for (var [_contextConf3, stats] of duplicatedMap.entries()) {
        if (!stats.usedContexts.some(dep => pendingDeps.has(dep))) {
          duplicatedMap.delete(_contextConf3);
          pendingDeps.delete(_contextConf3.name);
          processedAtLeastOne = true;
        }
      }
      if (processedAtLeastOne) {
        next();
      }
    };
    next();
    if (duplicatedMap.size > 0) {
      throw new ReferenceError("Circular ".concat(keyword, " detected: ").concat(Array.from(duplicatedMap.keys()).map(contextConf => contextConf.name).join(", ")));
    }
  }

  function scanCustomApisInStoryboard(storyboard) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
    return scanStoryboard(storyboard, options).customApis;
  }
  function mapCustomApisToNameAndNamespace(customApis) {
    return customApis.map(v => {
      var [namespace, name] = v.split("@");
      return {
        namespace,
        name
      };
    });
  }

  /**
   * Get smart display for a string property, which may be an evaluation.
   *
   * This is useful for brick editors to display specific property configurations.
   *
   * E.g., for a button brick editor, display it by
   * `smartDisplayForEvaluableString(btn.$$parsedProperties.buttonName, btn.alias, "<% … %>")`.
   *
   * @param rawString - Raw string value.
   * @param nonStringFallback - Fallback value if it's not a string.
   * @param unknownEvaluationFallback - Fallback value if it's an unknown evaluation.
   *
   * @returns
   *
   * Returns the nonStringFallback if the input is not a string and nonStringFallback presents.
   *
   * Or returns the raw input when nonStringFallback no presents.
   *
   * Returns the I18N default value (or key if no value found)
   * if it is an evaluation and contains one and only one I18N key.
   *
   * Or returns the unknownEvaluationFallback if it is an unknown evaluation string and
   * unknownEvaluationFallback presents.
   *
   * Or returns the raw input otherwise.
   */
  function smartDisplayForEvaluableString(rawString, nonStringFallback, unknownEvaluationFallback) {
    if (typeof rawString !== "string") {
      // Catch on `undefined` or `null`.
      if (nonStringFallback != undefined) {
        return nonStringFallback;
      }
      return rawString;
    }
    if (isEvaluable(rawString)) {
      var i18nData = scanI18NInAny(rawString);
      if (i18nData.size === 1) {
        var key = i18nData.keys().next().value;
        var valueSet = i18nData.get(key);
        return valueSet.size > 0 ? valueSet.values().next().value : key;
      }
      // Catch on `undefined` or `null`.
      if (unknownEvaluationFallback != undefined) {
        return unknownEvaluationFallback;
      }
    }
    return rawString;
  }

  // This is copied from
  // [@next-libs/storage](https://github.com/easyops-cn/next-libs/tree/master/libs/storage),
  // and the types is refined.
  // The usage of JsonStorage from @next-libs/storage should be deprecated,
  // and migrated to from @next-core/brick-utils.
  class JsonStorage {
    constructor(storage) {
      var prefix = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : "brick-next-";
      this.storage = storage;
      this.prefix = prefix;
    }
    setItem(name, value) {
      this.storage.setItem(this.prefix + name, JSON.stringify(value));
    }
    getItem(name) {
      return JSON.parse(this.storage.getItem(this.prefix + name));
    }
    removeItem(name) {
      return this.storage.removeItem(this.prefix + name);
    }
    clear() {
      return this.storage.clear();
    }
  }

  function isRouteNode(node) {
    switch (node.type) {
      case "bricks":
      case "routes":
      case "redirect":
        return true;
      default:
        return false;
    }
  }
  function isBrickNode(node) {
    switch (node.type) {
      case "brick":
      case "provider":
      case "template":
        return true;
      default:
        return false;
    }
  }
  function isCustomTemplateNode(node) {
    return node.type === "custom-template";
  }
  function isSnippetNode(node) {
    return node.type === "snippet";
  }

  var jsonFieldsInRoute = ["menu", "providers", "segues", "defineResolves", "redirect", "analyticsData"];

  // Fields stored as yaml string will be parsed when build & push.
  var yamlFieldsInRoute = ["permissionsPreCheck", "if"];
  var jsonFieldsInBrick = ["properties", "events", "lifeCycle", "params", "if", "transform", "dataSource"];

  // Fields stored as yaml string will be parsed when build & push.
  var yamlFieldsInBrick = ["permissionsPreCheck", "transformFrom"];

  // Fields started with `_` will be removed by default.
  var fieldsToRemoveInRoute = ["appId", "children", "creator", "ctime", "id", "graphInfo", "modifier", "mountPoint", "mtime", "org", "parent", "sort", "name", "providersBak", "providers_bak", "previewSettings", "screenshot", "lock", "urlQueryParams", "deleteAuthorizers", "readAuthorizers", "updateAuthorizers"];
  var fieldsToRemoveInBrick = fieldsToRemoveInRoute.concat(["type", "rawProperties", "rawEvents", "rawLifeCycle", "rawDataSource"]);

  // Those fields can be disposed if value is null.
  var disposableNullFields = ["alias", "documentId", "context", "exports", "ref", "analyticsData"];
  var disposableFalseOrNullFields = ["hybrid", "bg", "portal", "public", "exact", "incrementalSubRoutes"];
  function normalizeBuilderNode(node) {
    if (isBrickNode(node)) {
      return normalize(node, fieldsToRemoveInBrick, jsonFieldsInBrick, yamlFieldsInBrick, "brick");
    }
    if (isRouteNode(node)) {
      return normalize(node, fieldsToRemoveInRoute, jsonFieldsInRoute, yamlFieldsInRoute, "route");
    }
    return null;
  }
  function normalize(node, fieldsToRemove, jsonFields, yamlFields, type) {
    var temp;
    return Object.fromEntries(Object.entries(node)
    // Remove unused fields from CMDB.
    // Consider fields started with `_` as unused.
    .filter(_ref => {
      var [key, value] = _ref;
      return !(key[0] === "_" || fieldsToRemove.includes(key) || (value === false || value === null) && disposableFalseOrNullFields.includes(key) || value === null && disposableNullFields.includes(key) || value === true && key === "injectDeep");
    })
    // Parse specific fields.
    .map(_ref2 => {
      var [key, value] = _ref2;
      return [key === "instanceId" ? "iid" : key, type === "route" && key === "segues" ? getCleanSegues(value) : jsonFields.includes(key) ? (temp = safeJsonParse(value),
      // There is a bug to cause json fields in route to be stored as `""` when it's empty.
      // These `""` can be safely ignored.
      temp === "" && type === "route" ? undefined : temp) : yamlFields.includes(key) ? safeYamlParse(value) : lodash.cloneDeep(value)];
    }));
  }

  // Clear `segue._view` which is for development only.
  function getCleanSegues(string) {
    var segues = safeJsonParse(string);
    return segues && Object.fromEntries(Object.entries(segues).map(_ref3 => {
      var [id, segue] = _ref3;
      return [id, segue && {
        target: segue.target
      }];
    }));
  }
  function safeJsonParse(value) {
    if (!value) {
      return;
    }
    try {
      return JSON.parse(value);
    } catch (error) {
      // eslint-disable-next-line no-console
      console.error("JSON.parse() failed", value);
    }
  }
  function safeYamlParse(value) {
    if (!value) {
      return;
    }
    try {
      var result = yaml__default["default"].safeLoad(value, {
        schema: yaml__default["default"].JSON_SCHEMA,
        json: true
      });
      return result;
    } catch (error) {
      // eslint-disable-next-line no-console
      console.error("Failed to parse yaml string", value);
    }
  }

  var fieldsToKeepInMenu = ["menuId", "title", "icon", "titleDataSource", "defaultCollapsed", "defaultCollapsedBreakpoint", "link", "type", "injectMenuGroupId", "dynamicItems", "itemsResolve", "uuid"];
  var fieldsToKeepInMenuItem = ["text", "to", "href", "target", "icon", "exact", "key", "activeIncludes", "activeExcludes", "activeMatchSearch", "type", "sort", "defaultExpanded", "if", "groupId", "childLayout", "uuid"];
  function normalizeMenu(node) {
    return _objectSpread__default["default"](_objectSpread__default["default"]({}, keep(node, fieldsToKeepInMenu)), {}, {
      items: keepItems(node.items, fieldsToKeepInMenuItem)
    });
  }
  function keep(node, fieldsToKeep) {
    return Object.fromEntries(Object.entries(node)
    // Keep certain fields from CMDB.
    .filter(_ref => {
      var [key, value] = _ref;
      if (key === "titleDataSource" && isObject$1(value) && Object.entries(value).every(item => item[1] === null || item[1] === "")) {
        return false;
      }
      if (key === "if" && value === null) {
        return false;
      }
      return fieldsToKeep.includes(key);
    }));
  }
  function keepItems(nodes, fieldsToKeep) {
    return nodes === null || nodes === void 0 ? void 0 : nodes.map(node => _objectSpread__default["default"](_objectSpread__default["default"]({}, keep(node, fieldsToKeep)), {}, {
      children: keepItems(node.children, fieldsToKeep)
    }));
  }

  // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/freeze

  /** @internal */
  function deepFreeze(object) {
    // Retrieve the property names defined on object
    var propNames = Object.getOwnPropertyNames(object);

    // Freeze properties before freezing self

    for (var name of propNames) {
      var value = object[name];
      if (value && typeof value === "object") {
        deepFreeze(value);
      }
    }
    return Object.freeze(object);
  }

  // The debounce function receives our function as a parameter
  function debounceByAnimationFrame(fn) {
    // This holds the requestAnimationFrame reference, so we can cancel it if we wish
    var frame;

    // The debounce function returns a new function that can receive a variable number of arguments
    return function () {
      for (var _len = arguments.length, params = new Array(_len), _key = 0; _key < _len; _key++) {
        params[_key] = arguments[_key];
      }
      // If the frame variable has been defined, clear it now, and queue for next frame
      if (frame) {
        cancelAnimationFrame(frame);
      }

      // Queue our function call for the next frame
      frame = requestAnimationFrame(() => {
        // Call our function and pass any params we received
        fn(...params);
      });
    };
  }

  var INSTALLED_APPS = "INSTALLED_APPS";
  var has = "has";
  function scanInstalledAppsInStoryboard(storyboard) {
    var _storyboard$meta;
    var collection = new Set();
    var beforeVisitInstalledApps = beforeVisitInstalledAppsFactory(collection);
    var {
      customTemplates,
      menus
    } = (_storyboard$meta = storyboard.meta) !== null && _storyboard$meta !== void 0 ? _storyboard$meta : {};
    visitStoryboardExpressions([storyboard.routes, customTemplates, menus], beforeVisitInstalledApps, INSTALLED_APPS);
    // `INSTALLED_APPS` is not available in storyboard functions
    return Array.from(collection);
  }
  function beforeVisitInstalledAppsFactory(collection) {
    return function beforeVisitPermissions(node, parent) {
      if (node.name === INSTALLED_APPS) {
        var memberParent = parent[parent.length - 1];
        var callParent = parent[parent.length - 2];
        if ((callParent === null || callParent === void 0 ? void 0 : callParent.node.type) === "CallExpression" && (callParent === null || callParent === void 0 ? void 0 : callParent.key) === "callee" && (memberParent === null || memberParent === void 0 ? void 0 : memberParent.node.type) === "MemberExpression" && memberParent.key === "object" && !memberParent.node.computed && memberParent.node.property.type === "Identifier" && memberParent.node.property.name === has) {
          var args = callParent.node.arguments;
          if (args.length > 0 && args[0].type === "Literal" && typeof args[0].value === "string") {
            collection.add(args[0].value);
          }
        }
      }
    };
  }

  var poolMap = new Map();
  /**
   * Make a throttled aggregation function.
   *
   * Note: the `id` should be a primitive value, typically a string or a number.
   * If the `id` must be an array or an object, encode it in JSON.
   *
   * @param namespace Should be unique for each purpose.
   * @param request Accept ids, fire request and return the promise.
   * @param select Select the specific data for a specific id in the aggregated result.
   * @param wait Throttle wait time in milliseconds, defaults to 100.
   */
  function makeThrottledAggregation(namespace, request, select) {
    var wait = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 100;
    // Each namespace share a pool.
    var pool = poolMap.get(namespace);
    if (!pool) {
      pool = {
        current: null,
        fullIds: new Map()
      };
      poolMap.set(namespace, pool);
    }
    function enqueue(id) {
      var aggregatedIds = new Set();
      aggregatedIds.add(id);
      var promise = new Promise((resolve, reject) => {
        setTimeout(() => {
          pool.current = null;
          request([...aggregatedIds]).then(resolve, reject);
        }, wait);
      });
      return {
        promise,
        aggregatedIds
      };
    }
    return function (id) {
      var cached = pool.fullIds.get(id);
      if (cached) {
        return cached.then(r => select(r, id));
      }
      if (pool.current) {
        pool.current.aggregatedIds.add(id);
      } else {
        pool.current = enqueue(id);
      }
      var {
        promise
      } = pool.current;
      pool.fullIds.set(id, promise);
      return promise.then(r => select(r, id));
    };
  }

  /**
   * Remove dead conditions in storyboard like `if: '<% FLAGS["your-feature-flag"] %>'` when
   * `FLAGS["your-feature-flag"]` is falsy.
   */
  function removeDeadConditions(storyboard, options) {
    if (storyboard.$$deadConditionsRemoved) {
      return;
    }
    var ast = parseStoryboard(storyboard);
    removeDeadConditionsByAst(ast, options);
    storyboard.$$deadConditionsRemoved = true;
  }
  function removeDeadConditionsByAst(ast, options) {
    // First, we mark constant conditions.
    traverse(ast, node => {
      switch (node.type) {
        case "Route":
        case "Brick":
        case "EventHandler":
        case "Context":
        case "MetaMenuItem":
          computeConstantCondition(node.raw, options);
          break;
        case "Resolvable":
          if (node.isConditional) {
            computeConstantCondition(node.raw, options);
          }
          break;
      }
    });

    // Then, we remove dead conditions accordingly.
    traverse(ast, node => {
      switch (node.type) {
        case "Root":
          shakeConditionalNodes(node.routes, node.raw, "routes");
          break;
        case "Template":
          shakeConditionalNodes(node.bricks, node.raw, "bricks");
          break;
        case "Route":
        case "Slot":
          shakeConditionalNodes(node.children, node.raw, node.raw.type === "routes" ? "routes" : "bricks");
          break;
        case "Event":
        case "EventCallback":
        case "SimpleLifeCycle":
        case "ConditionalEvent":
          shakeConditionalNodes(node.handlers, node.rawContainer, node.rawKey, {
            deleteEmptyArray: true
          });
          break;
        case "ResolveLifeCycle":
          shakeConditionalNodes(node.resolves, node.rawContainer, node.rawKey, {
            deleteEmptyArray: true
          });
          break;
        case "UseBrickEntry":
          shakeConditionalNodes(node.children, node.rawContainer, node.rawKey, {
            isUseBrickEntry: true
          });
          break;
        case "EventHandler":
          shakeConditionalNodes(node.then, node.raw, "then");
          shakeConditionalNodes(node.else, node.raw, "else");
          break;
        case "MetaMenu":
          shakeConditionalNodes(node.items, node.raw, "items");
          break;
        case "MetaMenuItem":
          shakeConditionalNodes(node.children, node.raw, "children");
          break;
        case "Context":
          shakeConditionalNodes(node.onChange, node.raw, "onChange");
          break;
      }

      // Remove unreachable context/state.
      switch (node.type) {
        case "Route":
        case "Brick":
        case "Template":
          shakeConditionalNodes(node.context, node.raw, node.type === "Template" ? "state" : "context");
      }
    });
  }
  function shakeConditionalNodes(conditionalNodes, rawContainer, rawKey) {
    var {
      deleteEmptyArray,
      isUseBrickEntry
    } = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : {};
    var removedNodes = [];
    if (Array.isArray(conditionalNodes)) {
      for (var node of conditionalNodes) {
        var _node$else;
        if (isStoryboardNodeEventHandler(node) && (_node$else = node.else) !== null && _node$else !== void 0 && _node$else.length) {
          switch (node.raw.if) {
            case false:
              node.then = node.else;
              node.else = [];
              node.raw.then = node.raw.else;
              delete node.raw.else;
              delete node.raw.if;
              continue;
            case true:
            case undefined:
              node.else = [];
              delete node.raw.else;
              continue;
          }
        }
        if (node.raw.if === false) {
          removedNodes.push(node);
        }
      }
    }
    lodash.pull(conditionalNodes, ...removedNodes);
    if (removedNodes.length > 0) {
      if (isUseBrickEntry && !Array.isArray(rawContainer[rawKey])) {
        rawContainer[rawKey] = {
          brick: "div",
          if: false
        };
      } else if (isUseBrickEntry && conditionalNodes.length === 1) {
        rawContainer[rawKey] = conditionalNodes[0].raw;
      } else if (deleteEmptyArray && conditionalNodes.length === 0) {
        delete rawContainer[rawKey];
      } else {
        rawContainer[rawKey] = conditionalNodes.map(node => node.raw);
      }
    }
  }
  function isStoryboardNodeEventHandler(node) {
    return node.type === "EventHandler";
  }

  /**
   * Like `removeDeadConditions` but applied to a custom template.
   */
  function removeDeadConditionsInTpl(tplConstructor, options) {
    var ast = parseTemplate(tplConstructor);
    removeDeadConditionsByAst(ast, options);
  }
  function computeConstantCondition(ifContainer) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    if (hasOwnProperty$1(ifContainer, "if") && ifContainer.if !== undefined) {
      if (typeof ifContainer.if === "string" && isEvaluable(ifContainer.if)) {
        try {
          var {
            expression,
            attemptToVisitGlobals,
            source
          } = preevaluate(ifContainer.if, {
            cache: true
          });
          var {
            constantFeatureFlags,
            featureFlags
          } = options;
          var hasDynamicVariables = false;
          for (var item of attemptToVisitGlobals) {
            if (item !== "undefined" && (!constantFeatureFlags || item !== "FLAGS")) {
              hasDynamicVariables = true;
              break;
            }
          }
          if (hasDynamicVariables) {
            if (isConstantLogical(expression, false, options)) {
              if (process.env.NODE_ENV === "development") {
                // eslint-disable-next-line no-console
                console.warn("[removed dead if]:", ifContainer.if, ifContainer);
              }
              ifContainer.if = false;
            } else if (isConstantLogical(expression, true, options)) {
              ifContainer.if = true;
            }
            return;
          }
          var originalIf = ifContainer.if;
          var globalVariables = {
            undefined: undefined
          };
          if (constantFeatureFlags) {
            globalVariables.FLAGS = featureFlags;
          }
          ifContainer.if = !!cook(expression, source, {
            globalVariables
          });
          if (process.env.NODE_ENV === "development" && ifContainer.if === false) {
            // eslint-disable-next-line no-console
            console.warn("[removed dead if]:", originalIf, ifContainer);
          }
        } catch (error) {
          // eslint-disable-next-line no-console
          console.error("Parse storyboard expression failed:", error);
        }
      } else if (!ifContainer.if && ifContainer.if !== false) {
        // eslint-disable-next-line no-console
        console.warn("[potential dead if]:", typeof ifContainer.if, ifContainer.if, ifContainer);
      }
    }
  }

  /**
   * We can safely remove the code for the following use cases,
   * even though they contain runtime variables such as CTX:
   *
   * - if: '<% false && CTX.any %>'
   * - if: '<% FLAGS["disabled"] && CTX.any %>'
   * - if: '<% !FLAGS["enabled"] && CTX.any %>'
   * - if: '<% !(FLAGS["enabled"] || CTX.any) %>'
   *
   * Since these logics will always get a falsy result.
   *
   * Here we simply only consider these kinds of AST node:
   *
   * - LogicalExpression: with operator of '||' or '&&'
   * - UnaryExpression: with operator of '!'
   * - Literal: such as boolean/number/string/null/regex
   * - MemberExpression: of 'FLAGS["disabled"]' or 'FLAGS.disabled'
   * - Identifier: of 'undefined'
   */
  function isConstantLogical(node, expect, options) {
    var {
      constantFeatureFlags,
      featureFlags
    } = options;
    return node.type === "LogicalExpression" ? node.operator === (expect ? "||" : "&&") && [node.left, node.right].some(item => isConstantLogical(item, expect, options)) : node.type === "UnaryExpression" ? node.operator === "!" && isConstantLogical(node.argument, !expect, options) : node.type === "Literal" ? !!node.value === expect : node.type === "Identifier" ? node.name === "undefined" ? !expect : false : constantFeatureFlags && node.type === "MemberExpression" && node.object.type === "Identifier" && node.object.name === "FLAGS" && (node.computed ? node.property.type === "Literal" && typeof node.property.value === "string" && !!featureFlags[node.property.value] === expect : node.property.type === "Identifier" && !!featureFlags[node.property.name] === expect);
  }

  function supply(attemptToVisitGlobals, providedGlobalVariables, mock) {
    var globalVariables = _objectSpread__default["default"]({}, providedGlobalVariables);
    // Allow limited browser builtin values.
    globalVariables["undefined"] = undefined;
    for (var variableName of attemptToVisitGlobals) {
      if (!Object.prototype.hasOwnProperty.call(globalVariables, variableName)) {
        var variable = supplyIndividual(variableName, mock);
        if (variable !== undefined) {
          globalVariables[variableName] = variable;
        }
      }
    }
    return globalVariables;
  }
  var shouldOmitInLodash = new Set([
  // Omit all mutable methods from lodash.
  // But allow sequence methods like `_.chain`.
  "fill", "pull", "pullAll", "pullAllBy", "pullAllWith", "pullAt", "remove", "reverse", "assign", "assignIn", "assignInWith", "assignWith", "defaults", "defaultsDeep", "merge", "mergeWith", "set", "setWith", "unset", "update", "updateWith",
  /**
   * Ignore `Function` methods from lodash, too.
   * There are chances to invoke `Object.assign`, etc.
   *
   * E.g.:
   *
   * ```
   * _.wrap(_.method('constructor.assign',{b:2},{b:3}),(func,...a) => func(...a))({})
   * ```
   */
  "after", "ary", "before", "bind", "bindKey", "curry", "curryRight", "debounce", "defer", "delay", "flip", "memoize", "negate", "once", "overArgs", "partial", "partialRight", "rearg", "rest", "spread", "throttle", "unary", "wrap"]);

  // Omit all mutable methods from moment.
  var shouldOmitInMoment = new Set(["lang", "langData", "locale", "localeData", "defineLocale", "updateLocale", "updateOffset"]);
  var allowedGlobalObjects = new Set(["Array", "Boolean", "Date", "Infinity", "JSON", "Math", "NaN", "Number", "String", "RegExp", "decodeURI", "decodeURIComponent", "encodeURI", "encodeURIComponent", "isFinite", "isNaN", "parseFloat", "parseInt", "Map", "Set", "URL", "URLSearchParams", "WeakMap", "WeakSet", "atob", "btoa"]);
  function supplyIndividual(variableName, mock) {
    switch (variableName) {
      case "Object":
        // Do not allow mutable methods like `Object.assign`.
        return delegateMethods(Object, ["entries", "fromEntries", "keys", "values"]);
      case "_":
        return Object.fromEntries(Object.entries(lodash__default["default"]).filter(entry => !shouldOmitInLodash.has(entry[0])).concat(mock ? [["uniqueId", prefix => "".concat(prefix !== null && prefix !== void 0 ? prefix : "", "42")]] : []));
      case "moment":
        return Object.assign(function () {
          return moment__default["default"](...arguments);
        }, Object.fromEntries(Object.entries(moment__default["default"]).filter(entry => !shouldOmitInMoment.has(entry[0]))));
      case "PIPES":
        return pipes.pipes;
      case "TAG_URL":
        return tagUrlFactory(true);
      case "SAFE_TAG_URL":
        return tagUrlFactory();
      default:
        if (allowedGlobalObjects.has(variableName)) {
          return window[variableName];
        }
    }
  }
  function delegateMethods(target, methods) {
    return Object.fromEntries(methods.map(method => [method, function () {
      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }
      return target[method].apply(target, args);
    }]));
  }
  /**
   * Pass `ignoreSlashes` as `true` to encode all tagged expressions
   * as URL components, except for `/` which maybe used in `APP.homepage`.
   *
   * Otherwise encode all tagged expressions as URL components.
   * This will encode `/` as `%2F`. So do not use it directly
   * with `APP.homepage` as in template expressions.
   *
   * @example
   *
   * ```js
   * TAG_URL`${APP.homepage}/list?q=${q}&redirect=${redirect}`
   * ```
   *
   * ```js
   * SAFE_TAG_URL`file/${path}?q=${q}`
   * // `path` will be fully transformed by `encodeURIComponent`.
   * ```
   *
   * ```js
   * // Wrap `APP.homepage` outside of `SAFE_TAG_URL`.
   * `${APP.homepage}/${SAFE_TAG_URL`file/${path}?q=${q}`}`
   * ```
   */
  function tagUrlFactory(ignoreSlashes) {
    return function (strings) {
      for (var _len2 = arguments.length, partials = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
        partials[_key2 - 1] = arguments[_key2];
      }
      var result = [];
      strings.forEach((str, index) => {
        result.push(str);
        if (index < partials.length) {
          result.push(ignoreSlashes ? String(partials[index]).replace(/[^/]+/g, p => encodeURIComponent(p)) : encodeURIComponent(String(partials[index])));
        }
      });
      return result.join("");
    };
  }

  function beforeVisitSnippetParamsFactory(collection) {
    return function beforeVisitParams(node, parent) {
      if (node.name === "SNIPPET_PARAMS") {
        var memberParent = parent[parent.length - 1];
        if ((memberParent === null || memberParent === void 0 ? void 0 : memberParent.node.type) === "MemberExpression" && memberParent.key === "object") {
          if (!memberParent.node.computed && memberParent.node.property.type === "Identifier") {
            collection.add(memberParent.node.property.name);
          } else if (memberParent.node.computed && memberParent.node.property.type === "Literal") {
            collection.add(memberParent.node.property.value);
          }
        }
      }
    };
  }
  function checkParamsValid(nameList, context) {
    var {
      declareParams = {},
      inputParams = {}
    } = context;
    return nameList.forEach(name => {
      var _declareParams$name;
      var type = (_declareParams$name = declareParams[name]) === null || _declareParams$name === void 0 ? void 0 : _declareParams$name.type;
      if (!type) {
        throw new Error("Missing type of ".concat(name, " in snippet params"));
      }
      var valid = ["string", "number", "boolean"].includes(type);
      if (!valid) {
        throw new Error("The ".concat(type, " type is not supported of ").concat(name, " in snippet params"));
      }
      var actualType = inputParams[name];
      if (actualType !== undefined && typeof actualType !== type) {
        throw new Error("The ".concat(name, " is declared as type ").concat(type, ", but it is receiving a value of type ").concat(typeof actualType));
      }
    });
  }
  function scanSnippetInStoryboard(data) {
    var collection = new Set();
    var beforeVisitGlobal = beforeVisitSnippetParamsFactory(collection);
    visitStoryboardExpressions(data, beforeVisitGlobal, {
      matchExpressionString: v => v.includes("SNIPPET_PARAMS"),
      customIsEvaluable: isSnippetEvaluation
    });
    return Array.from(collection);
  }
  function computeRealSnippetConf(value, context) {
    if (typeof value === "string" && isSnippetEvaluation(value)) {
      try {
        var raw = value;
        var ctxOrState = context.rootType === "template" ? "STATE" : "CTX";
        var ctxOrStateUpdate = context.rootType === "template" ? "state.update" : "context.replace";
        if (/^\s*<%@=?\s*/.test(value)) {
          var replacements = [{
            search: "<%@",
            replace: "<%"
          }, {
            search: /\bCTX_OR_STATE\b/g,
            replace: ctxOrState
          }];
          var _result = value;
          replacements.forEach(replacement => {
            _result = _result.replace(replacement.search, replacement.replace);
          });
          return _result;
        }
        var globalVariables = {};
        var {
          expression,
          attemptToVisitGlobals,
          source
        } = preevaluate(raw);
        var attemptVisitSnippetParams = attemptToVisitGlobals.has("SNIPPET_PARAMS");
        if (attemptVisitSnippetParams) {
          globalVariables.SNIPPET_PARAMS = context.inputParams;
        }
        var attemptVisitSnippetRootType = attemptToVisitGlobals.has("SNIPPET_ROOT_TYPE");
        if (attemptVisitSnippetRootType) {
          globalVariables.SNIPPET_ROOT_TYPE = context.rootType;
        }
        var attemptVisitSnippetDataUpdateMethod = attemptToVisitGlobals.has("DATA_UPDATE_METHOD");
        if (attemptVisitSnippetDataUpdateMethod) {
          globalVariables.DATA_UPDATE_METHOD = ctxOrStateUpdate;
        }
        var result = cook(expression, source, {
          globalVariables: supply(attemptToVisitGlobals, globalVariables)
        });
        return result;
      } catch (error) {
        /* istanbul ignore next */
        // eslint-disable-next-line no-console
        throw new Error("Parse storyboard expression failed: ".concat(error));
      }
    }
    if (!isObject$1(value)) {
      return value;
    }
    if (Array.isArray(value)) {
      return value.map(v => computeRealSnippetConf(v, context));
    }
    return Object.fromEntries(Object.entries(value).map(_ref => {
      var [k, v] = _ref;
      return [computeRealSnippetConf(k, context), computeRealSnippetConf(v, context)];
    }));
  }
  function snippetEvaluate(brickConf, context) {
    var collection = scanSnippetInStoryboard(brickConf);
    checkParamsValid(collection, context);
    var result = computeRealSnippetConf(brickConf, context);
    return result;
  }

  Object.defineProperty(exports, 'pipes', {
    enumerable: true,
    get: function () { return pipes.pipes; }
  });
  exports.JsonStorage = JsonStorage;
  exports.PrecookFunctionVisitor = PrecookFunctionVisitor;
  exports.PrecookVisitor = PrecookVisitor;
  exports.asyncProcessBrick = asyncProcessBrick;
  exports.asyncProcessStoryboard = asyncProcessStoryboard;
  exports.clearExpressionASTCache = clearExpressionASTCache;
  exports.clearFunctionASTCache = clearFunctionASTCache;
  exports.collectBricksByCustomTemplates = collectBricksByCustomTemplates;
  exports.collectContextUsage = collectContextUsage;
  exports.computeConstantCondition = computeConstantCondition;
  exports.computeRealRoutePath = computeRealRoutePath;
  exports.convertValueByPrecision = convertValueByPrecision;
  exports.cook = cook;
  exports.createProviderClass = createProviderClass;
  exports.debounceByAnimationFrame = debounceByAnimationFrame;
  exports.deepFreeze = deepFreeze;
  exports.deferResolveContextConcurrently = deferResolveContextConcurrently;
  exports.formatValue = formatValue;
  exports.getDependencyMapOfContext = getDependencyMapOfContext;
  exports.getDepsOfTemplates = getDepsOfTemplates;
  exports.getDllAndDepsByResource = getDllAndDepsByResource;
  exports.getDllAndDepsOfBricks = getDllAndDepsOfBricks;
  exports.getDllAndDepsOfStoryboard = getDllAndDepsOfStoryboard;
  exports.getTemplateDepsOfStoryboard = getTemplateDepsOfStoryboard;
  exports.hasOwnProperty = hasOwnProperty$1;
  exports.inject = inject;
  exports.isBrickNode = isBrickNode;
  exports.isCustomTemplateNode = isCustomTemplateNode;
  exports.isEvaluable = isEvaluable;
  exports.isObject = isObject$1;
  exports.isRouteNode = isRouteNode;
  exports.isSnippetEvaluation = isSnippetEvaluation;
  exports.isSnippetNode = isSnippetNode;
  exports.isTrackAll = isTrackAll;
  exports.lint = lint;
  exports.loadScript = loadScript;
  exports.makeThrottledAggregation = makeThrottledAggregation;
  exports.mapCustomApisToNameAndNamespace = mapCustomApisToNameAndNamespace;
  exports.matchPath = matchPath;
  exports.normalizeBuilderNode = normalizeBuilderNode;
  exports.normalizeMenu = normalizeMenu;
  exports.parseBrick = parseBrick;
  exports.parseForAnalysis = parseForAnalysis;
  exports.parseRoutes = parseRoutes;
  exports.parseStoryboard = parseStoryboard;
  exports.parseTemplate = parseTemplate;
  exports.parseTemplates = parseTemplates;
  exports.precook = precook;
  exports.precookFunction = precookFunction;
  exports.preevaluate = preevaluate;
  exports.prefetchScript = prefetchScript;
  exports.removeDeadConditions = removeDeadConditions;
  exports.removeDeadConditionsInTpl = removeDeadConditionsInTpl;
  exports.resolveContextConcurrently = resolveContextConcurrently;
  exports.restoreDynamicTemplates = restoreDynamicTemplates;
  exports.scanAppGetMenuInAny = scanAppGetMenuInAny;
  exports.scanAppGetMenuInStoryboard = scanAppGetMenuInStoryboard;
  exports.scanBricksInBrickConf = scanBricksInBrickConf;
  exports.scanBricksInStoryboard = scanBricksInStoryboard;
  exports.scanCustomApisInStoryboard = scanCustomApisInStoryboard;
  exports.scanI18NInAny = scanI18NInAny;
  exports.scanI18NInStoryboard = scanI18NInStoryboard;
  exports.scanInstalledAppsInStoryboard = scanInstalledAppsInStoryboard;
  exports.scanPermissionActionsInAny = scanPermissionActionsInAny;
  exports.scanPermissionActionsInStoryboard = scanPermissionActionsInStoryboard;
  exports.scanProcessorsInAny = scanProcessorsInAny;
  exports.scanProcessorsInStoryboard = scanProcessorsInStoryboard;
  exports.scanRouteAliasInStoryboard = scanRouteAliasInStoryboard;
  exports.scanStoryboard = scanStoryboard;
  exports.scanStoryboardAst = scanStoryboardAst;
  exports.scanTemplatesInBrick = scanTemplatesInBrick;
  exports.scanTemplatesInStoryboard = scanTemplatesInStoryboard;
  exports.shouldAllowRecursiveEvaluations = shouldAllowRecursiveEvaluations;
  exports.smartDisplayForEvaluableString = smartDisplayForEvaluableString;
  exports.snippetEvaluate = snippetEvaluate;
  exports.syncResolveContextConcurrently = syncResolveContextConcurrently;
  exports.toPath = toPath;
  exports.tokTypes = tokTypes_1;
  exports.trackAll = trackAll;
  exports.trackContext = trackContext;
  exports.trackFormState = trackFormState;
  exports.trackState = trackState;
  exports.trackUsedContext = trackUsedContext;
  exports.trackUsedFormState = trackUsedFormState;
  exports.trackUsedState = trackUsedState;
  exports.transform = transform;
  exports.transformAndInject = transformAndInject;
  exports.traverse = traverse;
  exports.traverseStoryboard = traverseStoryboard;
  exports.visitStoryboardExpressions = visitStoryboardExpressions;
  exports.visitStoryboardFunctions = visitStoryboardFunctions;

  Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=index.bundle.js.map
